$LARGE
C	WRITTEN BY: THEODORE E. FESSLER, NASA TM X-3572, AUGUST 1977
C	REWRITTEN BY: LT. MARK D. KLEM & MARGARET P. PROCTOR, JANUARY 1986
C
C	THE ORIGINAL PROGRAM WAS WRITTEN IN SFTRAN, BUT THIS PROGRAM IS
C	REWRITTEN IN STANDARD FORTRAN 77 TO RUN PRIMARILY ON PERSONAL
C	COMPUTERS AND CAN ALSO RUN ON MAINFRAMES. MUCH OF THE OLD CODE WAS
C	COMMENTED OUT BUT LEFT INTACT FOR DOCUMENTATION AND REFERENCE
C	PURPOSES.
C
      SUBROUTINE O2                                                     
C.....OXYGEN TABLES FOR FLUID SUBPROGRAM.                               
                                                                        
C                -- UNITS --                                            
                                                                        
C       R = 0.25983 JOULES / GRAM - DEG. K      C(1)                    
C       TCRIT = 154.78 DEG. K                   C(2)                    
C       PCRIT = 5.083 MEGA-NEWTONS / METER**2   C(3)                    
C       DCRIT = 0.4325 GRAMS / CENTIMETER**3    C(4)                    
C       VISCOSITY = GRAMS / CENTIMETER - SEC.        PROP(7)            
C       CONDUCTIVITY = WATTS / CENTIMETER - DEG. K   PROP(8)            
                                                                        
C**********************************************************************
C     DIMENSION G(18,4),TT(18),DD(18),GG(18,18,8),SAT(22,8),C(8),M(4)
      DIMENSION G(29,4),TT(27),DD(30),GG(27,30,8),SAT(40,8),C(8),M(4)
	INTEGER ENTRY,ERROR
	DIMENSION PROPS(8)
	LOGICAL VAPOR
C**********************************************************************
                                                                        
      DIMENSION X0001(100),X0101(100),X0201(100),X0301(100),X0401(100), 
     *          X0501(100),X0601(100),X0701(100),X0801(100),X0901(100), 
     *          X1001(100),X1101(100),X1201(100),X1301(100),X1401(100), 
     *          X1501(100),X1601(100),X1701(100),X1801(100),X1901(100), 
     *          X2001(100),X2101(100),X2201(100),X2301(100),X2401(100), 
     *          X2501(100),X2601(100),X2701(100),X2801(84)              
                                                                        
      DIMENSION Z(2884)                                                 
C**********************************************************************
	COMMON /FLUDPC/ G,TT,DD,GG,SAT,C,M,NG,N1,N2,N3,NS
C**********************************************************************
      EQUIVALENCE (X0001,Z(0001)), (X0101,Z(0101)), (X0201,Z(0201)),    
     *            (X0301,Z(0301)), (X0401,Z(0401)), (X0501,Z(0501)),    
     *            (X0601,Z(0601)), (X0701,Z(0701)), (X0801,Z(0801)),    
     *            (X0901,Z(0901)), (X1001,Z(1001)), (X1101,Z(1101)),    
     *            (X1201,Z(1201)), (X1301,Z(1301)), (X1401,Z(1401)),    
     *            (X1501,Z(1501)), (X1601,Z(1601)), (X1701,Z(1701)),    
     *            (X1801,Z(1801)), (X1901,Z(1901)), (X2001,Z(2001)),    
     *            (X2101,Z(2101)), (X2201,Z(2201)), (X2301,Z(2301)),    
     *            (X2401,Z(2401)), (X2501,Z(2501)), (X2601,Z(2601)),    
     *            (X2701,Z(2701)), (X2801,Z(2801))                      
                                                                        
C**********************************************************************
C     EQUIVALENCE (G,Z(0001)),(TT,Z(0073)),(DD,Z(0091)),(GG,Z(0109)),
C    *            (SAT,Z(2701)),(C,Z(2877))
C     DATA NG,N1,N2,N3,NS / 18,18,18,8,22 /
	NG = 18
	N1 = 18
	N2 = 18
	N3 = 8
	NS = 22
	DO 20 I=1,4
		DO 10 J=1,18
			G(J,I) = Z(J+(I-1)*18)
  10		CONTINUE
  20	CONTINUE
	DO 30 I=1,18
		TT(I) = Z(I+72)
  30	CONTINUE
	DO 40 I=1,18
		DD(I) = Z(I+90)
  40	CONTINUE
	KK = 108
	DO 70 I=1,8
		DO 60 J=1,18
			DO 50 K=1,18
				KK = KK +1
				GG(K,J,I) = Z(KK)
  50			CONTINUE
  60		CONTINUE
  70	CONTINUE
	DO 90 I=1,8
		DO 80 J=1,22
			SAT(J,I) = Z(J+(I-1)*22+2700)
  80		CONTINUE
  90	CONTINUE
	DO 100 I=1,8
		C(I) = Z(I+2876)
  100	CONTINUE
C**********************************************************************
      DATA X0001/ 4.2000E-1, 5.0000E-1, 6.0000E-1, 7.2000E-1, 8.5000E-1,
     * 9.8000E-1, 1.1000E+0, 1.2500E+0, 1.5000E+0, 1.7500E+0, 2.0000E+0,
     * 2.5000E+0, 3.0000E+0, 3.7000E+0, 4.7500E+0, 6.0000E+0, 7.2000E+0,
     * 8.0000E+0, 1.8491E+1, 1.8927E+1, 1.9383E+1, 1.9840E+1, 2.0255E+1,
     * 2.0611E+1, 2.0900E+1, 2.1220E+1, 2.1677E+1, 2.2065E+1, 2.2403E+1,
     * 2.2976E+1, 2.3458E+1, 2.4036E+1, 2.4763E+1, 2.5483E+1, 2.6067E+1,
     * 2.6412E+1, 1.1071E+1, 1.1248E+1, 1.1470E+1, 1.1737E+1, 1.2025E+1,
     * 1.2314E+1, 1.2580E+1, 1.2913E+1, 1.3469E+1, 1.4027E+1, 1.4588E+1,
     * 1.5731E+1, 1.6912E+1, 1.8645E+1, 2.1410E+1, 2.4910E+1, 2.8415E+1,
     * 3.0812E+1, 2.5033E+0, 2.5031E+0, 2.5028E+0, 2.5026E+0, 2.5024E+0,
     * 2.5024E+0, 2.5028E+0, 2.5040E+0, 2.5091E+0, 2.5206E+0, 2.5425E+0,
     * 2.6000E+0, 2.6930E+0, 2.8250E+0, 3.0020E+0, 3.1540E+0, 3.2500E+0,
     * 3.3070E+0, 4.2000E-1, 4.5000E-1, 5.0000E-1, 5.9000E-1, 6.8000E-1,
     * 8.0000E-1, 9.2000E-1, 9.8500E-1, 1.0500E+0, 1.1500E+0, 1.3000E+0,
     * 1.6000E+0, 2.0000E+0, 2.6000E+0, 3.5000E+0, 4.6000E+0, 6.0000E+0,
     * 8.0000E+0, 1.0000E-5, 3.0000E-4, 7.0000E-4, 2.0000E-3, 1.0000E-2,
     * 3.0000E-2, 1.0000E-1, 3.0000E-1, 6.0000E-1, 1.0000E+0/           
      DATA X0101/ 1.4500E+0, 1.8500E+0, 2.2000E+0, 2.4600E+0, 2.6500E+0,
     * 2.7900E+0, 2.8700E+0, 2.9200E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0,
     * 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0,
     * 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0,
     * 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2815E+0, 1.2817E+0, 1.2820E+0,
     * 1.2824E+0, 1.2827E+0, 1.2828E+0, 1.2829E+0, 1.2830E+0, 1.2830E+0,
     * 1.2831E+0, 1.2831E+0, 1.2832E+0, 1.2832E+0, 1.2832E+0, 1.2833E+0,
     * 1.2833E+0, 1.2833E+0, 1.2833E+0, 1.2791E+0, 1.2797E+0, 1.2805E+0,
     * 1.2814E+0, 1.2819E+0, 1.2823E+0, 1.2826E+0, 1.2827E+0, 1.2827E+0,
     * 1.2828E+0, 1.2829E+0, 1.2831E+0, 1.2832E+0, 1.2832E+0, 1.2833E+0,
     * 1.2833E+0, 1.2834E+0, 1.2834E+0, 1.2722E+0, 1.2735E+0, 1.2754E+0,
     * 1.2779E+0, 1.2794E+0, 1.2806E+0, 1.2813E+0, 1.2816E+0, 1.2818E+0,
     * 1.2821E+0, 1.2824E+0, 1.2828E+0, 1.2830E+0, 1.2832E+0, 1.2834E+0,
     * 1.2835E+0, 1.2836E+0, 1.2837E+0, 1.2352E+0, 1.2396E+0, 1.2464E+0,
     * 1.2566E+0, 1.2642E+0, 1.2702E+0, 1.2738E+0, 1.2752E+0, 1.2763E+0,
     * 1.2776E+0, 1.2791E+0, 1.2809E+0, 1.2822E+0, 1.2833E+0, 1.2841E+0,
     * 1.2846E+0, 1.2850E+0, 1.2854E+0, 1.1628E+0, 1.1719E+0/           
      DATA X0201/ 1.1861E+0, 1.2084E+0, 1.2267E+0, 1.2446E+0, 1.2554E+0,
     * 1.2595E+0, 1.2628E+0, 1.2668E+0, 1.2711E+0, 1.2763E+0, 1.2802E+0,
     * 1.2834E+0, 1.2858E+0, 1.2874E+0, 1.2886E+0, 1.2896E+0, 9.6184E-1,
     * 9.8254E-1, 1.0152E+0, 1.0680E+0, 1.1131E+0, 1.1614E+0, 1.1960E+0,
     * 1.2091E+0, 1.2196E+0, 1.2321E+0, 1.2456E+0, 1.2621E+0, 1.2742E+0,
     * 1.2840E+0, 1.2917E+0, 1.2967E+0, 1.3004E+0, 1.3034E+0, 5.6891E-1,
     * 6.1034E-1, 6.7607E-1, 7.8392E-1, 8.7836E-1, 9.8332E-1, 1.0644E+0,
     * 1.0983E+0, 1.1252E+0, 1.1572E+0, 1.1912E+0, 1.2326E+0, 1.2631E+0,
     * 1.2879E+0, 1.3074E+0, 1.3204E+0, 1.3300E+0, 1.3378E+0, 4.0965E-1,
     * 4.5375E-1, 5.2423E-1, 6.4147E-1, 7.4641E-1, 8.6719E-1, 9.6608E-1,
     * 1.0105E+0, 1.0485E+0, 1.0944E+0, 1.1447E+0, 1.2084E+0, 1.2574E+0,
     * 1.2990E+0, 1.3330E+0, 1.3561E+0, 1.3735E+0, 1.3879E+0, 6.0883E-1,
     * 6.3414E-1, 6.7514E-1, 7.4503E-1, 8.0996E-1, 8.8875E-1, 9.5870E-1,
     * 9.9289E-1, 1.0245E+0, 1.0680E+0, 1.1218E+0, 1.1997E+0, 1.2671E+0,
     * 1.3294E+0, 1.3835E+0, 1.4218E+0, 1.4511E+0, 1.4760E+0, 6.5456E-1,
     * 6.7430E-1, 7.0665E-1, 7.6296E-1, 8.1689E-1, 8.8504E-1, 9.4891E-1,
     * 9.8171E-1, 1.0133E+0, 1.0594E+0, 1.1206E+0, 1.2161E+0/           
      DATA X0301/ 1.3044E+0, 1.3905E+0, 1.4685E+0, 1.5253E+0, 1.5695E+0,
     * 1.6072E+0, 4.7783E-1, 5.1056E-1, 5.6352E-1, 6.5370E-1, 7.3733E-1,
     * 8.3856E-1, 9.2810E-1, 9.7172E-1, 1.0119E+0, 1.0673E+0, 1.1376E+0,
     * 1.2444E+0, 1.3431E+0, 1.4405E+0, 1.5303E+0, 1.5966E+0, 1.6485E+0,
     * 1.6931E+0, 4.0719E-1, 4.4941E-1, 5.1686E-1, 6.2905E-1, 7.2946E-1,
     * 8.4497E-1, 9.3948E-1, 9.8192E-1, 1.0196E+0, 1.0699E+0, 1.1325E+0,
     * 1.2267E+0, 1.3142E+0, 1.4018E+0, 1.4838E+0, 1.5450E+0, 1.5931E+0,
     * 1.6346E+0, 4.4461E-1, 4.8502E-1, 5.4873E-1, 6.5188E-1, 7.4025E-1,
     * 8.3506E-1, 9.0358E-1, 9.3368E-1, 9.6022E-1, 9.9568E-1, 1.0399E+0,
     * 1.1072E+0, 1.1709E+0, 1.2360E+0, 1.2980E+0, 1.3448E+0, 1.3819E+0,
     * 1.4141E+0, 4.5414E-1, 4.8728E-1, 5.3834E-1, 6.1711E-1, 6.7897E-1,
     * 7.3515E-1, 7.7508E-1, 7.9264E-1, 8.0819E-1, 8.2914E-1, 8.5561E-1,
     * 8.9689E-1, 9.3713E-1, 9.7928E-1, 1.0202E+0, 1.0515E+0, 1.0766E+0,
     * 1.0985E+0, 3.9048E-1, 4.1390E-1, 4.4854E-1, 4.9706E-1, 5.2778E-1,
     * 5.5496E-1, 5.7422E-1, 5.8279E-1, 5.9046E-1, 6.0094E-1, 6.1448E-1,
     * 6.3632E-1, 6.5842E-1, 6.8228E-1, 7.0600E-1, 7.2445E-1, 7.3937E-1,
     * 7.5246E-1, 2.9987E-1, 3.1554E-1, 3.3729E-1, 3.6266E-1/           
      DATA X0401/ 3.7815E-1, 3.9156E-1, 4.0109E-1, 4.0539E-1, 4.0928E-1,
     * 4.1469E-1, 4.2185E-1, 4.3379E-1, 4.4628E-1, 4.6012E-1, 4.7416E-1,
     * 4.8522E-1, 4.9423E-1, 5.0219E-1, 2.1237E-1, 2.2169E-1, 2.3348E-1,
     * 2.4683E-1, 2.5470E-1, 2.6137E-1, 2.6613E-1, 2.6831E-1, 2.7031E-1,
     * 2.7314E-1, 2.7697E-1, 2.8356E-1, 2.9067E-1, 2.9872E-1, 3.0702E-1,
     * 3.1363E-1, 3.1904E-1, 3.2384E-1, 1.0000E+0, 1.0001E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 9.9999E-1, 9.9999E-1, 1.0000E+0, 9.9998E-1, 1.0001E+0,
     * 1.0002E+0, 1.0000E+0, 1.0000E+0, 9.9993E-1, 1.0000E+0, 9.9996E-1,
     * 9.9998E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1,
     * 9.9999E-1, 9.9998E-1, 9.9998E-1, 1.0000E+0, 9.9997E-1, 1.0001E+0,
     * 1.0002E+0, 1.0000E+0, 1.0000E+0, 9.9996E-1, 9.9992E-1, 9.9989E-1,
     * 9.9994E-1, 9.9996E-1, 9.9997E-1, 9.9997E-1, 9.9998E-1, 9.9998E-1,
     * 9.9998E-1, 9.9997E-1, 9.9998E-1, 9.9999E-1, 9.9997E-1, 1.0001E+0,
     * 1.0002E+0, 9.9999E-1, 9.9999E-1, 9.9952E-1, 9.9959E-1, 9.9968E-1,
     * 9.9980E-1, 9.9986E-1, 9.9990E-1, 9.9992E-1, 9.9994E-1, 9.9995E-1,
     * 9.9995E-1, 9.9995E-1, 9.9996E-1, 9.9998E-1, 9.9995E-1/           
      DATA X0501/ 1.0001E+0, 1.0002E+0, 9.9998E-1, 9.9999E-1, 9.9790E-1,
     * 9.9811E-1, 9.9842E-1, 9.9889E-1, 9.9922E-1, 9.9948E-1, 9.9962E-1,
     * 9.9968E-1, 9.9972E-1, 9.9976E-1, 9.9980E-1, 9.9985E-1, 9.9989E-1,
     * 9.9987E-1, 1.0000E+0, 1.0001E+0, 9.9992E-1, 9.9993E-1, 9.9443E-1,
     * 9.9488E-1, 9.9557E-1, 9.9665E-1, 9.9752E-1, 9.9836E-1, 9.9883E-1,
     * 9.9900E-1, 9.9913E-1, 9.9928E-1, 9.9941E-1, 9.9956E-1, 9.9966E-1,
     * 9.9968E-1, 9.9982E-1, 9.9995E-1, 9.9976E-1, 9.9980E-1, 9.8363E-1,
     * 9.8475E-1, 9.8651E-1, 9.8930E-1, 9.9168E-1, 9.9418E-1, 9.9591E-1,
     * 9.9652E-1, 9.9699E-1, 9.9751E-1, 9.9801E-1, 9.9853E-1, 9.9884E-1,
     * 9.9897E-1, 9.9919E-1, 9.9936E-1, 9.9920E-1, 9.9933E-1, 9.5441E-1,
     * 9.5720E-1, 9.6172E-1, 9.6899E-1, 9.7529E-1, 9.8214E-1, 9.8724E-1,
     * 9.8927E-1, 9.9079E-1, 9.9246E-1, 9.9403E-1, 9.9563E-1, 9.9652E-1,
     * 9.9697E-1, 9.9737E-1, 9.9764E-1, 9.9760E-1, 9.9798E-1, 9.2433E-1,
     * 9.2857E-1, 9.3534E-1, 9.4641E-1, 9.5619E-1, 9.6712E-1, 9.7569E-1,
     * 9.7935E-1, 9.8231E-1, 9.8552E-1, 9.8850E-1, 9.9147E-1, 9.9308E-1,
     * 9.9394E-1, 9.9455E-1, 9.9497E-1, 9.9510E-1, 9.9589E-1, 9.2225E-1,
     * 9.2580E-1, 9.3148E-1, 9.4097E-1, 9.4949E-1, 9.5936E-1/           
      DATA X0601/ 9.6754E-1, 9.7126E-1, 9.7448E-1, 9.7846E-1, 9.8221E-1,
     * 9.8602E-1, 9.8813E-1, 9.8929E-1, 9.9008E-1, 9.9066E-1, 9.9107E-1,
     * 9.9252E-1, 9.2630E-1, 9.2915E-1, 9.3377E-1, 9.4143E-1, 9.4836E-1,
     * 9.5638E-1, 9.6304E-1, 9.6608E-1, 9.6872E-1, 9.7199E-1, 9.7527E-1,
     * 9.7883E-1, 9.8093E-1, 9.8212E-1, 9.8300E-1, 9.8376E-1, 9.8459E-1,
     * 9.8711E-1, 9.0187E-1, 9.0680E-1, 9.1461E-1, 9.2714E-1, 9.3780E-1,
     * 9.4906E-1, 9.5697E-1, 9.5986E-1, 9.6176E-1, 9.6435E-1, 9.6710E-1,
     * 9.7022E-1, 9.7209E-1, 9.7316E-1, 9.7404E-1, 9.7499E-1, 9.7636E-1,
     * 9.8026E-1, 9.1975E-1, 9.2198E-1, 9.2555E-1, 9.3154E-1, 9.3701E-1,
     * 9.4349E-1, 9.4903E-1, 9.5163E-1, 9.5333E-1, 9.5571E-1, 9.5824E-1,
     * 9.6105E-1, 9.6264E-1, 9.6349E-1, 9.6432E-1, 9.6548E-1, 9.6744E-1,
     * 9.7288E-1, 9.0100E-1, 9.0493E-1, 9.1111E-1, 9.2099E-1, 9.2926E-1,
     * 9.3782E-1, 9.4353E-1, 9.4617E-1, 9.4787E-1, 9.5020E-1, 9.5259E-1,
     * 9.5509E-1, 9.5634E-1, 9.5689E-1, 9.5759E-1, 9.5884E-1, 9.6122E-1,
     * 9.6779E-1, 8.8499E-1, 8.9162E-1, 9.0173E-1, 9.1696E-1, 9.2840E-1,
     * 9.3773E-1, 9.4370E-1, 9.4638E-1, 9.4805E-1, 9.5029E-1, 9.5248E-1,
     * 9.5456E-1, 9.5538E-1, 9.5553E-1, 9.5595E-1, 9.5711E-1/           
      DATA X0701/ 9.5957E-1, 9.6648E-1, 8.8779E-1, 8.9528E-1, 9.0667E-1,
     * 9.2367E-1, 9.3619E-1, 9.4609E-1, 9.5215E-1, 9.5478E-1, 9.5634E-1,
     * 9.5840E-1, 9.6028E-1, 9.6178E-1, 9.6200E-1, 9.6157E-1, 9.6148E-1,
     * 9.6224E-1, 9.6424E-1, 9.7037E-1, 9.0578E-1, 9.1065E-1, 9.1950E-1,
     * 9.3768E-1, 9.5080E-1, 9.6089E-1, 9.6682E-1, 9.6934E-1, 9.7076E-1,
     * 9.7258E-1, 9.7412E-1, 9.7499E-1, 9.7457E-1, 9.7346E-1, 9.7271E-1,
     * 9.7284E-1, 9.7396E-1, 9.7833E-1, 9.2608E-1, 9.2960E-1, 9.3891E-1,
     * 9.5780E-1, 9.7120E-1, 9.8123E-1, 9.8691E-1, 9.8926E-1, 9.9049E-1,
     * 9.9203E-1, 9.9316E-1, 9.9332E-1, 9.9216E-1, 9.9026E-1, 9.8867E-1,
     * 9.8794E-1, 9.8777E-1, 9.8956E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9998E-1, 1.0006E+0,
     * 1.0017E+0, 1.0000E+0, 1.0000E+0, 9.9991E-1, 9.9992E-1, 9.9993E-1,
     * 9.9995E-1, 9.9996E-1, 9.9997E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1,
     * 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9997E-1, 1.0006E+0,
     * 1.0017E+0, 9.9999E-1, 1.0000E+0, 9.9979E-1, 9.9981E-1, 9.9984E-1,
     * 9.9988E-1, 9.9991E-1, 9.9993E-1, 9.9995E-1, 9.9996E-1/           
      DATA X0801/ 9.9996E-1, 9.9997E-1, 9.9997E-1, 9.9998E-1, 9.9998E-1,
     * 9.9996E-1, 1.0006E+0, 1.0017E+0, 9.9999E-1, 9.9999E-1, 9.9941E-1,
     * 9.9946E-1, 9.9954E-1, 9.9966E-1, 9.9974E-1, 9.9981E-1, 9.9986E-1,
     * 9.9987E-1, 9.9989E-1, 9.9991E-1, 9.9992E-1, 9.9994E-1, 9.9995E-1,
     * 9.9993E-1, 1.0005E+0, 1.0016E+0, 9.9996E-1, 9.9997E-1, 9.9717E-1,
     * 9.9740E-1, 9.9775E-1, 9.9828E-1, 9.9869E-1, 9.9904E-1, 9.9927E-1,
     * 9.9936E-1, 9.9943E-1, 9.9952E-1, 9.9961E-1, 9.9971E-1, 9.9976E-1,
     * 9.9975E-1, 1.0004E+0, 1.0014E+0, 9.9977E-1, 9.9985E-1, 9.9219E-1,
     * 9.9272E-1, 9.9356E-1, 9.9489E-1, 9.9599E-1, 9.9710E-1, 9.9780E-1,
     * 9.9808E-1, 9.9830E-1, 9.9856E-1, 9.9883E-1, 9.9912E-1, 9.9927E-1,
     * 9.9930E-1, 9.9988E-1, 1.0009E+0, 9.9931E-1, 9.9954E-1, 9.7583E-1,
     * 9.7731E-1, 9.7965E-1, 9.8340E-1, 9.8663E-1, 9.9010E-1, 9.9260E-1,
     * 9.9356E-1, 9.9432E-1, 9.9522E-1, 9.9613E-1, 9.9711E-1, 9.9761E-1,
     * 9.9774E-1, 9.9825E-1, 9.9923E-1, 9.9772E-1, 9.9847E-1, 9.2905E-1,
     * 9.3312E-1, 9.3961E-1, 9.5018E-1, 9.5941E-1, 9.6957E-1, 9.7733E-1,
     * 9.8053E-1, 9.8302E-1, 9.8587E-1, 9.8871E-1, 9.9162E-1, 9.9304E-1,
     * 9.9337E-1, 9.9358E-1, 9.9428E-1, 9.9312E-1, 9.9537E-1/           
      DATA X0901/ 8.7263E-1, 8.7946E-1, 8.9033E-1, 9.0825E-1, 9.2407E-1,
     * 9.4194E-1, 9.5611E-1, 9.6224E-1, 9.6729E-1, 9.7293E-1, 9.7836E-1,
     * 9.8367E-1, 9.8600E-1, 9.8623E-1, 9.8570E-1, 9.8584E-1, 9.8527E-1,
     * 9.9001E-1, 8.5755E-1, 8.6398E-1, 8.7426E-1, 8.9143E-1, 9.0683E-1,
     * 9.2469E-1, 9.3945E-1, 9.4616E-1, 9.5196E-1, 9.5912E-1, 9.6583E-1,
     * 9.7197E-1, 9.7398E-1, 9.7302E-1, 9.7087E-1, 9.7013E-1, 9.7076E-1,
     * 9.7999E-1, 8.6629E-1, 8.7129E-1, 8.7932E-1, 8.9260E-1, 9.0454E-1,
     * 9.1826E-1, 9.2954E-1, 9.3461E-1, 9.3896E-1, 9.4424E-1, 9.4903E-1,
     * 9.5265E-1, 9.5233E-1, 9.4894E-1, 9.4471E-1, 9.4340E-1, 9.4644E-1,
     * 9.6268E-1, 8.2066E-1, 8.2916E-1, 8.4254E-1, 8.6391E-1, 8.8181E-1,
     * 9.0026E-1, 9.1256E-1, 9.1666E-1, 9.1895E-1, 9.2195E-1, 9.2444E-1,
     * 9.2528E-1, 9.2285E-1, 9.1787E-1, 9.1292E-1, 9.1218E-1, 9.1816E-1,
     * 9.4137E-1, 8.4825E-1, 8.5113E-1, 8.5572E-1, 8.6340E-1, 8.7036E-1,
     * 8.7849E-1, 8.8530E-1, 8.8844E-1, 8.9005E-1, 8.9224E-1, 8.9388E-1,
     * 8.9372E-1, 8.9081E-1, 8.8602E-1, 8.8200E-1, 8.8265E-1, 8.9111E-1,
     * 9.1934E-1, 8.0207E-1, 8.0765E-1, 8.1635E-1, 8.3015E-1, 8.4152E-1,
     * 8.5294E-1, 8.6006E-1, 8.6326E-1, 8.6495E-1, 8.6718E-1/           
      DATA X1001/ 8.6886E-1, 8.6889E-1, 8.6650E-1, 8.6272E-1, 8.6006E-1,
     * 8.6192E-1, 8.7168E-1, 9.0216E-1, 7.6301E-1, 7.7213E-1, 7.8602E-1,
     * 8.0689E-1, 8.2245E-1, 8.3494E-1, 8.4255E-1, 8.4584E-1, 8.4765E-1,
     * 8.4996E-1, 8.5174E-1, 8.5206E-1, 8.5023E-1, 8.4735E-1, 8.4573E-1,
     * 8.4835E-1, 8.5863E-1, 8.8977E-1, 7.4660E-1, 7.5678E-1, 7.7214E-1,
     * 7.9479E-1, 8.1101E-1, 8.2389E-1, 8.3158E-1, 8.3482E-1, 8.3663E-1,
     * 8.3891E-1, 8.4068E-1, 8.4113E-1, 8.3965E-1, 8.3737E-1, 8.3642E-1,
     * 8.3945E-1, 8.4986E-1, 8.8096E-1, 7.4569E-1, 7.5365E-1, 7.6672E-1,
     * 7.8967E-1, 8.0592E-1, 8.1875E-1, 8.2631E-1, 8.2946E-1, 8.3122E-1,
     * 8.3342E-1, 8.3512E-1, 8.3559E-1, 8.3426E-1, 8.3226E-1, 8.3163E-1,
     * 8.3482E-1, 8.4521E-1, 8.7611E-1, 7.4429E-1, 7.5107E-1, 7.6429E-1,
     * 7.8719E-1, 8.0332E-1, 8.1600E-1, 8.2342E-1, 8.2648E-1, 8.2820E-1,
     * 8.3033E-1, 8.3196E-1, 8.3240E-1, 8.3115E-1, 8.2929E-1, 8.2883E-1,
     * 8.3210E-1, 8.4245E-1, 8.7314E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9976E-1, 1.0025E+0,
     * 1.0044E+0, 1.0000E+0, 1.0000E+0, 1.0016E+0, 1.0014E+0/           
      DATA X1101/ 1.0011E+0, 1.0008E+0, 1.0006E+0, 1.0004E+0, 1.0003E+0,
     * 1.0002E+0, 1.0002E+0, 1.0001E+0, 1.0001E+0, 1.0000E+0, 1.0000E+0,
     * 9.9977E-1, 1.0025E+0, 1.0044E+0, 1.0000E+0, 1.0000E+0, 1.0037E+0,
     * 1.0033E+0, 1.0027E+0, 1.0019E+0, 1.0013E+0, 1.0009E+0, 1.0006E+0,
     * 1.0005E+0, 1.0004E+0, 1.0003E+0, 1.0002E+0, 1.0001E+0, 1.0001E+0,
     * 9.9979E-1, 1.0025E+0, 1.0044E+0, 1.0000E+0, 1.0000E+0, 1.0106E+0,
     * 1.0095E+0, 1.0078E+0, 1.0054E+0, 1.0038E+0, 1.0025E+0, 1.0017E+0,
     * 1.0014E+0, 1.0012E+0, 1.0009E+0, 1.0006E+0, 1.0003E+0, 1.0002E+0,
     * 9.9983E-1, 1.0025E+0, 1.0044E+0, 1.0000E+0, 1.0000E+0, 1.0511E+0,
     * 1.0462E+0, 1.0389E+0, 1.0278E+0, 1.0194E+0, 1.0127E+0, 1.0086E+0,
     * 1.0071E+0, 1.0059E+0, 1.0046E+0, 1.0032E+0, 1.0017E+0, 1.0008E+0,
     * 1.0001E+0, 1.0026E+0, 1.0044E+0, 1.0000E+0, 1.0000E+0, 1.1389E+0,
     * 1.1277E+0, 1.1102E+0, 1.0827E+0, 1.0604E+0, 1.0387E+0, 1.0262E+0,
     * 1.0215E+0, 1.0179E+0, 1.0137E+0, 1.0095E+0, 1.0050E+0, 1.0025E+0,
     * 1.0007E+0, 1.0028E+0, 1.0044E+0, 1.0000E+0, 1.0000E+0, 1.4271E+0,
     * 1.3965E+0, 1.3485E+0, 1.2712E+0, 1.2060E+0, 1.1375E+0, 1.0902E+0,
     * 1.0735E+0, 1.0606E+0, 1.0461E+0, 1.0317E+0, 1.0166E+0/           
      DATA X1201/ 1.0081E+0, 1.0030E+0, 1.0034E+0, 1.0045E+0, 1.0000E+0,
     * 1.0000E+0, 2.2621E+0, 2.1779E+0, 2.0450E+0, 1.8287E+0, 1.6421E+0,
     * 1.4394E+0, 1.2893E+0, 1.2300E+0, 1.1861E+0, 1.1383E+0, 1.0931E+0,
     * 1.0476E+0, 1.0227E+0, 1.0085E+0, 1.0048E+0, 1.0048E+0, 1.0000E+0,
     * 9.9999E-1, 3.1196E+0, 2.9890E+0, 2.7816E+0, 2.4406E+0, 2.1412E+0,
     * 1.8067E+0, 1.5462E+0, 1.4359E+0, 1.3473E+0, 1.2534E+0, 1.1674E+0,
     * 1.0839E+0, 1.0392E+0, 1.0144E+0, 1.0060E+0, 1.0048E+0, 9.9992E-1,
     * 9.9995E-1, 2.8856E+0, 2.7848E+0, 2.6236E+0, 2.3548E+0, 2.1137E+0,
     * 1.8350E+0, 1.6054E+0, 1.5016E+0, 1.4121E+0, 1.3025E+0, 1.2020E+0,
     * 1.1026E+0, 1.0476E+0, 1.0164E+0, 1.0053E+0, 1.0040E+0, 9.9958E-1,
     * 9.9986E-1, 2.5161E+0, 2.4289E+0, 2.2902E+0, 2.0614E+0, 1.8593E+0,
     * 1.6315E+0, 1.4512E+0, 1.3734E+0, 1.3096E+0, 1.2387E+0, 1.1680E+0,
     * 1.0889E+0, 1.0396E+0, 1.0101E+0, 1.0009E+0, 1.0018E+0, 9.9885E-1,
     * 9.9970E-1, 1.7750E+0, 1.7356E+0, 1.6727E+0, 1.5685E+0, 1.4758E+0,
     * 1.3703E+0, 1.2853E+0, 1.2479E+0, 1.2165E+0, 1.1761E+0, 1.1284E+0,
     * 1.0659E+0, 1.0231E+0, 9.9810E-1, 9.9383E-1, 9.9866E-1, 9.9787E-1,
     * 9.9949E-1, 1.4617E+0, 1.4456E+0, 1.4194E+0, 1.3740E+0/           
      DATA X1301/ 1.3312E+0, 1.2779E+0, 1.2289E+0, 1.2042E+0, 1.1803E+0,
     * 1.1460E+0, 1.1023E+0, 1.0427E+0, 1.0032E+0, 9.8328E-1, 9.8530E-1,
     * 9.9501E-1, 9.9677E-1, 9.9926E-1, 1.4399E+0, 1.4405E+0, 1.4367E+0,
     * 1.4151E+0, 1.3744E+0, 1.2904E+0, 1.1724E+0, 1.3644E+0, 1.1672E+0,
     * 1.1294E+0, 1.0825E+0, 1.0217E+0, 9.8464E-1, 9.6960E-1, 9.7762E-1,
     * 9.9178E-1, 9.9581E-1, 9.9906E-1, 1.9668E+0, 1.8789E+0, 1.7458E+0,
     * 1.5490E+0, 1.4071E+0, 1.3034E+0, 1.1711E+0, 1.3578E+0, 1.1567E+0,
     * 1.1148E+0, 1.0648E+0, 1.0033E+0, 9.6866E-1, 9.5811E-1, 9.7128E-1,
     * 9.8915E-1, 9.9503E-1, 9.9890E-1, 1.2516E+0, 1.3753E+0, 1.5222E+0,
     * 1.5999E+0, 1.4376E+0, 1.3129E+0, 1.1679E+0, 1.3503E+0, 1.1461E+0,
     * 1.1012E+0, 1.0492E+0, 9.8763E-1, 9.5549E-1, 9.4882E-1, 9.6622E-1,
     * 9.8707E-1, 9.9442E-1, 9.9878E-1, 1.0896E+0, 1.3143E+0, 1.5658E+0,
     * 1.6309E+0, 1.4544E+0, 1.3167E+0, 1.1645E+0, 1.3444E+0, 1.1386E+0,
     * 1.0920E+0, 1.0391E+0, 9.7787E-1, 9.4742E-1, 9.4319E-1, 9.6318E-1,
     * 9.8582E-1, 9.9406E-1, 9.9870E-1, 1.1134E+0, 1.3426E+0, 1.5943E+0,
     * 1.6499E+0, 1.4642E+0, 1.3184E+0, 1.1616E+0, 1.3400E+0, 1.1332E+0,
     * 1.0857E+0, 1.0323E+0, 9.7146E-1, 9.4218E-1, 9.3956E-1/           
      DATA X1401/ 9.6123E-1, 9.8502E-1, 9.9382E-1, 9.9865E-1, 1.0001E+0,
     * 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0018E+0,
     * 1.0015E+0, 1.0012E+0, 1.0008E+0, 1.0005E+0, 1.0004E+0, 1.0003E+0,
     * 1.0002E+0, 1.0002E+0, 1.0002E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0041E+0,
     * 1.0035E+0, 1.0027E+0, 1.0018E+0, 1.0013E+0, 1.0008E+0, 1.0006E+0,
     * 1.0005E+0, 1.0004E+0, 1.0003E+0, 1.0003E+0, 1.0002E+0, 1.0001E+0,
     * 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0112E+0,
     * 1.0098E+0, 1.0078E+0, 1.0052E+0, 1.0036E+0, 1.0024E+0, 1.0017E+0,
     * 1.0014E+0, 1.0012E+0, 1.0010E+0, 1.0007E+0, 1.0005E+0, 1.0003E+0,
     * 1.0002E+0, 1.0001E+0, 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0527E+0,
     * 1.0474E+0, 1.0394E+0, 1.0274E+0, 1.0187E+0, 1.0121E+0, 1.0085E+0,
     * 1.0071E+0, 1.0061E+0, 1.0049E+0, 1.0036E+0, 1.0023E+0, 1.0015E+0,
     * 1.0009E+0, 1.0005E+0, 1.0003E+0, 1.0001E+0, 1.0000E+0, 1.1517E+0,
     * 1.1388E+0, 1.1188E+0, 1.0877E+0, 1.0627E+0, 1.0391E+0/           
      DATA X1501/ 1.0266E+0, 1.0221E+0, 1.0187E+0, 1.0148E+0, 1.0110E+0,
     * 1.0069E+0, 1.0043E+0, 1.0027E+0, 1.0015E+0, 1.0008E+0, 1.0003E+0,
     * 1.0001E+0, 1.6401E+0, 1.5896E+0, 1.5107E+0, 1.3850E+0, 1.2807E+0,
     * 1.1746E+0, 1.1063E+0, 1.0850E+0, 1.0696E+0, 1.0531E+0, 1.0377E+0,
     * 1.0223E+0, 1.0136E+0, 1.0082E+0, 1.0047E+0, 1.0024E+0, 1.0010E+0,
     * 1.0003E+0, 7.1954E+0, 6.6747E+0, 5.8603E+0, 4.5618E+0, 3.4789E+0,
     * 2.3702E+0, 1.6446E+0, 1.4116E+0, 1.2909E+0, 1.1909E+0, 1.1177E+0,
     * 1.0597E+0, 1.0331E+0, 1.0190E+0, 1.0111E+0, 1.0060E+0, 1.0026E+0,
     * 1.0008E+0, 5.9052E+1, 5.4191E+1, 4.6563E+1, 3.4328E+1, 2.4015E+1,
     * 1.3253E+1, 5.9064E+0, 3.3536E+0, 1.8031E+0, 1.3749E+0, 1.1929E+0,
     * 1.0878E+0, 1.0476E+0, 1.0281E+0, 1.0173E+0, 1.0100E+0, 1.0045E+0,
     * 1.0015E+0, 2.8716E+0, 2.7616E+0, 2.5863E+0, 2.2962E+0, 2.0389E+0,
     * 1.7467E+0, 1.5126E+0, 1.4102E+0, 1.3248E+0, 1.2268E+0, 1.1556E+0,
     * 1.0950E+0, 1.0634E+0, 1.0440E+0, 1.0300E+0, 1.0180E+0, 1.0082E+0,
     * 1.0026E+0, 4.1237E+1, 3.7861E+1, 3.2566E+1, 2.4076E+1, 1.6924E+1,
     * 9.4700E+0, 4.3961E+0, 2.6414E+0, 1.5849E+0, 1.3230E+0, 1.2166E+0,
     * 1.1490E+0, 1.1154E+0, 1.0919E+0, 1.0688E+0, 1.0435E+0/           
      DATA X1601/ 1.0204E+0, 1.0068E+0, 6.6482E+0, 6.1792E+0, 5.4464E+0,
     * 4.2806E+0, 3.3121E+0, 2.3276E+0, 1.6937E+0, 1.4968E+0, 1.4027E+0,
     * 1.3270E+0, 1.2710E+0, 1.2225E+0, 1.1941E+0, 1.1692E+0, 1.1348E+0,
     * 1.0881E+0, 1.0425E+0, 1.0146E+0, 2.3254E+0, 2.2341E+0, 2.0920E+0,
     * 1.8675E+0, 1.6834E+0, 1.5007E+0, 1.3898E+0, 1.3598E+0, 1.3396E+0,
     * 1.3198E+0, 1.3034E+0, 1.2886E+0, 1.2774E+0, 1.2588E+0, 1.2155E+0,
     * 1.1443E+0, 1.0709E+0, 1.0248E+0, 1.6957E+0, 1.6507E+0, 1.5824E+0,
     * 1.4803E+0, 1.4050E+0, 1.3464E+0, 1.3355E+0, 1.2918E+0, 1.3199E+0,
     * 1.3214E+0, 1.3271E+0, 1.3386E+0, 1.3448E+0, 1.3355E+0, 1.2874E+0,
     * 1.1956E+0, 1.0973E+0, 1.0344E+0, 1.4172E+0, 1.3976E+0, 1.3686E+0,
     * 1.3280E+0, 1.3022E+0, 1.2909E+0, 1.3072E+0, 1.2756E+0, 1.3125E+0,
     * 1.3258E+0, 1.3454E+0, 1.3758E+0, 1.3963E+0, 1.3957E+0, 1.3454E+0,
     * 1.2379E+0, 1.1194E+0, 1.0427E+0, 1.4276E+0, 1.3813E+0, 1.3191E+0,
     * 1.2545E+0, 1.2509E+0, 1.2606E+0, 1.2912E+0, 1.2668E+0, 1.3090E+0,
     * 1.3300E+0, 1.3591E+0, 1.4033E+0, 1.4349E+0, 1.4418E+0, 1.3907E+0,
     * 1.2714E+0, 1.1372E+0, 1.0493E+0, 1.4039E+0, 1.3417E+0, 1.2664E+0,
     * 1.2209E+0, 1.2264E+0, 1.2454E+0, 1.2830E+0, 1.2623E+0/           
      DATA X1701/ 1.3073E+0, 1.3324E+0, 1.3667E+0, 1.4187E+0, 1.4569E+0,
     * 1.4685E+0, 1.4174E+0, 1.2913E+0, 1.1479E+0, 1.0534E+0, 1.3650E+0,
     * 1.3008E+0, 1.2373E+0, 1.2020E+0, 1.2122E+0, 1.2365E+0, 1.2780E+0,
     * 1.2596E+0, 1.3061E+0, 1.3337E+0, 1.3712E+0, 1.4282E+0, 1.4706E+0,
     * 1.4853E+0, 1.4343E+0, 1.3041E+0, 1.1548E+0, 1.0560E+0, 9.9997E-1,
     * 9.9998E-1, 9.9999E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9880E-1,
     * 9.9900E-1, 9.9924E-1, 9.9951E-1, 9.9967E-1, 9.9980E-1, 9.9987E-1,
     * 9.9990E-1, 9.9992E-1, 9.9994E-1, 9.9997E-1, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 9.9722E-1,
     * 9.9764E-1, 9.9821E-1, 9.9885E-1, 9.9922E-1, 9.9951E-1, 9.9968E-1,
     * 9.9974E-1, 9.9979E-1, 9.9985E-1, 9.9992E-1, 9.9999E-1, 1.0000E+0,
     * 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0002E+0, 9.9249E-1,
     * 9.9343E-1, 9.9481E-1, 9.9667E-1, 9.9774E-1, 9.9858E-1, 9.9906E-1,
     * 9.9925E-1, 9.9939E-1, 9.9956E-1, 9.9974E-1, 9.9995E-1, 1.0001E+0,
     * 1.0002E+0, 1.0003E+0, 1.0003E+0, 1.0004E+0, 1.0004E+0/           
      DATA X1801/ 9.6621E-1, 9.6967E-1, 9.7491E-1, 9.8270E-1, 9.8840E-1,
     * 9.9274E-1, 9.9524E-1, 9.9617E-1, 9.9691E-1, 9.9777E-1, 9.9868E-1,
     * 9.9973E-1, 1.0005E+0, 1.0010E+0, 1.0014E+0, 1.0017E+0, 1.0018E+0,
     * 1.0020E+0, 9.0971E-1, 9.1739E-1, 9.2932E-1, 9.4798E-1, 9.6303E-1,
     * 9.7747E-1, 9.8550E-1, 9.8842E-1, 9.9072E-1, 9.9339E-1, 9.9614E-1,
     * 9.9930E-1, 1.0014E+0, 1.0030E+0, 1.0042E+0, 1.0049E+0, 1.0054E+0,
     * 1.0058E+0, 6.9101E-1, 7.1483E-1, 7.5213E-1, 8.1178E-1, 8.6187E-1,
     * 9.1372E-1, 9.4851E-1, 9.6024E-1, 9.6907E-1, 9.7895E-1, 9.8865E-1,
     * 9.9917E-1, 1.0058E+0, 1.0105E+0, 1.0137E+0, 1.0157E+0, 1.0171E+0,
     * 1.0182E+0,-5.6741E-1,-4.4385E-1,-2.4976E-1, 6.2107E-2, 3.2585E-1,
     * 6.0255E-1, 7.9366E-1, 8.6143E-1, 9.0409E-1, 9.4480E-1, 9.7860E-1,
     * 1.0090E+0, 1.0249E+0, 1.0345E+0, 1.0405E+0, 1.0439E+0, 1.0463E+0,
     * 1.0481E+0,-5.9369E+0,-5.3776E+0,-4.4980E+0,-3.0810E+0,-1.8775E+0,
     *-6.0499E-1, 2.8786E-1, 6.1297E-1, 8.2669E-1, 9.3800E-1, 1.0007E+0,
     * 1.0442E+0, 1.0639E+0, 1.0754E+0, 1.0827E+0, 1.0871E+0, 1.0902E+0,
     * 1.0928E+0, 6.4421E-1, 6.6861E-1, 7.0770E-1, 7.7310E-1, 8.3211E-1,
     * 9.0085E-1, 9.5824E-1, 9.8459E-1, 1.0076E+0, 1.0365E+0/           
      DATA X1901/ 1.0651E+0, 1.0967E+0, 1.1177E+0, 1.1337E+0, 1.1461E+0,
     * 1.1544E+0, 1.1606E+0, 1.1658E+0,-6.2090E+0,-5.6261E+0,-4.7094E+0,
     *-3.2320E+0,-1.9764E+0,-6.4748E-1, 2.8700E-1, 6.2848E-1, 8.5421E-1,
     * 9.7551E-1, 1.0498E+0, 1.1101E+0, 1.1452E+0, 1.1718E+0, 1.1926E+0,
     * 1.2067E+0, 1.2171E+0, 1.2258E+0,-9.4321E-1,-7.8610E-1,-5.3944E-1,
     *-1.4334E-1, 1.9123E-1, 5.4156E-1, 7.8249E-1, 8.6731E-1, 9.2002E-1,
     * 9.7124E-1, 1.0166E+0, 1.0645E+0, 1.0979E+0, 1.1259E+0, 1.1493E+0,
     * 1.1656E+0, 1.1778E+0, 1.1880E+0, 4.0217E-1, 4.4326E-1, 5.0758E-1,
     * 6.1027E-1, 6.9615E-1, 7.8448E-1, 8.4290E-1, 8.6206E-1, 8.7673E-1,
     * 8.9392E-1, 9.1259E-1, 9.3748E-1, 9.5882E-1, 9.7932E-1, 9.9793E-1,
     * 1.0115E+0, 1.0220E+0, 1.0309E+0, 6.0620E-1, 6.1863E-1, 6.3786E-1,
     * 6.6779E-1, 6.9170E-1, 7.1422E-1, 7.2603E-1, 7.3065E-1, 7.3460E-1,
     * 7.3984E-1, 7.4649E-1, 7.5722E-1, 7.6814E-1, 7.7992E-1, 7.9150E-1,
     * 8.0036E-1, 8.0741E-1, 8.1352E-1, 5.4378E-1, 5.4596E-1, 5.4913E-1,
     * 5.5336E-1, 5.5569E-1, 5.5584E-1, 5.5576E-1, 5.5590E-1, 5.5616E-1,
     * 5.5680E-1, 5.5810E-1, 5.6129E-1, 5.6556E-1, 5.7095E-1, 5.7681E-1,
     * 5.8157E-1, 5.8549E-1, 5.8897E-1, 3.9806E-1, 3.9648E-1/           
      DATA X2001/ 3.9386E-1, 3.8919E-1, 3.8458E-1, 3.7991E-1, 3.7682E-1,
     * 3.7564E-1, 3.7474E-1, 3.7377E-1, 3.7298E-1, 3.7272E-1, 3.7350E-1,
     * 3.7517E-1, 3.7742E-1, 3.7944E-1, 3.8121E-1, 3.8283E-1, 2.7446E-1,
     * 2.7223E-1, 2.6866E-1, 2.6273E-1, 2.5801E-1, 2.5348E-1, 2.5042E-1,
     * 2.4921E-1, 2.4823E-1, 2.4708E-1, 2.4592E-1, 2.4482E-1, 2.4449E-1,
     * 2.4480E-1, 2.4558E-1, 2.4642E-1, 2.4721E-1, 2.4797E-1, 1.8053E-1,
     * 1.7854E-1, 1.7540E-1, 1.7064E-1, 1.6702E-1, 1.6357E-1, 1.6121E-1,
     * 1.6026E-1, 1.5948E-1, 1.5853E-1, 1.5753E-1, 1.5644E-1, 1.5588E-1,
     * 1.5573E-1, 1.5593E-1, 1.5626E-1, 1.5661E-1, 1.5696E-1, 5.3333E-5,
     * 5.6952E-5, 6.3018E-5, 7.3966E-5, 8.4837E-5, 9.9044E-5, 1.1278E-4,
     * 1.1999E-4, 1.2703E-4, 1.3753E-4, 1.5252E-4, 1.8010E-4, 2.1316E-4,
     * 2.5790E-4, 3.1689E-4, 3.8126E-4, 4.5478E-4, 5.4876E-4, 5.3343E-5,
     * 5.6962E-5, 6.3028E-5, 7.3975E-5, 8.4847E-5, 9.9054E-5, 1.1279E-4,
     * 1.2000E-4, 1.2704E-4, 1.3754E-4, 1.5253E-4, 1.8011E-4, 2.1317E-4,
     * 2.5791E-4, 3.1690E-4, 3.8127E-4, 4.5479E-4, 5.4877E-4, 5.3341E-5,
     * 5.6975E-5, 6.3041E-5, 7.3989E-5, 8.4860E-5, 9.9067E-5, 1.1280E-4,
     * 1.2002E-4, 1.2706E-4, 1.3755E-4, 1.5255E-4, 1.8012E-4/           
      DATA X2101/ 2.1318E-4, 2.5792E-4, 3.1691E-4, 3.8128E-4, 4.5481E-4,
     * 5.4879E-4, 5.3290E-5, 5.6970E-5, 6.3085E-5, 7.4032E-5, 8.4904E-5,
     * 9.9111E-5, 1.1285E-4, 1.2006E-4, 1.2710E-4, 1.3760E-4, 1.5259E-4,
     * 1.8017E-4, 2.1323E-4, 2.5797E-4, 3.1695E-4, 3.8133E-4, 4.5485E-4,
     * 5.4883E-4, 5.3266E-5, 5.7027E-5, 6.3250E-5, 7.4307E-5, 8.5179E-5,
     * 9.9386E-5, 1.1312E-4, 1.2033E-4, 1.2738E-4, 1.3787E-4, 1.5287E-4,
     * 1.8044E-4, 2.1350E-4, 2.5824E-4, 3.1723E-4, 3.8160E-4, 4.5512E-4,
     * 5.4910E-4, 5.3522E-5, 5.7373E-5, 6.3726E-5, 7.4955E-5, 8.5919E-5,
     * 1.0013E-4, 1.1386E-4, 1.2107E-4, 1.2812E-4, 1.3861E-4, 1.5361E-4,
     * 1.8118E-4, 2.1424E-4, 2.5898E-4, 3.1797E-4, 3.8234E-4, 4.5586E-4,
     * 5.4984E-4, 5.6202E-5, 6.0122E-5, 6.6579E-5, 7.7960E-5, 8.9033E-5,
     * 1.0332E-4, 1.1706E-4, 1.2427E-4, 1.3131E-4, 1.4180E-4, 1.5680E-4,
     * 1.8438E-4, 2.1744E-4, 2.6217E-4, 3.2116E-4, 3.8554E-4, 4.5906E-4,
     * 5.5304E-4, 7.0449E-5, 7.4401E-5, 8.0916E-5, 9.2383E-5, 1.0352E-4,
     * 1.1786E-4, 1.3162E-4, 1.3883E-4, 1.4587E-4, 1.5637E-4, 1.7136E-4,
     * 1.9894E-4, 2.3200E-4, 2.7674E-4, 3.3573E-4, 4.0010E-4, 4.7362E-4,
     * 5.6760E-4, 1.0939E-4, 1.1336E-4, 1.1988E-4, 1.3137E-4/           
      DATA X2201/ 1.4252E-4, 1.5688E-4, 1.7066E-4, 1.7787E-4, 1.8491E-4,
     * 1.9541E-4, 2.1040E-4, 2.3798E-4, 2.7104E-4, 3.1578E-4, 3.7476E-4,
     * 4.3914E-4, 5.1266E-4, 6.0664E-4, 1.9622E-4, 2.0016E-4, 2.0666E-4,
     * 2.1811E-4, 2.2923E-4, 2.4355E-4, 2.5730E-4, 2.6451E-4, 2.7154E-4,
     * 2.8204E-4, 2.9703E-4, 3.2461E-4, 3.5767E-4, 4.0241E-4, 4.6140E-4,
     * 5.2577E-4, 5.9929E-4, 6.9327E-4, 3.3550E-4, 3.3947E-4, 3.4600E-4,
     * 3.5748E-4, 3.6864E-4, 3.8301E-4, 3.9678E-4, 4.0399E-4, 4.1103E-4,
     * 4.2153E-4, 4.3652E-4, 4.6410E-4, 4.9716E-4, 5.4190E-4, 6.0089E-4,
     * 6.6526E-4, 7.3878E-4, 8.3276E-4, 5.3794E-4, 5.4204E-4, 5.4884E-4,
     * 5.6078E-4, 5.7239E-4, 5.8733E-4, 6.0165E-4, 6.0917E-4, 6.1650E-4,
     * 6.2744E-4, 6.4305E-4, 6.7178E-4, 7.0622E-4, 7.5282E-4, 8.1427E-4,
     * 8.8132E-4, 9.5791E-4, 1.0558E-3, 8.5071E-4, 8.5480E-4, 8.6153E-4,
     * 8.7338E-4, 8.8491E-4, 8.9979E-4, 9.1410E-4, 9.2161E-4, 9.2895E-4,
     * 9.3988E-4, 9.5550E-4, 9.8423E-4, 1.0187E-3, 1.0653E-3, 1.1267E-3,
     * 1.1938E-3, 1.2704E-3, 1.3682E-3, 1.3464E-3, 1.3504E-3, 1.3571E-3,
     * 1.3688E-3, 1.3802E-3, 1.3950E-3, 1.4093E-3, 1.4168E-3, 1.4241E-3,
     * 1.4351E-3, 1.4507E-3, 1.4794E-3, 1.5139E-3, 1.5605E-3/           
      DATA X2301/ 1.6219E-3, 1.6890E-3, 1.7655E-3, 1.8634E-3, 2.0537E-3,
     * 2.0577E-3, 2.0641E-3, 2.0757E-3, 2.0870E-3, 2.1018E-3, 2.1161E-3,
     * 2.1236E-3, 2.1309E-3, 2.1419E-3, 2.1575E-3, 2.1862E-3, 2.2206E-3,
     * 2.2673E-3, 2.3287E-3, 2.3958E-3, 2.4723E-3, 2.5702E-3, 2.9491E-3,
     * 2.9529E-3, 2.9593E-3, 2.9707E-3, 2.9820E-3, 2.9968E-3, 3.0111E-3,
     * 3.0186E-3, 3.0260E-3, 3.0369E-3, 3.0525E-3, 3.0812E-3, 3.1157E-3,
     * 3.1623E-3, 3.2237E-3, 3.2908E-3, 3.3674E-3, 3.4653E-3, 3.6966E-3,
     * 3.7004E-3, 3.7067E-3, 3.7181E-3, 3.7294E-3, 3.7442E-3, 3.7585E-3,
     * 3.7661E-3, 3.7734E-3, 3.7843E-3, 3.7999E-3, 3.8287E-3, 3.8631E-3,
     * 3.9097E-3, 3.9711E-3, 4.0382E-3, 4.1148E-3, 4.2127E-3, 4.2864E-3,
     * 4.2902E-3, 4.2965E-3, 4.3079E-3, 4.3193E-3, 4.3341E-3, 4.3484E-3,
     * 4.3559E-3, 4.3632E-3, 4.3742E-3, 4.3898E-3, 4.4185E-3, 4.4529E-3,
     * 4.4995E-3, 4.5610E-3, 4.6280E-3, 4.7046E-3, 4.8025E-3, 5.9747E-5,
     * 6.4015E-5, 7.1128E-5, 8.3931E-5, 9.6734E-5, 1.1380E-4, 1.3088E-4,
     * 1.4012E-4, 1.4734E-4, 1.5938E-4, 1.7834E-4, 2.1811E-4, 2.7190E-4,
     * 3.4458E-4, 4.2796E-4, 5.2231E-4, 6.3394E-4, 7.8186E-4, 5.9748E-5,
     * 6.4015E-5, 7.1128E-5, 8.3931E-5, 9.6734E-5, 1.1380E-4/           
      DATA X2401/ 1.3088E-4, 1.4012E-4, 1.4734E-4, 1.5938E-4, 1.7834E-4,
     * 2.1811E-4, 2.7190E-4, 3.4458E-4, 4.2796E-4, 5.2231E-4, 6.3394E-4,
     * 7.8186E-4, 5.9748E-5, 6.4015E-5, 7.1128E-5, 8.3931E-5, 9.6734E-5,
     * 1.1380E-4, 1.3088E-4, 1.4012E-4, 1.4734E-4, 1.5938E-4, 1.7834E-4,
     * 2.1811E-4, 2.7190E-4, 3.4458E-4, 4.2796E-4, 5.2231E-4, 6.3394E-4,
     * 7.8186E-4, 5.9748E-5, 6.4016E-5, 7.1129E-5, 8.3932E-5, 9.6735E-5,
     * 1.1381E-4, 1.3088E-4, 1.4012E-4, 1.4734E-4, 1.5939E-4, 1.7834E-4,
     * 2.1811E-4, 2.7190E-4, 3.4458E-4, 4.2796E-4, 5.2231E-4, 6.3394E-4,
     * 7.8186E-4, 6.1127E-5, 6.5395E-5, 7.2508E-5, 8.5311E-5, 9.8114E-5,
     * 1.1518E-4, 1.3226E-4, 1.4150E-4, 1.4872E-4, 1.6076E-4, 1.7972E-4,
     * 2.1949E-4, 2.7328E-4, 3.4596E-4, 4.2934E-4, 5.2369E-4, 6.3532E-4,
     * 7.8324E-4, 6.4382E-5, 6.8650E-5, 7.5763E-5, 8.8566E-5, 1.0137E-4,
     * 1.1844E-4, 1.3551E-4, 1.4476E-4, 1.5198E-4, 1.6402E-4, 1.8298E-4,
     * 2.2275E-4, 2.7653E-4, 3.4922E-4, 4.3260E-4, 5.2694E-4, 6.3858E-4,
     * 7.8650E-4, 7.6684E-5, 8.0952E-5, 8.8066E-5, 1.0087E-4, 1.1367E-4,
     * 1.3074E-4, 1.4781E-4, 1.5706E-4, 1.6428E-4, 1.7632E-4, 1.9528E-4,
     * 2.3505E-4, 2.8883E-4, 3.6152E-4, 4.4490E-4, 5.3925E-4/           
      DATA X2501/ 6.5088E-4, 7.9880E-4, 5.1025E-5, 6.2734E-5, 8.1301E-5,
     * 1.1169E-4, 1.3820E-4, 1.6750E-4, 1.8989E-4, 1.9913E-4, 2.0636E-4,
     * 2.1840E-4, 2.3736E-4, 2.7713E-4, 3.3091E-4, 4.0359E-4, 4.8697E-4,
     * 5.8132E-4, 6.9295E-4, 8.4087E-4, 2.3710E-4, 2.3845E-4, 2.4094E-4,
     * 2.4614E-4, 2.5224E-4, 2.6181E-4, 2.7300E-4, 2.7975E-4, 2.8697E-4,
     * 2.9901E-4, 3.1797E-4, 3.5774E-4, 4.1152E-4, 4.8421E-4, 5.6759E-4,
     * 6.6193E-4, 7.7357E-4, 9.2149E-4, 3.5996E-4, 3.6262E-4, 3.6714E-4,
     * 3.7560E-4, 3.8443E-4, 3.9682E-4, 4.0989E-4, 4.1726E-4, 4.2483E-4,
     * 4.3687E-4, 4.5583E-4, 4.9560E-4, 5.4938E-4, 6.2207E-4, 7.0545E-4,
     * 7.9980E-4, 9.1143E-4, 1.0593E-3, 5.7035E-4, 5.7171E-4, 5.7421E-4,
     * 5.7939E-4, 5.8550E-4, 5.9507E-4, 6.0626E-4, 6.1301E-4, 6.2023E-4,
     * 6.3227E-4, 6.5123E-4, 6.9100E-4, 7.4478E-4, 8.1747E-4, 9.0085E-4,
     * 9.9519E-4, 1.1068E-3, 1.2547E-3, 6.7437E-4, 6.8606E-4, 7.0465E-4,
     * 7.3503E-4, 7.6155E-4, 7.9085E-4, 8.1324E-4, 8.2248E-4, 8.2970E-4,
     * 8.4175E-4, 8.6071E-4, 9.0047E-4, 9.5426E-4, 1.0269E-3, 1.1103E-3,
     * 1.2047E-3, 1.3163E-3, 1.4642E-3, 9.5339E-4, 9.5766E-4, 9.6477E-4,
     * 9.7756E-4, 9.9036E-4, 1.0074E-3, 1.0245E-3, 1.0337E-3/           
      DATA X2601/ 1.0410E-3, 1.0530E-3, 1.0720E-3, 1.1117E-3, 1.1655E-3,
     * 1.2382E-3, 1.3216E-3, 1.4159E-3, 1.5276E-3, 1.6755E-3, 1.1275E-3,
     * 1.1317E-3, 1.1389E-3, 1.1517E-3, 1.1645E-3, 1.1815E-3, 1.1986E-3,
     * 1.2078E-3, 1.2151E-3, 1.2271E-3, 1.2461E-3, 1.2858E-3, 1.3396E-3,
     * 1.4123E-3, 1.4957E-3, 1.5900E-3, 1.7017E-3, 1.8496E-3, 1.2641E-3,
     * 1.2684E-3, 1.2755E-3, 1.2883E-3, 1.3011E-3, 1.3181E-3, 1.3352E-3,
     * 1.3445E-3, 1.3517E-3, 1.3637E-3, 1.3827E-3, 1.4225E-3, 1.4762E-3,
     * 1.5489E-3, 1.6323E-3, 1.7266E-3, 1.8383E-3, 1.9862E-3, 1.3699E-3,
     * 1.3741E-3, 1.3813E-3, 1.3941E-3, 1.4069E-3, 1.4239E-3, 1.4410E-3,
     * 1.4503E-3, 1.4575E-3, 1.4695E-3, 1.4885E-3, 1.5282E-3, 1.5820E-3,
     * 1.6547E-3, 1.7381E-3, 1.8324E-3, 1.9441E-3, 2.0920E-3, 1.4323E-3,
     * 1.4366E-3, 1.4437E-3, 1.4565E-3, 1.4693E-3, 1.4864E-3, 1.5034E-3,
     * 1.5127E-3, 1.5199E-3, 1.5319E-3, 1.5509E-3, 1.5907E-3, 1.6444E-3,
     * 1.7171E-3, 1.8005E-3, 1.8949E-3, 2.0065E-3, 2.1544E-3, 1.4720E-3,
     * 1.4763E-3, 1.4834E-3, 1.4962E-3, 1.5090E-3, 1.5261E-3, 1.5432E-3,
     * 1.5524E-3, 1.5596E-3, 1.5717E-3, 1.5906E-3, 1.6304E-3, 1.6842E-3,
     * 1.7569E-3, 1.8403E-3, 1.9346E-3, 2.0462E-3, 2.1942E-3/           
      DATA X2701/ 4.2000E-1, 4.3000E-1, 4.5000E-1, 4.7500E-1, 5.0000E-1,
     * 5.3000E-1, 5.6000E-1, 6.0000E-1, 6.5000E-1, 7.0000E-1, 7.5000E-1,
     * 8.0000E-1, 8.5000E-1, 9.0000E-1, 9.5000E-1, 9.7000E-1, 9.8200E-1,
     * 9.9000E-1, 9.9500E-1, 9.9800E-1, 9.9900E-1, 1.0000E+0, 4.5805E-4,
     * 6.3183E-4, 1.1488E-3, 2.2485E-3, 4.0928E-3, 7.7431E-3, 1.3596E-2,
     * 2.6187E-2, 5.2612E-2, 9.5220E-2, 1.5901E-1, 2.4928E-1, 3.7154E-1,
     * 5.3175E-1, 7.3740E-1, 8.3475E-1, 8.9794E-1, 9.4223E-1, 9.7084E-1,
     * 9.8837E-1, 9.9427E-1, 1.0000E+0, 2.9128E+0, 2.8965E+0, 2.8637E+0,
     * 2.8223E+0, 2.7804E+0, 2.7294E+0, 2.6774E+0, 2.6063E+0, 2.5137E+0,
     * 2.4153E+0, 2.3092E+0, 2.1922E+0, 2.0590E+0, 1.8988E+0, 1.6819E+0,
     * 1.5564E+0, 1.4527E+0, 1.3552E+0, 1.2647E+0, 1.1787E+0, 1.1353E+0,
     * 1.0000E+0, 3.1936E-4, 4.3052E-4, 7.4912E-4, 1.3930E-3, 2.4184E-3,
     * 4.3449E-3, 7.2854E-3, 1.3308E-2, 2.5369E-2, 4.4244E-2, 7.2367E-2,
     * 1.1317E-1, 1.7213E-1, 2.5978E-1, 4.0501E-1, 5.0169E-1, 5.8793E-1,
     * 6.7429E-1, 7.5959E-1, 8.4918E-1, 9.1077E-1, 1.0000E+0, 1.3818E+1,
     * 1.3943E+1, 1.4198E+1, 1.4522E+1, 1.4846E+1, 1.5228E+1, 1.5597E+1,
     * 1.6063E+1, 1.6603E+1, 1.7100E+1, 1.7570E+1, 1.8029E+1/           
      DATA X2801/ 1.8489E+1, 1.8965E+1, 1.9498E+1, 1.9766E+1, 1.9972E+1,
     * 2.0154E+1, 2.0315E+1, 2.0462E+1, 2.0536E+1, 2.0790E+1, 2.7636E+1,
     * 2.7396E+1, 2.6954E+1, 2.6467E+1, 2.6039E+1, 2.5593E+1, 2.5205E+1,
     * 2.4761E+1, 2.4291E+1, 2.3888E+1, 2.3526E+1, 2.3188E+1, 2.2851E+1,
     * 2.2489E+1, 2.2037E+1, 2.1784E+1, 2.1577E+1, 2.1385E+1, 2.1205E+1,
     * 2.1028E+1, 2.0911E+1, 2.0790E+1, 5.8036E+0, 5.8566E+0, 5.9688E+0,
     * 6.1187E+0, 6.2769E+0, 6.4740E+0, 6.6759E+0, 6.9477E+0, 7.2875E+0,
     * 7.6282E+0, 7.9770E+0, 8.3443E+0, 8.7408E+0, 9.1806E+0, 9.7079E+0,
     * 9.9832E+0, 1.0196E+1, 1.0385E+1, 1.0551E+1, 1.0701E+1, 1.0777E+1,
     * 1.1033E+1, 1.1607E+1, 1.1642E+1, 1.1709E+1, 1.1793E+1, 1.1874E+1,
     * 1.1968E+1, 1.2057E+1, 1.2166E+1, 1.2285E+1, 1.2380E+1, 1.2444E+1,
     * 1.2471E+1, 1.2448E+1, 1.2352E+1, 1.2119E+1, 1.1940E+1, 1.1773E+1,
     * 1.1603E+1, 1.1437E+1, 1.1266E+1, 1.1152E+1, 1.1033E+1, 2.5983E-1,
     * 1.5478E+2, 5.0830E+0, 4.3250E-1, 1.0000E-3, 3.0000E-3, 1.0000E-3,
     * 1.0000E-3/                                                       
                                                                        
C**********************************************************************
	IGOTO = 4
	CALL FLUID(TEMP,PRES,DENS,PROPS,NP,ENTRY,VAPOR,ERROR,IGOTO)
C     CALL FLUID0(G,NG,GG,TT,DD,N1,N2,N3,SAT,NS,C,M)
C**********************************************************************
      RETURN                                                            
                                                                        
      END                                                               
