$LARGE
C	WRITTEN BY: THEODORE E. FESSLER, NASA TM X-3572, AUGUST 1977
C	REWRITTEN BY: LT. MARK D. KLEM & MARGARET P. PROCTOR, JANUARY 1986
C
C	THE ORIGINAL PROGRAM WAS WRITTEN IN SFTRAN, BUT THIS PROGRAM IS
C	REWRITTEN IN STANDARD FORTRAN 77 TO RUN PRIMARILY ON PERSONAL
C	COMPUTERS AND CAN ALSO RUN ON MAINFRAMES. MUCH OF THE OLD CODE WAS
C	COMMENTED OUT BUT LEFT INTACT FOR DOCUMENTATION AND REFERENCE
C	PURPOSES.
C
      SUBROUTINE PH2                                                    
C.....PARA-HYDROGEN TABLES FOR FLUID SUBPROGRAM.                        
                                                                        
C                -- UNITS --                                            
                                                                        
C       R = 4.1260  JOULES / GRAM - DEG. K      C(1)                    
C       TCRIT = 32.976 DEG. K                   C(2)                    
C       PCRIT = 1.298 MEGA-NEWTONS / METER**2   C(3)                    
C       DCRIT = 0.03143 GRAMS / CENTIMETER**3   C(4)                    
C       VISCOSITY = GRAMS / CENTIMETER - SEC.        PROP(7)            
C       CONDUCTIVITY = WATTS / CENTIMETER - DEG. K   PROP(8)            
                                                                        
C**********************************************************************
C     DIMENSION G(29,4),TT(20),DD(18),GG(20,18,8),SAT(22,8),C(8),M(4)
      DIMENSION G(29,4),TT(27),DD(30),GG(27,30,8),SAT(40,8),C(8),M(4)
	INTEGER ENTRY,ERROR
	DIMENSION PROPS(8)
	LOGICAL VAPOR
C**********************************************************************
      DIMENSION X0001(100),X0101(100),X0201(100),X0301(100),X0401(100), 
     *          X0501(100),X0601(100),X0701(100),X0801(100),X0901(100), 
     *          X1001(100),X1101(100),X1201(100),X1301(100),X1401(100), 
     *          X1501(100),X1601(100),X1701(100),X1801(100),X1901(100), 
     *          X2001(100),X2101(100),X2201(100),X2301(100),X2401(100), 
     *          X2501(100),X2601(100),X2701(100),X2801(100),X2901(100), 
     *          X3001(100),X3101(100),X3201(18)                         
                                                                        
      DIMENSION Z(3218)                                                 
C**********************************************************************
	COMMON /FLUDPC/ G,TT,DD,GG,SAT,C,M,NG,N1,N2,N3,NS
C**********************************************************************
      EQUIVALENCE (X0001,Z(0001)), (X0101,Z(0101)), (X0201,Z(0201)),    
     *            (X0301,Z(0301)), (X0401,Z(0401)), (X0501,Z(0501)),    
     *            (X0601,Z(0601)), (X0701,Z(0701)), (X0801,Z(0801)),    
     *            (X0901,Z(0901)), (X1001,Z(1001)), (X1101,Z(1101)),    
     *            (X1201,Z(1201)), (X1301,Z(1301)), (X1401,Z(1401)),    
     *            (X1501,Z(1501)), (X1601,Z(1601)), (X1701,Z(1701)),    
     *            (X1801,Z(1801)), (X1901,Z(1901)), (X2001,Z(2001)),    
     *            (X2101,Z(2101)), (X2201,Z(2201)), (X2301,Z(2301)),    
     *            (X2401,Z(2401)), (X2501,Z(2501)), (X2601,Z(2601)),    
     *            (X2701,Z(2701)), (X2801,Z(2801)), (X2901,Z(2901)),    
     *            (X3001,Z(3001)), (X3101,Z(3101)), (X3201,Z(3201))     
                                                                        
C**********************************************************************
C     EQUIVALENCE (G,Z(0001)),(TT,Z(0117)),(DD,Z(0137)),(GG,Z(0155)),
C    *            (SAT,Z(3035)),(C,Z(3211))
C      DATA NG,N1,N2,N3,NS/29,20,18,8,22/
	NG=29
	N1=20
	N2=18
	N3=8
	NS=22
	DO 20 I=1,4
		DO 10 J=1,29
			G(J,I)=Z(J+(I-1)*29)
 10		CONTINUE
 20	CONTINUE
	DO 30 I=1,20
		TT(I)= Z(I+116)
 30	CONTINUE
	DO 40 I=1,18
		DD(I)=Z(I+136)
 40	CONTINUE
	KK=154
	DO 70 I=1,8
		DO 60 J=1,18
			DO 50 K=1,20
				KK=KK+1
				GG(K,J,I)=Z(KK)
 50 			CONTINUE
 60		CONTINUE
 70	CONTINUE
	DO 90 I=1,8
		DO 80 J=1,22
			SAT(J,I)= Z(J+(I-1)*22+3034)
 80		CONTINUE
 90	CONTINUE
	DO 100 I=1,8
		C(I)=Z(I+3210)
 100	CONTINUE
C**********************************************************************
                                                                        
      DATA X0001/ 4.2500E-1, 5.0000E-1, 6.0000E-1, 7.5000E-1, 9.0000E-1,
     * 1.2000E+0, 1.5000E+0, 1.8000E+0, 2.2000E+0, 2.7000E+0, 3.4000E+0,
     * 4.0000E+0, 4.5000E+0, 5.0000E+0, 5.7000E+0, 6.5000E+0, 7.5000E+0,
     * 9.0000E+0, 1.1000E+1, 1.4000E+1, 1.8000E+1, 2.3000E+1, 3.0000E+1,
     * 3.8000E+1, 4.7000E+1, 5.8000E+1, 7.0000E+1, 8.3000E+1, 9.1000E+1,
     * 9.1109E+0, 9.3546E+0, 9.6279E+0, 9.9625E+0, 1.0236E+1, 1.0667E+1,
     * 1.1001E+1, 1.1280E+1, 1.1608E+1, 1.1990E+1, 1.2509E+1, 1.2939E+1,
     * 1.3277E+1, 1.3584E+1, 1.3966E+1, 1.4344E+1, 1.4744E+1, 1.5231E+1,
     * 1.5743E+1, 1.6349E+1, 1.6981E+1, 1.7604E+1, 1.8297E+1, 1.8935E+1,
     * 1.9535E+1, 2.0161E+1, 2.0753E+1, 2.1319E+1, 2.1635E+1, 6.1272E+0,
     * 6.2217E+0, 6.3475E+0, 6.5364E+0, 6.7252E+0, 7.1028E+0, 7.4802E+0,
     * 7.8659E+0, 8.4255E+0, 9.2415E+0, 1.0653E+1, 1.2100E+1, 1.3417E+1,
     * 1.4750E+1, 1.6627E+1, 1.8734E+1, 2.1285E+1, 2.4928E+1, 2.9554E+1,
     * 3.6369E+1, 4.5464E+1, 5.6982E+1, 7.3550E+1, 9.3249E+1, 1.1652E+2,
     * 1.4665E+2, 1.8159E+2, 2.2163E+2, 2.4723E+2, 1.4993E+0, 1.4992E+0,
     * 1.4992E+0, 1.4992E+0, 1.4992E+0, 1.4992E+0, 1.5006E+0, 1.5626E+0,
     * 1.7299E+0, 2.0260E+0, 2.4839E+0, 2.7979E+0, 2.9241E+0/           
      DATA X0101/ 2.9317E+0, 2.9045E+0, 2.8408E+0, 2.7405E+0, 2.6043E+0,
     * 2.5261E+0, 2.5100E+0, 2.5232E+0, 2.5684E+0, 2.6491E+0, 2.7590E+0,
     * 2.8947E+0, 3.0641E+0, 3.2374E+0, 3.3982E+0, 3.4801E+0, 4.2500E-1,
     * 4.5000E-1, 5.0000E-1, 5.9000E-1, 6.8000E-1, 8.0000E-1, 9.2000E-1,
     * 9.9000E-1, 1.0500E+0, 1.1500E+0, 1.3000E+0, 1.6000E+0, 2.0000E+0,
     * 3.0000E+0, 5.0000E+0, 9.0000E+0, 1.6000E+1, 3.0000E+1, 6.0000E+1,
     * 9.1000E+1, 1.0000E-5, 4.4000E-3, 6.5000E-3, 1.2800E-2, 3.5000E-2,
     * 7.2000E-2, 1.6800E-1, 3.6000E-1, 7.0000E-1, 1.0000E+0, 1.3000E+0,
     * 1.7000E+0, 1.9800E+0, 2.1800E+0, 2.2900E+0, 2.3800E+0, 2.4300E+0,
     * 2.4500E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0,
     * 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0,
     * 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0,
     * 1.2404E+0, 1.2404E+0, 1.2404E+0, 1.2299E+0, 1.2307E+0, 1.2320E+0,
     * 1.2338E+0, 1.2351E+0, 1.2363E+0, 1.2371E+0, 1.2375E+0, 1.2378E+0,
     * 1.2382E+0, 1.2386E+0, 1.2392E+0, 1.2396E+0, 1.2401E+0, 1.2403E+0,
     * 1.2404E+0, 1.2405E+0, 1.2405E+0, 1.2405E+0, 1.2405E+0, 1.2250E+0,
     * 1.2261E+0, 1.2281E+0, 1.2307E+0, 1.2326E+0, 1.2343E+0/           
      DATA X0201/ 1.2356E+0, 1.2361E+0, 1.2366E+0, 1.2371E+0, 1.2378E+0,
     * 1.2386E+0, 1.2392E+0, 1.2399E+0, 1.2403E+0, 1.2404E+0, 1.2405E+0,
     * 1.2405E+0, 1.2405E+0, 1.2405E+0, 1.2110E+0, 1.2129E+0, 1.2163E+0,
     * 1.2214E+0, 1.2251E+0, 1.2285E+0, 1.2309E+0, 1.2320E+0, 1.2328E+0,
     * 1.2339E+0, 1.2352E+0, 1.2369E+0, 1.2381E+0, 1.2394E+0, 1.2401E+0,
     * 1.2404E+0, 1.2405E+0, 1.2405E+0, 1.2405E+0, 1.2405E+0, 1.1713E+0,
     * 1.1746E+0, 1.1808E+0, 1.1909E+0, 1.1995E+0, 1.2086E+0, 1.2151E+0,
     * 1.2180E+0, 1.2201E+0, 1.2231E+0, 1.2265E+0, 1.2309E+0, 1.2341E+0,
     * 1.2376E+0, 1.2394E+0, 1.2402E+0, 1.2404E+0, 1.2404E+0, 1.2404E+0,
     * 1.2404E+0, 1.1057E+0, 1.1120E+0, 1.1240E+0, 1.1433E+0, 1.1599E+0,
     * 1.1775E+0, 1.1902E+0, 1.1960E+0, 1.2002E+0, 1.2060E+0, 1.2127E+0,
     * 1.2214E+0, 1.2279E+0, 1.2347E+0, 1.2382E+0, 1.2395E+0, 1.2398E+0,
     * 1.2399E+0, 1.2398E+0, 1.2398E+0, 9.8192E-1, 9.9238E-1, 1.0124E+0,
     * 1.0455E+0, 1.0747E+0, 1.1076E+0, 1.1337E+0, 1.1457E+0, 1.1545E+0,
     * 1.1669E+0, 1.1811E+0, 1.1995E+0, 1.2132E+0, 1.2272E+0, 1.2342E+0,
     * 1.2364E+0, 1.2367E+0, 1.2366E+0, 1.2364E+0, 1.2363E+0, 8.2478E-1,
     * 8.3949E-1, 8.6783E-1, 9.1521E-1, 9.5795E-1, 1.0077E+0/           
      DATA X0301/ 1.0491E+0, 1.0695E+0, 1.0847E+0, 1.1062E+0, 1.1312E+0,
     * 1.1642E+0, 1.1885E+0, 1.2129E+0, 1.2240E+0, 1.2266E+0, 1.2262E+0,
     * 1.2254E+0, 1.2247E+0, 1.2244E+0, 7.6375E-1, 7.7731E-1, 8.0368E-1,
     * 8.4836E-1, 8.8958E-1, 9.3906E-1, 9.8232E-1, 1.0047E+0, 1.0222E+0,
     * 1.0478E+0, 1.0791E+0, 1.1223E+0, 1.1554E+0, 1.1892E+0, 1.2040E+0,
     * 1.2064E+0, 1.2049E+0, 1.2029E+0, 1.2015E+0, 1.2009E+0, 8.2315E-1,
     * 8.3249E-1, 8.5075E-1, 8.8208E-1, 9.1147E-1, 9.4762E-1, 9.8030E-1,
     * 9.9776E-1, 1.0118E+0, 1.0332E+0, 1.0609E+0, 1.1015E+0, 1.1346E+0,
     * 1.1697E+0, 1.1857E+0, 1.1881E+0, 1.1861E+0, 1.1838E+0, 1.1820E+0,
     * 1.1813E+0, 8.6037E-1, 8.6725E-1, 8.8078E-1, 9.0424E-1, 9.2656E-1,
     * 9.5455E-1, 9.8052E-1, 9.9473E-1, 1.0064E+0, 1.0246E+0, 1.0486E+0,
     * 1.0847E+0, 1.1145E+0, 1.1463E+0, 1.1599E+0, 1.1607E+0, 1.1577E+0,
     * 1.1546E+0, 1.1524E+0, 1.1515E+0, 8.4833E-1, 8.5611E-1, 8.7123E-1,
     * 8.9688E-1, 9.2059E-1, 9.4908E-1, 9.7408E-1, 9.8705E-1, 9.9721E-1,
     * 1.0122E+0, 1.0307E+0, 1.0560E+0, 1.0746E+0, 1.0895E+0, 1.0891E+0,
     * 1.0806E+0, 1.0726E+0, 1.0666E+0, 1.0627E+0, 1.0613E+0, 9.1991E-1,
     * 9.2443E-1, 9.3316E-1, 9.4766E-1, 9.6073E-1, 9.7586E-1/           
      DATA X0401/ 9.8838E-1, 9.9447E-1, 9.9901E-1, 1.0053E+0, 1.0121E+0,
     * 1.0188E+0, 1.0200E+0, 1.0110E+0, 9.9162E-1, 9.7104E-1, 9.5675E-1,
     * 9.4706E-1, 9.4113E-1, 9.3904E-1, 1.0353E+0, 1.0320E+0, 1.0258E+0,
     * 1.0159E+0, 1.0075E+0, 9.9878E-1, 9.9280E-1, 9.8986E-1, 9.8747E-1,
     * 9.8358E-1, 9.7772E-1, 9.6590E-1, 9.5085E-1, 9.2076E-1, 8.8566E-1,
     * 8.5542E-1, 8.3622E-1, 8.2372E-1, 8.1623E-1, 8.1362E-1, 1.1148E+0,
     * 1.1035E+0, 1.0823E+0, 1.0493E+0, 1.0231E+0, 9.9847E-1, 9.8073E-1,
     * 9.7218E-1, 9.6556E-1, 9.5556E-1, 9.4229E-1, 9.1989E-1, 8.9593E-1,
     * 8.5468E-1, 8.1158E-1, 7.7664E-1, 7.5513E-1, 7.4133E-1, 7.3314E-1,
     * 7.3030E-1, 1.1721E+0, 1.1519E+0, 1.1151E+0, 1.0605E+0, 1.0209E+0,
     * 9.8371E-1, 9.5667E-1, 9.4374E-1, 9.3381E-1, 9.1909E-1, 9.0017E-1,
     * 8.6984E-1, 8.3935E-1, 7.9018E-1, 7.4167E-1, 7.0372E-1, 6.8079E-1,
     * 6.6624E-1, 6.5764E-1, 6.5467E-1, 1.1920E+0, 1.1672E+0, 1.1223E+0,
     * 1.0575E+0, 1.0113E+0, 9.6766E-1, 9.3593E-1, 9.2079E-1, 9.0921E-1,
     * 8.9215E-1, 8.7043E-1, 8.3625E-1, 8.0265E-1, 7.4985E-1, 6.9901E-1,
     * 6.5985E-1, 6.3641E-1, 6.2160E-1, 6.1288E-1, 6.0986E-1, 1.1964E+0,
     * 1.1707E+0, 1.1225E+0, 1.0540E+0, 1.0053E+0, 9.5937E-1/           
      DATA X0501/ 9.2590E-1, 9.0994E-1, 8.9776E-1, 8.7984E-1, 8.5710E-1,
     * 8.2153E-1, 7.8682E-1, 7.3276E-1, 6.8115E-1, 6.4164E-1, 6.1805E-1,
     * 6.0318E-1, 5.9443E-1, 5.9140E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 9.9999E-1, 9.9998E-1, 9.9996E-1, 9.9999E-1,
     * 1.0000E+0, 9.9998E-1, 9.9997E-1, 9.9999E-1, 9.9997E-1, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9998E-1, 1.0000E+0, 9.9977E-1,
     * 9.9985E-1, 9.9982E-1, 9.9986E-1, 9.9985E-1, 9.9986E-1, 9.9987E-1,
     * 9.9985E-1, 9.9990E-1, 9.9996E-1, 9.9991E-1, 9.9992E-1, 9.9995E-1,
     * 9.9995E-1, 9.9999E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9998E-1,
     * 1.0000E+0, 9.9976E-1, 9.9974E-1, 9.9973E-1, 9.9978E-1, 9.9978E-1,
     * 9.9980E-1, 9.9981E-1, 9.9980E-1, 9.9985E-1, 9.9992E-1, 9.9987E-1,
     * 9.9989E-1, 9.9994E-1, 9.9994E-1, 9.9999E-1, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 9.9998E-1, 1.0000E+0, 9.9933E-1, 9.9938E-1, 9.9945E-1,
     * 9.9953E-1, 9.9956E-1, 9.9960E-1, 9.9965E-1, 9.9965E-1, 9.9971E-1,
     * 9.9980E-1, 9.9976E-1, 9.9981E-1, 9.9988E-1, 9.9991E-1, 9.9998E-1,
     * 9.9999E-1, 1.0000E+0, 1.0000E+0, 9.9998E-1, 1.0000E+0, 9.9841E-1,
     * 9.9844E-1, 9.9851E-1, 9.9863E-1, 9.9875E-1, 9.9889E-1/           
      DATA X0601/ 9.9903E-1, 9.9908E-1, 9.9919E-1, 9.9934E-1, 9.9937E-1,
     * 9.9952E-1, 9.9968E-1, 9.9981E-1, 9.9994E-1, 9.9998E-1, 9.9999E-1,
     * 1.0000E+0, 9.9998E-1, 1.0000E+0, 9.9685E-1, 9.9690E-1, 9.9701E-1,
     * 9.9721E-1, 9.9742E-1, 9.9770E-1, 9.9798E-1, 9.9811E-1, 9.9828E-1,
     * 9.9854E-1, 9.9869E-1, 9.9903E-1, 9.9935E-1, 9.9965E-1, 9.9989E-1,
     * 9.9997E-1, 1.0000E+0, 1.0000E+0, 9.9998E-1, 1.0000E+0, 9.9282E-1,
     * 9.9294E-1, 9.9322E-1, 9.9367E-1, 9.9413E-1, 9.9471E-1, 9.9527E-1,
     * 9.9559E-1, 9.9592E-1, 9.9643E-1, 9.9691E-1, 9.9775E-1, 9.9849E-1,
     * 9.9929E-1, 9.9982E-1, 1.0000E+0, 1.0001E+0, 1.0001E+0, 1.0000E+0,
     * 1.0001E+0, 9.9095E-1, 9.9075E-1, 9.9040E-1, 9.8996E-1, 9.8979E-1,
     * 9.8989E-1, 9.9043E-1, 9.9094E-1, 9.9150E-1, 9.9241E-1, 9.9349E-1,
     * 9.9531E-1, 9.9693E-1, 9.9877E-1, 9.9988E-1, 1.0003E+0, 1.0004E+0,
     * 1.0004E+0, 1.0003E+0, 1.0003E+0, 9.8558E-1, 9.8534E-1, 9.8495E-1,
     * 9.8445E-1, 9.8420E-1, 9.8424E-1, 9.8472E-1, 9.8521E-1, 9.8575E-1,
     * 9.8690E-1, 9.8858E-1, 9.9175E-1, 9.9477E-1, 9.9837E-1, 1.0005E+0,
     * 1.0012E+0, 1.0013E+0, 1.0013E+0, 1.0012E+0, 1.0011E+0, 9.8378E-1,
     * 9.8360E-1, 9.8327E-1, 9.8286E-1, 9.8261E-1, 9.8258E-1/           
      DATA X0701/ 9.8289E-1, 9.8322E-1, 9.8359E-1, 9.8440E-1, 9.8604E-1,
     * 9.8975E-1, 9.9361E-1, 9.9850E-1, 1.0014E+0, 1.0023E+0, 1.0025E+0,
     * 1.0024E+0, 1.0022E+0, 1.0021E+0, 1.0611E+0, 1.0554E+0, 1.0446E+0,
     * 1.0273E+0, 1.0130E+0, 9.9814E-1, 9.8836E-1, 9.8498E-1, 9.8344E-1,
     * 9.8367E-1, 9.8498E-1, 9.8884E-1, 9.9328E-1, 9.9922E-1, 1.0028E+0,
     * 1.0039E+0, 1.0040E+0, 1.0038E+0, 1.0034E+0, 1.0032E+0, 8.5094E-1,
     * 8.6290E-1, 8.8519E-1, 9.1974E-1, 9.4717E-1, 9.7257E-1, 9.8528E-1,
     * 9.8682E-1, 9.8470E-1, 9.8441E-1, 9.8547E-1, 9.8968E-1, 9.9494E-1,
     * 1.0022E+0, 1.0064E+0, 1.0076E+0, 1.0075E+0, 1.0070E+0, 1.0063E+0,
     * 1.0059E+0, 9.8960E-1, 9.8908E-1, 9.8823E-1, 9.8713E-1, 9.8669E-1,
     * 9.8710E-1, 9.8864E-1, 9.9006E-1, 9.8776E-1, 9.8744E-1, 9.8866E-1,
     * 9.9348E-1, 9.9948E-1, 1.0077E+0, 1.0121E+0, 1.0129E+0, 1.0124E+0,
     * 1.0115E+0, 1.0103E+0, 1.0097E+0, 1.0063E+0, 1.0046E+0, 1.0015E+0,
     * 9.9712E-1, 9.9431E-1, 9.9296E-1, 9.9435E-1, 9.9579E-1, 9.9344E-1,
     * 9.9319E-1, 9.9463E-1, 9.9999E-1, 1.0065E+0, 1.0152E+0, 1.0194E+0,
     * 1.0196E+0, 1.0185E+0, 1.0170E+0, 1.0153E+0, 1.0143E+0, 1.0117E+0,
     * 1.0101E+0, 1.0072E+0, 1.0031E+0, 1.0003E+0, 9.9864E-1/           
      DATA X0801/ 9.9993E-1, 1.0014E+0, 9.9900E-1, 9.9878E-1, 1.0003E+0,
     * 1.0060E+0, 1.0128E+0, 1.0217E+0, 1.0255E+0, 1.0251E+0, 1.0235E+0,
     * 1.0215E+0, 1.0193E+0, 1.0181E+0, 1.0140E+0, 1.0137E+0, 1.0129E+0,
     * 1.0106E+0, 1.0074E+0, 1.0054E+0, 1.0066E+0, 1.0080E+0, 1.0056E+0,
     * 1.0054E+0, 1.0070E+0, 1.0129E+0, 1.0199E+0, 1.0288E+0, 1.0321E+0,
     * 1.0309E+0, 1.0288E+0, 1.0263E+0, 1.0236E+0, 1.0221E+0, 1.0215E+0,
     * 1.0204E+0, 1.0185E+0, 1.0161E+0, 1.0126E+0, 1.0103E+0, 1.0114E+0,
     * 1.0128E+0, 1.0103E+0, 1.0101E+0, 1.0118E+0, 1.0177E+0, 1.0248E+0,
     * 1.0336E+0, 1.0365E+0, 1.0349E+0, 1.0324E+0, 1.0296E+0, 1.0265E+0,
     * 1.0248E+0, 1.0246E+0, 1.0228E+0, 1.0210E+0, 1.0186E+0, 1.0149E+0,
     * 1.0125E+0, 1.0135E+0, 1.0150E+0, 1.0125E+0, 1.0123E+0, 1.0139E+0,
     * 1.0199E+0, 1.0270E+0, 1.0358E+0, 1.0385E+0, 1.0367E+0, 1.0340E+0,
     * 1.0310E+0, 1.0278E+0, 1.0259E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0001E+0, 9.9997E-1, 1.0000E+0, 9.9985E-1, 1.0000E+0,
     * 1.0000E+0, 1.0078E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9962E-1,
     * 9.9964E-1, 9.9967E-1, 9.9969E-1, 9.9971E-1, 9.9974E-1/           
      DATA X0901/ 9.9976E-1, 9.9977E-1, 9.9979E-1, 9.9981E-1, 9.9991E-1,
     * 9.9984E-1, 9.9991E-1, 9.9980E-1, 9.9996E-1, 9.9995E-1, 1.0077E+0,
     * 9.9992E-1, 9.9992E-1, 9.9992E-1, 9.9945E-1, 9.9948E-1, 9.9951E-1,
     * 9.9954E-1, 9.9957E-1, 9.9961E-1, 9.9965E-1, 9.9967E-1, 9.9968E-1,
     * 9.9971E-1, 9.9983E-1, 9.9978E-1, 9.9986E-1, 9.9977E-1, 9.9994E-1,
     * 9.9992E-1, 1.0077E+0, 9.9988E-1, 9.9988E-1, 9.9988E-1, 9.9898E-1,
     * 9.9900E-1, 9.9904E-1, 9.9910E-1, 9.9916E-1, 9.9923E-1, 9.9931E-1,
     * 9.9935E-1, 9.9938E-1, 9.9944E-1, 9.9958E-1, 9.9960E-1, 9.9972E-1,
     * 9.9969E-1, 9.9988E-1, 9.9985E-1, 1.0076E+0, 9.9977E-1, 9.9976E-1,
     * 9.9975E-1, 9.9739E-1, 9.9741E-1, 9.9748E-1, 9.9760E-1, 9.9773E-1,
     * 9.9791E-1, 9.9811E-1, 9.9822E-1, 9.9832E-1, 9.9847E-1, 9.9874E-1,
     * 9.9895E-1, 9.9925E-1, 9.9942E-1, 9.9967E-1, 9.9960E-1, 1.0072E+0,
     * 9.9937E-1, 9.9933E-1, 9.9933E-1, 9.9502E-1, 9.9505E-1, 9.9512E-1,
     * 9.9528E-1, 9.9547E-1, 9.9579E-1, 9.9616E-1, 9.9639E-1, 9.9658E-1,
     * 9.9688E-1, 9.9736E-1, 9.9790E-1, 9.9849E-1, 9.9899E-1, 9.9936E-1,
     * 9.9919E-1, 1.0067E+0, 9.9872E-1, 9.9863E-1, 9.9864E-1, 9.8941E-1,
     * 9.8945E-1, 9.8958E-1, 9.8979E-1, 9.9011E-1, 9.9066E-1/           
      DATA X1001/ 9.9134E-1, 9.9180E-1, 9.9221E-1, 9.9287E-1, 9.9388E-1,
     * 9.9527E-1, 9.9663E-1, 9.9800E-1, 9.9862E-1, 9.9821E-1, 1.0053E+0,
     * 9.9709E-1, 9.9686E-1, 9.9689E-1, 9.8149E-1, 9.8141E-1, 9.8129E-1,
     * 9.8122E-1, 9.8137E-1, 9.8188E-1, 9.8276E-1, 9.8345E-1, 9.8414E-1,
     * 9.8539E-1, 9.8732E-1, 9.9035E-1, 9.9326E-1, 9.9630E-1, 9.9733E-1,
     * 9.9630E-1, 1.0025E+0, 9.9384E-1, 9.9332E-1, 9.9338E-1, 9.7882E-1,
     * 9.7806E-1, 9.7672E-1, 9.7470E-1, 9.7328E-1, 9.7217E-1, 9.7204E-1,
     * 9.7241E-1, 9.7299E-1, 9.7449E-1, 9.7734E-1, 9.8253E-1, 9.8768E-1,
     * 9.9311E-1, 9.9435E-1, 9.9203E-1, 9.9661E-1, 9.8707E-1, 9.8608E-1,
     * 9.8621E-1, 9.8182E-1, 9.8066E-1, 9.7851E-1, 9.7513E-1, 9.7238E-1,
     * 9.6972E-1, 9.6820E-1, 9.6784E-1, 9.6785E-1, 9.6849E-1, 9.7094E-1,
     * 9.7654E-1, 9.8259E-1, 9.8896E-1, 9.8990E-1, 9.8638E-1, 9.8952E-1,
     * 9.7941E-1, 9.7809E-1, 9.7835E-1, 1.1236E+0, 1.1123E+0, 1.0909E+0,
     * 1.0566E+0, 1.0277E+0, 9.9762E-1, 9.7714E-1, 9.6963E-1, 9.6579E-1,
     * 9.6474E-1, 9.6581E-1, 9.7052E-1, 9.7648E-1, 9.8287E-1, 9.8338E-1,
     * 9.7891E-1, 9.8075E-1, 9.7032E-1, 9.6881E-1, 9.6925E-1, 7.2775E-1,
     * 7.4954E-1, 7.8996E-1, 8.5223E-1, 9.0108E-1, 9.4521E-1/           
      DATA X1101/ 9.6540E-1, 9.6612E-1, 9.6025E-1, 9.5703E-1, 9.5631E-1,
     * 9.5980E-1, 9.6553E-1, 9.7197E-1, 9.7245E-1, 9.6735E-1, 9.6789E-1,
     * 9.5740E-1, 9.5580E-1, 9.5650E-1, 9.8805E-1, 9.8530E-1, 9.8021E-1,
     * 9.7229E-1, 9.6610E-1, 9.6048E-1, 9.5787E-1, 9.5774E-1, 9.5140E-1,
     * 9.4775E-1, 9.4686E-1, 9.5058E-1, 9.5676E-1, 9.6384E-1, 9.6475E-1,
     * 9.5957E-1, 9.5943E-1, 9.4904E-1, 9.4740E-1, 9.4825E-1, 9.9925E-1,
     * 9.9448E-1, 9.8568E-1, 9.7231E-1, 9.6211E-1, 9.5344E-1, 9.5042E-1,
     * 9.5019E-1, 9.4413E-1, 9.4078E-1, 9.4027E-1, 9.4458E-1, 9.5123E-1,
     * 9.5885E-1, 9.6009E-1, 9.5487E-1, 9.5429E-1, 9.4396E-1, 9.4227E-1,
     * 9.4318E-1, 9.9389E-1, 9.8934E-1, 9.8092E-1, 9.6807E-1, 9.5817E-1,
     * 9.4958E-1, 9.4660E-1, 9.4642E-1, 9.4067E-1, 9.3760E-1, 9.3736E-1,
     * 9.4198E-1, 9.4883E-1, 9.5669E-1, 9.5804E-1, 9.5276E-1, 9.5193E-1,
     * 9.4161E-1, 9.3987E-1, 9.4079E-1, 9.8328E-1, 9.8042E-1, 9.7477E-1,
     * 9.6487E-1, 9.5531E-1, 9.4688E-1, 9.4400E-1, 9.4387E-1, 9.3842E-1,
     * 9.3559E-1, 9.3557E-1, 9.4038E-1, 9.4734E-1, 9.5531E-1, 9.5670E-1,
     * 9.5134E-1, 9.5030E-1, 9.3996E-1, 9.3817E-1, 9.3909E-1, 9.8300E-1,
     * 9.7929E-1, 9.7265E-1, 9.6335E-1, 9.5397E-1, 9.4566E-1/           
      DATA X1201/ 9.4283E-1, 9.4273E-1, 9.3746E-1, 9.3477E-1, 9.3484E-1,
     * 9.3974E-1, 9.4673E-1, 9.5472E-1, 9.5610E-1, 9.5068E-1, 9.4952E-1,
     * 9.3916E-1, 9.3733E-1, 9.3825E-1, 9.8284E-1, 9.7813E-1, 9.7191E-1,
     * 9.6281E-1, 9.5349E-1, 9.4523E-1, 9.4243E-1, 9.4234E-1, 9.3713E-1,
     * 9.3449E-1, 9.3461E-1, 9.3953E-1, 9.4652E-1, 9.5453E-1, 9.5589E-1,
     * 9.5045E-1, 9.4924E-1, 9.3886E-1, 9.3702E-1, 9.3794E-1, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0001E+0, 1.0001E+0, 1.0004E+0, 9.9956E-1, 9.9979E-1,
     * 1.0002E+0, 1.0000E+0, 1.0000E+0, 9.8498E-1, 1.0000E+0, 1.0001E+0,
     * 1.0000E+0, 1.0041E+0, 1.0029E+0, 1.0017E+0, 1.0012E+0, 1.0012E+0,
     * 1.0012E+0, 1.0013E+0, 1.0013E+0, 1.0013E+0, 1.0012E+0, 1.0015E+0,
     * 1.0004E+0, 1.0004E+0, 1.0004E+0, 1.0001E+0, 1.0000E+0, 9.8499E-1,
     * 1.0000E+0, 1.0001E+0, 1.0000E+0, 1.0054E+0, 1.0042E+0, 1.0024E+0,
     * 1.0017E+0, 1.0017E+0, 1.0018E+0, 1.0018E+0, 1.0018E+0, 1.0018E+0,
     * 1.0017E+0, 1.0020E+0, 1.0008E+0, 1.0007E+0, 1.0005E+0, 1.0001E+0,
     * 1.0000E+0, 9.8500E-1, 1.0000E+0, 1.0001E+0, 1.0000E+0, 1.0067E+0,
     * 1.0058E+0, 1.0044E+0, 1.0031E+0, 1.0032E+0, 1.0035E+0/           
      DATA X1301/ 1.0036E+0, 1.0036E+0, 1.0035E+0, 1.0034E+0, 1.0035E+0,
     * 1.0020E+0, 1.0015E+0, 1.0009E+0, 1.0002E+0, 1.0001E+0, 9.8501E-1,
     * 1.0000E+0, 1.0001E+0, 1.0000E+0, 1.0016E+0, 1.0024E+0, 1.0038E+0,
     * 1.0059E+0, 1.0075E+0, 1.0089E+0, 1.0094E+0, 1.0095E+0, 1.0094E+0,
     * 1.0090E+0, 1.0087E+0, 1.0062E+0, 1.0045E+0, 1.0021E+0, 1.0006E+0,
     * 1.0002E+0, 9.8506E-1, 1.0000E+0, 1.0001E+0, 1.0000E+0, 9.9195E-1,
     * 9.9440E-1, 9.9896E-1, 1.0059E+0, 1.0114E+0, 1.0162E+0, 1.0182E+0,
     * 1.0186E+0, 1.0185E+0, 1.0180E+0, 1.0172E+0, 1.0132E+0, 1.0094E+0,
     * 1.0041E+0, 1.0012E+0, 1.0005E+0, 9.8514E-1, 1.0000E+0, 1.0001E+0,
     * 1.0000E+0, 9.4474E-1, 9.5225E-1, 9.6637E-1, 9.8853E-1, 1.0067E+0,
     * 1.0245E+0, 1.0351E+0, 1.0379E+0, 1.0391E+0, 1.0394E+0, 1.0381E+0,
     * 1.0311E+0, 1.0222E+0, 1.0093E+0, 1.0029E+0, 1.0011E+0, 9.8535E-1,
     * 1.0001E+0, 1.0001E+0, 1.0000E+0, 7.8487E-1, 8.0469E-1, 8.4218E-1,
     * 9.0244E-1, 9.5346E-1, 1.0070E+0, 1.0442E+0, 1.0582E+0, 1.0658E+0,
     * 1.0723E+0, 1.0744E+0, 1.0648E+0, 1.0474E+0, 1.0197E+0, 1.0062E+0,
     * 1.0023E+0, 9.8578E-1, 1.0002E+0, 1.0001E+0, 1.0000E+0, 4.0103E-1,
     * 4.4334E-1, 5.2403E-1, 6.5591E-1, 7.7070E-1, 8.9707E-1/           
      DATA X1401/ 9.9301E-1, 1.0349E+0, 1.0626E+0, 1.0918E+0, 1.1118E+0,
     * 1.1108E+0, 1.0859E+0, 1.0370E+0, 1.0119E+0, 1.0045E+0, 9.8651E-1,
     * 1.0004E+0, 1.0002E+0, 1.0000E+0, 2.1842E-1, 2.6541E-1, 3.5561E-1,
     * 5.0526E-1, 6.3857E-1, 7.9089E-1, 9.1419E-1, 9.7270E-1, 1.0150E+0,
     * 1.0693E+0, 1.1130E+0, 1.1317E+0, 1.1093E+0, 1.0496E+0, 1.0164E+0,
     * 1.0063E+0, 9.8712E-1, 1.0006E+0, 1.0002E+0, 1.0001E+0,-3.6147E-1,
     *-2.8117E-1,-1.2747E-1, 1.2592E-1, 3.4949E-1, 6.0110E-1, 7.9964E-1,
     * 8.9093E-1, 9.5481E-1, 1.0318E+0, 1.0992E+0, 1.1408E+0, 1.1257E+0,
     * 1.0602E+0, 1.0204E+0, 1.0080E+0, 9.8771E-1, 1.0008E+0, 1.0002E+0,
     * 1.0001E+0,-6.8675E-1,-5.8986E-1,-4.0436E-1,-9.8356E-2, 1.7177E-1,
     * 4.7612E-1, 7.1671E-1, 8.2760E-1, 9.0538E-1, 1.0028E+0, 1.0927E+0,
     * 1.1566E+0, 1.1476E+0, 1.0736E+0, 1.0255E+0, 1.0101E+0, 9.8847E-1,
     * 1.0010E+0, 1.0003E+0, 1.0001E+0,-4.5286E-1,-3.8125E-1,-2.4227E-1,
     *-6.4831E-3, 2.1087E-1, 4.7199E-1, 7.0032E-1, 8.1836E-1, 9.0213E-1,
     * 1.0080E+0, 1.1065E+0, 1.1774E+0, 1.1672E+0, 1.0837E+0, 1.0292E+0,
     * 1.0116E+0, 9.8899E-1, 1.0011E+0, 1.0003E+0, 1.0001E+0, 1.1246E+0,
     * 1.0149E+0, 8.2355E-1, 5.7396E-1, 4.4623E-1, 4.6550E-1/           
      DATA X1501/ 7.0141E-1, 8.2413E-1, 9.1132E-1, 1.0216E+0, 1.1238E+0,
     * 1.1964E+0, 1.1830E+0, 1.0912E+0, 1.0318E+0, 1.0126E+0, 9.8935E-1,
     * 1.0012E+0, 1.0003E+0, 1.0001E+0, 1.2020E+0, 1.1354E+0, 1.0255E+0,
     * 9.0609E-1, 8.8743E-1, 1.0193E+0, 9.9852E-1, 4.6120E-1, 9.1717E-1,
     * 1.0313E+0, 1.1351E+0, 1.2078E+0, 1.1922E+0, 1.0954E+0, 1.0332E+0,
     * 1.0132E+0, 9.8955E-1, 1.0013E+0, 1.0004E+0, 1.0001E+0, 1.0066E+0,
     * 9.8576E-1, 9.4968E-1, 9.0323E-1, 8.8056E-1, 1.0175E+0, 1.0018E+0,
     * 4.6669E-1, 9.2395E-1, 1.0397E+0, 1.1447E+0, 1.2173E+0, 1.1998E+0,
     * 1.0988E+0, 1.0344E+0, 1.0137E+0, 9.8971E-1, 1.0013E+0, 1.0004E+0,
     * 1.0001E+0, 8.4451E-1, 9.0027E-1, 9.6083E-1, 8.9860E-1, 8.7580E-1,
     * 1.0163E+0, 1.0038E+0, 4.6990E-1, 9.2789E-1, 1.0446E+0, 1.1502E+0,
     * 1.2227E+0, 1.2040E+0, 1.1007E+0, 1.0351E+0, 1.0139E+0, 9.8980E-1,
     * 1.0014E+0, 1.0004E+0, 1.0001E+0, 8.3111E-1, 9.1441E-1, 9.6367E-1,
     * 8.9621E-1, 8.7371E-1, 1.0159E+0, 1.0046E+0, 4.7120E-1, 9.2948E-1,
     * 1.0465E+0, 1.1524E+0, 1.2249E+0, 1.2057E+0, 1.1015E+0, 1.0353E+0,
     * 1.0140E+0, 9.8983E-1, 1.0014E+0, 1.0004E+0, 1.0001E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0/           
      DATA X1601/ 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0081E+0, 1.0074E+0, 1.0064E+0,
     * 1.0051E+0, 1.0042E+0, 1.0034E+0, 1.0027E+0, 1.0024E+0, 1.0022E+0,
     * 1.0019E+0, 1.0015E+0, 1.0010E+0, 1.0006E+0, 1.0002E+0, 1.0000E+0,
     * 9.9998E-1, 9.9998E-1, 9.9999E-1, 9.9999E-1, 1.0000E+0, 1.0119E+0,
     * 1.0110E+0, 1.0095E+0, 1.0076E+0, 1.0063E+0, 1.0050E+0, 1.0040E+0,
     * 1.0036E+0, 1.0033E+0, 1.0028E+0, 1.0022E+0, 1.0015E+0, 1.0009E+0,
     * 1.0003E+0, 1.0000E+0, 9.9997E-1, 9.9997E-1, 9.9998E-1, 9.9999E-1,
     * 9.9999E-1, 1.0230E+0, 1.0216E+0, 1.0190E+0, 1.0153E+0, 1.0126E+0,
     * 1.0100E+0, 1.0080E+0, 1.0071E+0, 1.0065E+0, 1.0055E+0, 1.0044E+0,
     * 1.0029E+0, 1.0017E+0, 1.0005E+0, 1.0001E+0, 9.9994E-1, 9.9994E-1,
     * 9.9996E-1, 9.9999E-1, 9.9999E-1, 1.0611E+0, 1.0582E+0, 1.0528E+0,
     * 1.0441E+0, 1.0366E+0, 1.0285E+0, 1.0227E+0, 1.0200E+0, 1.0180E+0,
     * 1.0153E+0, 1.0121E+0, 1.0079E+0, 1.0046E+0, 1.0013E+0, 1.0001E+0,
     * 9.9985E-1, 9.9985E-1, 9.9993E-1, 9.9999E-1, 1.0000E+0, 1.1497E+0,
     * 1.1420E+0, 1.1275E+0, 1.1042E+0, 1.0844E+0, 1.0638E+0/           
      DATA X1701/ 1.0495E+0, 1.0432E+0, 1.0386E+0, 1.0323E+0, 1.0252E+0,
     * 1.0160E+0, 1.0091E+0, 1.0024E+0, 1.0001E+0, 9.9968E-1, 9.9975E-1,
     * 9.9992E-1, 1.0000E+0, 1.0001E+0, 1.5351E+0, 1.5051E+0, 1.4484E+0,
     * 1.3570E+0, 1.2793E+0, 1.1969E+0, 1.1389E+0, 1.1164E+0, 1.1010E+0,
     * 1.0813E+0, 1.0606E+0, 1.0362E+0, 1.0193E+0, 1.0045E+0, 9.9985E-1,
     * 9.9918E-1, 9.9955E-1, 1.0000E+0, 1.0004E+0, 1.0004E+0, 4.6890E+0,
     * 4.4435E+0, 3.9798E+0, 3.2370E+0, 2.6124E+0, 1.9633E+0, 1.5242E+0,
     * 1.3651E+0, 1.2856E+0, 1.2043E+0, 1.1366E+0, 1.0721E+0, 1.0349E+0,
     * 1.0061E+0, 9.9843E-1, 9.9770E-1, 9.9872E-1, 9.9985E-1, 1.0006E+0,
     * 1.0007E+0, 5.5227E+1, 5.1367E+1, 4.4077E+1, 3.2395E+1, 2.2564E+1,
     * 1.2337E+1, 5.4011E+0, 2.8753E+0, 1.6017E+0, 1.3078E+0, 1.1821E+0,
     * 1.0923E+0, 1.0441E+0, 1.0061E+0, 9.9551E-1, 9.9399E-1, 9.9518E-1,
     * 9.9679E-1, 9.9806E-1, 9.9855E-1, 9.9187E-1, 1.0025E+0, 1.0225E+0,
     * 1.0541E+0, 1.0801E+0, 1.1061E+0, 1.1223E+0, 1.1271E+0, 1.1285E+0,
     * 1.1255E+0, 1.1079E+0, 1.0727E+0, 1.0407E+0, 1.0075E+0, 9.9585E-1,
     * 9.9346E-1, 9.9425E-1, 9.9576E-1, 9.9710E-1, 9.9766E-1, 3.7266E+1,
     * 3.4671E+1, 2.9770E+1, 2.1921E+1, 1.5322E+1, 8.4679E+0/           
      DATA X1801/ 3.8360E+0, 2.1604E+0, 1.3261E+0, 1.1701E+0, 1.1152E+0,
     * 1.0743E+0, 1.0455E+0, 1.0144E+0, 1.0021E+0, 1.0002E+0, 1.0012E+0,
     * 1.0024E+0, 1.0031E+0, 1.0031E+0, 1.5150E+0, 1.4816E+0, 1.4186E+0,
     * 1.3186E+0, 1.2360E+0, 1.1526E+0, 1.0998E+0, 1.0833E+0, 1.0774E+0,
     * 1.0720E+0, 1.0659E+0, 1.0547E+0, 1.0423E+0, 1.0255E+0, 1.0186E+0,
     * 1.0226E+0, 1.0266E+0, 1.0284E+0, 1.0270E+0, 1.0252E+0, 2.1162E-1,
     * 2.6691E-1, 3.7117E-1, 5.3744E-1, 6.7628E-1, 8.1871E-1, 9.1235E-1,
     * 9.4444E-1, 9.6356E-1, 9.8454E-1, 1.0019E+0, 1.0162E+0, 1.0226E+0,
     * 1.0266E+0, 1.0312E+0, 1.0454E+0, 1.0555E+0, 1.0596E+0, 1.0566E+0,
     * 1.0528E+0, 3.9138E-1, 4.2165E-1, 4.8011E-1, 5.7839E-1, 6.6771E-1,
     * 7.7289E-1, 8.6217E-1, 8.9504E-1, 9.1555E-1, 9.3950E-1, 9.6164E-1,
     * 9.8498E-1, 1.0014E+0, 1.0213E+0, 1.0381E+0, 1.0637E+0, 1.0818E+0,
     * 1.0897E+0, 1.0861E+0, 1.0807E+0, 5.3104E-1, 5.5281E-1, 5.9527E-1,
     * 6.6811E-1, 7.3632E-1, 8.2008E-1, 8.6451E-1, 8.3994E-1, 8.9363E-1,
     * 9.1802E-1, 9.4115E-1, 9.6718E-1, 9.8768E-1, 1.0159E+0, 1.0405E+0,
     * 1.0742E+0, 1.0985E+0, 1.1099E+0, 1.1065E+0, 1.1001E+0, 5.8002E-1,
     * 5.9487E-1, 6.2491E-1, 6.8005E-1, 7.3659E-1, 8.1240E-1/           
      DATA X1901/ 8.5145E-1, 8.1676E-1, 8.7675E-1, 9.0127E-1, 9.2481E-1,
     * 9.5225E-1, 9.7537E-1, 1.0100E+0, 1.0416E+0, 1.0828E+0, 1.1136E+0,
     * 1.1290E+0, 1.1262E+0, 1.1190E+0, 5.8476E-1, 6.0326E-1, 6.3649E-1,
     * 6.8365E-1, 7.3528E-1, 8.0772E-1, 8.4423E-1, 8.0400E-1, 8.6754E-1,
     * 8.9212E-1, 9.1581E-1, 9.4379E-1, 9.6812E-1, 1.0062E+0, 1.0417E+0,
     * 1.0877E+0, 1.1227E+0, 1.1408E+0, 1.1386E+0, 1.1310E+0, 5.9096E-1,
     * 6.0930E-1, 6.4019E-1, 6.8456E-1, 7.3448E-1, 8.0575E-1, 8.4131E-1,
     * 7.9889E-1, 8.6387E-1, 8.8847E-1, 9.1220E-1, 9.4037E-1, 9.6514E-1,
     * 1.0045E+0, 1.0417E+0, 1.0896E+0, 1.1265E+0, 1.1459E+0, 1.1439E+0,
     * 1.1361E+0, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9361E-1, 9.9416E-1, 9.9506E-1,
     * 9.9624E-1, 9.9707E-1, 9.9784E-1, 9.9837E-1, 9.9861E-1, 9.9878E-1,
     * 9.9901E-1, 9.9927E-1, 9.9960E-1, 9.9982E-1, 1.0000E+0, 1.0001E+0,
     * 1.0001E+0, 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9057E-1,
     * 9.9133E-1, 9.9267E-1, 9.9443E-1, 9.9566E-1, 9.9680E-1/           
      DATA X2001/ 9.9759E-1, 9.9795E-1, 9.9820E-1, 9.9854E-1, 9.9893E-1,
     * 9.9941E-1, 9.9974E-1, 1.0000E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0,
     * 1.0001E+0, 1.0000E+0, 1.0000E+0, 9.8167E-1, 9.8299E-1, 9.8541E-1,
     * 9.8893E-1, 9.9139E-1, 9.9368E-1, 9.9526E-1, 9.9596E-1, 9.9646E-1,
     * 9.9714E-1, 9.9790E-1, 9.9884E-1, 9.9950E-1, 1.0001E+0, 1.0003E+0,
     * 1.0002E+0, 1.0002E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 9.5472E-1,
     * 9.5721E-1, 9.6193E-1, 9.6949E-1, 9.7585E-1, 9.8247E-1, 9.8697E-1,
     * 9.8895E-1, 9.9036E-1, 9.9227E-1, 9.9437E-1, 9.9696E-1, 9.9871E-1,
     * 1.0002E+0, 1.0007E+0, 1.0005E+0, 1.0003E+0, 1.0001E+0, 9.9999E-1,
     * 9.9995E-1, 8.9825E-1, 9.0411E-1, 9.1516E-1, 9.3281E-1, 9.4757E-1,
     * 9.6276E-1, 9.7281E-1, 9.7715E-1, 9.8022E-1, 9.8432E-1, 9.8877E-1,
     * 9.9410E-1, 9.9759E-1, 1.0004E+0, 1.0011E+0, 1.0007E+0, 1.0001E+0,
     * 9.9968E-1, 9.9939E-1, 9.9929E-1, 7.2416E-1, 7.3966E-1, 7.6906E-1,
     * 8.1658E-1, 8.5721E-1, 9.0065E-1, 9.3180E-1, 9.4430E-1, 9.5282E-1,
     * 9.6379E-1, 9.7514E-1, 9.8783E-1, 9.9544E-1, 1.0008E+0, 1.0011E+0,
     * 9.9937E-1, 9.9778E-1, 9.9660E-1, 9.9585E-1, 9.9558E-1,-7.9651E-2,
     *-1.2924E-2, 1.1349E-1, 3.1754E-1, 4.9132E-1, 6.7589E-1/           
      DATA X2101/ 8.0665E-1, 8.5807E-1, 8.8758E-1, 9.2056E-1, 9.4995E-1,
     * 9.7794E-1, 9.9213E-1, 9.9971E-1, 9.9792E-1, 9.9328E-1, 9.8966E-1,
     * 9.8713E-1, 9.8556E-1, 9.8501E-1,-7.0323E+0,-6.4774E+0,-5.4277E+0,
     *-3.7410E+0,-2.3150E+0,-8.1917E-1, 2.1332E-1, 6.0161E-1, 8.0894E-1,
     * 8.9705E-1, 9.4246E-1, 9.7422E-1, 9.8761E-1, 9.9277E-1, 9.8838E-1,
     * 9.8159E-1, 9.7661E-1, 9.7320E-1, 9.7110E-1, 9.7037E-1, 8.7067E-1,
     * 8.7445E-1, 8.8180E-1, 8.9433E-1, 9.0592E-1, 9.1993E-1, 9.3228E-1,
     * 9.3873E-1, 9.4381E-1, 9.5136E-1, 9.6053E-1, 9.7119E-1, 9.7699E-1,
     * 9.7845E-1, 9.7359E-1, 9.6703E-1, 9.6224E-1, 9.5894E-1, 9.5691E-1,
     * 9.5620E-1,-6.6196E+0,-6.0886E+0,-5.0849E+0,-3.4740E+0,-2.1147E+0,
     *-6.9383E-1, 2.7959E-1, 6.4079E-1, 8.2921E-1, 8.9468E-1, 9.2384E-1,
     * 9.4140E-1, 9.4716E-1, 9.4642E-1, 9.3972E-1, 9.3219E-1, 9.2698E-1,
     * 9.2347E-1, 9.2133E-1, 9.2058E-1, 5.8975E-1, 6.1273E-1, 6.5594E-1,
     * 7.2466E-1, 7.8167E-1, 8.3946E-1, 8.7646E-1, 8.8843E-1, 8.9306E-1,
     * 8.9571E-1, 8.9470E-1, 8.8780E-1, 8.7791E-1, 8.5990E-1, 8.4158E-1,
     * 8.2733E-1, 8.1879E-1, 8.1339E-1, 8.1022E-1, 8.0912E-1, 1.2849E+0,
     * 1.2579E+0, 1.2066E+0, 1.1240E+0, 1.0539E+0, 9.7963E-1/           
      DATA X2201/ 9.2745E-1, 9.0720E-1, 8.9311E-1, 8.7406E-1, 8.5216E-1,
     * 8.2166E-1, 7.9518E-1, 7.5854E-1, 7.2721E-1, 7.0491E-1, 6.9213E-1,
     * 6.8423E-1, 6.7963E-1, 6.7805E-1, 1.3157E+0, 1.2793E+0, 1.2110E+0,
     * 1.1030E+0, 1.0143E+0, 9.2613E-1, 8.7224E-1, 8.4893E-1, 8.3205E-1,
     * 8.0854E-1, 7.8084E-1, 7.4169E-1, 7.0763E-1, 6.6075E-1, 6.2098E-1,
     * 5.9278E-1, 5.7663E-1, 5.6664E-1, 5.6083E-1, 5.5884E-1, 1.2833E+0,
     * 1.2391E+0, 1.1577E+0, 1.0349E+0, 9.4226E-1, 8.6595E-1, 8.1542E-1,
     * 7.9271E-1, 7.7599E-1, 7.5234E-1, 7.2399E-1, 6.8323E-1, 6.4724E-1,
     * 5.9708E-1, 5.5401E-1, 5.2317E-1, 5.0537E-1, 4.9432E-1, 4.8787E-1,
     * 4.8565E-1, 1.2098E+0, 1.1596E+0, 1.0701E+0, 9.4620E-1, 8.6987E-1,
     * 8.0253E-1, 7.5581E-1, 7.3431E-1, 7.1829E-1, 6.9540E-1, 6.6761E-1,
     * 6.2707E-1, 5.9079E-1, 5.3954E-1, 4.9489E-1, 4.6252E-1, 4.4367E-1,
     * 4.3190E-1, 4.2501E-1, 4.2263E-1, 1.1476E+0, 1.0927E+0, 1.0005E+0,
     * 8.9334E-1, 8.2450E-1, 7.6197E-1, 7.1766E-1, 6.9706E-1, 6.8162E-1,
     * 6.5943E-1, 6.3233E-1, 5.9250E-1, 5.5657E-1, 5.0540E-1, 4.6042E-1,
     * 4.2755E-1, 4.0829E-1, 3.9622E-1, 3.8912E-1, 3.8667E-1, 1.1151E+0,
     * 1.0584E+0, 9.7265E-1, 8.7137E-1, 8.0531E-1, 7.4468E-1/           
      DATA X2301/ 7.0140E-1, 6.8119E-1, 6.6601E-1, 6.4416E-1, 6.1741E-1,
     * 5.7797E-1, 5.4229E-1, 4.9130E-1, 4.4631E-1, 4.1333E-1, 3.9395E-1,
     * 3.8178E-1, 3.7462E-1, 3.7214E-1, 7.4675E-6, 7.9453E-6, 8.8896E-6,
     * 1.0548E-5, 1.2153E-5, 1.4208E-5, 1.6173E-5, 1.7280E-5, 1.8208E-5,
     * 1.9714E-5, 2.1884E-5, 2.5951E-5, 3.0916E-5, 4.1765E-5, 5.8292E-5,
     * 8.7114E-5, 1.2909E-4, 1.9837E-4, 3.1859E-4, 4.2352E-4, 7.4932E-6,
     * 7.9718E-6, 8.9175E-6, 1.0578E-5, 1.2184E-5, 1.4241E-5, 1.6207E-5,
     * 1.7315E-5, 1.8244E-5, 1.9750E-5, 2.1921E-5, 2.5989E-5, 3.0955E-5,
     * 4.1806E-5, 5.8334E-5, 8.7157E-5, 1.2913E-4, 1.9841E-4, 3.1863E-4,
     * 4.2356E-4, 7.5050E-6, 7.9844E-6, 8.9308E-6, 1.0593E-5, 1.2199E-5,
     * 1.4257E-5, 1.6224E-5, 1.7332E-5, 1.8261E-5, 1.9768E-5, 2.1939E-5,
     * 2.6007E-5, 3.0974E-5, 4.1826E-5, 5.8355E-5, 8.7178E-5, 1.2915E-4,
     * 1.9844E-4, 3.1865E-4, 4.2358E-4, 7.5408E-6, 8.0217E-6, 8.9707E-6,
     * 1.0635E-5, 1.2244E-5, 1.4304E-5, 1.6273E-5, 1.7382E-5, 1.8312E-5,
     * 1.9819E-5, 2.1992E-5, 2.6062E-5, 3.1030E-5, 4.1885E-5, 5.8415E-5,
     * 8.7240E-5, 1.2921E-4, 1.9850E-4, 3.1872E-4, 4.2364E-4, 7.6989E-6,
     * 8.1788E-6, 9.1264E-6, 1.0791E-5, 1.2404E-5, 1.4472E-5/           
      DATA X2401/ 1.6447E-5, 1.7560E-5, 1.8492E-5, 2.0003E-5, 2.2180E-5,
     * 2.6256E-5, 3.1230E-5, 4.2092E-5, 5.8629E-5, 8.7458E-5, 1.2943E-4,
     * 1.9872E-4, 3.1894E-4, 4.2387E-4, 7.9265E-6, 8.4110E-6, 9.3674E-6,
     * 1.1047E-5, 1.2672E-5, 1.4754E-5, 1.6740E-5, 1.7858E-5, 1.8794E-5,
     * 2.0311E-5, 2.2495E-5, 2.6582E-5, 3.1566E-5, 4.2441E-5, 5.8989E-5,
     * 8.7826E-5, 1.2981E-4, 1.9909E-4, 3.1932E-4, 4.2424E-4, 8.6203E-6,
     * 9.1089E-6, 1.0074E-5, 1.1770E-5, 1.3413E-5, 1.5521E-5, 1.7534E-5,
     * 1.8665E-5, 1.9611E-5, 2.1143E-5, 2.3345E-5, 2.7459E-5, 3.2467E-5,
     * 4.3376E-5, 5.9951E-5, 8.8806E-5, 1.3080E-4, 2.0009E-4, 3.2032E-4,
     * 4.2524E-4, 1.0628E-5, 1.1117E-5, 1.2084E-5, 1.3785E-5, 1.5435E-5,
     * 1.7554E-5, 1.9583E-5, 2.0724E-5, 2.1678E-5, 2.3220E-5, 2.5436E-5,
     * 2.9568E-5, 3.4592E-5, 4.5521E-5, 6.2113E-5, 9.0978E-5, 1.3297E-4,
     * 2.0227E-4, 3.2250E-4, 4.2743E-4, 1.9670E-5, 2.0038E-5, 2.0771E-5,
     * 2.2078E-5, 2.3373E-5, 2.5074E-5, 2.6751E-5, 2.7716E-5, 2.8537E-5,
     * 2.9891E-5, 3.1881E-5, 3.5693E-5, 4.0442E-5, 5.1013E-5, 6.7322E-5,
     * 9.6001E-5, 1.3790E-4, 2.0713E-4, 3.2733E-4, 4.3224E-4, 2.9379E-5,
     * 2.9648E-5, 3.0188E-5, 3.1167E-5, 3.2156E-5, 3.3490E-5/           
      DATA X2501/ 3.4840E-5, 3.5636E-5, 3.6323E-5, 3.7477E-5, 3.9230E-5,
     * 4.2714E-5, 4.7190E-5, 5.7411E-5, 7.3451E-5, 1.0196E-4, 1.4376E-4,
     * 2.1294E-4, 3.3310E-4, 4.3801E-4, 4.0542E-5, 4.0703E-5, 4.1037E-5,
     * 4.1672E-5, 4.2355E-5, 4.3336E-5, 4.4399E-5, 4.5057E-5, 4.5643E-5,
     * 4.6666E-5, 4.8262E-5, 5.1525E-5, 5.5813E-5, 6.5789E-5, 8.1638E-5,
     * 1.1002E-4, 1.5175E-4, 2.2090E-4, 3.4103E-4, 4.4593E-4, 6.2977E-5,
     * 6.2906E-5, 6.2792E-5, 6.2691E-5, 6.2721E-5, 6.2963E-5, 6.3437E-5,
     * 6.3820E-5, 6.4212E-5, 6.4959E-5, 6.6227E-5, 6.9027E-5, 7.2924E-5,
     * 8.2391E-5, 9.7844E-5, 1.2597E-4, 1.6756E-4, 2.3662E-4, 3.5671E-4,
     * 4.6159E-4, 9.1763E-5, 9.1173E-5, 9.0075E-5, 8.8366E-5, 8.7009E-5,
     * 8.5742E-5, 8.5096E-5, 8.5007E-5, 8.5049E-5, 8.5304E-5, 8.5991E-5,
     * 8.7983E-5, 9.1205E-5, 9.9807E-5, 1.1460E-4, 1.4229E-4, 1.8365E-4,
     * 2.5257E-4, 3.7259E-4, 4.7744E-4, 1.3007E-4, 1.2826E-4, 1.2486E-4,
     * 1.1954E-4, 1.1521E-4, 1.1101E-4, 1.0860E-4, 1.0771E-4, 1.0717E-4,
     * 1.0661E-4, 1.0634E-4, 1.0702E-4, 1.0916E-4, 1.1639E-4, 1.3015E-4,
     * 1.5718E-4, 1.9819E-4, 2.6691E-4, 3.8680E-4, 4.9162E-4, 1.6658E-4,
     * 1.6277E-4, 1.5573E-4, 1.4507E-4, 1.3698E-4, 1.3017E-4/           
      DATA X2601/ 1.2600E-4, 1.2433E-4, 1.2321E-4, 1.2186E-4, 1.2067E-4,
     * 1.2009E-4, 1.2121E-4, 1.2718E-4, 1.3999E-4, 1.6642E-4, 2.0712E-4,
     * 2.7565E-4, 3.9544E-4, 5.0022E-4, 2.1063E-4, 2.0325E-4, 1.9005E-4,
     * 1.7152E-4, 1.5973E-4, 1.4971E-4, 1.4338E-4, 1.4076E-4, 1.3896E-4,
     * 1.3665E-4, 1.3437E-4, 1.3232E-4, 1.3226E-4, 1.3678E-4, 1.4853E-4,
     * 1.7430E-4, 2.1464E-4, 2.8296E-4, 4.0264E-4, 5.0738E-4, 2.4267E-4,
     * 2.3143E-4, 2.1233E-4, 1.8937E-4, 1.7480E-4, 1.6237E-4, 1.5447E-4,
     * 1.5115E-4, 1.4886E-4, 1.4587E-4, 1.4280E-4, 1.3971E-4, 1.3882E-4,
     * 1.4233E-4, 1.5334E-4, 1.7866E-4, 2.1877E-4, 2.8696E-4, 4.0655E-4,
     * 5.1127E-4, 2.5659E-4, 2.4320E-4, 2.2231E-4, 1.9726E-4, 1.8138E-4,
     * 1.6784E-4, 1.5921E-4, 1.5558E-4, 1.5306E-4, 1.4976E-4, 1.4633E-4,
     * 1.4278E-4, 1.4151E-4, 1.4457E-4, 1.5526E-4, 1.8038E-4, 2.2039E-4,
     * 2.8851E-4, 4.0807E-4, 5.1278E-4, 1.2396E-4, 1.2775E-4, 1.3531E-4,
     * 1.5032E-4, 1.7365E-4, 2.0512E-4, 2.3604E-4, 2.5215E-4, 2.6608E-4,
     * 2.8936E-4, 3.2413E-4, 3.9344E-4, 4.9092E-4, 7.8785E-4, 1.4350E-3,
     * 2.1430E-3, 3.2592E-3, 5.1529E-3, 8.5392E-3, 1.1500E-2, 1.2456E-4,
     * 1.2834E-4, 1.3592E-4, 1.5095E-4, 1.7433E-4, 2.0587E-4/           
      DATA X2701/ 2.3685E-4, 2.5298E-4, 2.6693E-4, 2.9025E-4, 3.2506E-4,
     * 3.9444E-4, 4.9199E-4, 7.8909E-4, 1.4364E-3, 2.1430E-3, 3.2592E-3,
     * 5.1529E-3, 8.5392E-3, 1.1500E-2, 1.2505E-4, 1.2863E-4, 1.3620E-4,
     * 1.5125E-4, 1.7465E-4, 2.0623E-4, 2.3724E-4, 2.5338E-4, 2.6734E-4,
     * 2.9067E-4, 3.2551E-4, 3.9492E-4, 4.9250E-4, 7.8968E-4, 1.4370E-3,
     * 2.1430E-3, 3.2592E-3, 5.1529E-3, 8.5392E-3, 1.1500E-2, 1.3094E-4,
     * 1.3234E-4, 1.3707E-4, 1.5215E-4, 1.7563E-4, 2.0731E-4, 2.3840E-4,
     * 2.5458E-4, 2.6858E-4, 2.9195E-4, 3.2685E-4, 3.9636E-4, 4.9404E-4,
     * 7.9146E-4, 1.4390E-3, 2.1430E-3, 3.2592E-3, 5.1529E-3, 8.5392E-3,
     * 1.1500E-2, 1.0900E-4, 1.1600E-4, 1.2992E-4, 1.5470E-4, 1.7913E-4,
     * 2.1115E-4, 2.4256E-4, 2.5886E-4, 2.7297E-4, 2.9651E-4, 3.3162E-4,
     * 4.0147E-4, 4.9952E-4, 7.9778E-4, 1.4459E-3, 2.1430E-3, 3.2592E-3,
     * 5.1529E-3, 8.5392E-3, 1.1500E-2, 1.1343E-4, 1.2059E-4, 1.3483E-4,
     * 1.6016E-4, 1.8509E-4, 2.1771E-4, 2.4963E-4, 2.6616E-4, 2.8044E-4,
     * 3.0426E-4, 3.3974E-4, 4.1016E-4, 5.0880E-4, 8.0846E-4, 1.4577E-3,
     * 2.1430E-3, 3.2592E-3, 5.1529E-3, 8.5392E-3, 1.1500E-2, 9.9221E-5,
     * 1.0984E-4, 1.3043E-4, 1.6528E-4, 1.9732E-4, 2.3564E-4/           
      DATA X2801/ 2.6893E-4, 2.8603E-4, 3.0079E-4, 3.2533E-4, 3.6176E-4,
     * 4.3363E-4, 5.3380E-4, 8.3708E-4, 1.4923E-3, 2.1650E-3, 3.2812E-3,
     * 5.1749E-3, 8.5612E-3, 1.1530E-2, 1.8405E-4, 1.9045E-4, 2.0327E-4,
     * 2.2640E-4, 2.4962E-4, 2.8070E-4, 3.1194E-4, 3.3023E-4, 3.4595E-4,
     * 3.7197E-4, 4.1028E-4, 4.8498E-4, 5.8806E-4, 8.9846E-4, 1.5647E-3,
     * 2.2001E-3, 3.3163E-3, 5.2100E-3, 8.5963E-3, 1.1570E-2, 2.4985E-4,
     * 2.5802E-4, 2.7427E-4, 3.0312E-4, 3.3150E-4, 3.6855E-4, 4.0473E-4,
     * 4.2542E-4, 4.4293E-4, 4.7161E-4, 5.1320E-4, 5.9247E-4, 7.0003E-4,
     * 1.0224E-3, 1.7076E-3, 2.2562E-3, 3.3724E-3, 5.2661E-3, 8.6524E-3,
     * 1.1650E-2, 3.2870E-4, 3.3848E-4, 3.5783E-4, 3.9187E-4, 4.2494E-4,
     * 4.6748E-4, 5.0827E-4, 5.3126E-4, 5.5048E-4, 5.8155E-4, 6.2587E-4,
     * 7.0846E-4, 8.1892E-4, 1.1507E-3, 1.8534E-3, 2.3088E-3, 3.4250E-3,
     * 5.3187E-3, 8.7050E-3, 1.1720E-2, 4.3488E-4, 4.4614E-4, 4.6837E-4,
     * 5.0723E-4, 5.4470E-4, 5.9242E-4, 6.3762E-4, 6.6282E-4, 6.8374E-4,
     * 7.1719E-4, 7.6398E-4, 8.4885E-4, 9.6074E-4, 1.3001E-3, 2.0247E-3,
     * 2.3917E-3, 3.5079E-3, 5.4016E-3, 8.7879E-3, 1.1840E-2, 6.1794E-4,
     * 6.3181E-4, 6.5903E-4, 7.0623E-4, 7.5117E-4, 8.0755E-4/           
      DATA X2901/ 8.5989E-4, 8.8855E-4, 9.1202E-4, 9.4866E-4, 9.9811E-4,
     * 1.0836E-3, 1.1941E-3, 1.5393E-3, 2.3090E-3, 2.6139E-3, 3.7301E-3,
     * 5.6238E-3, 9.0101E-3, 1.2130E-2, 5.3227E-4, 5.7144E-4, 6.4579E-4,
     * 7.6601E-4, 8.6882E-4, 9.7880E-4, 1.0578E-3, 1.0896E-3, 1.1151E-3,
     * 1.1540E-3, 1.2047E-3, 1.2884E-3, 1.3946E-3, 1.7397E-3, 2.5638E-3,
     * 2.9301E-3, 4.0463E-3, 5.9400E-3, 9.3263E-3, 1.2610E-2, 6.7897E-4,
     * 7.1788E-4, 7.9210E-4, 9.1355E-4, 1.0194E-3, 1.1362E-3, 1.2253E-3,
     * 1.2597E-3, 1.2868E-3, 1.3274E-3, 1.3786E-3, 1.4594E-3, 1.5605E-3,
     * 1.9025E-3, 2.7880E-3, 3.3133E-3, 4.4295E-3, 6.3232E-3, 9.7095E-3,
     * 1.3080E-2, 6.8834E-4, 7.3789E-4, 8.3129E-4, 9.8030E-4, 1.1047E-3,
     * 1.2325E-3, 1.3279E-3, 1.3640E-3, 1.3922E-3, 1.4336E-3, 1.4850E-3,
     * 1.5636E-3, 1.6609E-3, 2.0000E-3, 2.9320E-3, 3.6126E-3, 4.7288E-3,
     * 6.6225E-3, 1.0009E-2, 1.3480E-2, 8.0681E-4, 8.4150E-4, 9.1208E-4,
     * 1.0431E-3, 1.1791E-3, 1.3168E-3, 1.4180E-3, 1.4556E-3, 1.4846E-3,
     * 1.5269E-3, 1.5783E-3, 1.6547E-3, 1.7483E-3, 2.0842E-3, 3.0637E-3,
     * 3.9218E-3, 5.0380E-3, 6.9317E-3, 1.0318E-2, 1.3890E-2, 7.5197E-4,
     * 8.2153E-4, 9.3925E-4, 1.0792E-3, 1.2223E-3, 1.3659E-3/           
      DATA X3001/ 1.4706E-3, 1.5091E-3, 1.5386E-3, 1.5813E-3, 1.6327E-3,
     * 1.7077E-3, 1.7991E-3, 2.1329E-3, 3.1431E-3, 4.1243E-3, 5.2405E-3,
     * 7.1342E-3, 1.0521E-2, 1.4170E-2, 7.4911E-4, 8.2923E-4, 9.5022E-4,
     * 1.0940E-3, 1.2399E-3, 1.3860E-3, 1.4922E-3, 1.5310E-3, 1.5607E-3,
     * 1.6036E-3, 1.6550E-3, 1.7294E-3, 1.8198E-3, 2.1527E-3, 3.1763E-3,
     * 4.2123E-3, 5.3285E-3, 7.2222E-3, 1.0609E-2, 1.4290E-2, 4.2500E-1,
     * 4.3500E-1, 4.5000E-1, 4.7500E-1, 5.0000E-1, 5.3000E-1, 5.6000E-1,
     * 6.0000E-1, 6.5000E-1, 7.0000E-1, 7.5000E-1, 8.0000E-1, 8.5000E-1,
     * 9.0000E-1, 9.5000E-1, 9.7000E-1, 9.8200E-1, 9.9000E-1, 9.9500E-1,
     * 9.9800E-1, 9.9900E-1, 1.0000E+0, 6.1530E-3, 7.3905E-3, 9.5941E-3,
     * 1.4334E-2, 2.0651E-2, 3.0725E-2, 4.4022E-2, 6.7724E-2, 1.0888E-1,
     * 1.6545E-1, 2.4029E-1, 3.3630E-1, 4.5644E-1, 6.0394E-1, 7.8295E-1,
     * 8.6467E-1, 9.1682E-1, 9.5297E-1, 9.7615E-1, 9.9028E-1, 9.9503E-1,
     * 1.0000E+0, 2.4464E+0, 2.4371E+0, 2.4231E+0, 2.3996E+0, 2.3755E+0,
     * 2.3454E+0, 2.3137E+0, 2.2688E+0, 2.2075E+0, 2.1395E+0, 2.0634E+0,
     * 1.9766E+0, 1.8749E+0, 1.7488E+0, 1.5723E+0, 1.4672E+0, 1.3784E+0,
     * 1.2923E+0, 1.2062E+0, 1.1400E+0, 1.0950E+0, 1.0000E+0/           
      DATA X3101/ 4.4508E-3, 5.2356E-3, 6.5961E-3, 9.4081E-3, 1.2993E-2,
     * 1.8471E-2, 2.5422E-2, 3.7360E-2, 5.7417E-2, 8.4520E-2, 1.2057E-1,
     * 1.6833E-1, 2.3237E-1, 3.2187E-1, 4.6283E-1, 5.5393E-1, 6.3347E-1,
     * 7.1008E-1, 7.7870E-1, 8.5000E-1, 8.9300E-1, 1.0000E+0, 7.8096E+0,
     * 7.8506E+0, 7.9126E+0, 8.0159E+0, 8.1183E+0, 8.2386E+0, 8.3558E+0,
     * 8.5073E+0, 8.6924E+0, 8.8785E+0, 9.0723E+0, 9.2793E+0, 9.5043E+0,
     * 9.7562E+0, 1.0068E+1, 1.0239E+1, 1.0374E+1, 1.0498E+1, 1.0614E+1,
     * 1.0725E+1, 1.0790E+1, 1.0925E+1, 1.5619E+1, 1.5491E+1, 1.5309E+1,
     * 1.5033E+1, 1.4784E+1, 1.4515E+1, 1.4272E+1, 1.3981E+1, 1.3656E+1,
     * 1.3360E+1, 1.3083E+1, 1.2814E+1, 1.2541E+1, 1.2246E+1, 1.1881E+1,
     * 1.1681E+1, 1.1521E+1, 1.1378E+1, 1.1240E+1, 1.1115E+1, 1.1050E+1,
     * 1.0925E+1, 3.3191E+0, 3.3369E+0, 3.3646E+0, 3.4129E+0, 3.4636E+0,
     * 3.5269E+0, 3.5925E+0, 3.6835E+0, 3.8047E+0, 3.9382E+0, 4.0896E+0,
     * 4.2644E+0, 4.4690E+0, 4.7141E+0, 5.0359E+0, 5.2156E+0, 5.3590E+0,
     * 5.4892E+0, 5.6097E+0, 5.7230E+0, 5.7800E+0, 5.9270E+0, 6.6381E+0,
     * 6.6604E+0, 6.6932E+0, 6.7460E+0, 6.7964E+0, 6.8532E+0, 6.9056E+0,
     * 6.9676E+0, 7.0308E+0, 7.0754E+0, 7.0976E+0, 7.0921E+0/           
      DATA X3201/ 7.0504E+0, 6.9549E+0, 6.7576E+0, 6.6144E+0, 6.4855E+0,
     * 6.3609E+0, 6.2508E+0, 6.1350E+0, 6.0800E+0, 5.9270E+0, 4.1260E+0,
     * 3.2976E+1, 1.2928E+0, 3.1430E-2, 1.0000E-3, 2.0000E-3, 1.0000E-3,
     * 1.0000E-3/                                                       
C**********************************************************************
	IGOTO=4
	CALL FLUID(TEMP,PRES,DENS,PROPS,NP,ENTRY,VAPOR,ERROR,IGOTO)
C     CALL FLUID0(G,NG,GG,TT,DD,N1,N2,N3,SAT,NS,C,M)
C**********************************************************************
      RETURN                                                            
                                                                        
      END                                                               
