$LARGE
C	WRITTEN BY: THEODORE E. FESSLER, NASA TM X-3572, AUGUST 1977
C	REWRITTEN BY: LT. MARK D. KLEM & MARGARET P. PROCTOR, JANUARY 1986
C
C	THE ORIGINAL PROGRAM WAS WRITTEN IN SFTRAN, BUT THIS PROGRAM IS
C	REWRITTEN IN STANDARD FORTRAN 77 TO RUN PRIMARILY ON PERSONAL
C	COMPUTERS AND CAN ALSO RUN ON MAINFRAMES. MUCH OF THE OLD CODE WAS
C	COMMENTED OUT BUT LEFT INTACT FOR DOCUMENTATION AND REFERENCE
C	PURPOSES.
C
      SUBROUTINE AR                                                     
C.....ARGON TABLES FOR FLUID SUBPROGRAM.                                
                                                                        
C                -- UNITS --                                            
                                                                        
C       R = 0.20813 JOULES / GRAM - DEG. K      C(1)                    
C       TCRIT = 150.7  DEG. K                   C(2)                    
C       PCRIT = 4.865  MEGA-NEWTONS / METER**2  C(3)                    
C       DCRIT = 0.531   GRAMS / CENTIMETER**3   C(4)                    
C       VISCOSITY = GRAMS / CENTIMETER - SEC.        PROP(7)            
C       CONDUCTIVITY = WATTS / CENTIMETER - DEG. K   PROP(8)            
                                                                        
C     DIMENSION G(21,4),TT(27),DD(30),GG(27,30,8),SAT(35,8),C(8),M(4)
C**********************************************************************
      DIMENSION G(29,4),TT(27),DD(30),GG(27,30,8),SAT(40,8),C(8),M(4)
	INTEGER ERROR,ENTRY
	DIMENSION PROPS(8)
	LOGICAL VAPOR
C**********************************************************************
                                                                        
      DIMENSION X0001(100),X0101(100),X0201(100),X0301(100),X0401(100), 
     *          X0501(100),X0601(100),X0701(100),X0801(100),X0901(100), 
     *          X1001(100),X1101(100),X1201(100),X1301(100),X1401(100), 
     *          X1501(100),X1601(100),X1701(100),X1801(100),X1901(100), 
     *          X2001(100),X2101(100),X2201(100),X2301(100),X2401(100), 
     *          X2501(100),X2601(100),X2701(100),X2801(100),X2901(100), 
     *          X3001(100),X3101(100),X3201(100),X3301(100),X3401(100), 
     *          X3501(100),X3601(100),X3701(100),X3801(100),X3901(100), 
     *          X4001(100),X4101(100),X4201(100),X4301(100),X4401(100), 
     *          X4501(100),X4601(100),X4701(100),X4801(100),X4901(100), 
     *          X5001(100),X5101(100),X5201(100),X5301(100),X5401(100), 
     *          X5501(100),X5601(100),X5701(100),X5801(100),X5901(100), 
     *          X6001(100),X6101(100),X6201(100),X6301(100),X6401(100), 
     *          X6501(100),X6601(100),X6701(100),X6801(100),X6901(9)    
                                                                        
      DIMENSION Z(6909)                                                 
C**********************************************************************
	COMMON /FLUDPC/ G,TT,DD,GG,SAT,C,M,NG,N1,N2,N3,NS
C**********************************************************************
      EQUIVALENCE (X0001,Z(0001)), (X0101,Z(0101)), (X0201,Z(0201)),    
     *            (X0301,Z(0301)), (X0401,Z(0401)), (X0501,Z(0501)),    
     *            (X0601,Z(0601)), (X0701,Z(0701)), (X0801,Z(0801)),    
     *            (X0901,Z(0901)), (X1001,Z(1001)), (X1101,Z(1101)),    
     *            (X1201,Z(1201)), (X1301,Z(1301)), (X1401,Z(1401)),    
     *            (X1501,Z(1501)), (X1601,Z(1601)), (X1701,Z(1701)),    
     *            (X1801,Z(1801)), (X1901,Z(1901)), (X2001,Z(2001)),    
     *            (X2101,Z(2101)), (X2201,Z(2201)), (X2301,Z(2301)),    
     *            (X2401,Z(2401)), (X2501,Z(2501)), (X2601,Z(2601)),    
     *            (X2701,Z(2701)), (X2801,Z(2801)), (X2901,Z(2901)),    
     *            (X3001,Z(3001)), (X3101,Z(3101)), (X3201,Z(3201)),    
     *            (X3301,Z(3301)), (X3401,Z(3401)), (X3501,Z(3501))     
      EQUIVALENCE (X3601,Z(3601)), (X3701,Z(3701)), (X3801,Z(3801)),    
     *            (X3901,Z(3901)), (X4001,Z(4001)), (X4101,Z(4101)),    
     *            (X4201,Z(4201)), (X4301,Z(4301)), (X4401,Z(4401)),    
     *            (X4501,Z(4501)), (X4601,Z(4601)), (X4701,Z(4701)),    
     *            (X4801,Z(4801)), (X4901,Z(4901)), (X5001,Z(5001)),    
     *            (X5101,Z(5101)), (X5201,Z(5201)), (X5301,Z(5301)),    
     *            (X5401,Z(5401)), (X5501,Z(5501)), (X5601,Z(5601)),    
     *            (X5701,Z(5701)), (X5801,Z(5801)), (X5901,Z(5901)),    
     *            (X6001,Z(6001)), (X6101,Z(6101)), (X6201,Z(6201)),    
     *            (X6301,Z(6301)), (X6401,Z(6401)), (X6501,Z(6501)),    
     *            (X6601,Z(6601)), (X6701,Z(6701)), (X6801,Z(6801)),    
     *            (X6901,Z(6901))                                       
                                                                        
C**********************************************************************
C     EQUIVALENCE (G,Z(0001)),(TT,Z(0085)),(DD,Z(0112)),(GG,Z(0142)),
C    1            (SAT,Z(6622)),(C,Z(6902))
C     DATA NG,N1,N2,N3,NS/21,27,30,8,35/
	NG = 21
	N1 = 27
	N2 = 30
	N3 = 8
	NS = 35
	DO 20 I=1,4
		DO 10 J=1,21
			G(J,I) = Z(J+(I-1)*21)
  10		CONTINUE
  20	CONTINUE
	DO 30 I=1,27
		TT(I) = Z(I+84)
  30  CONTINUE
	DO 40 I=1,30
		DD(I) = Z(I+111)
  40	CONTINUE
	KK=141
	DO 70 I=1,8
		DO 60 J=1,30
			DO 50 K=1,27
				KK=KK+1
				GG(K,J,I) = Z(KK)
  50			CONTINUE
  60		CONTINUE
  70	CONTINUE
	DO 90 I=1,8
		DO 80 J=1,35
			SAT(J,I) = Z(J+(I-1)*35+6621)
  80		CONTINUE
  90	CONTINUE
      DO 100 I=1,8
		C(I) = Z(I+6901)
 100	CONTINUE
C**********************************************************************
      DATA X0001/ 5.6200E-1, 6.6000E-1, 8.0000E-1, 8.3000E-1, 8.8000E-1,
     * 9.0000E-1, 9.3000E-1, 9.7000E-1, 9.9000E-1, 1.0000E+0, 1.0300E+0,
     * 1.0800E+0, 1.3000E+0, 1.5000E+0, 2.0000E+0, 2.5000E+0, 3.5000E+0,
     * 4.5000E+0, 5.0000E+0, 6.0000E+0, 6.6300E+0, 1.2761E+1, 1.3003E+1,
     * 1.3291E+1, 1.3347E+1, 1.3434E+1, 1.3468E+1, 1.3517E+1, 1.3580E+1,
     * 1.3611E+1, 1.3626E+1, 1.3671E+1, 1.3742E+1, 1.4020E+1, 1.4235E+1,
     * 1.4666E+1, 1.5001E+1, 1.5506E+1, 1.5883E+1, 1.6041E+1, 1.6314E+1,
     * 1.6464E+1, 9.7843E+0, 9.9036E+0, 1.0074E+1, 1.0110E+1, 1.0171E+1,
     * 1.0196E+1, 1.0232E+1, 1.0281E+1, 1.0305E+1, 1.0317E+1, 1.0354E+1,
     * 1.0415E+1, 1.0682E+1, 1.0926E+1, 1.1534E+1, 1.2142E+1, 1.3359E+1,
     * 1.4575E+1, 1.5183E+1, 1.6400E+1, 1.7166E+1, 1.5004E+0, 1.5007E+0,
     * 1.5007E+0, 1.5007E+0, 1.5006E+0, 1.5006E+0, 1.5006E+0, 1.5006E+0,
     * 1.5006E+0, 1.5006E+0, 1.5006E+0, 1.5005E+0, 1.5004E+0, 1.5004E+0,
     * 1.5003E+0, 1.5003E+0, 1.5003E+0, 1.5003E+0, 1.5003E+0, 1.5003E+0,
     * 1.5003E+0, 5.6200E-1, 7.0500E-1, 8.2100E-1, 8.7500E-1, 9.2200E-1,
     * 9.5000E-1, 9.6600E-1, 9.7500E-1, 9.8500E-1, 9.9100E-1, 9.9600E-1,
     * 9.9750E-1, 9.9890E-1, 1.0200E+0, 1.0800E+0, 1.3000E+0/           
      DATA X0101/ 1.7000E+0, 2.0000E+0, 2.3000E+0, 2.5000E+0, 3.0000E+0,
     * 3.5000E+0, 4.0000E+0, 5.0000E+0, 5.5000E+0, 6.0000E+0, 6.6300E+0,
     * 2.0000E-4, 9.0000E-4, 7.0000E-3, 4.2000E-2, 1.3000E-1, 2.0500E-1,
     * 3.0000E-1, 3.8800E-1, 4.6500E-1, 5.1100E-1, 5.9000E-1, 6.7500E-1,
     * 7.5000E-1, 8.0000E-1, 8.6500E-1, 1.1500E+0, 1.2200E+0, 1.2800E+0,
     * 1.3500E+0, 1.4400E+0, 1.5400E+0, 1.6000E+0, 1.6900E+0, 1.8100E+0,
     * 1.9800E+0, 2.1400E+0, 2.4000E+0, 2.6600E+0, 2.7000E+0, 2.7800E+0,
     * 1.2833E+0, 1.2834E+0, 1.2835E+0, 1.2836E+0, 1.2836E+0, 1.2836E+0,
     * 1.2836E+0, 1.2836E+0, 1.2836E+0, 1.2836E+0, 1.2836E+0, 1.2836E+0,
     * 1.2836E+0, 1.2836E+0, 1.2836E+0, 1.2837E+0, 1.2837E+0, 1.2837E+0,
     * 1.2838E+0, 1.2838E+0, 1.2838E+0, 1.2838E+0, 1.2838E+0, 1.2838E+0,
     * 1.2838E+0, 1.2838E+0, 1.2838E+0, 1.2815E+0, 1.2823E+0, 1.2827E+0,
     * 1.2828E+0, 1.2829E+0, 1.2830E+0, 1.2830E+0, 1.2830E+0, 1.2831E+0,
     * 1.2831E+0, 1.2831E+0, 1.2831E+0, 1.2831E+0, 1.2831E+0, 1.2832E+0,
     * 1.2834E+0, 1.2836E+0, 1.2837E+0, 1.2837E+0, 1.2837E+0, 1.2838E+0,
     * 1.2838E+0, 1.2838E+0, 1.2839E+0, 1.2839E+0, 1.2839E+0, 1.2839E+0,
     * 1.2660E+0, 1.2725E+0, 1.2756E+0, 1.2767E+0, 1.2774E+0/           
      DATA X0201/ 1.2778E+0, 1.2781E+0, 1.2782E+0, 1.2783E+0, 1.2784E+0,
     * 1.2784E+0, 1.2784E+0, 1.2785E+0, 1.2787E+0, 1.2793E+0, 1.2809E+0,
     * 1.2823E+0, 1.2829E+0, 1.2833E+0, 1.2835E+0, 1.2838E+0, 1.2840E+0,
     * 1.2842E+0, 1.2844E+0, 1.2845E+0, 1.2846E+0, 1.2846E+0, 1.1852E+0,
     * 1.2177E+0, 1.2363E+0, 1.2425E+0, 1.2470E+0, 1.2494E+0, 1.2507E+0,
     * 1.2514E+0, 1.2521E+0, 1.2525E+0, 1.2529E+0, 1.2530E+0, 1.2531E+0,
     * 1.2545E+0, 1.2581E+0, 1.2671E+0, 1.2755E+0, 1.2788E+0, 1.2810E+0,
     * 1.2821E+0, 1.2841E+0, 1.2854E+0, 1.2863E+0, 1.2876E+0, 1.2881E+0,
     * 1.2884E+0, 1.2888E+0, 1.0134E+0, 1.0965E+0, 1.1470E+0, 1.1654E+0,
     * 1.1787E+0, 1.1857E+0, 1.1894E+0, 1.1914E+0, 1.1936E+0, 1.1948E+0,
     * 1.1959E+0, 1.1962E+0, 1.1964E+0, 1.2006E+0, 1.2110E+0, 1.2371E+0,
     * 1.2609E+0, 1.2703E+0, 1.2765E+0, 1.2795E+0, 1.2850E+0, 1.2886E+0,
     * 1.2913E+0, 1.2948E+0, 1.2960E+0, 1.2971E+0, 1.2982E+0, 8.9563E-1,
     * 1.0099E+0, 1.0814E+0, 1.1083E+0, 1.1284E+0, 1.1388E+0, 1.1444E+0,
     * 1.1474E+0, 1.1506E+0, 1.1525E+0, 1.1540E+0, 1.1545E+0, 1.1549E+0,
     * 1.1611E+0, 1.1767E+0, 1.2156E+0, 1.2508E+0, 1.2646E+0, 1.2737E+0,
     * 1.2782E+0, 1.2861E+0, 1.2914E+0, 1.2952E+0, 1.3004E+0/           
      DATA X0301/ 1.3022E+0, 1.3037E+0, 1.3053E+0, 7.7336E-1, 9.1862E-1,
     * 1.0114E+0, 1.0469E+0, 1.0739E+0, 1.0881E+0, 1.0957E+0, 1.0998E+0,
     * 1.1042E+0, 1.1067E+0, 1.1088E+0, 1.1095E+0, 1.1100E+0, 1.1185E+0,
     * 1.1396E+0, 1.1925E+0, 1.2402E+0, 1.2590E+0, 1.2712E+0, 1.2773E+0,
     * 1.2880E+0, 1.2952E+0, 1.3003E+0, 1.3073E+0, 1.3097E+0, 1.3118E+0,
     * 1.3139E+0, 6.8726E-1, 8.5254E-1, 9.5963E-1, 1.0010E+0, 1.0326E+0,
     * 1.0496E+0, 1.0586E+0, 1.0634E+0, 1.0687E+0, 1.0718E+0, 1.0743E+0,
     * 1.0750E+0, 1.0757E+0, 1.0858E+0, 1.1111E+0, 1.1746E+0, 1.2322E+0,
     * 1.2549E+0, 1.2698E+0, 1.2772E+0, 1.2903E+0, 1.2991E+0, 1.3054E+0,
     * 1.3139E+0, 1.3169E+0, 1.3194E+0, 1.3220E+0, 6.3428E-1, 8.1030E-1,
     * 9.2513E-1, 9.6965E-1, 1.0040E+0, 1.0226E+0, 1.0325E+0, 1.0379E+0,
     * 1.0436E+0, 1.0470E+0, 1.0498E+0, 1.0506E+0, 1.0514E+0, 1.0625E+0,
     * 1.0905E+0, 1.1612E+0, 1.2262E+0, 1.2521E+0, 1.2692E+0, 1.2777E+0,
     * 1.2929E+0, 1.3030E+0, 1.3103E+0, 1.3202E+0, 1.3237E+0, 1.3266E+0,
     * 1.3296E+0, 6.1377E-1, 7.9199E-1, 9.0942E-1, 9.5508E-1, 9.9037E-1,
     * 1.0095E+0, 1.0197E+0, 1.0253E+0, 1.0313E+0, 1.0348E+0, 1.0377E+0,
     * 1.0386E+0, 1.0394E+0, 1.0509E+0, 1.0801E+0, 1.1543E+0/           
      DATA X0401/ 1.2231E+0, 1.2507E+0, 1.2691E+0, 1.2782E+0, 1.2946E+0,
     * 1.3056E+0, 1.3135E+0, 1.3242E+0, 1.3280E+0, 1.3312E+0, 1.3345E+0,
     * 5.9595E-1, 7.7271E-1, 8.8989E-1, 9.3681E-1, 9.7250E-1, 9.9214E-1,
     * 1.0028E+0, 1.0085E+0, 1.0147E+0, 1.0183E+0, 1.0213E+0, 1.0222E+0,
     * 1.0230E+0, 1.0350E+0, 1.0655E+0, 1.1439E+0, 1.2184E+0, 1.2489E+0,
     * 1.2694E+0, 1.2796E+0, 1.2980E+0, 1.3104E+0, 1.3194E+0, 1.3316E+0,
     * 1.3360E+0, 1.3396E+0, 1.3434E+0, 5.9766E-1, 7.7734E-1, 8.7939E-1,
     * 9.2603E-1, 9.6143E-1, 9.8056E-1, 9.9074E-1, 9.9651E-1, 1.0027E+0,
     * 1.0063E+0, 1.0093E+0, 1.0102E+0, 1.0110E+0, 1.0231E+0, 1.0539E+0,
     * 1.1350E+0, 1.2144E+0, 1.2477E+0, 1.2703E+0, 1.2817E+0, 1.3024E+0,
     * 1.3164E+0, 1.3266E+0, 1.3404E+0, 1.3454E+0, 1.3495E+0, 1.3538E+0,
     * 6.7188E-1, 7.5781E-1, 8.7109E-1, 9.2578E-1, 9.5483E-1, 9.7485E-1,
     * 9.8479E-1, 9.9028E-1, 9.9638E-1, 9.9996E-1, 1.0029E+0, 1.0037E+0,
     * 1.0046E+0, 1.0164E+0, 1.0468E+0, 1.1287E+0, 1.2117E+0, 1.2473E+0,
     * 1.2718E+0, 1.2842E+0, 1.3068E+0, 1.3223E+0, 1.3335E+0, 1.3488E+0,
     * 1.3543E+0, 1.3589E+0, 1.3637E+0, 6.3403E-1, 7.7965E-1, 8.8126E-1,
     * 9.2229E-1, 9.5486E-1, 9.7293E-1, 9.8281E-1, 9.8817E-1/           
      DATA X0501/ 9.9404E-1, 9.9750E-1, 1.0003E+0, 1.0012E+0, 1.0020E+0,
     * 1.0135E+0, 1.0435E+0, 1.1254E+0, 1.2103E+0, 1.2474E+0, 1.2730E+0,
     * 1.2861E+0, 1.3101E+0, 1.3264E+0, 1.3384E+0, 1.3547E+0, 1.3606E+0,
     * 1.3655E+0, 1.3706E+0, 6.6574E-1, 7.9709E-1, 8.8803E-1, 9.2554E-1,
     * 9.5573E-1, 9.7263E-1, 9.8192E-1, 9.8702E-1, 9.9260E-1, 9.9589E-1,
     * 9.9861E-1, 9.9942E-1, 1.0002E+0, 1.0113E+0, 1.0404E+0, 1.1218E+0,
     * 1.2090E+0, 1.2479E+0, 1.2750E+0, 1.2889E+0, 1.3146E+0, 1.3322E+0,
     * 1.3450E+0, 1.3627E+0, 1.3690E+0, 1.3743E+0, 1.3798E+0, 7.5800E-1,
     * 8.4622E-1, 9.1110E-1, 9.3918E-1, 9.6259E-1, 9.7606E-1, 9.8360E-1,
     * 9.8778E-1, 9.9239E-1, 9.9514E-1, 9.9741E-1, 9.9809E-1, 9.9873E-1,
     * 1.0082E+0, 1.0340E+0, 1.1135E+0, 1.2091E+0, 1.2547E+0, 1.2874E+0,
     * 1.3045E+0, 1.3364E+0, 1.3587E+0, 1.3750E+0, 1.3977E+0, 1.4059E+0,
     * 1.4127E+0, 1.4198E+0, 7.7051E-1, 8.5036E-1, 9.1232E-1, 9.3909E-1,
     * 9.6181E-1, 9.7500E-1, 9.8241E-1, 9.8651E-1, 9.9107E-1, 9.9378E-1,
     * 9.9604E-1, 9.9671E-1, 9.9734E-1, 1.0067E+0, 1.0324E+0, 1.1127E+0,
     * 1.2103E+0, 1.2571E+0, 1.2909E+0, 1.3085E+0, 1.3415E+0, 1.3646E+0,
     * 1.3815E+0, 1.4050E+0, 1.4135E+0, 1.4206E+0, 1.4280E+0/           
      DATA X0601/ 8.5156E-1, 8.3984E-1, 9.1016E-1, 9.4043E-1, 9.5898E-1,
     * 9.7339E-1, 9.8055E-1, 9.8457E-1, 9.8918E-1, 9.9193E-1, 9.9419E-1,
     * 9.9487E-1, 9.9550E-1, 1.0050E+0, 1.0310E+0, 1.1124E+0, 1.2116E+0,
     * 1.2593E+0, 1.2937E+0, 1.3117E+0, 1.3455E+0, 1.3690E+0, 1.3864E+0,
     * 1.4105E+0, 1.4192E+0, 1.4264E+0, 1.4340E+0, 8.2813E-1, 8.2813E-1,
     * 9.0234E-1, 9.3433E-1, 9.5483E-1, 9.6997E-1, 9.7749E-1, 9.8149E-1,
     * 9.8625E-1, 9.8908E-1, 9.9140E-1, 9.9210E-1, 9.9275E-1, 1.0025E+0,
     * 1.0291E+0, 1.1123E+0, 1.2132E+0, 1.2617E+0, 1.2967E+0, 1.3150E+0,
     * 1.3493E+0, 1.3732E+0, 1.3909E+0, 1.4154E+0, 1.4243E+0, 1.4317E+0,
     * 1.4394E+0, 7.3486E-1, 8.2568E-1, 8.9429E-1, 9.2487E-1, 9.4969E-1,
     * 9.6419E-1, 9.7237E-1, 9.7687E-1, 9.8186E-1, 9.8483E-1, 9.8729E-1,
     * 9.8803E-1, 9.8872E-1, 9.9896E-1, 1.0269E+0, 1.1127E+0, 1.2154E+0,
     * 1.2644E+0, 1.2996E+0, 1.3180E+0, 1.3525E+0, 1.3766E+0, 1.3944E+0,
     * 1.4190E+0, 1.4280E+0, 1.4354E+0, 1.4432E+0, 6.9409E-1, 8.0225E-1,
     * 8.8110E-1, 9.1458E-1, 9.4220E-1, 9.5807E-1, 9.6689E-1, 9.7179E-1,
     * 9.7717E-1, 9.8037E-1, 9.8301E-1, 9.8381E-1, 9.8454E-1, 9.9550E-1,
     * 1.0250E+0, 1.1138E+0, 1.2173E+0, 1.2659E+0, 1.3008E+0/           
      DATA X0701/ 1.3189E+0, 1.3529E+0, 1.3765E+0, 1.3940E+0, 1.4183E+0,
     * 1.4271E+0, 1.4344E+0, 1.4421E+0, 6.6943E-1, 7.8809E-1, 8.7297E-1,
     * 9.0883E-1, 9.3824E-1, 9.5496E-1, 9.6423E-1, 9.6936E-1, 9.7499E-1,
     * 9.7833E-1, 9.8109E-1, 9.8191E-1, 9.8268E-1, 9.9406E-1, 1.0245E+0,
     * 1.1147E+0, 1.2178E+0, 1.2658E+0, 1.3000E+0, 1.3178E+0, 1.3510E+0,
     * 1.3741E+0, 1.3912E+0, 1.4149E+0, 1.4235E+0, 1.4307E+0, 1.4382E+0,
     * 6.3135E-1, 7.6733E-1, 8.6258E-1, 9.0207E-1, 9.3400E-1, 9.5192E-1,
     * 9.6181E-1, 9.6725E-1, 9.7320E-1, 9.7673E-1, 9.7963E-1, 9.8050E-1,
     * 9.8131E-1, 9.9324E-1, 1.0249E+0, 1.1161E+0, 1.2172E+0, 1.2634E+0,
     * 1.2961E+0, 1.3130E+0, 1.3445E+0, 1.3664E+0, 1.3825E+0, 1.4049E+0,
     * 1.4131E+0, 1.4198E+0, 1.4269E+0, 5.8939E-1, 7.4741E-1, 8.5474E-1,
     * 8.9820E-1, 9.3271E-1, 9.5179E-1, 9.6220E-1, 9.6790E-1, 9.7411E-1,
     * 9.7777E-1, 9.8079E-1, 9.8169E-1, 9.8253E-1, 9.9485E-1, 1.0270E+0,
     * 1.1169E+0, 1.2121E+0, 1.2544E+0, 1.2839E+0, 1.2991E+0, 1.3272E+0,
     * 1.3466E+0, 1.3609E+0, 1.3808E+0, 1.3880E+0, 1.3940E+0, 1.4003E+0,
     * 5.6085E-1, 7.4084E-1, 8.5801E-1, 9.0375E-1, 9.3902E-1, 9.5801E-1,
     * 9.6825E-1, 9.7383E-1, 9.7987E-1, 9.8342E-1, 9.8634E-1/           
      DATA X0801/ 9.8721E-1, 9.8802E-1, 9.9984E-1, 1.0302E+0, 1.1112E+0,
     * 1.1913E+0, 1.2251E+0, 1.2480E+0, 1.2596E+0, 1.2809E+0, 1.2954E+0,
     * 1.3060E+0, 1.3208E+0, 1.3262E+0, 1.3306E+0, 1.3353E+0, 5.7016E-1,
     * 7.5594E-1, 8.7121E-1, 9.1404E-1, 9.4573E-1, 9.6250E-1, 9.7145E-1,
     * 9.7630E-1, 9.8153E-1, 9.8460E-1, 9.8711E-1, 9.8786E-1, 9.8855E-1,
     * 9.9867E-1, 1.0243E+0, 1.0894E+0, 1.1486E+0, 1.1716E+0, 1.1865E+0,
     * 1.1939E+0, 1.2070E+0, 1.2157E+0, 1.2221E+0, 1.2309E+0, 1.2341E+0,
     * 1.2367E+0, 1.2395E+0, 6.3346E-1, 7.8307E-1, 8.6594E-1, 8.9275E-1,
     * 9.1168E-1, 9.2134E-1, 9.2639E-1, 9.2910E-1, 9.3198E-1, 9.3366E-1,
     * 9.3503E-1, 9.3544E-1, 9.3581E-1, 9.4124E-1, 9.5441E-1, 9.8349E-1,
     * 1.0015E+0, 1.0050E+0, 1.0058E+0, 1.0057E+0, 1.0047E+0, 1.0036E+0,
     * 1.0025E+0, 1.0010E+0, 1.0005E+0, 1.0000E+0, 9.9962E-1, 6.1362E-1,
     * 6.8256E-1, 7.1039E-1, 7.1765E-1, 7.2192E-1, 7.2375E-1, 7.2459E-1,
     * 7.2500E-1, 7.2542E-1, 7.2564E-1, 7.2581E-1, 7.2586E-1, 7.2591E-1,
     * 7.2650E-1, 7.2729E-1, 7.2345E-1, 7.0853E-1, 6.9780E-1, 6.8871E-1,
     * 6.8353E-1, 6.7313E-1, 6.6543E-1, 6.5956E-1, 6.5134E-1, 6.4837E-1,
     * 6.4590E-1, 6.4335E-1, 5.8835E-1, 6.4235E-1, 6.6284E-1/           
      DATA X0901/ 6.6763E-1, 6.7013E-1, 6.7104E-1, 6.7139E-1, 6.7154E-1,
     * 6.7167E-1, 6.7172E-1, 6.7176E-1, 6.7177E-1, 6.7178E-1, 6.7183E-1,
     * 6.7127E-1, 6.6416E-1, 6.4651E-1, 6.3481E-1, 6.2513E-1, 6.1967E-1,
     * 6.0878E-1, 6.0077E-1, 5.9468E-1, 5.8615E-1, 5.8306E-1, 5.8050E-1,
     * 5.7784E-1, 5.0661E-1, 5.3449E-1, 5.4266E-1, 5.4351E-1, 5.4323E-1,
     * 5.4272E-1, 5.4234E-1, 5.4209E-1, 5.4180E-1, 5.4161E-1, 5.4145E-1,
     * 5.4141E-1, 5.4136E-1, 5.4062E-1, 5.3815E-1, 5.2687E-1, 5.0669E-1,
     * 4.9451E-1, 4.8473E-1, 4.7930E-1, 4.6858E-1, 4.6074E-1, 4.5481E-1,
     * 4.4650E-1, 4.4349E-1, 4.4100E-1, 4.3841E-1, 1.0000E+0, 9.9998E-1,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 9.9999E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 9.9998E-1, 1.0000E+0, 9.9995E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 9.9994E-1, 9.9993E-1, 9.9997E-1, 9.9997E-1, 9.9997E-1,
     * 9.9997E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1,
     * 9.9998E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1, 9.9999E-1, 9.9998E-1,
     * 9.9999E-1, 1.0000E+0, 9.9999E-1, 9.9997E-1, 9.9999E-1/           
      DATA X1001/ 9.9994E-1, 1.0000E+0, 9.9999E-1, 1.0000E+0, 1.0000E+0,
     * 9.9936E-1, 9.9949E-1, 9.9963E-1, 9.9967E-1, 9.9970E-1, 9.9972E-1,
     * 9.9973E-1, 9.9973E-1, 9.9974E-1, 9.9974E-1, 9.9975E-1, 9.9975E-1,
     * 9.9975E-1, 9.9976E-1, 9.9978E-1, 9.9985E-1, 9.9989E-1, 9.9992E-1,
     * 9.9994E-1, 9.9993E-1, 9.9991E-1, 9.9994E-1, 9.9989E-1, 9.9995E-1,
     * 9.9995E-1, 9.9995E-1, 9.9995E-1, 9.9525E-1, 9.9664E-1, 9.9747E-1,
     * 9.9777E-1, 9.9799E-1, 9.9811E-1, 9.9817E-1, 9.9821E-1, 9.9824E-1,
     * 9.9826E-1, 9.9828E-1, 9.9829E-1, 9.9829E-1, 9.9836E-1, 9.9854E-1,
     * 9.9898E-1, 9.9933E-1, 9.9946E-1, 9.9954E-1, 9.9956E-1, 9.9957E-1,
     * 9.9962E-1, 9.9957E-1, 9.9965E-1, 9.9965E-1, 9.9966E-1, 9.9966E-1,
     * 9.8434E-1, 9.8880E-1, 9.9155E-1, 9.9257E-1, 9.9333E-1, 9.9374E-1,
     * 9.9395E-1, 9.9406E-1, 9.9419E-1, 9.9426E-1, 9.9432E-1, 9.9434E-1,
     * 9.9436E-1, 9.9460E-1, 9.9520E-1, 9.9667E-1, 9.9786E-1, 9.9827E-1,
     * 9.9851E-1, 9.9859E-1, 9.9870E-1, 9.9880E-1, 9.9878E-1, 9.9889E-1,
     * 9.9890E-1, 9.9891E-1, 9.9892E-1, 9.7488E-1, 9.8187E-1, 9.8627E-1,
     * 9.8794E-1, 9.8920E-1, 9.8986E-1, 9.9021E-1, 9.9040E-1, 9.9061E-1,
     * 9.9072E-1, 9.9082E-1, 9.9085E-1, 9.9088E-1, 9.9127E-1/           
      DATA X1101/ 9.9226E-1, 9.9467E-1, 9.9660E-1, 9.9726E-1, 9.9762E-1,
     * 9.9776E-1, 9.9796E-1, 9.9811E-1, 9.9811E-1, 9.9825E-1, 9.9827E-1,
     * 9.9829E-1, 9.9830E-1, 9.6336E-1, 9.7311E-1, 9.7957E-1, 9.8201E-1,
     * 9.8389E-1, 9.8489E-1, 9.8542E-1, 9.8570E-1, 9.8601E-1, 9.8619E-1,
     * 9.8634E-1, 9.8639E-1, 9.8643E-1, 9.8702E-1, 9.8850E-1, 9.9211E-1,
     * 9.9500E-1, 9.9597E-1, 9.9651E-1, 9.9672E-1, 9.9702E-1, 9.9723E-1,
     * 9.9726E-1, 9.9744E-1, 9.9747E-1, 9.9749E-1, 9.9752E-1, 9.5166E-1,
     * 9.6484E-1, 9.7327E-1, 9.7653E-1, 9.7903E-1, 9.8034E-1, 9.8103E-1,
     * 9.8141E-1, 9.8181E-1, 9.8205E-1, 9.8224E-1, 9.8230E-1, 9.8235E-1,
     * 9.8313E-1, 9.8506E-1, 9.8976E-1, 9.9352E-1, 9.9478E-1, 9.9547E-1,
     * 9.9575E-1, 9.9615E-1, 9.9641E-1, 9.9647E-1, 9.9668E-1, 9.9672E-1,
     * 9.9675E-1, 9.9678E-1, 9.4507E-1, 9.5898E-1, 9.6860E-1, 9.7211E-1,
     * 9.7495E-1, 9.7650E-1, 9.7733E-1, 9.7778E-1, 9.7826E-1, 9.7854E-1,
     * 9.7877E-1, 9.7884E-1, 9.7890E-1, 9.7983E-1, 9.8213E-1, 9.8773E-1,
     * 9.9223E-1, 9.9372E-1, 9.9455E-1, 9.9489E-1, 9.9537E-1, 9.9567E-1,
     * 9.9576E-1, 9.9600E-1, 9.9604E-1, 9.9609E-1, 9.9612E-1, 9.3652E-1,
     * 9.5361E-1, 9.6486E-1, 9.6942E-1, 9.7256E-1, 9.7431E-1/           
      DATA X1201/ 9.7520E-1, 9.7569E-1, 9.7622E-1, 9.7653E-1, 9.7678E-1,
     * 9.7685E-1, 9.7692E-1, 9.7793E-1, 9.8044E-1, 9.8655E-1, 9.9145E-1,
     * 9.9308E-1, 9.9399E-1, 9.9436E-1, 9.9490E-1, 9.9522E-1, 9.9532E-1,
     * 9.9558E-1, 9.9563E-1, 9.9568E-1, 9.9572E-1, 9.3652E-1, 9.5068E-1,
     * 9.6118E-1, 9.6588E-1, 9.6889E-1, 9.7075E-1, 9.7179E-1, 9.7231E-1,
     * 9.7290E-1, 9.7325E-1, 9.7353E-1, 9.7361E-1, 9.7369E-1, 9.7483E-1,
     * 9.7766E-1, 9.8456E-1, 9.9012E-1, 9.9197E-1, 9.9301E-1, 9.9343E-1,
     * 9.9405E-1, 9.9442E-1, 9.9455E-1, 9.9483E-1, 9.9489E-1, 9.9495E-1,
     * 9.9500E-1, 9.1406E-1, 9.4531E-1, 9.5386E-1, 9.6069E-1, 9.6558E-1,
     * 9.6727E-1, 9.6834E-1, 9.6899E-1, 9.6964E-1, 9.7002E-1, 9.7034E-1,
     * 9.7043E-1, 9.7051E-1, 9.7176E-1, 9.7488E-1, 9.8249E-1, 9.8868E-1,
     * 9.9075E-1, 9.9191E-1, 9.9239E-1, 9.9310E-1, 9.9352E-1, 9.9367E-1,
     * 9.9399E-1, 9.9406E-1, 9.9412E-1, 9.9418E-1, 1.0078E+0, 9.3359E-1,
     * 9.5313E-1, 9.6143E-1, 9.6167E-1, 9.6509E-1, 9.6581E-1, 9.6635E-1,
     * 9.6707E-1, 9.6749E-1, 9.6781E-1, 9.6791E-1, 9.6800E-1, 9.6932E-1,
     * 9.7263E-1, 9.8074E-1, 9.8740E-1, 9.8965E-1, 9.9091E-1, 9.9144E-1,
     * 9.9221E-1, 9.9267E-1, 9.9285E-1, 9.9319E-1, 9.9327E-1/           
      DATA X1301/ 9.9334E-1, 9.9341E-1, 9.1992E-1, 9.3784E-1, 9.5149E-1,
     * 9.5686E-1, 9.6075E-1, 9.6298E-1, 9.6419E-1, 9.6481E-1, 9.6553E-1,
     * 9.6594E-1, 9.6628E-1, 9.6638E-1, 9.6647E-1, 9.6783E-1, 9.7124E-1,
     * 9.7962E-1, 9.8654E-1, 9.8889E-1, 9.9022E-1, 9.9078E-1, 9.9160E-1,
     * 9.9208E-1, 9.9228E-1, 9.9264E-1, 9.9273E-1, 9.9280E-1, 9.9287E-1,
     * 9.1679E-1, 9.3645E-1, 9.4960E-1, 9.5479E-1, 9.5889E-1, 9.6113E-1,
     * 9.6234E-1, 9.6300E-1, 9.6372E-1, 9.6413E-1, 9.6448E-1, 9.6458E-1,
     * 9.6468E-1, 9.6607E-1, 9.6956E-1, 9.7819E-1, 9.8541E-1, 9.8789E-1,
     * 9.8929E-1, 9.8988E-1, 9.9076E-1, 9.9128E-1, 9.9150E-1, 9.9189E-1,
     * 9.9198E-1, 9.9206E-1, 9.9214E-1, 1.1579E+0, 1.0536E+0, 9.9744E-1,
     * 9.7988E-1, 9.6913E-1, 9.6470E-1, 9.6283E-1, 9.6199E-1, 9.6124E-1,
     * 9.6087E-1, 9.6062E-1, 9.6056E-1, 9.6050E-1, 9.6008E-1, 9.6349E-1,
     * 9.7230E-1, 9.8022E-1, 9.8311E-1, 9.8479E-1, 9.8552E-1, 9.8664E-1,
     * 9.8730E-1, 9.8760E-1, 9.8811E-1, 9.8824E-1, 9.8836E-1, 9.8847E-1,
     * 3.8320E+0, 2.2889E+0, 1.4697E+0, 1.2189E+0, 1.0688E+0, 1.0094E+0,
     * 9.8549E-1, 9.7524E-1, 9.6660E-1, 9.6279E-1, 9.6040E-1, 9.5982E-1,
     * 9.5934E-1, 9.5886E-1, 9.6217E-1, 9.7086E-1, 9.7887E-1/           
      DATA X1401/ 9.8183E-1, 9.8358E-1, 9.8434E-1, 9.8551E-1, 9.8620E-1,
     * 9.8653E-1, 9.8707E-1, 9.8721E-1, 9.8733E-1, 9.8746E-1,-1.6406E+1,
     *-6.8789E+0,-1.8750E+0,-3.9648E-1, 4.4897E-1, 7.6147E-1, 8.7439E-1,
     * 9.1704E-1, 9.4717E-1, 9.5638E-1, 9.5896E-1, 9.5884E-1, 9.5835E-1,
     * 9.5782E-1, 9.6104E-1, 9.6961E-1, 9.7768E-1, 9.8071E-1, 9.8250E-1,
     * 9.8329E-1, 9.8451E-1, 9.8523E-1, 9.8558E-1, 9.8614E-1, 9.8630E-1,
     * 9.8643E-1, 9.8656E-1,-1.6465E+1,-6.9297E+0,-1.8945E+0,-4.0430E-1,
     * 4.4434E-1, 7.5903E-1, 8.7277E-1, 9.1566E-1, 9.4597E-1, 9.5522E-1,
     * 9.5779E-1, 9.5767E-1, 9.5717E-1, 9.5658E-1, 9.5968E-1, 9.6812E-1,
     * 9.7626E-1, 9.7936E-1, 9.8122E-1, 9.8204E-1, 9.8331E-1, 9.8407E-1,
     * 9.8444E-1, 9.8503E-1, 9.8520E-1, 9.8534E-1, 9.8548E-1,-1.9873E-1,
     * 4.3140E-1, 7.6343E-1, 8.6292E-1, 9.1994E-1, 9.4144E-1, 9.4951E-1,
     * 9.5265E-1, 9.5499E-1, 9.5582E-1, 9.5618E-1, 9.5604E-1, 9.5554E-1,
     * 9.5487E-1, 9.5784E-1, 9.6613E-1, 9.7438E-1, 9.7758E-1, 9.7952E-1,
     * 9.8038E-1, 9.8172E-1, 9.8253E-1, 9.8293E-1, 9.8357E-1, 9.8375E-1,
     * 9.8390E-1, 9.8406E-1, 8.0322E-1, 8.7378E-1, 9.1664E-1, 9.3166E-1,
     * 9.4225E-1, 9.4754E-1, 9.5017E-1, 9.5155E-1, 9.5299E-1/           
      DATA X1501/ 9.5381E-1, 9.5415E-1, 9.5401E-1, 9.5349E-1, 9.5275E-1,
     * 9.5561E-1, 9.6381E-1, 9.7223E-1, 9.7557E-1, 9.7761E-1, 9.7851E-1,
     * 9.7994E-1, 9.8080E-1, 9.8123E-1, 9.8192E-1, 9.8212E-1, 9.8228E-1,
     * 9.8245E-1, 1.0042E+0, 9.6021E-1, 9.4446E-1, 9.4299E-1, 9.4478E-1,
     * 9.4720E-1, 9.4904E-1, 9.5021E-1, 9.5164E-1, 9.5245E-1, 9.5279E-1,
     * 9.5264E-1, 9.5212E-1, 9.5135E-1, 9.5416E-1, 9.6236E-1, 9.7093E-1,
     * 9.7436E-1, 9.7645E-1, 9.7739E-1, 9.7887E-1, 9.7976E-1, 9.8022E-1,
     * 9.8093E-1, 9.8114E-1, 9.8131E-1, 9.8149E-1, 1.0337E+0, 9.7192E-1,
     * 9.4659E-1, 9.4257E-1, 9.4303E-1, 9.4505E-1, 9.4679E-1, 9.4796E-1,
     * 9.4939E-1, 9.5020E-1, 9.5053E-1, 9.5038E-1, 9.4985E-1, 9.4904E-1,
     * 9.5184E-1, 9.6014E-1, 9.6898E-1, 9.7255E-1, 9.7475E-1, 9.7573E-1,
     * 9.7729E-1, 9.7823E-1, 9.7872E-1, 9.7948E-1, 9.7970E-1, 9.7988E-1,
     * 9.8008E-1, 1.0127E+0, 9.6097E-1, 9.4102E-1, 9.3832E-1, 9.3943E-1,
     * 9.4161E-1, 9.4337E-1, 9.4454E-1, 9.4598E-1, 9.4680E-1, 9.4714E-1,
     * 9.4699E-1, 9.4645E-1, 9.4563E-1, 9.4849E-1, 9.5712E-1, 9.6646E-1,
     * 9.7025E-1, 9.7259E-1, 9.7365E-1, 9.7532E-1, 9.7632E-1, 9.7685E-1,
     * 9.7766E-1, 9.7790E-1, 9.7810E-1, 9.7831E-1, 9.6684E-1/           
      DATA X1601/ 9.3977E-1, 9.3128E-1, 9.3146E-1, 9.3375E-1, 9.3606E-1,
     * 9.3790E-1, 9.3913E-1, 9.4063E-1, 9.4149E-1, 9.4184E-1, 9.4170E-1,
     * 9.4116E-1, 9.4040E-1, 9.4352E-1, 9.5301E-1, 9.6331E-1, 9.6748E-1,
     * 9.7005E-1, 9.7121E-1, 9.7304E-1, 9.7413E-1, 9.7471E-1, 9.7559E-1,
     * 9.7585E-1, 9.7607E-1, 9.7630E-1, 9.2467E-1, 9.2134E-1, 9.2321E-1,
     * 9.2548E-1, 9.2818E-1, 9.3075E-1, 9.3274E-1, 9.3406E-1, 9.3566E-1,
     * 9.3657E-1, 9.3697E-1, 9.3683E-1, 9.3629E-1, 9.3566E-1, 9.3922E-1,
     * 9.4991E-1, 9.6135E-1, 9.6593E-1, 9.6873E-1, 9.6998E-1, 9.7196E-1,
     * 9.7312E-1, 9.7374E-1, 9.7466E-1, 9.7493E-1, 9.7516E-1, 9.7540E-1,
     * 8.8552E-1, 9.0390E-1, 9.1451E-1, 9.1813E-1, 9.2193E-1, 9.2513E-1,
     * 9.2749E-1, 9.2903E-1, 9.3086E-1, 9.3191E-1, 9.3241E-1, 9.3229E-1,
     * 9.3175E-1, 9.3143E-1, 9.3599E-1, 9.4927E-1, 9.6292E-1, 9.6821E-1,
     * 9.7137E-1, 9.7276E-1, 9.7490E-1, 9.7612E-1, 9.7674E-1, 9.7762E-1,
     * 9.7787E-1, 9.7807E-1, 9.7828E-1, 8.6771E-1, 9.0356E-1, 9.1890E-1,
     * 9.2436E-1, 9.2962E-1, 9.3367E-1, 9.3653E-1, 9.3834E-1, 9.4049E-1,
     * 9.4171E-1, 9.4234E-1, 9.4224E-1, 9.4170E-1, 9.4176E-1, 9.4757E-1,
     * 9.6395E-1, 9.7994E-1, 9.8583E-1, 9.8920E-1, 9.9061E-1/           
      DATA X1701/ 9.9265E-1, 9.9369E-1, 9.9410E-1, 9.9460E-1, 9.9468E-1,
     * 9.9474E-1, 9.9477E-1, 8.6975E-1, 9.0647E-1, 9.2264E-1, 9.2842E-1,
     * 9.3392E-1, 9.3812E-1, 9.4106E-1, 9.4292E-1, 9.4513E-1, 9.4639E-1,
     * 9.4704E-1, 9.4694E-1, 9.4640E-1, 9.4651E-1, 9.5253E-1, 9.6941E-1,
     * 9.8574E-1, 9.9168E-1, 9.9504E-1, 9.9643E-1, 9.9840E-1, 9.9935E-1,
     * 9.9968E-1, 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 8.7906E-1,
     * 9.1766E-1, 9.3555E-1, 9.4197E-1, 9.4799E-1, 9.5250E-1, 9.5562E-1,
     * 9.5759E-1, 9.5992E-1, 9.6125E-1, 9.6194E-1, 9.6185E-1, 9.6130E-1,
     * 9.6152E-1, 9.6796E-1, 9.8585E-1, 1.0028E+0, 1.0087E+0, 1.0120E+0,
     * 1.0133E+0, 1.0150E+0, 1.0157E+0, 1.0158E+0, 1.0158E+0, 1.0156E+0,
     * 1.0155E+0, 1.0153E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9991E-1,
     * 9.9992E-1, 9.9994E-1, 9.9995E-1, 9.9995E-1, 9.9995E-1, 9.9995E-1,
     * 9.9995E-1, 9.9995E-1, 9.9995E-1, 9.9996E-1, 9.9995E-1/           
      DATA X1801/ 9.9995E-1, 9.9996E-1, 9.9996E-1, 9.9997E-1, 9.9998E-1,
     * 9.9998E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9998E-1, 9.9998E-1,
     * 9.9998E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1, 9.9913E-1, 9.9926E-1,
     * 9.9940E-1, 9.9945E-1, 9.9950E-1, 9.9952E-1, 9.9953E-1, 9.9954E-1,
     * 9.9955E-1, 9.9955E-1, 9.9956E-1, 9.9956E-1, 9.9956E-1, 9.9957E-1,
     * 9.9961E-1, 9.9972E-1, 9.9981E-1, 9.9984E-1, 9.9986E-1, 9.9986E-1,
     * 9.9986E-1, 9.9985E-1, 9.9984E-1, 9.9982E-1, 9.9981E-1, 9.9980E-1,
     * 9.9979E-1, 9.9415E-1, 9.9540E-1, 9.9625E-1, 9.9660E-1, 9.9688E-1,
     * 9.9703E-1, 9.9711E-1, 9.9716E-1, 9.9721E-1, 9.9724E-1, 9.9726E-1,
     * 9.9727E-1, 9.9727E-1, 9.9737E-1, 9.9762E-1, 9.9828E-1, 9.9887E-1,
     * 9.9905E-1, 9.9913E-1, 9.9915E-1, 9.9915E-1, 9.9910E-1, 9.9903E-1,
     * 9.9890E-1, 9.9884E-1, 9.9878E-1, 9.9871E-1, 9.8070E-1, 9.8517E-1,
     * 9.8812E-1, 9.8928E-1, 9.9018E-1, 9.9068E-1, 9.9095E-1, 9.9109E-1,
     * 9.9125E-1, 9.9134E-1, 9.9142E-1, 9.9144E-1, 9.9146E-1, 9.9178E-1,
     * 9.9258E-1, 9.9470E-1, 9.9656E-1, 9.9714E-1, 9.9739E-1, 9.9745E-1,
     * 9.9743E-1, 9.9727E-1, 9.9707E-1, 9.9666E-1, 9.9646E-1, 9.9628E-1,
     * 9.9608E-1, 9.6883E-1, 9.7615E-1, 9.8096E-1, 9.8287E-1/           
      DATA X1901/ 9.8435E-1, 9.8516E-1, 9.8560E-1, 9.8584E-1, 9.8610E-1,
     * 9.8625E-1, 9.8638E-1, 9.8641E-1, 9.8645E-1, 9.8696E-1, 9.8826E-1,
     * 9.9168E-1, 9.9465E-1, 9.9556E-1, 9.9595E-1, 9.9605E-1, 9.9600E-1,
     * 9.9575E-1, 9.9543E-1, 9.9477E-1, 9.9446E-1, 9.9418E-1, 9.9385E-1,
     * 9.5367E-1, 9.6440E-1, 9.7174E-1, 9.7461E-1, 9.7687E-1, 9.7810E-1,
     * 9.7876E-1, 9.7912E-1, 9.7952E-1, 9.7975E-1, 9.7994E-1, 9.7999E-1,
     * 9.8005E-1, 9.8081E-1, 9.8278E-1, 9.8788E-1, 9.9226E-1, 9.9359E-1,
     * 9.9415E-1, 9.9428E-1, 9.9418E-1, 9.9379E-1, 9.9330E-1, 9.9232E-1,
     * 9.9187E-1, 9.9145E-1, 9.9097E-1, 9.3848E-1, 9.5313E-1, 9.6303E-1,
     * 9.6690E-1, 9.6994E-1, 9.7157E-1, 9.7245E-1, 9.7293E-1, 9.7345E-1,
     * 9.7375E-1, 9.7400E-1, 9.7408E-1, 9.7415E-1, 9.7516E-1, 9.7774E-1,
     * 9.8440E-1, 9.9005E-1, 9.9173E-1, 9.9242E-1, 9.9257E-1, 9.9240E-1,
     * 9.9187E-1, 9.9122E-1, 9.8993E-1, 9.8934E-1, 9.8879E-1, 9.8817E-1,
     * 9.2822E-1, 9.4458E-1, 9.5595E-1, 9.6048E-1, 9.6403E-1, 9.6599E-1,
     * 9.6705E-1, 9.6763E-1, 9.6825E-1, 9.6862E-1, 9.6892E-1, 9.6901E-1,
     * 9.6909E-1, 9.7031E-1, 9.7342E-1, 9.8139E-1, 9.8809E-1, 9.9005E-1,
     * 9.9083E-1, 9.9099E-1, 9.9073E-1, 9.9006E-1, 9.8926E-1/           
      DATA X2001/ 9.8768E-1, 9.8696E-1, 9.8630E-1, 9.8555E-1, 9.1724E-1,
     * 9.3750E-1, 9.5129E-1, 9.5657E-1, 9.6054E-1, 9.6276E-1, 9.6391E-1,
     * 9.6455E-1, 9.6523E-1, 9.6564E-1, 9.6597E-1, 9.6607E-1, 9.6616E-1,
     * 9.6749E-1, 9.7090E-1, 9.7961E-1, 9.8689E-1, 9.8901E-1, 9.8983E-1,
     * 9.8999E-1, 9.8967E-1, 9.8891E-1, 9.8801E-1, 9.8626E-1, 9.8546E-1,
     * 9.8473E-1, 9.8390E-1, 9.1455E-1, 9.3188E-1, 9.4531E-1, 9.5105E-1,
     * 9.5503E-1, 9.5744E-1, 9.5879E-1, 9.5949E-1, 9.6026E-1, 9.6072E-1,
     * 9.6110E-1, 9.6121E-1, 9.6132E-1, 9.6284E-1, 9.6672E-1, 9.7660E-1,
     * 9.8479E-1, 9.8713E-1, 9.8800E-1, 9.8814E-1, 9.8770E-1, 9.8677E-1,
     * 9.8571E-1, 9.8364E-1, 9.8271E-1, 9.8187E-1, 9.8090E-1, 8.8281E-1,
     * 9.2188E-1, 9.3506E-1, 9.4409E-1, 9.4995E-1, 9.5212E-1, 9.5358E-1,
     * 9.5444E-1, 9.5530E-1, 9.5581E-1, 9.5623E-1, 9.5636E-1, 9.5648E-1,
     * 9.5817E-1, 9.6248E-1, 9.7343E-1, 9.8244E-1, 9.8496E-1, 9.8585E-1,
     * 9.8595E-1, 9.8535E-1, 9.8423E-1, 9.8297E-1, 9.8057E-1, 9.7950E-1,
     * 9.7852E-1, 9.7742E-1, 9.4922E-1, 9.1406E-1, 9.2969E-1, 9.4507E-1,
     * 9.4482E-1, 9.4873E-1, 9.4986E-1, 9.5039E-1, 9.5132E-1, 9.5189E-1,
     * 9.5232E-1, 9.5245E-1, 9.5258E-1, 9.5439E-1, 9.5900E-1/           
      DATA X2101/ 9.7070E-1, 9.8027E-1, 9.8289E-1, 9.8376E-1, 9.8382E-1,
     * 9.8306E-1, 9.8175E-1, 9.8032E-1, 9.7761E-1, 9.7642E-1, 9.7533E-1,
     * 9.7410E-1, 8.8965E-1, 9.1252E-1, 9.3022E-1, 9.3709E-1, 9.4244E-1,
     * 9.4544E-1, 9.4706E-1, 9.4792E-1, 9.4889E-1, 9.4946E-1, 9.4992E-1,
     * 9.5006E-1, 9.5018E-1, 9.5206E-1, 9.5682E-1, 9.6891E-1, 9.7876E-1,
     * 9.8142E-1, 9.8226E-1, 9.8228E-1, 9.8140E-1, 9.7997E-1, 9.7841E-1,
     * 9.7551E-1, 9.7423E-1, 9.7307E-1, 9.7177E-1, 8.8368E-1, 9.0947E-1,
     * 9.2690E-1, 9.3387E-1, 9.3941E-1, 9.4246E-1, 9.4412E-1, 9.4502E-1,
     * 9.4600E-1, 9.4658E-1, 9.4706E-1, 9.4720E-1, 9.4733E-1, 9.4926E-1,
     * 9.5416E-1, 9.6661E-1, 9.7671E-1, 9.7938E-1, 9.8017E-1, 9.8014E-1,
     * 9.7909E-1, 9.7749E-1, 9.7578E-1, 9.7262E-1, 9.7124E-1, 9.6999E-1,
     * 9.6859E-1, 1.2441E+0, 1.0842E+0, 9.9779E-1, 9.7067E-1, 9.5394E-1,
     * 9.4698E-1, 9.4401E-1, 9.4267E-1, 9.4144E-1, 9.4085E-1, 9.4043E-1,
     * 9.4032E-1, 9.4022E-1, 9.3943E-1, 9.4416E-1, 9.5637E-1, 9.6625E-1,
     * 9.6857E-1, 9.6893E-1, 9.6858E-1, 9.6675E-1, 9.6444E-1, 9.6211E-1,
     * 9.5798E-1, 9.5621E-1, 9.5464E-1, 9.5288E-1, 5.2939E+0, 2.9548E+0,
     * 1.7124E+0, 1.3327E+0, 1.1046E+0, 1.0144E+0, 9.7809E-1/           
      DATA X2201/ 9.6252E-1, 9.4934E-1, 9.4351E-1, 9.3984E-1, 9.3895E-1,
     * 9.3821E-1, 9.3731E-1, 9.4184E-1, 9.5364E-1, 9.6321E-1, 9.6540E-1,
     * 9.6563E-1, 9.6520E-1, 9.6319E-1, 9.6072E-1, 9.5828E-1, 9.5396E-1,
     * 9.5212E-1, 9.5049E-1, 9.4867E-1,-2.5359E+1,-1.0930E+1,-3.3594E+0,
     *-1.1143E+0, 1.6553E-1, 6.3867E-1, 8.0945E-1, 8.7413E-1, 9.1966E-1,
     * 9.3356E-1, 9.3741E-1, 9.3721E-1, 9.3646E-1, 9.3545E-1, 9.3979E-1,
     * 9.5117E-1, 9.6045E-1, 9.6251E-1, 9.6263E-1, 9.6213E-1, 9.5999E-1,
     * 9.5741E-1, 9.5487E-1, 9.5041E-1, 9.4853E-1, 9.4685E-1, 9.4499E-1,
     *-2.5645E+1,-1.1047E+1,-3.3984E+0,-1.1353E+0, 1.5649E-1, 6.3354E-1,
     * 8.0620E-1, 8.7149E-1, 9.1740E-1, 9.3140E-1, 9.3527E-1, 9.3506E-1,
     * 9.3428E-1, 9.3314E-1, 9.3724E-1, 9.4809E-1, 9.5702E-1, 9.5894E-1,
     * 9.5894E-1, 9.5838E-1, 9.5609E-1, 9.5339E-1, 9.5076E-1, 9.4617E-1,
     * 9.4424E-1, 9.4253E-1, 9.4063E-1,-8.1323E-1, 1.4136E-1, 6.4282E-1,
     * 7.9233E-1, 8.7834E-1, 9.1052E-1, 9.2249E-1, 9.2712E-1, 9.3053E-1,
     * 9.3169E-1, 9.3216E-1, 9.3193E-1, 9.3114E-1, 9.2983E-1, 9.3360E-1,
     * 9.4379E-1, 9.5229E-1, 9.5405E-1, 9.5394E-1, 9.5331E-1, 9.5086E-1,
     * 9.4805E-1, 9.4533E-1, 9.4062E-1, 9.3865E-1, 9.3690E-1/           
      DATA X2301/ 9.3497E-1, 7.1313E-1, 8.1445E-1, 8.7523E-1, 8.9644E-1,
     * 9.1141E-1, 9.1884E-1, 9.2255E-1, 9.2447E-1, 9.2648E-1, 9.2761E-1,
     * 9.2804E-1, 9.2780E-1, 9.2698E-1, 9.2550E-1, 9.2894E-1, 9.3848E-1,
     * 9.4662E-1, 9.4827E-1, 9.4807E-1, 9.4738E-1, 9.4483E-1, 9.4194E-1,
     * 9.3916E-1, 9.3437E-1, 9.3238E-1, 9.3061E-1, 9.2868E-1, 1.0139E+0,
     * 9.4360E-1, 9.1638E-1, 9.1286E-1, 9.1452E-1, 9.1759E-1, 9.2004E-1,
     * 9.2164E-1, 9.2361E-1, 9.2473E-1, 9.2514E-1, 9.2489E-1, 9.2407E-1,
     * 9.2250E-1, 9.2577E-1, 9.3502E-1, 9.4303E-1, 9.4464E-1, 9.4442E-1,
     * 9.4372E-1, 9.4114E-1, 9.3822E-1, 9.3542E-1, 9.3062E-1, 9.2862E-1,
     * 9.2686E-1, 9.2493E-1, 1.0574E+0, 9.5947E-1, 9.1832E-1, 9.1087E-1,
     * 9.1045E-1, 9.1286E-1, 9.1514E-1, 9.1671E-1, 9.1864E-1, 9.1973E-1,
     * 9.2012E-1, 9.1987E-1, 9.1903E-1, 9.1736E-1, 9.2046E-1, 9.2944E-1,
     * 9.3741E-1, 9.3904E-1, 9.3883E-1, 9.3813E-1, 9.3554E-1, 9.3262E-1,
     * 9.2982E-1, 9.2503E-1, 9.2305E-1, 9.2130E-1, 9.1938E-1, 1.0206E+0,
     * 9.3997E-1, 9.0724E-1, 9.0192E-1, 9.0242E-1, 9.0500E-1, 9.0723E-1,
     * 9.0878E-1, 9.1069E-1, 9.1177E-1, 9.1215E-1, 9.1188E-1, 9.1104E-1,
     * 9.0932E-1, 9.1235E-1, 9.2136E-1, 9.2961E-1, 9.3138E-1/           
      DATA X2401/ 9.3125E-1, 9.3060E-1, 9.2808E-1, 9.2522E-1, 9.2246E-1,
     * 9.1776E-1, 9.1582E-1, 9.1411E-1, 9.1223E-1, 9.4655E-1, 9.0314E-1,
     * 8.8770E-1, 8.8656E-1, 8.8869E-1, 8.9135E-1, 8.9363E-1, 8.9520E-1,
     * 8.9715E-1, 8.9824E-1, 8.9864E-1, 8.9838E-1, 8.9755E-1, 8.9593E-1,
     * 8.9920E-1, 9.0908E-1, 9.1833E-1, 9.2052E-1, 9.2065E-1, 9.2013E-1,
     * 9.1785E-1, 9.1515E-1, 9.1253E-1, 9.0804E-1, 9.0619E-1, 9.0455E-1,
     * 9.0277E-1, 8.7891E-1, 8.6982E-1, 8.6931E-1, 8.7118E-1, 8.7389E-1,
     * 8.7684E-1, 8.7928E-1, 8.8093E-1, 8.8295E-1, 8.8409E-1, 8.8454E-1,
     * 8.8430E-1, 8.8350E-1, 8.8215E-1, 8.8598E-1, 8.9737E-1, 9.0806E-1,
     * 9.1080E-1, 9.1128E-1, 9.1093E-1, 9.0895E-1, 9.0647E-1, 9.0402E-1,
     * 8.9978E-1, 8.9802E-1, 8.9648E-1, 8.9480E-1, 8.1090E-1, 8.3093E-1,
     * 8.4237E-1, 8.4623E-1, 8.5042E-1, 8.5409E-1, 8.5685E-1, 8.5865E-1,
     * 8.6083E-1, 8.6206E-1, 8.6262E-1, 8.6244E-1, 8.6173E-1, 8.6103E-1,
     * 8.6606E-1, 8.8044E-1, 8.9369E-1, 8.9736E-1, 8.9844E-1, 8.9837E-1,
     * 8.9692E-1, 8.9478E-1, 8.9260E-1, 8.8876E-1, 8.8715E-1, 8.8574E-1,
     * 8.8419E-1, 7.6840E-1, 8.0644E-1, 8.2259E-1, 8.2834E-1, 8.3384E-1,
     * 8.3806E-1, 8.4103E-1, 8.4292E-1, 8.4516E-1, 8.4644E-1/           
      DATA X2501/ 8.4708E-1, 8.4697E-1, 8.4638E-1, 8.4633E-1, 8.5230E-1,
     * 8.6893E-1, 8.8400E-1, 8.8832E-1, 8.8980E-1, 8.8993E-1, 8.8881E-1,
     * 8.8691E-1, 8.8489E-1, 8.8127E-1, 8.7974E-1, 8.7840E-1, 8.7693E-1,
     * 7.6591E-1, 8.0392E-1, 8.2059E-1, 8.2655E-1, 8.3219E-1, 8.3646E-1,
     * 8.3944E-1, 8.4134E-1, 8.4358E-1, 8.4485E-1, 8.4550E-1, 8.4540E-1,
     * 8.4482E-1, 8.4486E-1, 8.5093E-1, 8.6777E-1, 8.8301E-1, 8.8739E-1,
     * 8.8891E-1, 8.8905E-1, 8.8797E-1, 8.8608E-1, 8.8407E-1, 8.8046E-1,
     * 8.7894E-1, 8.7760E-1, 8.7613E-1, 7.6245E-1, 8.0002E-1, 8.1750E-1,
     * 8.2381E-1, 8.2967E-1, 8.3401E-1, 8.3700E-1, 8.3889E-1, 8.4111E-1,
     * 8.4238E-1, 8.4304E-1, 8.4295E-1, 8.4241E-1, 8.4261E-1, 8.4882E-1,
     * 8.6598E-1, 8.8146E-1, 8.8592E-1, 8.8748E-1, 8.8765E-1, 8.8660E-1,
     * 8.8474E-1, 8.8274E-1, 8.7914E-1, 8.7762E-1, 8.7627E-1, 8.7480E-1,
     * 1.0000E+0, 9.9999E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0003E+0, 1.0010E+0/           
      DATA X2601/ 1.0009E+0, 1.0008E+0, 1.0008E+0, 1.0007E+0, 1.0007E+0,
     * 1.0007E+0, 1.0007E+0, 1.0007E+0, 1.0007E+0, 1.0007E+0, 1.0007E+0,
     * 1.0006E+0, 1.0006E+0, 1.0004E+0, 1.0002E+0, 1.0001E+0, 1.0001E+0,
     * 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0032E+0, 1.0096E+0, 1.0088E+0, 1.0081E+0,
     * 1.0074E+0, 1.0070E+0, 1.0068E+0, 1.0067E+0, 1.0066E+0, 1.0065E+0,
     * 1.0064E+0, 1.0064E+0, 1.0064E+0, 1.0061E+0, 1.0055E+0, 1.0036E+0,
     * 1.0018E+0, 1.0011E+0, 1.0007E+0, 1.0006E+0, 1.0003E+0, 1.0002E+0,
     * 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0613E+0,
     * 1.0610E+0, 1.0548E+0, 1.0501E+0, 1.0460E+0, 1.0436E+0, 1.0423E+0,
     * 1.0415E+0, 1.0407E+0, 1.0402E+0, 1.0398E+0, 1.0397E+0, 1.0396E+0,
     * 1.0380E+0, 1.0337E+0, 1.0219E+0, 1.0108E+0, 1.0068E+0, 1.0045E+0,
     * 1.0034E+0, 1.0019E+0, 1.0011E+0, 1.0007E+0, 1.0003E+0, 1.0002E+0,
     * 1.0001E+0, 1.0001E+0, 1.2608E+0, 1.2132E+0, 1.1766E+0, 1.1601E+0,
     * 1.1461E+0, 1.1382E+0, 1.1337E+0, 1.1313E+0, 1.1287E+0, 1.1271E+0,
     * 1.1258E+0, 1.1254E+0, 1.1251E+0, 1.1198E+0, 1.1059E+0, 1.0682E+0,
     * 1.0334E+0, 1.0209E+0, 1.0137E+0, 1.0106E+0, 1.0059E+0/           
      DATA X2701/ 1.0035E+0, 1.0021E+0, 1.0009E+0, 1.0006E+0, 1.0004E+0,
     * 1.0002E+0, 1.4550E+0, 1.3557E+0, 1.2863E+0, 1.2573E+0, 1.2339E+0,
     * 1.2207E+0, 1.2134E+0, 1.2094E+0, 1.2051E+0, 1.2025E+0, 1.2004E+0,
     * 1.1998E+0, 1.1992E+0, 1.1905E+0, 1.1680E+0, 1.1077E+0, 1.0525E+0,
     * 1.0328E+0, 1.0215E+0, 1.0166E+0, 1.0092E+0, 1.0054E+0, 1.0033E+0,
     * 1.0013E+0, 1.0009E+0, 1.0006E+0, 1.0003E+0, 1.7041E+0, 1.5392E+0,
     * 1.4270E+0, 1.3814E+0, 1.3450E+0, 1.3249E+0, 1.3139E+0, 1.3079E+0,
     * 1.3013E+0, 1.2974E+0, 1.2942E+0, 1.2933E+0, 1.2924E+0, 1.2794E+0,
     * 1.2459E+0, 1.1568E+0, 1.0761E+0, 1.0475E+0, 1.0311E+0, 1.0240E+0,
     * 1.0132E+0, 1.0078E+0, 1.0047E+0, 1.0019E+0, 1.0012E+0, 1.0008E+0,
     * 1.0004E+0, 1.9253E+0, 1.7024E+0, 1.5525E+0, 1.4918E+0, 1.4439E+0,
     * 1.4174E+0, 1.4030E+0, 1.3951E+0, 1.3865E+0, 1.3815E+0, 1.3773E+0,
     * 1.3761E+0, 1.3749E+0, 1.3581E+0, 1.3145E+0, 1.2001E+0, 1.0970E+0,
     * 1.0606E+0, 1.0396E+0, 1.0305E+0, 1.0168E+0, 1.0098E+0, 1.0060E+0,
     * 1.0024E+0, 1.0015E+0, 1.0010E+0, 1.0005E+0, 2.1057E+0, 1.8352E+0,
     * 1.6537E+0, 1.5809E+0, 1.5233E+0, 1.4918E+0, 1.4746E+0, 1.4652E+0,
     * 1.4550E+0, 1.4490E+0, 1.4441E+0, 1.4426E+0, 1.4413E+0/           
      DATA X2801/ 1.4213E+0, 1.3698E+0, 1.2351E+0, 1.1141E+0, 1.0713E+0,
     * 1.0467E+0, 1.0359E+0, 1.0198E+0, 1.0116E+0, 1.0071E+0, 1.0028E+0,
     * 1.0018E+0, 1.0011E+0, 1.0006E+0, 2.1931E+0, 1.9011E+0, 1.7065E+0,
     * 1.6284E+0, 1.5662E+0, 1.5320E+0, 1.5134E+0, 1.5032E+0, 1.4922E+0,
     * 1.4857E+0, 1.4803E+0, 1.4787E+0, 1.4773E+0, 1.4556E+0, 1.3999E+0,
     * 1.2544E+0, 1.1237E+0, 1.0774E+0, 1.0507E+0, 1.0390E+0, 1.0215E+0,
     * 1.0126E+0, 1.0077E+0, 1.0030E+0, 1.0019E+0, 1.0012E+0, 1.0006E+0,
     * 2.3398E+0, 2.0107E+0, 1.7883E+0, 1.7002E+0, 1.6304E+0, 1.5922E+0,
     * 1.5715E+0, 1.5601E+0, 1.5478E+0, 1.5406E+0, 1.5346E+0, 1.5328E+0,
     * 1.5312E+0, 1.5071E+0, 1.4453E+0, 1.2841E+0, 1.1389E+0, 1.0871E+0,
     * 1.0571E+0, 1.0440E+0, 1.0243E+0, 1.0142E+0, 1.0086E+0, 1.0034E+0,
     * 1.0021E+0, 1.0013E+0, 1.0006E+0, 2.4219E+0, 2.0898E+0, 1.8477E+0,
     * 1.7571E+0, 1.6833E+0, 1.6421E+0, 1.6195E+0, 1.6074E+0, 1.5942E+0,
     * 1.5864E+0, 1.5800E+0, 1.5781E+0, 1.5763E+0, 1.5504E+0, 1.4840E+0,
     * 1.3105E+0, 1.1530E+0, 1.0963E+0, 1.0634E+0, 1.0489E+0, 1.0270E+0,
     * 1.0158E+0, 1.0096E+0, 1.0037E+0, 1.0023E+0, 1.0014E+0, 1.0007E+0,
     * 2.5000E+0, 2.1094E+0, 1.8867E+0, 1.7891E+0, 1.7151E+0/           
      DATA X2901/ 1.6721E+0, 1.6484E+0, 1.6360E+0, 1.6223E+0, 1.6143E+0,
     * 1.6077E+0, 1.6057E+0, 1.6039E+0, 1.5771E+0, 1.5086E+0, 1.3287E+0,
     * 1.1636E+0, 1.1035E+0, 1.0684E+0, 1.0529E+0, 1.0293E+0, 1.0171E+0,
     * 1.0104E+0, 1.0040E+0, 1.0025E+0, 1.0015E+0, 1.0007E+0, 2.5200E+0,
     * 2.1465E+0, 1.9032E+0, 1.8044E+0, 1.7263E+0, 1.6838E+0, 1.6606E+0,
     * 1.6479E+0, 1.6342E+0, 1.6261E+0, 1.6194E+0, 1.6175E+0, 1.6156E+0,
     * 1.5887E+0, 1.5197E+0, 1.3380E+0, 1.1697E+0, 1.1077E+0, 1.0713E+0,
     * 1.0552E+0, 1.0307E+0, 1.0180E+0, 1.0109E+0, 1.0042E+0, 1.0026E+0,
     * 1.0015E+0, 1.0007E+0, 2.4727E+0, 2.1317E+0, 1.9002E+0, 1.8060E+0,
     * 1.7312E+0, 1.6898E+0, 1.6672E+0, 1.6548E+0, 1.6413E+0, 1.6334E+0,
     * 1.6269E+0, 1.6249E+0, 1.6231E+0, 1.5965E+0, 1.5282E+0, 1.3470E+0,
     * 1.1763E+0, 1.1126E+0, 1.0749E+0, 1.0581E+0, 1.0323E+0, 1.0190E+0,
     * 1.0115E+0, 1.0044E+0, 1.0027E+0, 1.0016E+0, 1.0007E+0, 2.1530E+0,
     * 1.9247E+0, 1.7663E+0, 1.7006E+0, 1.6477E+0, 1.6181E+0, 1.6018E+0,
     * 1.5928E+0, 1.5830E+0, 1.5772E+0, 1.5724E+0, 1.5709E+0, 1.5696E+0,
     * 1.5500E+0, 1.4986E+0, 1.3513E+0, 1.1926E+0, 1.1271E+0, 1.0863E+0,
     * 1.0676E+0, 1.0383E+0, 1.0226E+0, 1.0138E+0, 1.0052E+0/           
      DATA X3001/ 1.0031E+0, 1.0017E+0, 1.0006E+0, 2.0532E+0, 1.8499E+0,
     * 1.7135E+0, 1.6562E+0, 1.6102E+0, 1.5845E+0, 1.5703E+0, 1.5625E+0,
     * 1.5540E+0, 1.5490E+0, 1.5449E+0, 1.5437E+0, 1.5425E+0, 1.5256E+0,
     * 1.4806E+0, 1.3468E+0, 1.1945E+0, 1.1295E+0, 1.0885E+0, 1.0695E+0,
     * 1.0395E+0, 1.0234E+0, 1.0142E+0, 1.0053E+0, 1.0032E+0, 1.0017E+0,
     * 1.0006E+0, 2.0000E+0, 1.7578E+0, 1.6602E+0, 1.6133E+0, 1.5759E+0,
     * 1.5540E+0, 1.5410E+0, 1.5348E+0, 1.5275E+0, 1.5233E+0, 1.5198E+0,
     * 1.5187E+0, 1.5177E+0, 1.5032E+0, 1.4641E+0, 1.3424E+0, 1.1959E+0,
     * 1.1315E+0, 1.0902E+0, 1.0710E+0, 1.0405E+0, 1.0240E+0, 1.0146E+0,
     * 1.0054E+0, 1.0032E+0, 1.0017E+0, 1.0006E+0, 1.8750E+0, 1.6445E+0,
     * 1.5898E+0, 1.5625E+0, 1.5310E+0, 1.5166E+0, 1.5071E+0, 1.5022E+0,
     * 1.4964E+0, 1.4930E+0, 1.4902E+0, 1.4894E+0, 1.4886E+0, 1.4769E+0,
     * 1.4447E+0, 1.3373E+0, 1.1976E+0, 1.1337E+0, 1.0922E+0, 1.0728E+0,
     * 1.0416E+0, 1.0247E+0, 1.0150E+0, 1.0055E+0, 1.0032E+0, 1.0017E+0,
     * 1.0005E+0, 1.6055E+0, 1.5608E+0, 1.5193E+0, 1.5000E+0, 1.4824E+0,
     * 1.4719E+0, 1.4659E+0, 1.4625E+0, 1.4587E+0, 1.4564E+0, 1.4545E+0,
     * 1.4540E+0, 1.4534E+0, 1.4453E+0, 1.4217E+0, 1.3317E+0/           
      DATA X3101/ 1.2001E+0, 1.1367E+0, 1.0949E+0, 1.0751E+0, 1.0431E+0,
     * 1.0256E+0, 1.0155E+0, 1.0057E+0, 1.0033E+0, 1.0017E+0, 1.0004E+0,
     * 1.4148E+0, 1.4365E+0, 1.4412E+0, 1.4384E+0, 1.4335E+0, 1.4295E+0,
     * 1.4269E+0, 1.4254E+0, 1.4235E+0, 1.4224E+0, 1.4214E+0, 1.4211E+0,
     * 1.4208E+0, 1.4163E+0, 1.4012E+0, 1.3283E+0, 1.2038E+0, 1.1406E+0,
     * 1.0980E+0, 1.0777E+0, 1.0447E+0, 1.0265E+0, 1.0160E+0, 1.0058E+0,
     * 1.0033E+0, 1.0016E+0, 1.0003E+0, 1.3247E+0, 1.3792E+0, 1.4036E+0,
     * 1.4086E+0, 1.4100E+0, 1.4094E+0, 1.4086E+0, 1.4079E+0, 1.4071E+0,
     * 1.4066E+0, 1.4061E+0, 1.4059E+0, 1.4058E+0, 1.4032E+0, 1.3926E+0,
     * 1.3282E+0, 1.2067E+0, 1.1432E+0, 1.1001E+0, 1.0794E+0, 1.0457E+0,
     * 1.0271E+0, 1.0163E+0, 1.0058E+0, 1.0032E+0, 1.0016E+0, 1.0002E+0,
     * 1.1943E+0, 1.3005E+0, 1.3570E+0, 1.3740E+0, 1.3841E+0, 1.3880E+0,
     * 1.3895E+0, 1.3901E+0, 1.3906E+0, 1.3908E+0, 1.3909E+0, 1.3909E+0,
     * 1.3909E+0, 1.3907E+0, 1.3856E+0, 1.3312E+0, 1.2121E+0, 1.1476E+0,
     * 1.1034E+0, 1.0821E+0, 1.0472E+0, 1.0279E+0, 1.0168E+0, 1.0059E+0,
     * 1.0032E+0, 1.0015E+0, 1.0001E+0, 1.0747E+0, 1.2333E+0, 1.3218E+0,
     * 1.3506E+0, 1.3692E+0, 1.3775E+0, 1.3813E+0, 1.3831E+0/           
      DATA X3201/ 1.3849E+0, 1.3858E+0, 1.3865E+0, 1.3867E+0, 1.3869E+0,
     * 1.3889E+0, 1.3888E+0, 1.3418E+0, 1.2216E+0, 1.1546E+0, 1.1084E+0,
     * 1.0860E+0, 1.0494E+0, 1.0291E+0, 1.0173E+0, 1.0059E+0, 1.0031E+0,
     * 1.0013E+0, 9.9991E-1, 1.0056E+0, 1.2087E+0, 1.3234E+0, 1.3616E+0,
     * 1.3869E+0, 1.3984E+0, 1.4038E+0, 1.4064E+0, 1.4089E+0, 1.4103E+0,
     * 1.4113E+0, 1.4116E+0, 1.4119E+0, 1.4152E+0, 1.4173E+0, 1.3693E+0,
     * 1.2394E+0, 1.1667E+0, 1.1164E+0, 1.0922E+0, 1.0526E+0, 1.0307E+0,
     * 1.0181E+0, 1.0059E+0, 1.0029E+0, 1.0010E+0, 9.9955E-1, 1.0754E+0,
     * 1.2643E+0, 1.3750E+0, 1.4136E+0, 1.4404E+0, 1.4521E+0, 1.4573E+0,
     * 1.4597E+0, 1.4621E+0, 1.4633E+0, 1.4642E+0, 1.4645E+0, 1.4647E+0,
     * 1.4673E+0, 1.4669E+0, 1.4071E+0, 1.2601E+0, 1.1799E+0, 1.1250E+0,
     * 1.0986E+0, 1.0558E+0, 1.0322E+0, 1.0187E+0, 1.0058E+0, 1.0027E+0,
     * 1.0007E+0, 9.9916E-1, 1.5372E+0, 1.4937E+0, 1.5260E+0, 1.5618E+0,
     * 1.5827E+0, 1.5899E+0, 1.5924E+0, 1.5933E+0, 1.5939E+0, 1.5940E+0,
     * 1.5940E+0, 1.5940E+0, 1.5940E+0, 1.5928E+0, 1.5813E+0, 1.4857E+0,
     * 1.2994E+0, 1.2039E+0, 1.1400E+0, 1.1097E+0, 1.0610E+0, 1.0346E+0,
     * 1.0196E+0, 1.0054E+0, 1.0021E+0, 9.9998E-1, 9.9840E-1/           
      DATA X3301/ 2.4371E+0, 1.7686E+0, 1.5660E+0, 1.6000E+0, 1.8362E+0,
     * 2.1396E+0, 2.3846E+0, 2.6081E+0, 2.7159E+0, 3.3447E+0,-3.5095E+0,
     *-3.0741E+0,-1.8979E+0, 1.7461E+0, 1.7186E+0, 1.5756E+0, 1.3420E+0,
     * 1.2292E+0, 1.1554E+0, 1.1209E+0, 1.0660E+0, 1.0366E+0, 1.0202E+0,
     * 1.0048E+0, 1.0013E+0, 9.9910E-1, 9.9750E-1, 2.4221E+0, 1.8006E+0,
     * 1.5995E+0, 1.6314E+0, 1.8656E+0, 2.1676E+0, 2.4119E+0, 2.6349E+0,
     * 2.7423E+0, 3.3708E+0,-3.4837E+0,-3.0483E+0,-1.8722E+0, 1.7708E+0,
     * 1.7406E+0, 1.5898E+0, 1.3486E+0, 1.2331E+0, 1.1577E+0, 1.1226E+0,
     * 1.0667E+0, 1.0369E+0, 1.0202E+0, 1.0047E+0, 1.0011E+0, 9.9895E-1,
     * 9.9734E-1, 2.3918E+0, 1.8657E+0, 1.6673E+0, 1.6952E+0, 1.9249E+0,
     * 2.2243E+0, 2.4670E+0, 2.6891E+0, 2.7955E+0, 3.4234E+0,-3.4315E+0,
     *-2.9963E+0,-1.8203E+0, 1.8207E+0, 1.7851E+0, 1.6185E+0, 1.3619E+0,
     * 1.2408E+0, 1.1624E+0, 1.1259E+0, 1.0681E+0, 1.0374E+0, 1.0203E+0,
     * 1.0045E+0, 1.0009E+0, 9.9864E-1, 9.9703E-1, 1.0005E+0, 1.0004E+0,
     * 1.0003E+0, 1.0002E+0, 1.0002E+0, 1.0002E+0, 1.0002E+0, 1.0002E+0,
     * 1.0002E+0, 1.0002E+0, 1.0002E+0, 1.0002E+0, 1.0002E+0, 1.0002E+0,
     * 1.0001E+0, 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0/           
      DATA X3401/ 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0024E+0, 1.0017E+0, 1.0012E+0,
     * 1.0010E+0, 1.0009E+0, 1.0009E+0, 1.0008E+0, 1.0008E+0, 1.0008E+0,
     * 1.0008E+0, 1.0008E+0, 1.0008E+0, 1.0008E+0, 1.0007E+0, 1.0006E+0,
     * 1.0004E+0, 1.0002E+0, 1.0002E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0,
     * 1.0001E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0195E+0, 1.0132E+0, 1.0095E+0, 1.0083E+0, 1.0073E+0, 1.0069E+0,
     * 1.0066E+0, 1.0064E+0, 1.0063E+0, 1.0062E+0, 1.0061E+0, 1.0061E+0,
     * 1.0061E+0, 1.0058E+0, 1.0051E+0, 1.0033E+0, 1.0017E+0, 1.0012E+0,
     * 1.0009E+0, 1.0008E+0, 1.0006E+0, 1.0004E+0, 1.0004E+0, 1.0003E+0,
     * 1.0002E+0, 1.0002E+0, 1.0002E+0, 1.1446E+0, 1.0921E+0, 1.0631E+0,
     * 1.0538E+0, 1.0471E+0, 1.0436E+0, 1.0418E+0, 1.0408E+0, 1.0398E+0,
     * 1.0392E+0, 1.0387E+0, 1.0385E+0, 1.0384E+0, 1.0364E+0, 1.0314E+0,
     * 1.0196E+0, 1.0101E+0, 1.0070E+0, 1.0052E+0, 1.0044E+0, 1.0031E+0,
     * 1.0024E+0, 1.0020E+0, 1.0015E+0, 1.0014E+0, 1.0013E+0, 1.0011E+0,
     * 1.7280E+0, 1.4299E+0, 1.2649E+0, 1.2115E+0, 1.1772E+0, 1.1606E+0,
     * 1.1521E+0, 1.1476E+0, 1.1429E+0, 1.1401E+0, 1.1379E+0/           
      DATA X3501/ 1.1372E+0, 1.1366E+0, 1.1278E+0, 1.1069E+0, 1.0613E+0,
     * 1.0289E+0, 1.0190E+0, 1.0136E+0, 1.0113E+0, 1.0078E+0, 1.0060E+0,
     * 1.0050E+0, 1.0039E+0, 1.0036E+0, 1.0033E+0, 1.0031E+0, 2.7838E+0,
     * 2.0089E+0, 1.5768E+0, 1.4356E+0, 1.3438E+0, 1.3028E+0, 1.2827E+0,
     * 1.2723E+0, 1.2614E+0, 1.2552E+0, 1.2502E+0, 1.2487E+0, 1.2474E+0,
     * 1.2281E+0, 1.1843E+0, 1.0974E+0, 1.0425E+0, 1.0269E+0, 1.0187E+0,
     * 1.0153E+0, 1.0104E+0, 1.0080E+0, 1.0066E+0, 1.0052E+0, 1.0049E+0,
     * 1.0046E+0, 1.0044E+0, 6.1926E+0, 3.7593E+0, 2.4160E+0, 1.9832E+0,
     * 1.7062E+0, 1.5852E+0, 1.5308E+0, 1.5038E+0, 1.4764E+0, 1.4611E+0,
     * 1.4489E+0, 1.4454E+0, 1.4421E+0, 1.3972E+0, 1.3027E+0, 1.1428E+0,
     * 1.0570E+0, 1.0346E+0, 1.0233E+0, 1.0188E+0, 1.0124E+0, 1.0094E+0,
     * 1.0078E+0, 1.0063E+0, 1.0059E+0, 1.0056E+0, 1.0054E+0, 1.5888E+1,
     * 8.4888E+0, 4.4619E+0, 3.1898E+0, 2.3948E+0, 2.0590E+0, 1.9134E+0,
     * 1.8463E+0, 1.7812E+0, 1.7463E+0, 1.7192E+0, 1.7114E+0, 1.7042E+0,
     * 1.6098E+0, 1.4318E+0, 1.1815E+0, 1.0677E+0, 1.0400E+0, 1.0265E+0,
     * 1.0211E+0, 1.0137E+0, 1.0102E+0, 1.0084E+0, 1.0068E+0, 1.0064E+0,
     * 1.0062E+0, 1.0060E+0, 4.2073E+1, 2.0899E+1, 9.4951E+0/           
      DATA X3601/ 5.9500E+0, 3.7758E+0, 2.8841E+0, 2.5097E+0, 2.3423E+0,
     * 2.1929E+0, 2.1172E+0, 2.0605E+0, 2.0445E+0, 2.0300E+0, 1.8485E+0,
     * 1.5515E+0, 1.2093E+0, 1.0750E+0, 1.0438E+0, 1.0287E+0, 1.0228E+0,
     * 1.0146E+0, 1.0108E+0, 1.0089E+0, 1.0072E+0, 1.0068E+0, 1.0065E+0,
     * 1.0063E+0, 7.2941E+1, 3.5567E+1, 1.5438E+1, 9.1807E+0, 5.3428E+0,
     * 3.7684E+0, 3.1075E+0, 2.8120E+0, 2.5481E+0, 2.4223E+0, 2.3313E+0,
     * 2.3062E+0, 2.2835E+0, 2.0134E+0, 1.6186E+0, 1.2217E+0, 1.0784E+0,
     * 1.0457E+0, 1.0300E+0, 1.0237E+0, 1.0152E+0, 1.0112E+0, 1.0092E+0,
     * 1.0074E+0, 1.0070E+0, 1.0067E+0, 1.0065E+0, 2.4262E+2, 1.1447E+2,
     * 4.6027E+1, 2.5017E+1, 1.2341E+1, 7.2718E+0, 5.2075E+0, 4.3122E+0,
     * 3.5420E+0, 3.1933E+0, 2.9678E+0, 2.9088E+0, 2.8568E+0, 2.3136E+0,
     * 1.7055E+0, 1.2336E+0, 1.0826E+0, 1.0486E+0, 1.0321E+0, 1.0255E+0,
     * 1.0164E+0, 1.0122E+0, 1.0100E+0, 1.0080E+0, 1.0076E+0, 1.0073E+0,
     * 1.0070E+0, 1.1923E+3, 5.5022E+2, 2.1026E+2, 1.0729E+2, 4.6250E+1,
     * 2.2528E+1, 1.3211E+1, 9.3259E+0, 6.1526E+0, 4.8267E+0, 4.0530E+0,
     * 3.8796E+0, 3.7350E+0, 2.5700E+0, 1.7236E+0, 1.2321E+0, 1.0853E+0,
     * 1.0513E+0, 1.0345E+0, 1.0278E+0, 1.0183E+0, 1.0138E+0/           
      DATA X3701/ 1.0114E+0, 1.0092E+0, 1.0087E+0, 1.0083E+0, 1.0080E+0,
     * 5.9284E+3, 2.7110E+3, 1.0152E+3, 5.0498E+2, 2.0530E+2, 9.0663E+1,
     * 4.6562E+1, 2.8602E+1, 1.4427E+1, 8.8411E+0, 5.8597E+0, 5.2619E+0,
     * 4.8275E+0, 2.5792E+0, 1.6548E+0, 1.2204E+0, 1.0864E+0, 1.0538E+0,
     * 1.0371E+0, 1.0303E+0, 1.0206E+0, 1.0159E+0, 1.0133E+0, 1.0109E+0,
     * 1.0103E+0, 1.0099E+0, 1.0096E+0, 5.8045E+3, 2.7036E+3, 1.0481E+3,
     * 5.4022E+2, 2.3406E+2, 1.1177E+2, 6.2039E+1, 4.0507E+1, 2.2022E+1,
     * 1.3678E+1, 8.2995E+0, 6.9650E+0, 5.8356E+0, 2.4034E+0, 1.5727E+0,
     * 1.2093E+0, 1.0870E+0, 1.0555E+0, 1.0391E+0, 1.0324E+0, 1.0225E+0,
     * 1.0177E+0, 1.0151E+0, 1.0125E+0, 1.0119E+0, 1.0114E+0, 1.0110E+0,
     * 8.7286E+2, 4.3639E+2, 1.9208E+2, 1.1189E+2, 5.9443E+1, 3.5867E+1,
     * 2.4968E+1, 1.9659E+1, 1.4454E+1, 1.1681E+1, 9.5722E+0, 8.9751E+0,
     * 8.4326E+0, 1.9908E+0, 1.4500E+0, 1.1937E+0, 1.0878E+0, 1.0581E+0,
     * 1.0422E+0, 1.0355E+0, 1.0256E+0, 1.0207E+0, 1.0179E+0, 1.0152E+0,
     * 1.0145E+0, 1.0140E+0, 1.0135E+0, 6.3721E+2, 3.1880E+2, 1.4056E+2,
     * 8.2036E+1, 4.3750E+1, 2.6535E+1, 1.8574E+1, 1.4695E+1, 1.0892E+1,
     * 8.8654E+0, 7.3233E+0, 6.8866E+0, 6.4899E+0, 1.7755E+0/           
      DATA X3801/ 1.3330E+0, 1.1719E+0, 1.1019E+0, 1.0784E+0, 1.0645E+0,
     * 1.0583E+0, 1.0486E+0, 1.0434E+0, 1.0403E+0, 1.0370E+0, 1.0361E+0,
     * 1.0354E+0, 1.0347E+0, 3.6499E+3, 1.7017E+3, 6.6107E+2, 3.4156E+2,
     * 1.4875E+2, 7.1611E+1, 4.0179E+1, 2.6541E+1, 1.4801E+1, 9.4809E+0,
     * 6.0361E+0, 5.1778E+0, 4.4496E+0, 2.0042E+0, 1.3966E+0, 1.1814E+0,
     * 1.1090E+0, 1.0860E+0, 1.0724E+0, 1.0664E+0, 1.0568E+0, 1.0517E+0,
     * 1.0486E+0, 1.0452E+0, 1.0442E+0, 1.0435E+0, 1.0428E+0, 3.1853E+3,
     * 1.4594E+3, 5.4882E+2, 2.7438E+2, 1.1279E+2, 5.0727E+1, 2.6722E+1,
     * 1.6885E+1, 9.0480E+0, 5.9091E+0, 4.1890E+0, 3.8317E+0, 3.5644E+0,
     * 2.0769E+0, 1.4446E+0, 1.1920E+0, 1.1162E+0, 1.0933E+0, 1.0800E+0,
     * 1.0740E+0, 1.0647E+0, 1.0595E+0, 1.0565E+0, 1.0531E+0, 1.0521E+0,
     * 1.0514E+0, 1.0507E+0, 6.8388E+2, 3.1802E+2, 1.2345E+2, 6.4102E+1,
     * 2.8582E+1, 1.4573E+1, 8.9575E+0, 6.5649E+0, 4.5533E+0, 3.6728E+0,
     * 3.1260E+0, 2.9951E+0, 2.8868E+0, 2.0430E+0, 1.4810E+0, 1.2055E+0,
     * 1.1255E+0, 1.1026E+0, 1.0895E+0, 1.0837E+0, 1.0746E+0, 1.0697E+0,
     * 1.0667E+0, 1.0634E+0, 1.0624E+0, 1.0617E+0, 1.0609E+0, 2.4455E+2,
     * 1.1435E+2, 4.5134E+1, 2.4038E+1, 1.1428E+1, 6.4604E+0/           
      DATA X3901/ 4.4750E+0, 3.6309E+0, 2.9231E+0, 2.6148E+0, 2.4246E+0,
     * 2.3760E+0, 2.3335E+0, 1.9126E+0, 1.4949E+0, 1.2222E+0, 1.1382E+0,
     * 1.1155E+0, 1.1028E+0, 1.0973E+0, 1.0887E+0, 1.0840E+0, 1.0812E+0,
     * 1.0782E+0, 1.0772E+0, 1.0765E+0, 1.0758E+0, 7.2453E+1, 3.4827E+1,
     * 1.4714E+1, 8.5314E+0, 4.7932E+0, 3.2938E+0, 2.6808E+0, 2.4139E+0,
     * 2.1832E+0, 2.0780E+0, 2.0039E+0, 1.9837E+0, 1.9655E+0, 1.7574E+0,
     * 1.4803E+0, 1.2375E+0, 1.1526E+0, 1.1304E+0, 1.1184E+0, 1.1133E+0,
     * 1.1056E+0, 1.1015E+0, 1.0991E+0, 1.0965E+0, 1.0957E+0, 1.0951E+0,
     * 1.0945E+0, 4.3165E+1, 2.1039E+1, 9.2399E+0, 5.6259E+0, 3.4515E+0,
     * 2.5859E+0, 2.2353E+0, 2.0842E+0, 1.9551E+0, 1.8918E+0, 1.8454E+0,
     * 1.8324E+0, 1.8207E+0, 1.6787E+0, 1.4640E+0, 1.2445E+0, 1.1609E+0,
     * 1.1394E+0, 1.1280E+0, 1.1233E+0, 1.1162E+0, 1.1126E+0, 1.1106E+0,
     * 1.1084E+0, 1.1077E+0, 1.1072E+0, 1.1067E+0, 2.0026E+1, 1.0229E+1,
     * 4.9969E+0, 3.3903E+0, 2.4207E+0, 2.0327E+0, 1.8746E+0, 1.8060E+0,
     * 1.7420E+0, 1.7085E+0, 1.6830E+0, 1.6758E+0, 1.6691E+0, 1.5841E+0,
     * 1.4360E+0, 1.2515E+0, 1.1723E+0, 1.1524E+0, 1.1424E+0, 1.1383E+0,
     * 1.1327E+0, 1.1300E+0, 1.1286E+0, 1.1273E+0, 1.1269E+0/           
      DATA X4001/ 1.1266E+0, 1.1263E+0, 8.8269E+0, 4.9663E+0, 2.8949E+0,
     * 2.2545E+0, 1.8646E+0, 1.7065E+0, 1.6410E+0, 1.6096E+0, 1.5785E+0,
     * 1.5615E+0, 1.5481E+0, 1.5443E+0, 1.5407E+0, 1.4929E+0, 1.3984E+0,
     * 1.2546E+0, 1.1849E+0, 1.1683E+0, 1.1607E+0, 1.1580E+0, 1.1549E+0,
     * 1.1541E+0, 1.1539E+0, 1.1542E+0, 1.1544E+0, 1.1545E+0, 1.1546E+0,
     * 4.0571E+0, 2.6832E+0, 1.9403E+0, 1.7080E+0, 1.5645E+0, 1.5050E+0,
     * 1.4768E+0, 1.4624E+0, 1.4476E+0, 1.4392E+0, 1.4325E+0, 1.4305E+0,
     * 1.4287E+0, 1.4033E+0, 1.3477E+0, 1.2478E+0, 1.1960E+0, 1.1860E+0,
     * 1.1834E+0, 1.1834E+0, 1.1855E+0, 1.1883E+0, 1.1909E+0, 1.1948E+0,
     * 1.1962E+0, 1.1973E+0, 1.1985E+0, 2.6880E+0, 1.9913E+0, 1.6175E+0,
     * 1.5020E+0, 1.4317E+0, 1.3990E+0, 1.3826E+0, 1.3741E+0, 1.3652E+0,
     * 1.3601E+0, 1.3559E+0, 1.3547E+0, 1.3536E+0, 1.3376E+0, 1.3011E+0,
     * 1.2313E+0, 1.1981E+0, 1.1960E+0, 1.1994E+0, 1.2027E+0, 1.2114E+0,
     * 1.2190E+0, 1.2252E+0, 1.2342E+0, 1.2374E+0, 1.2401E+0, 1.2428E+0,
     * 1.7345E+0, 1.5074E+0, 1.3718E+0, 1.3236E+0, 1.2908E+0, 1.2747E+0,
     * 1.2665E+0, 1.2621E+0, 1.2576E+0, 1.2549E+0, 1.2528E+0, 1.2521E+0,
     * 1.2515E+0, 1.2432E+0, 1.2239E+0, 1.1886E+0, 1.1839E+0/           
      DATA X4101/ 1.1958E+0, 1.2105E+0, 1.2204E+0, 1.2427E+0, 1.2609E+0,
     * 1.2756E+0, 1.2971E+0, 1.3050E+0, 1.3117E+0, 1.3187E+0, 1.2301E+0,
     * 1.2778E+0, 1.2388E+0, 1.2111E+0, 1.1756E+0, 1.1496E+0, 1.1342E+0,
     * 1.1234E+0, 1.1177E+0, 1.0986E+0, 8.5723E-1, 8.3119E-1, 6.6305E-1,
     * 1.1558E+0, 1.1460E+0, 1.1323E+0, 1.1487E+0, 1.1729E+0, 1.1989E+0,
     * 1.2158E+0, 1.2542E+0, 1.2863E+0, 1.3129E+0, 1.3534E+0, 1.3691E+0,
     * 1.3824E+0, 1.3967E+0, 1.2084E+0, 1.2532E+0, 1.2180E+0, 1.1930E+0,
     * 1.1607E+0, 1.1370E+0, 1.1230E+0, 1.1132E+0, 1.1080E+0, 1.0905E+0,
     * 8.6784E-1, 8.4359E-1, 6.8603E-1, 1.1428E+0, 1.1341E+0, 1.1227E+0,
     * 1.1415E+0, 1.1672E+0, 1.1948E+0, 1.2128E+0, 1.2538E+0, 1.2883E+0,
     * 1.3170E+0, 1.3612E+0, 1.3783E+0, 1.3930E+0, 1.4088E+0, 1.1695E+0,
     * 1.2079E+0, 1.1786E+0, 1.1581E+0, 1.1319E+0, 1.1126E+0, 1.1012E+0,
     * 1.0932E+0, 1.0889E+0, 1.0746E+0, 8.8889E-1, 8.6823E-1, 7.3175E-1,
     * 1.1172E+0, 1.1103E+0, 1.1029E+0, 1.1256E+0, 1.1542E+0, 1.1848E+0,
     * 1.2048E+0, 1.2510E+0, 1.2905E+0, 1.3237E+0, 1.3757E+0, 1.3963E+0,
     * 1.4140E+0, 1.4332E+0, 9.9969E-1, 9.9982E-1, 9.9988E-1, 9.9990E-1,
     * 9.9991E-1, 9.9992E-1, 9.9993E-1, 9.9993E-1, 9.9993E-1/           
      DATA X4201/ 9.9993E-1, 9.9993E-1, 9.9993E-1, 9.9993E-1, 9.9994E-1,
     * 9.9995E-1, 9.9997E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,
     * 1.0000E+0, 9.9861E-1, 9.9918E-1, 9.9945E-1, 9.9954E-1, 9.9960E-1,
     * 9.9964E-1, 9.9966E-1, 9.9967E-1, 9.9968E-1, 9.9968E-1, 9.9969E-1,
     * 9.9969E-1, 9.9969E-1, 9.9971E-1, 9.9976E-1, 9.9988E-1, 9.9999E-1,
     * 1.0000E+0, 1.0000E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0,
     * 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 9.8889E-1, 9.9353E-1,
     * 9.9569E-1, 9.9640E-1, 9.9691E-1, 9.9718E-1, 9.9732E-1, 9.9739E-1,
     * 9.9748E-1, 9.9752E-1, 9.9756E-1, 9.9757E-1, 9.9759E-1, 9.9774E-1,
     * 9.9813E-1, 9.9908E-1, 9.9990E-1, 1.0002E+0, 1.0004E+0, 1.0005E+0,
     * 1.0006E+0, 1.0007E+0, 1.0008E+0, 1.0009E+0, 1.0009E+0, 1.0009E+0,
     * 1.0009E+0, 9.3026E-1, 9.5785E-1, 9.7293E-1, 9.7772E-1, 9.8111E-1,
     * 9.8286E-1, 9.8378E-1, 9.8427E-1, 9.8480E-1, 9.8510E-1, 9.8536E-1,
     * 9.8543E-1, 9.8550E-1, 9.8650E-1, 9.8898E-1, 9.9490E-1, 9.9973E-1,
     * 1.0014E+0, 1.0025E+0, 1.0029E+0, 1.0037E+0, 1.0042E+0, 1.0046E+0,
     * 1.0050E+0, 1.0052E+0, 1.0053E+0, 1.0054E+0, 7.3153E-1/           
      DATA X4301/ 8.4005E-1, 9.0189E-1, 9.2268E-1, 9.3663E-1, 9.4357E-1,
     * 9.4714E-1, 9.4905E-1, 9.5107E-1, 9.5225E-1, 9.5320E-1, 9.5349E-1,
     * 9.5375E-1, 9.5752E-1, 9.6660E-1, 9.8685E-1, 1.0016E+0, 1.0063E+0,
     * 1.0089E+0, 1.0101E+0, 1.0120E+0, 1.0131E+0, 1.0138E+0, 1.0146E+0,
     * 1.0149E+0, 1.0151E+0, 1.0154E+0, 4.7574E-1, 6.9177E-1, 8.1686E-1,
     * 8.5976E-1, 8.8918E-1, 9.0320E-1, 9.1029E-1, 9.1402E-1, 9.1796E-1,
     * 9.2022E-1, 9.2206E-1, 9.2260E-1, 9.2310E-1, 9.3026E-1, 9.4705E-1,
     * 9.8211E-1, 1.0053E+0, 1.0120E+0, 1.0155E+0, 1.0171E+0, 1.0194E+0,
     * 1.0206E+0, 1.0214E+0, 1.0223E+0, 1.0226E+0, 1.0228E+0, 1.0230E+0,
     *-8.9157E-2, 3.8054E-1, 6.5162E-1, 7.4409E-1, 8.0719E-1, 8.3707E-1,
     * 8.5156E-1, 8.5903E-1, 8.6680E-1, 8.7122E-1, 8.7478E-1, 8.7582E-1,
     * 8.7679E-1, 8.9036E-1, 9.2081E-1, 9.7841E-1, 1.0118E+0, 1.0205E+0,
     * 1.0249E+0, 1.0267E+0, 1.0292E+0, 1.0305E+0, 1.0312E+0, 1.0320E+0,
     * 1.0322E+0, 1.0324E+0, 1.0326E+0,-1.1375E+0,-1.6690E-1, 3.8559E-1,
     * 5.7089E-1, 6.9504E-1, 7.5255E-1, 7.7991E-1, 7.9354E-1, 8.0742E-1,
     * 8.1518E-1, 8.2135E-1, 8.2314E-1, 8.2480E-1, 8.4765E-1, 8.9598E-1,
     * 9.7755E-1, 1.0193E+0, 1.0294E+0, 1.0343E+0, 1.0362E+0/           
      DATA X4401/ 1.0388E+0, 1.0400E+0, 1.0407E+0, 1.0414E+0, 1.0416E+0,
     * 1.0417E+0, 1.0419E+0,-3.0278E+0,-1.1145E+0,-4.1275E-2, 3.1194E-1,
     * 5.4366E-1, 6.4823E-1, 6.9677E-1, 7.2048E-1, 7.4379E-1, 7.5648E-1,
     * 7.6640E-1, 7.6927E-1, 7.7190E-1, 8.0718E-1, 8.7638E-1, 9.7953E-1,
     * 1.0268E+0, 1.0377E+0, 1.0428E+0, 1.0448E+0, 1.0475E+0, 1.0488E+0,
     * 1.0494E+0, 1.0501E+0, 1.0503E+0, 1.0504E+0, 1.0506E+0,-4.8086E+0,
     *-2.0007E+0,-4.3222E-1, 8.0780E-2, 4.1502E-1, 5.6456E-1, 6.3336E-1,
     * 6.6675E-1, 6.9935E-1, 7.1664E-1, 7.2996E-1, 7.3377E-1, 7.3727E-1,
     * 7.8294E-1, 8.6721E-1, 9.8222E-1, 1.0316E+0, 1.0428E+0, 1.0481E+0,
     * 1.0501E+0, 1.0529E+0, 1.0542E+0, 1.0549E+0, 1.0555E+0, 1.0557E+0,
     * 1.0559E+0, 1.0560E+0,-1.1794E+1,-5.3542E+0,-1.8167E+0,-6.8500E-1,
     * 3.3020E-2, 3.4303E-1, 4.8067E-1, 5.4543E-1, 6.0674E-1, 6.3813E-1,
     * 6.6121E-1, 6.6766E-1, 6.7351E-1, 7.4525E-1, 8.5953E-1, 9.8983E-1,
     * 1.0404E+0, 1.0518E+0, 1.0572E+0, 1.0593E+0, 1.0622E+0, 1.0636E+0,
     * 1.0644E+0, 1.0652E+0, 1.0654E+0, 1.0656E+0, 1.0658E+0,-3.6922E+1,
     *-1.7102E+1,-6.4194E+0,-3.0881E+0,-1.0405E+0,-1.9769E-1, 1.5794E-1,
     * 3.1769E-1, 4.6108E-1, 5.2991E-1, 5.7742E-1, 5.8992E-1/           
      DATA X4501/ 6.0098E-1, 7.2037E-1, 8.6850E-1, 1.0022E+0, 1.0502E+0,
     * 1.0615E+0, 1.0670E+0, 1.0692E+0, 1.0723E+0, 1.0739E+0, 1.0748E+0,
     * 1.0758E+0, 1.0760E+0, 1.0763E+0, 1.0765E+0,-1.2426E+2,-5.7398E+1,
     *-2.1745E+1,-1.0840E+1,-4.2874E+0,-1.6831E+0,-6.3124E-1,-1.7897E-1,
     * 2.0596E-1, 3.7746E-1, 4.8630E-1, 5.1292E-1, 5.3524E-1, 7.2741E-1,
     * 8.9514E-1, 1.0156E+0, 1.0590E+0, 1.0698E+0, 1.0754E+0, 1.0777E+0,
     * 1.0810E+0, 1.0828E+0, 1.0838E+0, 1.0849E+0, 1.0853E+0, 1.0855E+0,
     * 1.0858E+0,-1.5375E+2,-7.2038E+1,-2.8077E+1,-1.4434E+1,-6.0871E+0,
     *-2.6752E+0,-1.2487E+0,-6.1349E-1,-4.8918E-2, 2.1849E-1, 4.0046E-1,
     * 4.4781E-1, 4.8898E-1, 7.5670E-1, 9.2186E-1, 1.0250E+0, 1.0646E+0,
     * 1.0752E+0, 1.0807E+0, 1.0831E+0, 1.0866E+0, 1.0884E+0, 1.0895E+0,
     * 1.0907E+0, 1.0911E+0, 1.0914E+0, 1.0917E+0,-5.2762E+1,-2.6041E+1,
     *-1.1027E+1,-6.0725E+0,-2.8133E+0,-1.3372E+0,-6.4981E-1,-3.1305E-1,
     * 1.8995E-2, 1.9694E-1, 3.3303E-1, 3.7169E-1, 4.0688E-1, 8.3193E-1,
     * 9.6171E-1, 1.0365E+0, 1.0714E+0, 1.0817E+0, 1.0872E+0, 1.0896E+0,
     * 1.0932E+0, 1.0952E+0, 1.0964E+0, 1.0977E+0, 1.0982E+0, 1.0985E+0,
     * 1.0989E+0,-4.9220E+1,-2.4285E+1,-1.0264E+1,-5.6336E+0/           
      DATA X4601/-2.5841E+0,-1.2012E+0,-5.5642E-1,-2.4020E-1, 7.1895E-2,
     * 2.3932E-1, 3.6748E-1, 4.0392E-1, 4.3709E-1, 8.3887E-1, 9.7617E-1,
     * 1.0541E+0, 1.0885E+0, 1.0984E+0, 1.1037E+0, 1.1060E+0, 1.1096E+0,
     * 1.1115E+0, 1.1127E+0, 1.1142E+0, 1.1146E+0, 1.1150E+0, 1.1154E+0,
     *-1.3748E+2,-6.4455E+1,-2.5133E+1,-1.2912E+1,-5.4219E+0,-2.3514E+0,
     *-1.0634E+0,-4.8801E-1, 2.5354E-2, 2.6975E-1, 4.3696E-1, 4.8066E-1,
     * 5.1876E-1, 7.7828E-1, 9.4574E-1, 1.0500E+0, 1.0882E+0, 1.0981E+0,
     * 1.1033E+0, 1.1054E+0, 1.1087E+0, 1.1105E+0, 1.1116E+0, 1.1129E+0,
     * 1.1133E+0, 1.1137E+0, 1.1140E+0,-1.0480E+2,-4.8477E+1,-1.8383E+1,
     *-9.1504E+0,-3.5837E+0,-1.3579E+0,-4.5226E-1,-6.0074E-2, 2.7715E-1,
     * 4.2954E-1, 5.2794E-1, 5.5239E-1, 5.7310E-1, 7.5743E-1, 9.2488E-1,
     * 1.0453E+0, 1.0864E+0, 1.0961E+0, 1.1010E+0, 1.1030E+0, 1.1060E+0,
     * 1.1076E+0, 1.1085E+0, 1.1096E+0, 1.1100E+0, 1.1103E+0, 1.1107E+0,
     *-3.6078E+1,-1.6793E+1,-6.3359E+0,-3.0586E+0,-1.0337E+0,-1.8945E-1,
     * 1.7053E-1, 3.3398E-1, 4.8277E-1, 5.5539E-1, 6.0636E-1, 6.1996E-1,
     * 6.3195E-1, 7.5884E-1, 9.1002E-1, 1.0391E+0, 1.0822E+0, 1.0916E+0,
     * 1.0961E+0, 1.0978E+0, 1.1003E+0, 1.1015E+0, 1.1023E+0/           
      DATA X4701/ 1.1032E+0, 1.1034E+0, 1.1037E+0, 1.1039E+0,-1.6298E+1,
     *-7.4348E+0,-2.6038E+0,-1.0750E+0,-1.1748E-1, 2.8827E-1, 4.6489E-1,
     * 5.4655E-1, 6.2238E-1, 6.6034E-1, 6.8766E-1, 6.9522E-1, 7.0203E-1,
     * 7.8337E-1, 9.0487E-1, 1.0307E+0, 1.0735E+0, 1.0819E+0, 1.0856E+0,
     * 1.0869E+0, 1.0886E+0, 1.0893E+0, 1.0897E+0, 1.0902E+0, 1.0903E+0,
     * 1.0904E+0, 1.0906E+0,-6.7063E+0,-2.8701E+0,-7.5119E-1,-6.8558E-2,
     * 3.6874E-1, 5.5990E-1, 6.4584E-1, 6.8675E-1, 7.2592E-1, 7.4625E-1,
     * 7.6170E-1, 7.6610E-1, 7.7011E-1, 8.2147E-1, 9.1101E-1, 1.0204E+0,
     * 1.0590E+0, 1.0657E+0, 1.0682E+0, 1.0689E+0, 1.0695E+0, 1.0695E+0,
     * 1.0694E+0, 1.0692E+0, 1.0692E+0, 1.0691E+0, 1.0691E+0,-4.3647E+0,
     *-1.7180E+0,-2.5375E-1, 2.1915E-1, 5.2284E-1, 6.5601E-1, 7.1610E-1,
     * 7.4478E-1, 7.7234E-1, 7.8707E-1, 7.9845E-1, 8.0172E-1, 8.0472E-1,
     * 8.4409E-1, 9.1712E-1, 1.0134E+0, 1.0477E+0, 1.0531E+0, 1.0547E+0,
     * 1.0549E+0, 1.0548E+0, 1.0543E+0, 1.0539E+0, 1.0532E+0, 1.0530E+0,
     * 1.0529E+0, 1.0527E+0,-2.1255E+0,-6.1351E-1, 2.2726E-1, 5.0052E-1,
     * 6.7734E-1, 7.5566E-1, 7.9137E-1, 8.0856E-1, 8.2567E-1, 8.3507E-1,
     * 8.4244E-1, 8.4458E-1, 8.4655E-1, 8.7304E-1, 9.2548E-1/           
      DATA X4801/ 1.0005E+0, 1.0269E+0, 1.0298E+0, 1.0299E+0, 1.0294E+0,
     * 1.0280E+0, 1.0267E+0, 1.0257E+0, 1.0243E+0, 1.0238E+0, 1.0235E+0,
     * 1.0231E+0,-6.2973E-1, 1.3690E-1, 5.6386E-1, 7.0297E-1, 7.9322E-1,
     * 8.3334E-1, 8.5170E-1, 8.6087E-1, 8.7023E-1, 8.7545E-1, 8.7960E-1,
     * 8.8081E-1, 8.8193E-1, 8.9725E-1, 9.2910E-1, 9.7705E-1, 9.9118E-1,
     * 9.9042E-1, 9.8820E-1, 9.8665E-1, 9.8328E-1, 9.8073E-1, 9.7883E-1,
     * 9.7629E-1, 9.7542E-1, 9.7473E-1, 9.7404E-1, 2.8613E-1, 5.9770E-1,
     * 7.6834E-1, 8.2271E-1, 8.5707E-1, 8.7180E-1, 8.7880E-1, 8.8236E-1,
     * 8.8603E-1, 8.8809E-1, 8.8973E-1, 8.9021E-1, 8.9066E-1, 8.9678E-1,
     * 9.0958E-1, 9.2647E-1, 9.2349E-1, 9.1733E-1, 9.1173E-1, 9.0854E-1,
     * 9.0222E-1, 8.9771E-1, 8.9440E-1, 8.8995E-1, 8.8841E-1, 8.8716E-1,
     * 8.8589E-1, 6.1519E-1, 7.4847E-1, 8.1634E-1, 8.3564E-1, 8.4608E-1,
     * 8.5037E-1, 8.5232E-1, 8.5327E-1, 8.5423E-1, 8.5476E-1, 8.5517E-1,
     * 8.5528E-1, 8.5539E-1, 8.5681E-1, 8.5908E-1, 8.5589E-1, 8.3986E-1,
     * 8.2920E-1, 8.2069E-1, 8.1603E-1, 8.0703E-1, 8.0066E-1, 7.9597E-1,
     * 7.8960E-1, 7.8736E-1, 7.8553E-1, 7.8365E-1, 7.2027E-1, 7.2931E-1,
     * 7.2786E-1, 7.2450E-1, 7.2086E-1, 7.1849E-1, 7.1710E-1/           
      DATA X4901/ 7.1630E-1, 7.1540E-1, 7.1486E-1, 7.1441E-1, 7.1427E-1,
     * 7.1414E-1, 7.1222E-1, 7.0666E-1, 6.8716E-1, 6.5926E-1, 6.4415E-1,
     * 6.3257E-1, 6.2629E-1, 6.1416E-1, 6.0547E-1, 5.9898E-1, 5.8998E-1,
     * 5.8674E-1, 5.8406E-1, 5.8129E-1, 5.3840E-1, 5.1369E-1, 4.9690E-1,
     * 4.8971E-1, 4.8375E-1, 4.8034E-1, 4.7843E-1, 4.7738E-1, 4.7621E-1,
     * 4.7552E-1, 4.7495E-1, 4.7478E-1, 4.7462E-1, 4.7224E-1, 4.6577E-1,
     * 4.4539E-1, 4.1867E-1, 4.0448E-1, 3.9354E-1, 3.8756E-1, 3.7585E-1,
     * 3.6730E-1, 3.6080E-1, 3.5159E-1, 3.4821E-1, 3.4539E-1, 3.4243E-1,
     * 4.9195E-1, 4.6691E-1, 4.5038E-1, 4.4340E-1, 4.3766E-1, 4.3439E-1,
     * 4.3256E-1, 4.3155E-1, 4.3044E-1, 4.2978E-1, 4.2923E-1, 4.2906E-1,
     * 4.2891E-1, 4.2664E-1, 4.2048E-1, 4.0116E-1, 3.7591E-1, 3.6248E-1,
     * 3.5212E-1, 3.4645E-1, 3.3531E-1, 3.2715E-1, 3.2093E-1, 3.1209E-1,
     * 3.0884E-1, 3.0612E-1, 3.0327E-1, 3.8581E-1, 3.6299E-1, 3.4839E-1,
     * 3.4235E-1, 3.3742E-1, 3.3462E-1, 3.3306E-1, 3.3220E-1, 3.3126E-1,
     * 3.3069E-1, 3.3023E-1, 3.3009E-1, 3.2996E-1, 3.2804E-1, 3.2283E-1,
     * 3.0660E-1, 2.8546E-1, 2.7420E-1, 2.6547E-1, 2.6068E-1, 2.5123E-1,
     * 2.4426E-1, 2.3892E-1, 2.3129E-1, 2.2847E-1, 2.2610E-1/           
      DATA X5001/ 2.2360E-1, 7.3406E-5, 9.1503E-5, 1.0611E-4, 1.1284E-4,
     * 1.1865E-4, 1.2208E-4, 1.2404E-4, 1.2513E-4, 1.2635E-4, 1.2707E-4,
     * 1.2768E-4, 1.2786E-4, 1.2803E-4, 1.3057E-4, 1.3773E-4, 1.6298E-4,
     * 2.0468E-4, 2.3281E-4, 2.5890E-4, 2.7548E-4, 3.1534E-4, 3.5092E-4,
     * 3.8495E-4, 4.4832E-4, 4.7807E-4, 5.0675E-4, 5.4156E-4, 7.3431E-5,
     * 9.1528E-5, 1.0614E-4, 1.1287E-4, 1.1868E-4, 1.2211E-4, 1.2406E-4,
     * 1.2516E-4, 1.2637E-4, 1.2710E-4, 1.2770E-4, 1.2789E-4, 1.2805E-4,
     * 1.3060E-4, 1.3776E-4, 1.6301E-4, 2.0471E-4, 2.3283E-4, 2.5892E-4,
     * 2.7550E-4, 3.1537E-4, 3.5094E-4, 3.8498E-4, 4.4834E-4, 4.7810E-4,
     * 5.0678E-4, 5.4158E-4, 7.3657E-5, 9.1754E-5, 1.0637E-4, 1.1310E-4,
     * 1.1890E-4, 1.2233E-4, 1.2429E-4, 1.2538E-4, 1.2660E-4, 1.2732E-4,
     * 1.2793E-4, 1.2811E-4, 1.2828E-4, 1.3082E-4, 1.3799E-4, 1.6323E-4,
     * 2.0493E-4, 2.3306E-4, 2.5915E-4, 2.7573E-4, 3.1559E-4, 3.5117E-4,
     * 3.8521E-4, 4.4857E-4, 4.7832E-4, 5.0700E-4, 5.4181E-4, 7.4895E-5,
     * 9.3199E-5, 1.0781E-4, 1.1454E-4, 1.2035E-4, 1.2378E-4, 1.2573E-4,
     * 1.2683E-4, 1.2804E-4, 1.2877E-4, 1.2937E-4, 1.2956E-4, 1.2972E-4,
     * 1.3227E-4, 1.3943E-4, 1.6468E-4, 2.0638E-4, 2.3450E-4/           
      DATA X5101/ 2.6059E-4, 2.7717E-4, 3.1704E-4, 3.5261E-4, 3.8665E-4,
     * 4.5001E-4, 4.7977E-4, 5.0845E-4, 5.4325E-4, 7.9419E-5, 9.7905E-5,
     * 1.1258E-4, 1.1931E-4, 1.2511E-4, 1.2854E-4, 1.3050E-4, 1.3159E-4,
     * 1.3281E-4, 1.3353E-4, 1.3414E-4, 1.3432E-4, 1.3449E-4, 1.3703E-4,
     * 1.4420E-4, 1.6944E-4, 2.1114E-4, 2.3927E-4, 2.6536E-4, 2.8194E-4,
     * 3.2180E-4, 3.5738E-4, 3.9142E-4, 4.5478E-4, 4.8453E-4, 5.1321E-4,
     * 5.4802E-4, 8.4642E-5, 1.0324E-4, 1.1795E-4, 1.2469E-4, 1.3050E-4,
     * 1.3393E-4, 1.3588E-4, 1.3698E-4, 1.3819E-4, 1.3892E-4, 1.3953E-4,
     * 1.3971E-4, 1.3988E-4, 1.4242E-4, 1.4958E-4, 1.7483E-4, 2.1653E-4,
     * 2.4465E-4, 2.7074E-4, 2.8732E-4, 3.2719E-4, 3.6276E-4, 3.9680E-4,
     * 4.6016E-4, 4.8992E-4, 5.1860E-4, 5.5340E-4, 9.3210E-5, 1.1187E-4,
     * 1.2663E-4, 1.3337E-4, 1.3918E-4, 1.4261E-4, 1.4456E-4, 1.4566E-4,
     * 1.4687E-4, 1.4760E-4, 1.4821E-4, 1.4839E-4, 1.4856E-4, 1.5110E-4,
     * 1.5826E-4, 1.8351E-4, 2.2521E-4, 2.5333E-4, 2.7942E-4, 2.9601E-4,
     * 3.3587E-4, 3.7144E-4, 4.0548E-4, 4.6884E-4, 4.9860E-4, 5.2728E-4,
     * 5.6209E-4, 1.0318E-4, 1.2183E-4, 1.3663E-4, 1.4338E-4, 1.4919E-4,
     * 1.5263E-4, 1.5458E-4, 1.5567E-4, 1.5689E-4, 1.5762E-4/           
      DATA X5201/ 1.5822E-4, 1.5840E-4, 1.5857E-4, 1.6112E-4, 1.6828E-4,
     * 1.9353E-4, 2.3522E-4, 2.6335E-4, 2.8944E-4, 3.0602E-4, 3.4589E-4,
     * 3.8146E-4, 4.1550E-4, 4.7886E-4, 5.0861E-4, 5.3730E-4, 5.7210E-4,
     * 1.1361E-4, 1.3226E-4, 1.4703E-4, 1.5379E-4, 1.5960E-4, 1.6304E-4,
     * 1.6499E-4, 1.6608E-4, 1.6730E-4, 1.6803E-4, 1.6863E-4, 1.6881E-4,
     * 1.6898E-4, 1.7153E-4, 1.7869E-4, 2.0394E-4, 2.4563E-4, 2.7376E-4,
     * 2.9985E-4, 3.1643E-4, 3.5630E-4, 3.9187E-4, 4.2591E-4, 4.8927E-4,
     * 5.1902E-4, 5.4771E-4, 5.8251E-4, 1.2040E-4, 1.3912E-4, 1.5405E-4,
     * 1.6078E-4, 1.6658E-4, 1.7002E-4, 1.7197E-4, 1.7306E-4, 1.7428E-4,
     * 1.7500E-4, 1.7561E-4, 1.7579E-4, 1.7596E-4, 1.7850E-4, 1.8567E-4,
     * 2.1091E-4, 2.5261E-4, 2.8074E-4, 3.0683E-4, 3.2341E-4, 3.6327E-4,
     * 3.9885E-4, 4.3289E-4, 4.9625E-4, 5.2600E-4, 5.5468E-4, 5.8949E-4,
     * 1.3387E-4, 1.5253E-4, 1.6731E-4, 1.7418E-4, 1.7991E-4, 1.8335E-4,
     * 1.8531E-4, 1.8640E-4, 1.8761E-4, 1.8834E-4, 1.8895E-4, 1.8913E-4,
     * 1.8930E-4, 1.9184E-4, 1.9900E-4, 2.2425E-4, 2.6595E-4, 2.9407E-4,
     * 3.2016E-4, 3.3675E-4, 3.7661E-4, 4.1218E-4, 4.4622E-4, 5.0958E-4,
     * 5.3934E-4, 5.6802E-4, 6.0283E-4, 1.4877E-4, 1.7071E-4/           
      DATA X5301/ 1.8322E-4, 1.9044E-4, 1.9634E-4, 1.9964E-4, 2.0158E-4,
     * 2.0268E-4, 2.0389E-4, 2.0462E-4, 2.0522E-4, 2.0540E-4, 2.0557E-4,
     * 2.0812E-4, 2.1528E-4, 2.4053E-4, 2.8223E-4, 3.1035E-4, 3.3644E-4,
     * 3.5302E-4, 3.9289E-4, 4.2846E-4, 4.6250E-4, 5.2586E-4, 5.5561E-4,
     * 5.8430E-4, 6.1910E-4, 1.8501E-4, 1.8311E-4, 1.9836E-4, 2.0725E-4,
     * 2.1201E-4, 2.1571E-4, 2.1765E-4, 2.1867E-4, 2.1990E-4, 2.2063E-4,
     * 2.2123E-4, 2.2141E-4, 2.2158E-4, 2.2413E-4, 2.3129E-4, 2.5654E-4,
     * 2.9824E-4, 3.2636E-4, 3.5245E-4, 3.6903E-4, 4.0890E-4, 4.4447E-4,
     * 4.7851E-4, 5.4187E-4, 5.7162E-4, 6.0031E-4, 6.3511E-4, 1.7774E-4,
     * 1.9625E-4, 2.1121E-4, 2.1793E-4, 2.2371E-4, 2.2715E-4, 2.2911E-4,
     * 2.3020E-4, 2.3141E-4, 2.3214E-4, 2.3275E-4, 2.3293E-4, 2.3310E-4,
     * 2.3564E-4, 2.4280E-4, 2.6805E-4, 3.0975E-4, 3.3788E-4, 3.6397E-4,
     * 3.8055E-4, 4.2041E-4, 4.5598E-4, 4.9002E-4, 5.5339E-4, 5.8314E-4,
     * 6.1182E-4, 6.4663E-4, 1.9334E-4, 2.1220E-4, 2.2706E-4, 2.3383E-4,
     * 2.3966E-4, 2.4310E-4, 2.4505E-4, 2.4615E-4, 2.4736E-4, 2.4809E-4,
     * 2.4869E-4, 2.4888E-4, 2.4905E-4, 2.5159E-4, 2.5875E-4, 2.8400E-4,
     * 3.2570E-4, 3.5382E-4, 3.7991E-4, 3.9649E-4, 4.3636E-4/           
      DATA X5401/ 4.7193E-4, 5.0597E-4, 5.6933E-4, 5.9909E-4, 6.2777E-4,
     * 6.6257E-4, 2.7537E-4, 2.9422E-4, 3.0907E-4, 3.1583E-4, 3.2166E-4,
     * 3.2510E-4, 3.2705E-4, 3.2815E-4, 3.2936E-4, 3.3009E-4, 3.3069E-4,
     * 3.3087E-4, 3.3104E-4, 3.3359E-4, 3.4075E-4, 3.6600E-4, 4.0770E-4,
     * 4.3582E-4, 4.6191E-4, 4.7849E-4, 5.1836E-4, 5.5393E-4, 5.8797E-4,
     * 6.5133E-4, 6.8109E-4, 7.0977E-4, 7.4457E-4, 2.9749E-4, 3.1680E-4,
     * 3.3192E-4, 3.3868E-4, 3.4452E-4, 3.4802E-4, 3.4999E-4, 3.5108E-4,
     * 3.5230E-4, 3.5303E-4, 3.5364E-4, 3.5382E-4, 3.5399E-4, 3.5653E-4,
     * 3.6369E-4, 3.8894E-4, 4.3064E-4, 4.5876E-4, 4.8486E-4, 5.0144E-4,
     * 5.4130E-4, 5.7687E-4, 6.1091E-4, 6.7427E-4, 7.0403E-4, 7.3271E-4,
     * 7.6752E-4, 3.2043E-4, 3.2997E-4, 3.5095E-4, 3.5858E-4, 3.6472E-4,
     * 3.6860E-4, 3.7044E-4, 3.7160E-4, 3.7283E-4, 3.7357E-4, 3.7418E-4,
     * 3.7436E-4, 3.7453E-4, 3.7707E-4, 3.8423E-4, 4.0948E-4, 4.5118E-4,
     * 4.7930E-4, 5.0539E-4, 5.2198E-4, 5.6184E-4, 5.9741E-4, 6.3145E-4,
     * 6.9481E-4, 7.2457E-4, 7.5325E-4, 7.8805E-4, 3.3569E-4, 3.6430E-4,
     * 3.7575E-4, 3.8338E-4, 3.9047E-4, 3.9369E-4, 3.9548E-4, 3.9664E-4,
     * 3.9787E-4, 3.9861E-4, 3.9921E-4, 3.9939E-4, 3.9956E-4/           
      DATA X5501/ 4.0211E-4, 4.0927E-4, 4.3452E-4, 4.7622E-4, 5.0434E-4,
     * 5.3043E-4, 5.4701E-4, 5.8688E-4, 6.2245E-4, 6.5649E-4, 7.1985E-4,
     * 7.4960E-4, 7.7829E-4, 8.1309E-4, 3.7670E-4, 3.9715E-4, 4.1151E-4,
     * 4.1842E-4, 4.2427E-4, 4.2769E-4, 4.2966E-4, 4.3075E-4, 4.3196E-4,
     * 4.3269E-4, 4.3330E-4, 4.3348E-4, 4.3365E-4, 4.3619E-4, 4.4335E-4,
     * 4.6860E-4, 5.1030E-4, 5.3842E-4, 5.6451E-4, 5.8109E-4, 6.2096E-4,
     * 6.5653E-4, 6.9057E-4, 7.5393E-4, 7.8369E-4, 8.1237E-4, 8.4717E-4,
     * 4.2260E-4, 4.4119E-4, 4.5615E-4, 4.6313E-4, 4.6889E-4, 4.7236E-4,
     * 4.7432E-4, 4.7543E-4, 4.7665E-4, 4.7738E-4, 4.7799E-4, 4.7818E-4,
     * 4.7835E-4, 4.8091E-4, 4.8813E-4, 5.1358E-4, 5.5562E-4, 5.8397E-4,
     * 6.1027E-4, 6.2699E-4, 6.6717E-4, 7.0303E-4, 7.3735E-4, 8.0122E-4,
     * 8.3121E-4, 8.6013E-4, 8.9521E-4, 4.5466E-4, 4.7368E-4, 4.8873E-4,
     * 4.9565E-4, 5.0158E-4, 5.0509E-4, 5.0709E-4, 5.0820E-4, 5.0944E-4,
     * 5.1018E-4, 5.1080E-4, 5.1099E-4, 5.1116E-4, 5.1376E-4, 5.2106E-4,
     * 5.4683E-4, 5.8938E-4, 6.1807E-4, 6.4470E-4, 6.6162E-4, 7.0230E-4,
     * 7.3859E-4, 7.7333E-4, 8.3798E-4, 8.6834E-4, 8.9761E-4, 9.3313E-4,
     * 5.0801E-4, 5.2714E-4, 5.4264E-4, 5.4966E-4, 5.5571E-4/           
      DATA X5601/ 5.5927E-4, 5.6130E-4, 5.6244E-4, 5.6370E-4, 5.6446E-4,
     * 5.6509E-4, 5.6528E-4, 5.6545E-4, 5.6810E-4, 5.7554E-4, 6.0179E-4,
     * 6.4514E-4, 6.7437E-4, 7.0149E-4, 7.1873E-4, 7.6017E-4, 7.9715E-4,
     * 8.3253E-4, 8.9839E-4, 9.2932E-4, 9.5914E-4, 9.9532E-4, 5.9122E-4,
     * 6.1106E-4, 6.2679E-4, 6.3399E-4, 6.4018E-4, 6.4384E-4, 6.4592E-4,
     * 6.4709E-4, 6.4838E-4, 6.4916E-4, 6.4980E-4, 6.4999E-4, 6.5018E-4,
     * 6.5289E-4, 6.6052E-4, 6.8744E-4, 7.3189E-4, 7.6188E-4, 7.8969E-4,
     * 8.0737E-4, 8.4987E-4, 8.8779E-4, 9.2408E-4, 9.9163E-4, 1.0234E-3,
     * 1.0539E-3, 1.0910E-3, 7.4501E-4, 7.6557E-4, 7.8185E-4, 7.8930E-4,
     * 7.9572E-4, 7.9952E-4, 8.0168E-4, 8.0289E-4, 8.0424E-4, 8.0504E-4,
     * 8.0571E-4, 8.0591E-4, 8.0610E-4, 8.0891E-4, 8.1684E-4, 8.4476E-4,
     * 8.9089E-4, 9.2200E-4, 9.5086E-4, 9.6921E-4, 1.0133E-3, 1.0527E-3,
     * 1.0903E-3, 1.1604E-3, 1.1933E-3, 1.2250E-3, 1.2635E-3, 9.5246E-4,
     * 9.7367E-4, 9.9050E-4, 9.9822E-4, 1.0049E-3, 1.0088E-3, 1.0111E-3,
     * 1.0123E-3, 1.0137E-3, 1.0145E-3, 1.0152E-3, 1.0154E-3, 1.0156E-3,
     * 1.0186E-3, 1.0268E-3, 1.0557E-3, 1.1035E-3, 1.1358E-3, 1.1657E-3,
     * 1.1847E-3, 1.2304E-3, 1.2712E-3, 1.3103E-3, 1.3829E-3/           
      DATA X5701/ 1.4171E-3, 1.4500E-3, 1.4899E-3, 1.5476E-3, 1.5699E-3,
     * 1.5877E-3, 1.5959E-3, 1.6030E-3, 1.6072E-3, 1.6096E-3, 1.6109E-3,
     * 1.6124E-3, 1.6133E-3, 1.6140E-3, 1.6142E-3, 1.6144E-3, 1.6175E-3,
     * 1.6263E-3, 1.6571E-3, 1.7079E-3, 1.7422E-3, 1.7740E-3, 1.7943E-3,
     * 1.8429E-3, 1.8863E-3, 1.9278E-3, 2.0050E-3, 2.0413E-3, 2.0763E-3,
     * 2.1187E-3, 2.8878E-3, 2.9113E-3, 2.9304E-3, 2.9391E-3, 2.9467E-3,
     * 2.9512E-3, 2.9537E-3, 2.9551E-3, 2.9567E-3, 2.9577E-3, 2.9585E-3,
     * 2.9587E-3, 2.9589E-3, 2.9622E-3, 2.9715E-3, 3.0044E-3, 3.0587E-3,
     * 3.0953E-3, 3.1293E-3, 3.1509E-3, 3.2028E-3, 3.2491E-3, 3.2934E-3,
     * 3.3759E-3, 3.4147E-3, 3.4520E-3, 3.4974E-3, 3.2223E-3, 3.2461E-3,
     * 3.2654E-3, 3.2742E-3, 3.2818E-3, 3.2864E-3, 3.2889E-3, 3.2904E-3,
     * 3.2920E-3, 3.2929E-3, 3.2937E-3, 3.2940E-3, 3.2942E-3, 3.2975E-3,
     * 3.3070E-3, 3.3402E-3, 3.3950E-3, 3.4321E-3, 3.4664E-3, 3.4882E-3,
     * 3.5407E-3, 3.5875E-3, 3.6322E-3, 3.7156E-3, 3.7548E-3, 3.7925E-3,
     * 3.8383E-3, 4.0568E-3, 4.0812E-3, 4.1008E-3, 4.1098E-3, 4.1176E-3,
     * 4.1223E-3, 4.1249E-3, 4.1264E-3, 4.1280E-3, 4.1290E-3, 4.1298E-3,
     * 4.1300E-3, 4.1303E-3, 4.1337E-3, 4.1433E-3, 4.1772E-3/           
      DATA X5801/ 4.2333E-3, 4.2711E-3, 4.3062E-3, 4.3284E-3, 4.3820E-3,
     * 4.4298E-3, 4.4756E-3, 4.5607E-3, 4.6007E-3, 4.6393E-3, 4.6861E-3,
     * 5.3669E-5, 6.7066E-5, 8.2373E-5, 8.7032E-5, 9.1035E-5, 9.3398E-5,
     * 9.4742E-5, 9.5495E-5, 9.6330E-5, 9.6830E-5, 9.7247E-5, 9.7371E-5,
     * 9.7488E-5, 9.9238E-5, 1.0417E-4, 1.2170E-4, 1.5170E-4, 1.7286E-4,
     * 1.9306E-4, 2.0604E-4, 2.3704E-4, 2.6621E-4, 2.9383E-4, 3.4514E-4,
     * 3.6913E-4, 3.9216E-4, 4.1994E-4, 5.3669E-5, 6.7066E-5, 8.2373E-5,
     * 8.7032E-5, 9.1036E-5, 9.3399E-5, 9.4742E-5, 9.5495E-5, 9.6330E-5,
     * 9.6831E-5, 9.7247E-5, 9.7372E-5, 9.7488E-5, 9.9238E-5, 1.0417E-4,
     * 1.2170E-4, 1.5170E-4, 1.7286E-4, 1.9306E-4, 2.0604E-4, 2.3704E-4,
     * 2.6621E-4, 2.9383E-4, 3.4514E-4, 3.6913E-4, 3.9216E-4, 4.1994E-4,
     * 5.3672E-5, 6.7069E-5, 8.2376E-5, 8.7035E-5, 9.1038E-5, 9.3401E-5,
     * 9.4745E-5, 9.5498E-5, 9.6333E-5, 9.6833E-5, 9.7249E-5, 9.7374E-5,
     * 9.7491E-5, 9.9240E-5, 1.0417E-4, 1.2171E-4, 1.5170E-4, 1.7287E-4,
     * 1.9306E-4, 2.0605E-4, 2.3704E-4, 2.6622E-4, 2.9383E-4, 3.4514E-4,
     * 3.6913E-4, 3.9216E-4, 4.1994E-4, 4.6507E-5, 7.5331E-5, 9.0639E-5,
     * 9.5298E-5, 9.9301E-5, 1.0166E-4, 1.0301E-4, 1.0376E-4/           
      DATA X5901/ 1.0460E-4, 1.0510E-4, 1.0551E-4, 1.0564E-4, 1.0575E-4,
     * 1.0750E-4, 1.1243E-4, 1.2997E-4, 1.5997E-4, 1.8113E-4, 2.0132E-4,
     * 2.1431E-4, 2.4531E-4, 2.7448E-4, 3.0209E-4, 3.5341E-4, 3.7739E-4,
     * 4.0042E-4, 4.2820E-4, 7.9347E-5, 9.2350E-5, 1.0257E-4, 1.0723E-4,
     * 1.1123E-4, 1.1360E-4, 1.1494E-4, 1.1569E-4, 1.1653E-4, 1.1703E-4,
     * 1.1744E-4, 1.1757E-4, 1.1769E-4, 1.1944E-4, 1.2437E-4, 1.4190E-4,
     * 1.7190E-4, 1.9306E-4, 2.1326E-4, 2.2624E-4, 2.5724E-4, 2.8641E-4,
     * 3.1403E-4, 3.6534E-4, 3.8933E-4, 4.1235E-4, 4.4013E-4, 8.9429E-5,
     * 1.0240E-4, 1.1261E-4, 1.1727E-4, 1.2127E-4, 1.2363E-4, 1.2498E-4,
     * 1.2573E-4, 1.2657E-4, 1.2707E-4, 1.2748E-4, 1.2761E-4, 1.2772E-4,
     * 1.2947E-4, 1.3440E-4, 1.5194E-4, 1.8194E-4, 2.0310E-4, 2.2329E-4,
     * 2.3628E-4, 2.6728E-4, 2.9645E-4, 3.2406E-4, 3.7538E-4, 3.9936E-4,
     * 4.2239E-4, 4.5017E-4, 1.0309E-4, 1.1602E-4, 1.2622E-4, 1.3087E-4,
     * 1.3488E-4, 1.3724E-4, 1.3858E-4, 1.3934E-4, 1.4017E-4, 1.4067E-4,
     * 1.4109E-4, 1.4121E-4, 1.4133E-4, 1.4308E-4, 1.4801E-4, 1.6554E-4,
     * 1.9554E-4, 2.1670E-4, 2.3690E-4, 2.4988E-4, 2.8088E-4, 3.1005E-4,
     * 3.3767E-4, 3.8898E-4, 4.1297E-4, 4.3600E-4, 4.6378E-4/           
      DATA X6001/ 1.1694E-4, 1.2987E-4, 1.4006E-4, 1.4472E-4, 1.4873E-4,
     * 1.5109E-4, 1.5243E-4, 1.5319E-4, 1.5402E-4, 1.5452E-4, 1.5494E-4,
     * 1.5506E-4, 1.5518E-4, 1.5693E-4, 1.6186E-4, 1.7939E-4, 2.0939E-4,
     * 2.3055E-4, 2.5075E-4, 2.6373E-4, 2.9473E-4, 3.2390E-4, 3.5152E-4,
     * 4.0283E-4, 4.2682E-4, 4.4985E-4, 4.7763E-4, 1.3030E-4, 1.4317E-4,
     * 1.5334E-4, 1.5800E-4, 1.6200E-4, 1.6436E-4, 1.6570E-4, 1.6646E-4,
     * 1.6729E-4, 1.6779E-4, 1.6821E-4, 1.6833E-4, 1.6845E-4, 1.7020E-4,
     * 1.7513E-4, 1.9266E-4, 2.2266E-4, 2.4383E-4, 2.6402E-4, 2.7701E-4,
     * 3.0800E-4, 3.3718E-4, 3.6479E-4, 4.1610E-4, 4.4009E-4, 4.6312E-4,
     * 4.9090E-4, 1.3870E-4, 1.5157E-4, 1.6184E-4, 1.6650E-4, 1.7049E-4,
     * 1.7285E-4, 1.7419E-4, 1.7495E-4, 1.7578E-4, 1.7628E-4, 1.7670E-4,
     * 1.7682E-4, 1.7694E-4, 1.7869E-4, 1.8362E-4, 2.0115E-4, 2.3115E-4,
     * 2.5231E-4, 2.7251E-4, 2.8550E-4, 3.1649E-4, 3.4567E-4, 3.7328E-4,
     * 4.2459E-4, 4.4858E-4, 4.7161E-4, 4.9939E-4, 1.5432E-4, 1.6719E-4,
     * 1.7744E-4, 1.8219E-4, 1.8610E-4, 1.8847E-4, 1.8982E-4, 1.9057E-4,
     * 1.9141E-4, 1.9191E-4, 1.9233E-4, 1.9245E-4, 1.9257E-4, 1.9432E-4,
     * 1.9925E-4, 2.1678E-4, 2.4678E-4, 2.6794E-4, 2.8814E-4/           
      DATA X6101/ 3.0112E-4, 3.3212E-4, 3.6129E-4, 3.8891E-4, 4.4022E-4,
     * 4.6421E-4, 4.8723E-4, 5.1502E-4, 1.7166E-4, 1.8787E-4, 1.9550E-4,
     * 2.0051E-4, 2.0462E-4, 2.0688E-4, 2.0821E-4, 2.0897E-4, 2.0980E-4,
     * 2.1030E-4, 2.1071E-4, 2.1084E-4, 2.1096E-4, 2.1271E-4, 2.1764E-4,
     * 2.3517E-4, 2.6517E-4, 2.8633E-4, 3.0653E-4, 3.1951E-4, 3.5051E-4,
     * 3.7968E-4, 4.0729E-4, 4.5861E-4, 4.8260E-4, 5.0562E-4, 5.3340E-4,
     * 1.9836E-4, 2.0218E-4, 2.1267E-4, 2.1917E-4, 2.2197E-4, 2.2459E-4,
     * 2.2594E-4, 2.2662E-4, 2.2747E-4, 2.2797E-4, 2.2839E-4, 2.2851E-4,
     * 2.2863E-4, 2.3038E-4, 2.3531E-4, 2.5284E-4, 2.8284E-4, 3.0400E-4,
     * 3.2420E-4, 3.3718E-4, 3.6818E-4, 3.9735E-4, 4.2497E-4, 4.7628E-4,
     * 5.0027E-4, 5.2330E-4, 5.5108E-4, 2.0373E-4, 2.1600E-4, 2.2620E-4,
     * 2.3077E-4, 2.3476E-4, 2.3712E-4, 2.3847E-4, 2.3921E-4, 2.4005E-4,
     * 2.4055E-4, 2.4096E-4, 2.4109E-4, 2.4121E-4, 2.4296E-4, 2.4789E-4,
     * 2.6542E-4, 2.9542E-4, 3.1658E-4, 3.3678E-4, 3.4976E-4, 3.8076E-4,
     * 4.0993E-4, 4.3754E-4, 4.8886E-4, 5.1285E-4, 5.3587E-4, 5.6365E-4,
     * 2.2041E-4, 2.3329E-4, 2.4347E-4, 2.4810E-4, 2.5210E-4, 2.5446E-4,
     * 2.5581E-4, 2.5656E-4, 2.5739E-4, 2.5789E-4, 2.5831E-4/           
      DATA X6201/ 2.5843E-4, 2.5855E-4, 2.6030E-4, 2.6523E-4, 2.8277E-4,
     * 3.1276E-4, 3.3393E-4, 3.5412E-4, 3.6711E-4, 3.9811E-4, 4.2728E-4,
     * 4.5489E-4, 5.0620E-4, 5.3019E-4, 5.5322E-4, 5.8100E-4, 3.1112E-4,
     * 3.2396E-4, 3.3413E-4, 3.3877E-4, 3.4277E-4, 3.4513E-4, 3.4647E-4,
     * 3.4722E-4, 3.4806E-4, 3.4856E-4, 3.4898E-4, 3.4910E-4, 3.4922E-4,
     * 3.5097E-4, 3.5590E-4, 3.7343E-4, 4.0343E-4, 4.2459E-4, 4.4479E-4,
     * 4.5777E-4, 4.8877E-4, 5.1794E-4, 5.4556E-4, 5.9687E-4, 6.2086E-4,
     * 6.4389E-4, 6.7167E-4, 3.3820E-4, 3.5077E-4, 3.6057E-4, 3.6512E-4,
     * 3.6905E-4, 3.7140E-4, 3.7274E-4, 3.7349E-4, 3.7432E-4, 3.7482E-4,
     * 3.7524E-4, 3.7537E-4, 3.7548E-4, 3.7723E-4, 3.8216E-4, 3.9970E-4,
     * 4.2969E-4, 4.5086E-4, 4.7105E-4, 4.8404E-4, 5.1504E-4, 5.4421E-4,
     * 5.7182E-4, 6.2313E-4, 6.4712E-4, 6.7015E-4, 6.9793E-4, 3.6621E-4,
     * 3.7479E-4, 3.8433E-4, 3.8910E-4, 3.9327E-4, 3.9542E-4, 3.9655E-4,
     * 3.9738E-4, 3.9820E-4, 3.9871E-4, 3.9912E-4, 3.9925E-4, 3.9937E-4,
     * 4.0112E-4, 4.0605E-4, 4.2358E-4, 4.5358E-4, 4.7474E-4, 4.9494E-4,
     * 5.0792E-4, 5.3892E-4, 5.6809E-4, 5.9570E-4, 6.4702E-4, 6.7101E-4,
     * 6.9403E-4, 7.2181E-4, 4.1199E-4, 4.0913E-4, 4.1199E-4/           
      DATA X6301/ 4.1866E-4, 4.2242E-4, 4.2498E-4, 4.2611E-4, 4.2692E-4,
     * 4.2774E-4, 4.2824E-4, 4.2865E-4, 4.2878E-4, 4.2890E-4, 4.3065E-4,
     * 4.3558E-4, 4.5311E-4, 4.8311E-4, 5.0427E-4, 5.2447E-4, 5.3745E-4,
     * 5.6845E-4, 5.9762E-4, 6.2523E-4, 6.7655E-4, 7.0054E-4, 7.2356E-4,
     * 7.5134E-4, 4.3201E-4, 4.4477E-4, 4.5455E-4, 4.5919E-4, 4.6321E-4,
     * 4.6553E-4, 4.6689E-4, 4.6763E-4, 4.6847E-4, 4.6897E-4, 4.6938E-4,
     * 4.6951E-4, 4.6962E-4, 4.7137E-4, 4.7630E-4, 4.9384E-4, 5.2384E-4,
     * 5.4500E-4, 5.6519E-4, 5.7818E-4, 6.0918E-4, 6.3835E-4, 6.6596E-4,
     * 7.1728E-4, 7.4126E-4, 7.6429E-4, 7.9207E-4, 4.8059E-4, 4.9311E-4,
     * 5.0354E-4, 5.0832E-4, 5.1226E-4, 5.1463E-4, 5.1597E-4, 5.1672E-4,
     * 5.1756E-4, 5.1806E-4, 5.1847E-4, 5.1860E-4, 5.1872E-4, 5.2047E-4,
     * 5.2540E-4, 5.4293E-4, 5.7293E-4, 5.9409E-4, 6.1429E-4, 6.2727E-4,
     * 6.5827E-4, 6.8744E-4, 7.1505E-4, 7.6637E-4, 7.9036E-4, 8.1338E-4,
     * 8.4116E-4, 5.1230E-4, 5.2494E-4, 5.3507E-4, 5.3975E-4, 5.4375E-4,
     * 5.4612E-4, 5.4746E-4, 5.4822E-4, 5.4905E-4, 5.4955E-4, 5.4997E-4,
     * 5.5009E-4, 5.5021E-4, 5.5196E-4, 5.5689E-4, 5.7442E-4, 6.0442E-4,
     * 6.2558E-4, 6.4578E-4, 6.5876E-4, 6.8976E-4, 7.1893E-4/           
      DATA X6401/ 7.4655E-4, 7.9786E-4, 8.2185E-4, 8.4488E-4, 8.7266E-4,
     * 5.6243E-4, 5.7501E-4, 5.8537E-4, 5.9000E-4, 5.9401E-4, 5.9637E-4,
     * 5.9771E-4, 5.9847E-4, 5.9930E-4, 5.9980E-4, 6.0022E-4, 6.0034E-4,
     * 6.0046E-4, 6.0221E-4, 6.0714E-4, 6.2468E-4, 6.5467E-4, 6.7584E-4,
     * 6.9603E-4, 7.0902E-4, 7.4001E-4, 7.6919E-4, 7.9680E-4, 8.4811E-4,
     * 8.7210E-4, 8.9513E-4, 9.2291E-4, 6.3515E-4, 6.4809E-4, 6.5828E-4,
     * 6.6293E-4, 6.6693E-4, 6.6930E-4, 6.7064E-4, 6.7139E-4, 6.7223E-4,
     * 6.7273E-4, 6.7314E-4, 6.7327E-4, 6.7339E-4, 6.7514E-4, 6.8007E-4,
     * 6.9760E-4, 7.2760E-4, 7.4876E-4, 7.6896E-4, 7.8194E-4, 8.1294E-4,
     * 8.4211E-4, 8.6973E-4, 9.2104E-4, 9.4503E-4, 9.6805E-4, 9.9583E-4,
     * 7.5085E-4, 7.6383E-4, 7.7405E-4, 7.7870E-4, 7.8270E-4, 7.8507E-4,
     * 7.8641E-4, 7.8716E-4, 7.8800E-4, 7.8850E-4, 7.8891E-4, 7.8904E-4,
     * 7.8916E-4, 7.9091E-4, 7.9584E-4, 8.1337E-4, 8.4337E-4, 8.6453E-4,
     * 8.8473E-4, 8.9771E-4, 9.2871E-4, 9.5788E-4, 9.8549E-4, 1.0368E-3,
     * 1.0608E-3, 1.0838E-3, 1.1116E-3, 8.7427E-4, 8.8729E-4, 8.9751E-4,
     * 9.0217E-4, 9.0617E-4, 9.0854E-4, 9.0988E-4, 9.1063E-4, 9.1147E-4,
     * 9.1197E-4, 9.1238E-4, 9.1251E-4, 9.1263E-4, 9.1438E-4/           
      DATA X6501/ 9.1931E-4, 9.3684E-4, 9.6684E-4, 9.8800E-4, 1.0082E-3,
     * 1.0212E-3, 1.0522E-3, 1.0814E-3, 1.1090E-3, 1.1603E-3, 1.1843E-3,
     * 1.2073E-3, 1.2351E-3, 1.0874E-3, 1.1162E-3, 1.1316E-3, 1.1362E-3,
     * 1.1402E-3, 1.1426E-3, 1.1439E-3, 1.1447E-3, 1.1455E-3, 1.1460E-3,
     * 1.1464E-3, 1.1466E-3, 1.1467E-3, 1.1484E-3, 1.1534E-3, 1.1709E-3,
     * 1.2009E-3, 1.2220E-3, 1.2422E-3, 1.2552E-3, 1.2862E-3, 1.3154E-3,
     * 1.3430E-3, 1.3943E-3, 1.4183E-3, 1.4413E-3, 1.4691E-3, 1.3835E-3,
     * 1.3969E-3, 1.4122E-3, 1.4169E-3, 1.4209E-3, 1.4233E-3, 1.4246E-3,
     * 1.4254E-3, 1.4262E-3, 1.4267E-3, 1.4271E-3, 1.4272E-3, 1.4274E-3,
     * 1.4291E-3, 1.4340E-3, 1.4516E-3, 1.4816E-3, 1.5027E-3, 1.5229E-3,
     * 1.5359E-3, 1.5669E-3, 1.5961E-3, 1.6237E-3, 1.6750E-3, 1.6990E-3,
     * 1.7220E-3, 1.7498E-3, 1.4313E-3, 1.4447E-3, 1.4600E-3, 1.4646E-3,
     * 1.4686E-3, 1.4710E-3, 1.4723E-3, 1.4731E-3, 1.4739E-3, 1.4744E-3,
     * 1.4749E-3, 1.4750E-3, 1.4751E-3, 1.4768E-3, 1.4818E-3, 1.4993E-3,
     * 1.5293E-3, 1.5505E-3, 1.5707E-3, 1.5837E-3, 1.6146E-3, 1.6438E-3,
     * 1.6714E-3, 1.7227E-3, 1.7467E-3, 1.7698E-3, 1.7975E-3, 1.5306E-3,
     * 1.5440E-3, 1.5593E-3, 1.5640E-3, 1.5680E-3, 1.5704E-3/           
      DATA X6601/ 1.5717E-3, 1.5725E-3, 1.5733E-3, 1.5738E-3, 1.5742E-3,
     * 1.5743E-3, 1.5744E-3, 1.5762E-3, 1.5811E-3, 1.5987E-3, 1.6287E-3,
     * 1.6498E-3, 1.6700E-3, 1.6830E-3, 1.7140E-3, 1.7432E-3, 1.7708E-3,
     * 1.8221E-3, 1.8461E-3, 1.8691E-3, 1.8969E-3, 5.6200E-1, 5.7000E-1,
     * 5.8000E-1, 6.0000E-1, 6.2000E-1, 6.5000E-1, 6.8000E-1, 6.9000E-1,
     * 7.4000E-1, 7.8000E-1, 8.2000E-1, 8.6000E-1, 8.7000E-1, 8.9000E-1,
     * 9.0000E-1, 9.2000E-1, 9.3000E-1, 9.4000E-1, 9.5000E-1, 9.6000E-1,
     * 9.7000E-1, 9.8000E-1, 9.8500E-1, 9.8600E-1, 9.8900E-1, 9.9100E-1,
     * 9.9200E-1, 9.9400E-1, 9.9500E-1, 9.9600E-1, 9.9700E-1, 9.9800E-1,
     * 9.9860E-1, 9.9890E-1, 1.0000E+0, 1.5721E-2, 1.7985E-2, 2.1157E-2,
     * 2.8762E-2, 3.8272E-2, 5.6711E-2, 8.1021E-2, 9.0601E-2, 1.5129E-1,
     * 2.1756E-1, 3.0245E-1, 4.0885E-1, 4.3917E-1, 5.0466E-1, 5.3994E-1,
     * 6.1583E-1, 6.5657E-1, 6.9926E-1, 7.4396E-1, 7.9073E-1, 8.3965E-1,
     * 8.9077E-1, 9.1719E-1, 9.2254E-1, 9.3873E-1, 9.4965E-1, 9.5514E-1,
     * 9.6620E-1, 9.7176E-1, 9.7735E-1, 9.8296E-1, 9.8859E-1, 9.9199E-1,
     * 9.9369E-1, 1.0000E+0, 2.6508E+0, 2.6376E+0, 2.6208E+0, 2.5863E+0,
     * 2.5507E+0, 2.4953E+0, 2.4374E+0, 2.4175E+0, 2.3135E+0/           
      DATA X6701/ 2.2235E+0, 2.1255E+0, 2.0160E+0, 1.9862E+0, 1.9228E+0,
     * 1.8889E+0, 1.8148E+0, 1.7739E+0, 1.7295E+0, 1.6806E+0, 1.6255E+0,
     * 1.5613E+0, 1.4820E+0, 1.4324E+0, 1.4212E+0, 1.3843E+0, 1.3557E+0,
     * 1.3399E+0, 1.3037E+0, 1.2825E+0, 1.2583E+0, 1.2297E+0, 1.1939E+0,
     * 1.1663E+0, 1.1495E+0, 1.0000E+0, 8.3978E-3, 9.4999E-3, 1.1026E-2,
     * 1.4617E-2, 1.9012E-2, 2.7350E-2, 3.8141E-2, 4.2360E-2, 6.9006E-2,
     * 9.8469E-2, 1.3754E-1, 1.8975E-1, 2.0549E-1, 2.4117E-1, 2.6149E-1,
     * 3.0856E-1, 3.3618E-1, 3.6739E-1, 4.0326E-1, 4.4544E-1, 4.9693E-1,
     * 5.6391E-1, 6.0758E-1, 6.1760E-1, 6.5126E-1, 6.7771E-1, 6.9259E-1,
     * 7.2699E-1, 7.4739E-1, 7.7091E-1, 7.9890E-1, 8.3392E-1, 8.6046E-1,
     * 8.7613E-1, 1.0000E+0, 9.3113E+0, 9.3954E+0, 9.4982E+0, 9.6967E+0,
     * 9.8866E+0, 1.0158E+1, 1.0414E+1, 1.0497E+1, 1.0895E+1, 1.1197E+1,
     * 1.1492E+1, 1.1789E+1, 1.1866E+1, 1.2024E+1, 1.2106E+1, 1.2279E+1,
     * 1.2373E+1, 1.2472E+1, 1.2579E+1, 1.2697E+1, 1.2829E+1, 1.2986E+1,
     * 1.3079E+1, 1.3100E+1, 1.3166E+1, 1.3216E+1, 1.3244E+1, 1.3304E+1,
     * 1.3339E+1, 1.3378E+1, 1.3423E+1, 1.3478E+1, 1.3519E+1, 1.3544E+1,
     * 1.3770E+1, 1.8623E+1, 1.8518E+1, 1.8392E+1, 1.8155E+1/           
      DATA X6801/ 1.7933E+1, 1.7626E+1, 1.7344E+1, 1.7255E+1, 1.6835E+1,
     * 1.6521E+1, 1.6217E+1, 1.5910E+1, 1.5831E+1, 1.5669E+1, 1.5584E+1,
     * 1.5406E+1, 1.5310E+1, 1.5207E+1, 1.5097E+1, 1.4974E+1, 1.4833E+1,
     * 1.4663E+1, 1.4558E+1, 1.4534E+1, 1.4457E+1, 1.4398E+1, 1.4365E+1,
     * 1.4291E+1, 1.4248E+1, 1.4200E+1, 1.4143E+1, 1.4074E+1, 1.4023E+1,
     * 1.3993E+1, 1.3770E+1, 5.2329E+0, 5.2808E+0, 5.3403E+0, 5.4582E+0,
     * 5.5751E+0, 5.7493E+0, 5.9230E+0, 5.9809E+0, 6.2724E+0, 6.5105E+0,
     * 6.7579E+0, 7.0229E+0, 7.0935E+0, 7.2421E+0, 7.3210E+0, 7.4911E+0,
     * 7.5842E+0, 7.6842E+0, 7.7930E+0, 7.9135E+0, 8.0504E+0, 8.2129E+0,
     * 8.3099E+0, 8.3312E+0, 8.4004E+0, 8.4522E+0, 8.4804E+0, 8.5431E+0,
     * 8.5789E+0, 8.6188E+0, 8.6649E+0, 8.7210E+0, 8.7630E+0, 8.7883E+0,
     * 9.0158E+0, 1.0466E+1, 1.0481E+1, 1.0499E+1, 1.0533E+1, 1.0564E+1,
     * 1.0604E+1, 1.0635E+1, 1.0644E+1, 1.0668E+1, 1.0664E+1, 1.0632E+1,
     * 1.0567E+1, 1.0543E+1, 1.0486E+1, 1.0452E+1, 1.0367E+1, 1.0315E+1,
     * 1.0255E+1, 1.0185E+1, 1.0100E+1, 9.9944E+0, 9.8562E+0, 9.7662E+0,
     * 9.7456E+0, 9.6767E+0, 9.6230E+0, 9.5929E+0, 9.5240E+0, 9.4835E+0,
     * 9.4374E+0, 9.3831E+0, 9.3162E+0, 9.2664E+0, 9.2373E+0/           
      DATA X6901/ 9.0158E+0, 2.0813E-1, 1.5070E+2, 4.8650E+0, 5.3100E-1,
     * 1.0000E-3, 2.0000E-3, 1.0000E-3, 1.0000E-3/                      
                                                                        
C**********************************************************************
	IGOTO = 4
	CALL FLUID(TEMP,PRES,DENS,PROPS,NP,ENTRY,VAPOR,ERROR,IGOTO)
C     CALL FLUID0(G,NG,GG,TT,DD,N1,N2,N3,SAT,NS,C,M)
C**********************************************************************
      RETURN                                                            
                                                                        
      END                                                               
