!+
      SUBROUTINE CO2
! ---------------------------------------------------------------------------
! PURPOSE - Load the common block /FLUDPC/
!.....CARBON DIOXIDE TABLES FOR FLUID SUBPROGRAM.                       

!      WRITTEN BY: THEODORE E. FESSLER, NASA TM X-3572, AUGUST 1977
!      REWRITTEN BY: LT. MARK D. KLEM & MARGARET P. PROCTOR, JANUARY 198
!                                                                       
!      THE ORIGINAL PROGRAM WAS WRITTEN IN SFTRAN, BUT THIS PROGRAM IS  
!      REWRITTEN IN STANDARD FORTRAN 77 TO RUN PRIMARILY ON PERSONAL    
!      COMPUTERS AND CAN ALSO RUN ON MAINFRAMES. MUCH OF THE OLD CODE WA
!      COMMENTED OUT BUT LEFT INTACT FOR DOCUMENTATION AND REFERENCE    
!      PURPOSES.                                                        
!                                                                       
  INTERFACE
    SUBROUTINE Fluid(T,P,RHO,PROPS,NP,ENTRY,VAPOR,ERROR,igoto)
      REAL,INTENT(IN OUT):: t
      REAL,INTENT(IN OUT):: p
      REAL,INTENT(IN OUT):: rho
      REAL,INTENT(OUT),DIMENSION(:):: props
      INTEGER,INTENT(IN):: np
      INTEGER,INTENT(IN):: entry
      LOGICAL,INTENT(OUT):: vapor
      INTEGER,INTENT(OUT):: error
      INTEGER,INTENT(IN):: igoto
    END Subroutine Fluid
  END INTERFACE
                                                                        
!                -- UNITS --                                            
                                                                        
!       R = 0.18892 JOULES / GRAM - DEG. K      C(1)                    
!       TCRIT = 304.21 DEG. K                   C(2)                    
!       PCRIT = 7.3835 MEGA-NEWTONS / METER**2  C(3)                    
!       DCRIT = 0.464   GRAMS / CENTIMETER**3   C(4)                    
!       VISCOSITY = GRAMS / CENTIMETER - SEC.        PROP(7)            
!       CONDUCTIVITY = WATTS / CENTIMETER - DEG. K   PROP(8)            
                                                                        
!     DIMENSION G(21,4),TT(27),DD(30),GG(27,30,8),SAT(35,8),C(8),M(4)   
!********************************************************************** 
      DIMENSION G(29,4),TT(27),DD(30),GG(27,30,8),SAT(40,8),C(8),M(4) 
       INTEGER ERROR,ENTRY 
       DIMENSION PROPS(8) 
       LOGICAL VAPOR 
!********************************************************************** 
                                                                        
      DIMENSION X0001(100),X0101(100),X0201(100),X0301(100),X0401(100), &
     &          X0501(100),X0601(100),X0701(100),X0801(100),X0901(100), &
     &          X1001(100),X1101(100),X1201(100),X1301(100),X1401(100), &
     &          X1501(100),X1601(100),X1701(100),X1801(100),X1901(100), &
     &          X2001(100),X2101(100),X2201(100),X2301(100),X2401(100), &
     &          X2501(100),X2601(100),X2701(100),X2801(100),X2901(100), &
     &          X3001(100),X3101(100),X3201(100),X3301(100),X3401(100), &
     &          X3501(100),X3601(100),X3701(100),X3801(100),X3901(100), &
     &          X4001(100),X4101(100),X4201(100),X4301(100),X4401(100), &
     &          X4501(100),X4601(100),X4701(100),X4801(100),X4901(100), &
     &          X5001(100),X5101(100),X5201(100),X5301(100),X5401(100), &
     &          X5501(100),X5601(100),X5701(100),X5801(100),X5901(100), &
     &          X6001(100),X6101(100),X6201(100),X6301(100),X6401(100), &
     &          X6501(100),X6601(100),X6701(100),X6801(100),X6901(9)    
                                                                        
      DIMENSION Z(6909) 
!********************************************************************** 
       COMMON /FLUDPC/ G,TT,DD,GG,SAT,C,M,NG,N1,N2,N3,NS 
!********************************************************************** 
      EQUIVALENCE (X0001,Z(0001)), (X0101,Z(0101)), (X0201,Z(0201)),    &
     &            (X0301,Z(0301)), (X0401,Z(0401)), (X0501,Z(0501)),    &
     &            (X0601,Z(0601)), (X0701,Z(0701)), (X0801,Z(0801)),    &
     &            (X0901,Z(0901)), (X1001,Z(1001)), (X1101,Z(1101)),    &
     &            (X1201,Z(1201)), (X1301,Z(1301)), (X1401,Z(1401)),    &
     &            (X1501,Z(1501)), (X1601,Z(1601)), (X1701,Z(1701)),    &
     &            (X1801,Z(1801)), (X1901,Z(1901)), (X2001,Z(2001)),    &
     &            (X2101,Z(2101)), (X2201,Z(2201)), (X2301,Z(2301)),    &
     &            (X2401,Z(2401)), (X2501,Z(2501)), (X2601,Z(2601)),    &
     &            (X2701,Z(2701)), (X2801,Z(2801)), (X2901,Z(2901)),    &
     &            (X3001,Z(3001)), (X3101,Z(3101)), (X3201,Z(3201)),    &
     &            (X3301,Z(3301)), (X3401,Z(3401)), (X3501,Z(3501))     
      EQUIVALENCE (X3601,Z(3601)), (X3701,Z(3701)), (X3801,Z(3801)),    &
     &            (X3901,Z(3901)), (X4001,Z(4001)), (X4101,Z(4101)),    &
     &            (X4201,Z(4201)), (X4301,Z(4301)), (X4401,Z(4401)),    &
     &            (X4501,Z(4501)), (X4601,Z(4601)), (X4701,Z(4701)),    &
     &            (X4801,Z(4801)), (X4901,Z(4901)), (X5001,Z(5001)),    &
     &            (X5101,Z(5101)), (X5201,Z(5201)), (X5301,Z(5301)),    &
     &            (X5401,Z(5401)), (X5501,Z(5501)), (X5601,Z(5601)),    &
     &            (X5701,Z(5701)), (X5801,Z(5801)), (X5901,Z(5901)),    &
     &            (X6001,Z(6001)), (X6101,Z(6101)), (X6201,Z(6201)),    &
     &            (X6301,Z(6301)), (X6401,Z(6401)), (X6501,Z(6501)),    &
     &            (X6601,Z(6601)), (X6701,Z(6701)), (X6801,Z(6801)),    &
     &            (X6901,Z(6901))                                       
                                                                        
!********************************************************************** 
!********************************************************************** 
                                                                        
      DATA X0001/ 7.1850E-1, 7.5000E-1, 8.0000E-1, 9.0000E-1, 9.5000E-1,&
     & 9.9000E-1, 1.0000E+0, 1.0500E+0, 1.1000E+0, 1.2000E+0, 1.3000E+0,&
     & 1.4000E+0, 1.5000E+0, 1.6000E+0, 1.8000E+0, 2.0000E+0, 2.2000E+0,&
     & 2.4000E+0, 2.6000E+0, 2.9000E+0, 3.2800E+0, 1.2406E+1, 1.2538E+1,&
     & 1.2741E+1, 1.3126E+1, 1.3309E+1, 1.3451E+1, 1.3487E+1, 1.3659E+1,&
     & 1.3828E+1, 1.4152E+1, 1.4461E+1, 1.4757E+1, 1.5042E+1, 1.5316E+1,&
     & 1.5835E+1, 1.6321E+1, 1.6779E+1, 1.7211E+1, 1.7620E+1, 1.8195E+1,&
     & 1.8867E+1, 1.1320E+1, 1.1406E+1, 1.1545E+1, 1.1837E+1, 1.1988E+1,&
     & 1.2113E+1, 1.2144E+1, 1.2303E+1, 1.2467E+1, 1.2804E+1, 1.3155E+1,&
     & 1.3519E+1, 1.3896E+1, 1.4285E+1, 1.5097E+1, 1.5949E+1, 1.6838E+1,&
     & 1.7761E+1, 1.8712E+1, 2.0188E+1, 2.2126E+1, 3.0466E+0, 3.1009E+0,&
     & 3.1854E+0, 3.3489E+0, 3.4279E+0, 3.4898E+0, 3.5051E+0, 3.5806E+0,&
     & 3.6543E+0, 3.7967E+0, 3.9324E+0, 4.0616E+0, 4.1846E+0, 4.3015E+0,&
     & 4.5180E+0, 4.7125E+0, 4.8866E+0, 5.0420E+0, 5.1803E+0, 5.3588E+0,&
     & 5.5428E+0, 7.1850E-1, 8.2900E-1, 8.9100E-1, 9.1500E-1, 9.4400E-1,&
     & 9.6100E-1, 9.7300E-1, 9.8100E-1, 9.9000E-1, 9.9500E-1, 9.9700E-1,&
     & 9.9800E-1, 9.9900E-1, 1.0500E+0, 1.1000E+0, 1.2000E+0/           
      DATA X0101/ 1.3000E+0, 1.4000E+0, 1.5000E+0, 1.6000E+0, 1.8000E+0,&
     & 2.0000E+0, 2.2000E+0, 2.4000E+0, 2.6000E+0, 2.9000E+0, 3.2800E+0,&
     & 1.9000E-5, 1.9000E-3, 2.5000E-2, 1.0000E-1, 1.8700E-1, 2.4000E-1,&
     & 3.2500E-1, 3.9000E-1, 4.6000E-1, 5.2000E-1, 6.1000E-1, 7.0000E-1,&
     & 7.6000E-1, 8.0000E-1, 8.6000E-1, 1.1800E+0, 1.2200E+0, 1.2400E+0,&
     & 1.3200E+0, 1.4200E+0, 1.5300E+0, 1.6000E+0, 1.7000E+0, 1.8000E+0,&
     & 1.9400E+0, 2.0400E+0, 2.2500E+0, 2.6000E+0, 2.6500E+0, 2.6900E+0,&
     & 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0,&
     & 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0,&
     & 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3543E+0, 1.3544E+0,&
     & 1.3544E+0, 1.3544E+0, 1.3544E+0, 1.3544E+0, 1.3544E+0, 1.3544E+0,&
     & 1.3544E+0, 1.3544E+0, 1.3544E+0, 1.3497E+0, 1.3511E+0, 1.3517E+0,&
     & 1.3519E+0, 1.3521E+0, 1.3522E+0, 1.3523E+0, 1.3523E+0, 1.3524E+0,&
     & 1.3524E+0, 1.3524E+0, 1.3524E+0, 1.3524E+0, 1.3527E+0, 1.3529E+0,&
     & 1.3532E+0, 1.3534E+0, 1.3536E+0, 1.3538E+0, 1.3539E+0, 1.3541E+0,&
     & 1.3542E+0, 1.3543E+0, 1.3544E+0, 1.3545E+0, 1.3545E+0, 1.3546E+0,&
     & 1.2933E+0, 1.3129E+0, 1.3202E+0, 1.3225E+0, 1.3251E+0/           
      DATA X0201/ 1.3265E+0, 1.3274E+0, 1.3280E+0, 1.3287E+0, 1.3290E+0,&
     & 1.3292E+0, 1.3292E+0, 1.3293E+0, 1.3325E+0, 1.3352E+0, 1.3394E+0,&
     & 1.3426E+0, 1.3451E+0, 1.3470E+0, 1.3486E+0, 1.3510E+0, 1.3528E+0,&
     & 1.3540E+0, 1.3550E+0, 1.3558E+0, 1.3566E+0, 1.3575E+0, 1.1300E+0,&
     & 1.1985E+0, 1.2269E+0, 1.2360E+0, 1.2458E+0, 1.2511E+0, 1.2546E+0,&
     & 1.2568E+0, 1.2593E+0, 1.2606E+0, 1.2611E+0, 1.2614E+0, 1.2616E+0,&
     & 1.2737E+0, 1.2837E+0, 1.2996E+0, 1.3115E+0, 1.3208E+0, 1.3281E+0,&
     & 1.3340E+0, 1.3430E+0, 1.3494E+0, 1.3541E+0, 1.3578E+0, 1.3606E+0,&
     & 1.3639E+0, 1.3669E+0, 9.7147E-1, 1.0851E+0, 1.1342E+0, 1.1504E+0,&
     & 1.1678E+0, 1.1770E+0, 1.1832E+0, 1.1871E+0, 1.1915E+0, 1.1938E+0,&
     & 1.1947E+0, 1.1952E+0, 1.1956E+0, 1.2167E+0, 1.2341E+0, 1.2615E+0,&
     & 1.2821E+0, 1.2980E+0, 1.3107E+0, 1.3210E+0, 1.3365E+0, 1.3475E+0,&
     & 1.3558E+0, 1.3621E+0, 1.3671E+0, 1.3729E+0, 1.3782E+0, 8.9310E-1,&
     & 1.0268E+0, 1.0857E+0, 1.1054E+0, 1.1269E+0, 1.1383E+0, 1.1459E+0,&
     & 1.1507E+0, 1.1560E+0, 1.1589E+0, 1.1600E+0, 1.1606E+0, 1.1611E+0,&
     & 1.1870E+0, 1.2083E+0, 1.2418E+0, 1.2670E+0, 1.2865E+0, 1.3020E+0,&
     & 1.3146E+0, 1.3336E+0, 1.3472E+0, 1.3574E+0, 1.3652E+0/           
      DATA X0301/ 1.3714E+0, 1.3785E+0, 1.3851E+0, 7.8720E-1, 9.4794E-1,&
     & 1.0200E+0, 1.0443E+0, 1.0711E+0, 1.0854E+0, 1.0949E+0, 1.1010E+0,&
     & 1.1077E+0, 1.1113E+0, 1.1127E+0, 1.1134E+0, 1.1141E+0, 1.1465E+0,&
     & 1.1731E+0, 1.2150E+0, 1.2465E+0, 1.2709E+0, 1.2904E+0, 1.3063E+0,&
     & 1.3304E+0, 1.3477E+0, 1.3607E+0, 1.3708E+0, 1.3787E+0, 1.3878E+0,&
     & 1.3963E+0, 7.2705E-1, 9.0103E-1, 9.7975E-1, 1.0066E+0, 1.0363E+0,&
     & 1.0523E+0, 1.0630E+0, 1.0699E+0, 1.0773E+0, 1.0813E+0, 1.0829E+0,&
     & 1.0837E+0, 1.0845E+0, 1.1209E+0, 1.1507E+0, 1.1978E+0, 1.2334E+0,&
     & 1.2610E+0, 1.2832E+0, 1.3012E+0, 1.3288E+0, 1.3488E+0, 1.3638E+0,&
     & 1.3754E+0, 1.3846E+0, 1.3952E+0, 1.4051E+0, 6.7676E-1, 8.6186E-1,&
     & 9.4550E-1, 9.7424E-1, 1.0062E+0, 1.0235E+0, 1.0351E+0, 1.0426E+0,&
     & 1.0507E+0, 1.0550E+0, 1.0568E+0, 1.0576E+0, 1.0585E+0, 1.0981E+0,&
     & 1.1306E+0, 1.1823E+0, 1.2214E+0, 1.2521E+0, 1.2767E+0, 1.2969E+0,&
     & 1.3279E+0, 1.3505E+0, 1.3675E+0, 1.3807E+0, 1.3912E+0, 1.4034E+0,&
     & 1.4147E+0, 6.5039E-1, 8.3813E-1, 9.2360E-1, 9.5328E-1, 9.8628E-1,&
     & 1.0043E+0, 1.0163E+0, 1.0241E+0, 1.0325E+0, 1.0371E+0, 1.0389E+0,&
     & 1.0398E+0, 1.0407E+0, 1.0822E+0, 1.1164E+0, 1.1710E+0/           
      DATA X0401/ 1.2127E+0, 1.2456E+0, 1.2722E+0, 1.2940E+0, 1.3277E+0,&
     & 1.3523E+0, 1.3710E+0, 1.3855E+0, 1.3971E+0, 1.4106E+0, 1.4232E+0,&
     & 6.2891E-1, 8.1714E-1, 9.0283E-1, 9.3237E-1, 9.6556E-1, 9.8378E-1,&
     & 9.9609E-1, 1.0040E+0, 1.0127E+0, 1.0174E+0, 1.0192E+0, 1.0201E+0,&
     & 1.0211E+0, 1.0640E+0, 1.0997E+0, 1.1575E+0, 1.2022E+0, 1.2378E+0,&
     & 1.2668E+0, 1.2909E+0, 1.3283E+0, 1.3558E+0, 1.3769E+0, 1.3933E+0,&
     & 1.4065E+0, 1.4220E+0, 1.4365E+0, 6.2500E-1, 8.0078E-1, 8.9673E-1,&
     & 9.2139E-1, 9.5459E-1, 9.7241E-1, 9.8450E-1, 9.9197E-1, 1.0005E+0,&
     & 1.0052E+0, 1.0070E+0, 1.0079E+0, 1.0088E+0, 1.0517E+0, 1.0879E+0,&
     & 1.1473E+0, 1.1942E+0, 1.2320E+0, 1.2631E+0, 1.2891E+0, 1.3299E+0,&
     & 1.3602E+0, 1.3835E+0, 1.4019E+0, 1.4167E+0, 1.4342E+0, 1.4507E+0,&
     & 7.0313E-1, 8.0859E-1, 8.8672E-1, 9.2261E-1, 9.5044E-1, 9.6777E-1,&
     & 9.7949E-1, 9.8787E-1, 9.9582E-1, 1.0004E+0, 1.0022E+0, 1.0031E+0,&
     & 1.0040E+0, 1.0461E+0, 1.0821E+0, 1.1421E+0, 1.1901E+0, 1.2291E+0,&
     & 1.2615E+0, 1.2887E+0, 1.3316E+0, 1.3637E+0, 1.3885E+0, 1.4081E+0,&
     & 1.4240E+0, 1.4428E+0, 1.4606E+0, 6.7101E-1, 8.2205E-1, 8.9536E-1,&
     & 9.2103E-1, 9.5071E-1, 9.6724E-1, 9.7851E-1, 9.8585E-1/           
      DATA X0501/ 9.9396E-1, 9.9838E-1, 1.0001E+0, 1.0010E+0, 1.0019E+0,&
     & 1.0433E+0, 1.0791E+0, 1.1393E+0, 1.1878E+0, 1.2276E+0, 1.2608E+0,&
     & 1.2887E+0, 1.3330E+0, 1.3663E+0, 1.3920E+0, 1.4125E+0, 1.4291E+0,&
     & 1.4487E+0, 1.4675E+0, 7.0065E-1, 8.3435E-1, 9.0039E-1, 9.2423E-1,&
     & 9.5175E-1, 9.6722E-1, 9.7785E-1, 9.8481E-1, 9.9250E-1, 9.9672E-1,&
     & 9.9840E-1, 9.9923E-1, 1.0001E+0, 1.0403E+0, 1.0756E+0, 1.1358E+0,&
     & 1.1851E+0, 1.2259E+0, 1.2602E+0, 1.2892E+0, 1.3355E+0, 1.3704E+0,&
     & 1.3977E+0, 1.4193E+0, 1.4370E+0, 1.4580E+0, 1.4782E+0, 7.8023E-1,&
     & 8.7090E-1, 9.1897E-1, 9.3704E-1, 9.5848E-1, 9.7084E-1, 9.7948E-1,&
     & 9.8519E-1, 9.9158E-1, 9.9512E-1, 9.9653E-1, 9.9723E-1, 9.9794E-1,&
     & 1.0331E+0, 1.0663E+0, 1.1272E+0, 1.1803E+0, 1.2262E+0, 1.2658E+0,&
     & 1.3001E+0, 1.3562E+0, 1.3998E+0, 1.4346E+0, 1.4629E+0, 1.4864E+0,&
     & 1.5150E+0, 1.5431E+0, 7.9327E-1, 8.7581E-1, 9.2083E-1, 9.3781E-1,&
     & 9.5842E-1, 9.7041E-1, 9.7882E-1, 9.8442E-1, 9.9070E-1, 9.9418E-1,&
     & 9.9557E-1, 9.9627E-1, 9.9696E-1, 1.0321E+0, 1.0654E+0, 1.1268E+0,&
     & 1.1806E+0, 1.2272E+0, 1.2674E+0, 1.3024E+0, 1.3596E+0, 1.4042E+0,&
     & 1.4399E+0, 1.4690E+0, 1.4932E+0, 1.5228E+0, 1.5520E+0/           
      DATA X0601/ 7.9424E-1, 8.7566E-1, 9.2037E-1, 9.3731E-1, 9.5788E-1,&
     & 9.6984E-1, 9.7823E-1, 9.8382E-1, 9.9010E-1, 9.9358E-1, 9.9497E-1,&
     & 9.9566E-1, 9.9636E-1, 1.0316E+0, 1.0650E+0, 1.1267E+0, 1.1808E+0,&
     & 1.2277E+0, 1.2683E+0, 1.3035E+0, 1.3613E+0, 1.4065E+0, 1.4426E+0,&
     & 1.4721E+0, 1.4967E+0, 1.5267E+0, 1.5564E+0, 7.9297E-1, 8.6719E-1,&
     & 9.2261E-1, 9.3433E-1, 9.5483E-1, 9.6680E-1, 9.7516E-1, 9.8055E-1,&
     & 9.8690E-1, 9.9041E-1, 9.9182E-1, 9.9252E-1, 9.9323E-1, 1.0290E+0,&
     & 1.0631E+0, 1.1263E+0, 1.1819E+0, 1.2302E+0, 1.2720E+0, 1.3085E+0,&
     & 1.3685E+0, 1.4157E+0, 1.4536E+0, 1.4847E+0, 1.5107E+0, 1.5427E+0,&
     & 1.5744E+0, 7.8125E-1, 8.6230E-1, 9.0820E-1, 9.2603E-1, 9.4730E-1,&
     & 9.5990E-1, 9.6881E-1, 9.7473E-1, 9.8139E-1, 9.8509E-1, 9.8657E-1,&
     & 9.8731E-1, 9.8805E-1, 1.0255E+0, 1.0609E+0, 1.1265E+0, 1.1840E+0,&
     & 1.2340E+0, 1.2775E+0, 1.3154E+0, 1.3780E+0, 1.4274E+0, 1.4674E+0,&
     & 1.5005E+0, 1.5282E+0, 1.5625E+0, 1.5967E+0, 7.4878E-1, 8.4326E-1,&
     & 8.9436E-1, 9.1409E-1, 9.3767E-1, 9.5141E-1, 9.6104E-1, 9.6745E-1,&
     & 9.7463E-1, 9.7862E-1, 9.8021E-1, 9.8100E-1, 9.8180E-1, 1.0217E+0,&
     & 1.0591E+0, 1.1275E+0, 1.1872E+0, 1.2390E+0, 1.2839E+0/           
      DATA X0701/ 1.3232E+0, 1.3884E+0, 1.4401E+0, 1.4822E+0, 1.5171E+0,&
     & 1.5466E+0, 1.5832E+0, 1.6200E+0, 7.2363E-1, 8.2910E-1, 8.8493E-1,&
     & 9.0625E-1, 9.3149E-1, 9.4611E-1, 9.5632E-1, 9.6309E-1, 9.7067E-1,&
     & 9.7486E-1, 9.7653E-1, 9.7736E-1, 9.7820E-1, 1.0198E+0, 1.0585E+0,&
     & 1.1287E+0, 1.1896E+0, 1.2423E+0, 1.2881E+0, 1.3282E+0, 1.3946E+0,&
     & 1.4476E+0, 1.4908E+0, 1.5268E+0, 1.5573E+0, 1.5953E+0, 1.6336E+0,&
     & 6.9189E-1, 8.1094E-1, 8.7331E-1, 8.9661E-1, 9.2413E-1, 9.3994E-1,&
     & 9.5096E-1, 9.5824E-1, 9.6635E-1, 9.7083E-1, 9.7261E-1, 9.7350E-1,&
     & 9.7439E-1, 1.0184E+0, 1.0587E+0, 1.1311E+0, 1.1933E+0, 1.2470E+0,&
     & 1.2937E+0, 1.3344E+0, 1.4024E+0, 1.4567E+0, 1.5013E+0, 1.5385E+0,&
     & 1.5702E+0, 1.6098E+0, 1.6499E+0, 6.5999E-1, 7.9521E-1, 8.6432E-1,&
     & 8.8970E-1, 9.1940E-1, 9.3631E-1, 9.4802E-1, 9.5572E-1, 9.6428E-1,&
     & 9.6899E-1, 9.7086E-1, 9.7180E-1, 9.7273E-1, 1.0185E+0, 1.0601E+0,&
     & 1.1338E+0, 1.1967E+0, 1.2508E+0, 1.2978E+0, 1.3389E+0, 1.4076E+0,&
     & 1.4628E+0, 1.5082E+0, 1.5464E+0, 1.5789E+0, 1.6197E+0, 1.6612E+0,&
     & 6.2903E-1, 7.8294E-1, 8.5897E-1, 8.8642E-1, 9.1812E-1, 9.3594E-1,&
     & 9.4820E-1, 9.5622E-1, 9.6511E-1, 9.6998E-1, 9.7192E-1/           
      DATA X0801/ 9.7288E-1, 9.7385E-1, 1.0207E+0, 1.0627E+0, 1.1363E+0,&
     & 1.1987E+0, 1.2522E+0, 1.2987E+0, 1.3394E+0, 1.4077E+0, 1.4628E+0,&
     & 1.5085E+0, 1.5470E+0, 1.5800E+0, 1.6216E+0, 1.6641E+0, 6.1777E-1,&
     & 7.8111E-1, 8.5992E-1, 8.8795E-1, 9.1997E-1, 9.3786E-1, 9.5011E-1,&
     & 9.5811E-1, 9.6695E-1, 9.7180E-1, 9.7372E-1, 9.7468E-1, 9.7564E-1,&
     & 1.0220E+0, 1.0632E+0, 1.1351E+0, 1.1958E+0, 1.2478E+0, 1.2930E+0,&
     & 1.3327E+0, 1.3995E+0, 1.4537E+0, 1.4987E+0, 1.5368E+0, 1.5695E+0,&
     & 1.6108E+0, 1.6532E+0, 6.2359E-1, 7.8835E-1, 8.6390E-1, 8.8989E-1,&
     & 9.1923E-1, 9.3548E-1, 9.4655E-1, 9.5377E-1, 9.6172E-1, 9.6607E-1,&
     & 9.6780E-1, 9.6866E-1, 9.6952E-1, 1.0109E+0, 1.0474E+0, 1.1107E+0,&
     & 1.1641E+0, 1.2099E+0, 1.2499E+0, 1.2852E+0, 1.3449E+0, 1.3939E+0,&
     & 1.4348E+0, 1.4698E+0, 1.4999E+0, 1.5381E+0, 1.5776E+0, 6.0746E-1,&
     & 7.1554E-1, 7.5965E-1, 7.7460E-1, 7.9139E-1, 8.0066E-1, 8.0697E-1,&
     & 8.1107E-1, 8.1560E-1, 8.1807E-1, 8.1905E-1, 8.1954E-1, 8.2003E-1,&
     & 8.4351E-1, 8.6425E-1, 9.0044E-1, 9.3127E-1, 9.5810E-1, 9.8179E-1,&
     & 1.0030E+0, 1.0394E+0, 1.0697E+0, 1.0955E+0, 1.1177E+0, 1.1371E+0,&
     & 1.1618E+0, 1.1876E+0, 5.8454E-1, 6.7851E-1, 7.1671E-1/           
      DATA X0901/ 7.2966E-1, 7.4421E-1, 7.5223E-1, 7.5769E-1, 7.6125E-1,&
     & 7.6517E-1, 7.6731E-1, 7.6816E-1, 7.6858E-1, 7.6901E-1, 7.8937E-1,&
     & 8.0737E-1, 8.3884E-1, 8.6572E-1, 8.8918E-1, 9.0994E-1, 9.2854E-1,&
     & 9.6062E-1, 9.8745E-1, 1.0103E+0, 1.0300E+0, 1.0472E+0, 1.0693E+0,&
     & 1.0923E+0, 5.5859E-1, 6.4099E-1, 6.7442E-1, 6.8574E-1, 6.9846E-1,&
     & 7.0548E-1, 7.1026E-1, 7.1337E-1, 7.1680E-1, 7.1868E-1, 7.1942E-1,&
     & 7.1979E-1, 7.2016E-1, 7.3799E-1, 7.5377E-1, 7.8141E-1, 8.0507E-1,&
     & 8.2577E-1, 8.4414E-1, 8.6062E-1, 8.8911E-1, 9.1301E-1, 9.3339E-1,&
     & 9.5101E-1, 9.6640E-1, 9.8617E-1, 1.0068E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 9.9971E-1, 9.9981E-1, 9.9984E-1, 9.9985E-1, 9.9987E-1,&
     & 9.9987E-1, 9.9988E-1, 9.9988E-1, 9.9988E-1, 9.9988E-1, 9.9988E-1,&
     & 9.9988E-1, 9.9988E-1, 9.9990E-1, 9.9991E-1, 9.9992E-1, 9.9994E-1,&
     & 9.9995E-1, 9.9995E-1, 9.9996E-1, 9.9996E-1, 9.9997E-1/           
      DATA X1001/ 9.9997E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1, 9.9998E-1,&
     & 9.9553E-1, 9.9706E-1, 9.9760E-1, 9.9777E-1, 9.9795E-1, 9.9804E-1,&
     & 9.9810E-1, 9.9814E-1, 9.9819E-1, 9.9821E-1, 9.9822E-1, 9.9822E-1,&
     & 9.9823E-1, 9.9844E-1, 9.9860E-1, 9.9886E-1, 9.9904E-1, 9.9918E-1,&
     & 9.9928E-1, 9.9936E-1, 9.9947E-1, 9.9954E-1, 9.9959E-1, 9.9963E-1,&
     & 9.9966E-1, 9.9969E-1, 9.9972E-1, 9.8065E-1, 9.8702E-1, 9.8952E-1,&
     & 9.9029E-1, 9.9111E-1, 9.9153E-1, 9.9181E-1, 9.9199E-1, 9.9219E-1,&
     & 9.9229E-1, 9.9233E-1, 9.9235E-1, 9.9237E-1, 9.9330E-1, 9.9404E-1,&
     & 9.9515E-1, 9.9593E-1, 9.9650E-1, 9.9693E-1, 9.9727E-1, 9.9774E-1,&
     & 9.9805E-1, 9.9827E-1, 9.9843E-1, 9.9855E-1, 9.9868E-1, 9.9880E-1,&
     & 9.6277E-1, 9.7460E-1, 9.7952E-1, 9.8110E-1, 9.8276E-1, 9.8362E-1,&
     & 9.8419E-1, 9.8455E-1, 9.8494E-1, 9.8514E-1, 9.8523E-1, 9.8527E-1,&
     & 9.8531E-1, 9.8715E-1, 9.8860E-1, 9.9075E-1, 9.9226E-1, 9.9335E-1,&
     & 9.9416E-1, 9.9479E-1, 9.9568E-1, 9.9628E-1, 9.9669E-1, 9.9699E-1,&
     & 9.9722E-1, 9.9747E-1, 9.9770E-1, 9.5186E-1, 9.6694E-1, 9.7330E-1,&
     & 9.7538E-1, 9.7759E-1, 9.7874E-1, 9.7949E-1, 9.7996E-1, 9.8048E-1,&
     & 9.8075E-1, 9.8086E-1, 9.8091E-1, 9.8097E-1, 9.8339E-1/           
      DATA X1101/ 9.8528E-1, 9.8809E-1, 9.9003E-1, 9.9143E-1, 9.9248E-1,&
     & 9.9328E-1, 9.9442E-1, 9.9518E-1, 9.9571E-1, 9.9610E-1, 9.9640E-1,&
     & 9.9673E-1, 9.9702E-1, 9.3471E-1, 9.5468E-1, 9.6339E-1, 9.6623E-1,&
     & 9.6931E-1, 9.7093E-1, 9.7198E-1, 9.7265E-1, 9.7337E-1, 9.7375E-1,&
     & 9.7390E-1, 9.7398E-1, 9.7405E-1, 9.7742E-1, 9.8003E-1, 9.8386E-1,&
     & 9.8649E-1, 9.8838E-1, 9.8978E-1, 9.9087E-1, 9.9240E-1, 9.9342E-1,&
     & 9.9413E-1, 9.9466E-1, 9.9506E-1, 9.9551E-1, 9.9590E-1, 9.2188E-1,&
     & 9.4566E-1, 9.5596E-1, 9.5938E-1, 9.6310E-1, 9.6507E-1, 9.6635E-1,&
     & 9.6717E-1, 9.6804E-1, 9.6851E-1, 9.6869E-1, 9.6878E-1, 9.6887E-1,&
     & 9.7295E-1, 9.7610E-1, 9.8069E-1, 9.8383E-1, 9.8607E-1, 9.8774E-1,&
     & 9.8902E-1, 9.9084E-1, 9.9205E-1, 9.9291E-1, 9.9354E-1, 9.9402E-1,&
     & 9.9455E-1, 9.9503E-1, 9.0747E-1, 9.3613E-1, 9.4810E-1, 9.5218E-1,&
     & 9.5664E-1, 9.5896E-1, 9.6049E-1, 9.6145E-1, 9.6249E-1, 9.6304E-1,&
     & 9.6326E-1, 9.6337E-1, 9.6347E-1, 9.6829E-1, 9.7199E-1, 9.7736E-1,&
     & 9.8101E-1, 9.8362E-1, 9.8555E-1, 9.8704E-1, 9.8916E-1, 9.9057E-1,&
     & 9.9157E-1, 9.9231E-1, 9.9287E-1, 9.9350E-1, 9.9407E-1, 8.9990E-1,&
     & 9.2944E-1, 9.4218E-1, 9.4662E-1, 9.5142E-1, 9.5400E-1/           
      DATA X1201/ 9.5569E-1, 9.5677E-1, 9.5793E-1, 9.5855E-1, 9.5880E-1,&
     & 9.5892E-1, 9.5904E-1, 9.6444E-1, 9.6858E-1, 9.7457E-1, 9.7864E-1,&
     & 9.8154E-1, 9.8369E-1, 9.8535E-1, 9.8770E-1, 9.8928E-1, 9.9040E-1,&
     & 9.9123E-1, 9.9187E-1, 9.9258E-1, 9.9322E-1, 8.8281E-1, 9.1772E-1,&
     & 9.3335E-1, 9.3848E-1, 9.4398E-1, 9.4698E-1, 9.4896E-1, 9.5020E-1,&
     & 9.5153E-1, 9.5225E-1, 9.5253E-1, 9.5267E-1, 9.5281E-1, 9.5899E-1,&
     & 9.6372E-1, 9.7054E-1, 9.7516E-1, 9.7846E-1, 9.8091E-1, 9.8280E-1,&
     & 9.8550E-1, 9.8731E-1, 9.8861E-1, 9.8957E-1, 9.9031E-1, 9.9115E-1,&
     & 9.9190E-1, 8.7109E-1, 9.0625E-1, 9.3042E-1, 9.3188E-1, 9.3799E-1,&
     & 9.4116E-1, 9.4327E-1, 9.4431E-1, 9.4577E-1, 9.4654E-1, 9.4685E-1,&
     & 9.4700E-1, 9.4716E-1, 9.5397E-1, 9.5918E-1, 9.6668E-1, 9.7177E-1,&
     & 9.7542E-1, 9.7814E-1, 9.8024E-1, 9.8325E-1, 9.8530E-1, 9.8676E-1,&
     & 9.8785E-1, 9.8870E-1, 9.8965E-1, 9.9051E-1, 9.1016E-1, 8.9844E-1,&
     & 9.1406E-1, 9.2871E-1, 9.3311E-1, 9.3652E-1, 9.3896E-1, 9.4086E-1,&
     & 9.4223E-1, 9.4308E-1, 9.4341E-1, 9.4357E-1, 9.4373E-1, 9.5087E-1,&
     & 9.5633E-1, 9.6421E-1, 9.6956E-1, 9.7341E-1, 9.7629E-1, 9.7852E-1,&
     & 9.8173E-1, 9.8391E-1, 9.8549E-1, 9.8667E-1, 9.8758E-1/           
      DATA X1301/ 9.8861E-1, 9.8954E-1, 8.6523E-1, 9.0256E-1, 9.1942E-1,&
     & 9.2514E-1, 9.3146E-1, 9.3485E-1, 9.3710E-1, 9.3853E-1, 9.4010E-1,&
     & 9.4095E-1, 9.4127E-1, 9.4144E-1, 9.4160E-1, 9.4892E-1, 9.5451E-1,&
     & 9.6260E-1, 9.6811E-1, 9.7207E-1, 9.7505E-1, 9.7736E-1, 9.8070E-1,&
     & 9.8298E-1, 9.8462E-1, 9.8585E-1, 9.8681E-1, 9.8789E-1, 9.8887E-1,&
     & 8.6761E-1, 9.0161E-1, 9.1725E-1, 9.2265E-1, 9.2868E-1, 9.3196E-1,&
     & 9.3417E-1, 9.3559E-1, 9.3714E-1, 9.3798E-1, 9.3831E-1, 9.3847E-1,&
     & 9.3864E-1, 9.4615E-1, 9.5190E-1, 9.6024E-1, 9.6595E-1, 9.7007E-1,&
     & 9.7318E-1, 9.7561E-1, 9.7912E-1, 9.8154E-1, 9.8329E-1, 9.8460E-1,&
     & 9.8562E-1, 9.8678E-1, 9.8783E-1, 8.8699E-1, 9.0420E-1, 9.1313E-1,&
     & 9.1645E-1, 9.2037E-1, 9.2261E-1, 9.2417E-1, 9.2520E-1, 9.2635E-1,&
     & 9.2699E-1, 9.2724E-1, 9.2737E-1, 9.2749E-1, 9.3375E-1, 9.3955E-1,&
     & 9.4826E-1, 9.5448E-1, 9.5916E-1, 9.6279E-1, 9.6570E-1, 9.7004E-1,&
     & 9.7310E-1, 9.7535E-1, 9.7707E-1, 9.7843E-1, 9.7998E-1, 9.8141E-1,&
     & 9.7398E-1, 9.3878E-1, 9.2848E-1, 9.2602E-1, 9.2472E-1, 9.2461E-1,&
     & 9.2483E-1, 9.2512E-1, 9.2559E-1, 9.2591E-1, 9.2605E-1, 9.2613E-1,&
     & 9.2620E-1, 9.3234E-1, 9.3808E-1, 9.4676E-1, 9.5301E-1/           
      DATA X1401/ 9.5773E-1, 9.6141E-1, 9.6437E-1, 9.6879E-1, 9.7193E-1,&
     & 9.7424E-1, 9.7601E-1, 9.7740E-1, 9.7900E-1, 9.8048E-1, 9.7446E-1,&
     & 9.3873E-1, 9.2810E-1, 9.2558E-1, 9.2419E-1, 9.2404E-1, 9.2423E-1,&
     & 9.2452E-1, 9.2496E-1, 9.2528E-1, 9.2541E-1, 9.2549E-1, 9.2556E-1,&
     & 9.3164E-1, 9.3735E-1, 9.4600E-1, 9.5226E-1, 9.5700E-1, 9.6071E-1,&
     & 9.6369E-1, 9.6816E-1, 9.7133E-1, 9.7368E-1, 9.7547E-1, 9.7688E-1,&
     & 9.7850E-1, 9.8001E-1,-6.2891E-1, 3.3984E-1, 6.8726E-1, 7.7686E-1,&
     & 8.5815E-1, 8.9087E-1, 9.0691E-1, 9.1454E-1, 9.2037E-1, 9.2224E-1,&
     & 9.2273E-1, 9.2291E-1, 9.2298E-1, 9.2880E-1, 9.3437E-1, 9.4293E-1,&
     & 9.4922E-1, 9.5404E-1, 9.5784E-1, 9.6092E-1, 9.6556E-1, 9.6887E-1,&
     & 9.7133E-1, 9.7322E-1, 9.7471E-1, 9.7643E-1, 9.7802E-1, 6.6406E-1,&
     & 8.1079E-1, 8.6719E-1, 8.8403E-1, 9.0015E-1, 9.0784E-1, 9.1241E-1,&
     & 9.1504E-1, 9.1764E-1, 9.1891E-1, 9.1938E-1, 9.1956E-1, 9.1961E-1,&
     & 9.2510E-1, 9.3049E-1, 9.3893E-1, 9.4525E-1, 9.5016E-1, 9.5408E-1,&
     & 9.5727E-1, 9.6212E-1, 9.6560E-1, 9.6820E-1, 9.7021E-1, 9.7179E-1,&
     & 9.7363E-1, 9.7534E-1, 1.0171E+0, 9.3506E-1, 9.1252E-1, 9.0877E-1,&
     & 9.0762E-1, 9.0874E-1, 9.1030E-1, 9.1171E-1, 9.1364E-1/           
      DATA X1501/ 9.1487E-1, 9.1533E-1, 9.1550E-1, 9.1554E-1, 9.2070E-1,&
     & 9.2593E-1, 9.3426E-1, 9.4063E-1, 9.4565E-1, 9.4969E-1, 9.5301E-1,&
     & 9.5808E-1, 9.6175E-1, 9.6450E-1, 9.6662E-1, 9.6831E-1, 9.7028E-1,&
     & 9.7213E-1, 1.0186E+0, 9.3384E-1, 9.1052E-1, 9.0651E-1, 9.0508E-1,&
     & 9.0607E-1, 9.0755E-1, 9.0892E-1, 9.1081E-1, 9.1202E-1, 9.1247E-1,&
     & 9.1264E-1, 9.1268E-1, 9.1767E-1, 9.2281E-1, 9.3111E-1, 9.3753E-1,&
     & 9.4262E-1, 9.4675E-1, 9.5014E-1, 9.5536E-1, 9.5914E-1, 9.6198E-1,&
     & 9.6418E-1, 9.6594E-1, 9.6799E-1, 9.6992E-1, 9.2969E-1, 9.0140E-1,&
     & 8.9682E-1, 8.9721E-1, 8.9929E-1, 9.0132E-1, 9.0311E-1, 9.0447E-1,&
     & 9.0632E-1, 9.0751E-1, 9.0795E-1, 9.0811E-1, 9.0815E-1, 9.1296E-1,&
     & 9.1804E-1, 9.2635E-1, 9.3287E-1, 9.3808E-1, 9.4233E-1, 9.4584E-1,&
     & 9.5125E-1, 9.5520E-1, 9.5817E-1, 9.6048E-1, 9.6233E-1, 9.6450E-1,&
     & 9.6655E-1, 8.7598E-1, 8.8170E-1, 8.8756E-1, 8.9030E-1, 8.9399E-1,&
     & 8.9635E-1, 8.9809E-1, 8.9943E-1, 9.0126E-1, 9.0245E-1, 9.0289E-1,&
     & 9.0305E-1, 9.0308E-1, 9.0781E-1, 9.1288E-1, 9.2128E-1, 9.2792E-1,&
     & 9.3328E-1, 9.3766E-1, 9.4128E-1, 9.4689E-1, 9.5099E-1, 9.5409E-1,&
     & 9.5651E-1, 9.5845E-1, 9.6074E-1, 9.6293E-1, 8.3932E-1/           
      DATA X1601/ 8.6589E-1, 8.7768E-1, 8.8166E-1, 8.8601E-1, 8.8834E-1,&
     & 8.9008E-1, 8.9142E-1, 8.9326E-1, 8.9445E-1, 8.9489E-1, 8.9505E-1,&
     & 8.9509E-1, 8.9985E-1, 9.0501E-1, 9.1365E-1, 9.2054E-1, 9.2612E-1,&
     & 9.3069E-1, 9.3448E-1, 9.4036E-1, 9.4467E-1, 9.4795E-1, 9.5052E-1,&
     & 9.5259E-1, 9.5505E-1, 9.5742E-1, 8.2718E-1, 8.5806E-1, 8.7101E-1,&
     & 8.7518E-1, 8.7959E-1, 8.8196E-1, 8.8373E-1, 8.8509E-1, 8.8696E-1,&
     & 8.8817E-1, 8.8862E-1, 8.8879E-1, 8.8882E-1, 8.9371E-1, 8.9901E-1,&
     & 9.0789E-1, 9.1499E-1, 9.2073E-1, 9.2545E-1, 9.2936E-1, 9.3543E-1,&
     & 9.3989E-1, 9.4329E-1, 9.4596E-1, 9.4812E-1, 9.5071E-1, 9.5322E-1,&
     & 8.1424E-1, 8.4252E-1, 8.5556E-1, 8.6007E-1, 8.6485E-1, 8.6741E-1,&
     & 8.6932E-1, 8.7078E-1, 8.7277E-1, 8.7405E-1, 8.7453E-1, 8.7470E-1,&
     & 8.7475E-1, 8.8009E-1, 8.8581E-1, 8.9535E-1, 9.0294E-1, 9.0906E-1,&
     & 9.1407E-1, 9.1821E-1, 9.2466E-1, 9.2940E-1, 9.3304E-1, 9.3592E-1,&
     & 9.3828E-1, 9.4112E-1, 9.4392E-1, 7.7740E-1, 8.1569E-1, 8.3210E-1,&
     & 8.3763E-1, 8.4345E-1, 8.4656E-1, 8.4883E-1, 8.5053E-1, 8.5281E-1,&
     & 8.5426E-1, 8.5480E-1, 8.5501E-1, 8.5507E-1, 8.6145E-1, 8.6802E-1,&
     & 8.7877E-1, 8.8712E-1, 8.9375E-1, 8.9912E-1, 9.0353E-1/           
      DATA X1701/ 9.1034E-1, 9.1535E-1, 9.1922E-1, 9.2232E-1, 9.2488E-1,&
     & 9.2803E-1, 9.3118E-1, 7.7343E-1, 8.1361E-1, 8.3060E-1, 8.3630E-1,&
     & 8.4229E-1, 8.4548E-1, 8.4781E-1, 8.4955E-1, 8.5188E-1, 8.5335E-1,&
     & 8.5391E-1, 8.5411E-1, 8.5418E-1, 8.6071E-1, 8.6739E-1, 8.7828E-1,&
     & 8.8671E-1, 8.9337E-1, 8.9875E-1, 9.0316E-1, 9.0995E-1, 9.1495E-1,&
     & 9.1880E-1, 9.2189E-1, 9.2444E-1, 9.2757E-1, 9.3073E-1, 7.7102E-1,&
     & 8.1279E-1, 8.3026E-1, 8.3610E-1, 8.4223E-1, 8.4549E-1, 8.4786E-1,&
     & 8.4963E-1, 8.5199E-1, 8.5349E-1, 8.5405E-1, 8.5426E-1, 8.5433E-1,&
     & 8.6097E-1, 8.6774E-1, 8.7873E-1, 8.8720E-1, 8.9387E-1, 8.9924E-1,&
     & 9.0363E-1, 9.1039E-1, 9.1534E-1, 9.1916E-1, 9.2222E-1, 9.2474E-1,&
     & 9.2785E-1, 9.3098E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 9.9961E-1,&
     & 9.9972E-1, 9.9976E-1, 9.9978E-1, 9.9979E-1, 9.9980E-1, 9.9981E-1,&
     & 9.9981E-1, 9.9981E-1, 9.9982E-1, 9.9982E-1, 9.9982E-1/           
      DATA X1801/ 9.9982E-1, 9.9984E-1, 9.9985E-1, 9.9988E-1, 9.9990E-1,&
     & 9.9991E-1, 9.9992E-1, 9.9993E-1, 9.9994E-1, 9.9995E-1, 9.9996E-1,&
     & 9.9996E-1, 9.9996E-1, 9.9996E-1, 9.9997E-1, 9.9477E-1, 9.9626E-1,&
     & 9.9684E-1, 9.9702E-1, 9.9723E-1, 9.9734E-1, 9.9741E-1, 9.9746E-1,&
     & 9.9751E-1, 9.9753E-1, 9.9755E-1, 9.9755E-1, 9.9756E-1, 9.9781E-1,&
     & 9.9802E-1, 9.9836E-1, 9.9861E-1, 9.9880E-1, 9.9895E-1, 9.9907E-1,&
     & 9.9923E-1, 9.9934E-1, 9.9941E-1, 9.9946E-1, 9.9949E-1, 9.9952E-1,&
     & 9.9954E-1, 9.7848E-1, 9.8455E-1, 9.8708E-1, 9.8789E-1, 9.8876E-1,&
     & 9.8923E-1, 9.8954E-1, 9.8974E-1, 9.8996E-1, 9.9008E-1, 9.9012E-1,&
     & 9.9015E-1, 9.9017E-1, 9.9124E-1, 9.9211E-1, 9.9349E-1, 9.9450E-1,&
     & 9.9527E-1, 9.9585E-1, 9.9631E-1, 9.9696E-1, 9.9738E-1, 9.9766E-1,&
     & 9.9784E-1, 9.9796E-1, 9.9807E-1, 9.9814E-1, 9.5854E-1, 9.7031E-1,&
     & 9.7533E-1, 9.7698E-1, 9.7874E-1, 9.7967E-1, 9.8029E-1, 9.8069E-1,&
     & 9.8112E-1, 9.8135E-1, 9.8144E-1, 9.8149E-1, 9.8153E-1, 9.8363E-1,&
     & 9.8532E-1, 9.8794E-1, 9.8984E-1, 9.9126E-1, 9.9234E-1, 9.9318E-1,&
     & 9.9437E-1, 9.9513E-1, 9.9563E-1, 9.9596E-1, 9.9618E-1, 9.9637E-1,&
     & 9.9649E-1, 9.4656E-1, 9.6153E-1, 9.6804E-1, 9.7021E-1/           
      DATA X1901/ 9.7256E-1, 9.7380E-1, 9.7463E-1, 9.7515E-1, 9.7572E-1,&
     & 9.7602E-1, 9.7615E-1, 9.7621E-1, 9.7627E-1, 9.7901E-1, 9.8123E-1,&
     & 9.8462E-1, 9.8706E-1, 9.8887E-1, 9.9025E-1, 9.9131E-1, 9.9280E-1,&
     & 9.9375E-1, 9.9438E-1, 9.9479E-1, 9.9507E-1, 9.9531E-1, 9.9545E-1,&
     & 9.2680E-1, 9.4720E-1, 9.5632E-1, 9.5934E-1, 9.6265E-1, 9.6440E-1,&
     & 9.6557E-1, 9.6630E-1, 9.6710E-1, 9.6753E-1, 9.6770E-1, 9.6779E-1,&
     & 9.6787E-1, 9.7171E-1, 9.7476E-1, 9.7939E-1, 9.8268E-1, 9.8510E-1,&
     & 9.8692E-1, 9.8833E-1, 9.9029E-1, 9.9153E-1, 9.9234E-1, 9.9288E-1,&
     & 9.9323E-1, 9.9354E-1, 9.9372E-1, 9.1089E-1, 9.3626E-1, 9.4737E-1,&
     & 9.5109E-1, 9.5515E-1, 9.5731E-1, 9.5874E-1, 9.5964E-1, 9.6062E-1,&
     & 9.6115E-1, 9.6135E-1, 9.6146E-1, 9.6156E-1, 9.6623E-1, 9.6993E-1,&
     & 9.7549E-1, 9.7941E-1, 9.8227E-1, 9.8441E-1, 9.8606E-1, 9.8835E-1,&
     & 9.8980E-1, 9.9074E-1, 9.9136E-1, 9.9177E-1, 9.9212E-1, 9.9232E-1,&
     & 8.9526E-1, 9.2532E-1, 9.3808E-1, 9.4246E-1, 9.4731E-1, 9.4987E-1,&
     & 9.5157E-1, 9.5265E-1, 9.5382E-1, 9.5445E-1, 9.5470E-1, 9.5482E-1,&
     & 9.5494E-1, 9.6049E-1, 9.6486E-1, 9.7138E-1, 9.7594E-1, 9.7925E-1,&
     & 9.8172E-1, 9.8361E-1, 9.8623E-1, 9.8788E-1, 9.8895E-1/           
      DATA X2001/ 9.8965E-1, 9.9011E-1, 9.9050E-1, 9.9071E-1, 8.8477E-1,&
     & 9.1699E-1, 9.3062E-1, 9.3552E-1, 9.4086E-1, 9.4375E-1, 9.4566E-1,&
     & 9.4688E-1, 9.4820E-1, 9.4891E-1, 9.4919E-1, 9.4933E-1, 9.4947E-1,&
     & 9.5574E-1, 9.6065E-1, 9.6795E-1, 9.7302E-1, 9.7669E-1, 9.7942E-1,&
     & 9.8150E-1, 9.8437E-1, 9.8618E-1, 9.8735E-1, 9.8811E-1, 9.8861E-1,&
     & 9.8903E-1, 9.8924E-1, 8.6328E-1, 9.0234E-1, 9.1968E-1, 9.2554E-1,&
     & 9.3164E-1, 9.3501E-1, 9.3729E-1, 9.3871E-1, 9.4025E-1, 9.4107E-1,&
     & 9.4140E-1, 9.4156E-1, 9.4172E-1, 9.4896E-1, 9.5461E-1, 9.6296E-1,&
     & 9.6872E-1, 9.7287E-1, 9.7594E-1, 9.7828E-1, 9.8150E-1, 9.8351E-1,&
     & 9.8481E-1, 9.8565E-1, 9.8619E-1, 9.8664E-1, 9.8686E-1, 8.4766E-1,&
     & 8.8672E-1, 9.1431E-1, 9.1699E-1, 9.2407E-1, 9.2773E-1, 9.3004E-1,&
     & 9.3127E-1, 9.3299E-1, 9.3389E-1, 9.3425E-1, 9.3443E-1, 9.3461E-1,&
     & 9.4267E-1, 9.4894E-1, 9.5816E-1, 9.6450E-1, 9.6904E-1, 9.7241E-1,&
     & 9.7496E-1, 9.7847E-1, 9.8066E-1, 9.8206E-1, 9.8296E-1, 9.8353E-1,&
     & 9.8400E-1, 9.8420E-1, 9.0234E-1, 8.7891E-1, 8.9453E-1, 9.1406E-1,&
     & 9.1797E-1, 9.2212E-1, 9.2480E-1, 9.2693E-1, 9.2851E-1, 9.2951E-1,&
     & 9.2989E-1, 9.3008E-1, 9.3027E-1, 9.3876E-1, 9.4536E-1/           
      DATA X2101/ 9.5505E-1, 9.6171E-1, 9.6647E-1, 9.7000E-1, 9.7267E-1,&
     & 9.7635E-1, 9.7864E-1, 9.8010E-1, 9.8103E-1, 9.8161E-1, 9.8208E-1,&
     & 9.8227E-1, 8.3958E-1, 8.8237E-1, 9.0196E-1, 9.0828E-1, 9.1565E-1,&
     & 9.1962E-1, 9.2225E-1, 9.2394E-1, 9.2578E-1, 9.2677E-1, 9.2717E-1,&
     & 9.2736E-1, 9.2755E-1, 9.3628E-1, 9.4306E-1, 9.5302E-1, 9.5985E-1,&
     & 9.6475E-1, 9.6837E-1, 9.7111E-1, 9.7488E-1, 9.7723E-1, 9.7872E-1,&
     & 9.7966E-1, 9.8026E-1, 9.8073E-1, 9.8090E-1, 8.4042E-1, 8.8010E-1,&
     & 8.9845E-1, 9.0481E-1, 9.1193E-1, 9.1582E-1, 9.1844E-1, 9.2012E-1,&
     & 9.2197E-1, 9.2297E-1, 9.2336E-1, 9.2356E-1, 9.2375E-1, 9.3276E-1,&
     & 9.3975E-1, 9.5001E-1, 9.5707E-1, 9.6212E-1, 9.6586E-1, 9.6870E-1,&
     & 9.7260E-1, 9.7501E-1, 9.7654E-1, 9.7751E-1, 9.7811E-1, 9.7857E-1,&
     & 9.7872E-1, 8.6188E-1, 8.8175E-1, 8.9218E-1, 8.9609E-1, 9.0071E-1,&
     & 9.0336E-1, 9.0521E-1, 9.0643E-1, 9.0780E-1, 9.0856E-1, 9.0886E-1,&
     & 9.0901E-1, 9.0916E-1, 9.1664E-1, 9.2365E-1, 9.3411E-1, 9.4145E-1,&
     & 9.4680E-1, 9.5081E-1, 9.5387E-1, 9.5809E-1, 9.6067E-1, 9.6226E-1,&
     & 9.6322E-1, 9.6376E-1, 9.6411E-1, 9.6408E-1, 9.7211E-1, 9.2548E-1,&
     & 9.1141E-1, 9.0816E-1, 9.0612E-1, 9.0581E-1, 9.0596E-1/           
      DATA X2201/ 9.0624E-1, 9.0675E-1, 9.0710E-1, 9.0726E-1, 9.0735E-1,&
     & 9.0743E-1, 9.1475E-1, 9.2166E-1, 9.3201E-1, 9.3931E-1, 9.4465E-1,&
     & 9.4866E-1, 9.5172E-1, 9.5594E-1, 9.5852E-1, 9.6010E-1, 9.6105E-1,&
     & 9.6158E-1, 9.6191E-1, 9.6186E-1, 9.7250E-1, 9.2517E-1, 9.1092E-1,&
     & 9.0754E-1, 9.0541E-1, 9.0503E-1, 9.0516E-1, 9.0541E-1, 9.0590E-1,&
     & 9.0625E-1, 9.0640E-1, 9.0648E-1, 9.0656E-1, 9.1380E-1, 9.2065E-1,&
     & 9.3094E-1, 9.3822E-1, 9.4354E-1, 9.4755E-1, 9.5061E-1, 9.5484E-1,&
     & 9.5742E-1, 9.5899E-1, 9.5993E-1, 9.6046E-1, 9.6077E-1, 9.6071E-1,&
     &-1.0313E+0, 1.7578E-1, 6.0913E-1, 7.2144E-1, 8.2251E-1, 8.6304E-1,&
     & 8.8316E-1, 8.9265E-1, 8.9985E-1, 9.0216E-1, 9.0275E-1, 9.0297E-1,&
     & 9.0304E-1, 9.0989E-1, 9.1650E-1, 9.2651E-1, 9.3366E-1, 9.3894E-1,&
     & 9.4292E-1, 9.4598E-1, 9.5020E-1, 9.5276E-1, 9.5432E-1, 9.5523E-1,&
     & 9.5572E-1, 9.5599E-1, 9.5588E-1, 5.8203E-1, 7.6563E-1, 8.3447E-1,&
     & 8.5474E-1, 8.7473E-1, 8.8406E-1, 8.8962E-1, 8.9281E-1, 8.9594E-1,&
     & 8.9747E-1, 8.9804E-1, 8.9825E-1, 8.9831E-1, 9.0464E-1, 9.1090E-1,&
     & 9.2053E-1, 9.2750E-1, 9.3269E-1, 9.3664E-1, 9.3968E-1, 9.4387E-1,&
     & 9.4640E-1, 9.4792E-1, 9.4879E-1, 9.4925E-1, 9.4946E-1/           
      DATA X2301/ 9.4930E-1, 1.0244E+0, 9.1919E-1, 8.9034E-1, 8.8519E-1,&
     & 8.8327E-1, 8.8442E-1, 8.8618E-1, 8.8783E-1, 8.9011E-1, 8.9157E-1,&
     & 8.9212E-1, 8.9232E-1, 8.9236E-1, 8.9812E-1, 9.0403E-1, 9.1324E-1,&
     & 9.2002E-1, 9.2513E-1, 9.2903E-1, 9.3205E-1, 9.3619E-1, 9.3868E-1,&
     & 9.4016E-1, 9.4099E-1, 9.4141E-1, 9.4157E-1, 9.4137E-1, 1.0256E+0,&
     & 9.1724E-1, 8.8724E-1, 8.8174E-1, 8.7944E-1, 8.8039E-1, 8.8205E-1,&
     & 8.8362E-1, 8.8583E-1, 8.8727E-1, 8.8780E-1, 8.8799E-1, 8.8802E-1,&
     & 8.9347E-1, 8.9917E-1, 9.0816E-1, 9.1484E-1, 9.1990E-1, 9.2378E-1,&
     & 9.2678E-1, 9.3090E-1, 9.3337E-1, 9.3481E-1, 9.3562E-1, 9.3602E-1,&
     & 9.3617E-1, 9.3595E-1, 9.1187E-1, 8.7546E-1, 8.6880E-1, 8.6889E-1,&
     & 8.7095E-1, 8.7316E-1, 8.7516E-1, 8.7670E-1, 8.7883E-1, 8.8023E-1,&
     & 8.8074E-1, 8.8092E-1, 8.8095E-1, 8.8603E-1, 8.9151E-1, 9.0025E-1,&
     & 9.0683E-1, 9.1185E-1, 9.1571E-1, 9.1869E-1, 9.2278E-1, 9.2522E-1,&
     & 9.2664E-1, 9.2743E-1, 9.2782E-1, 9.2795E-1, 9.2774E-1, 8.4540E-1,&
     & 8.4993E-1, 8.5581E-1, 8.5869E-1, 8.6265E-1, 8.6521E-1, 8.6712E-1,&
     & 8.6861E-1, 8.7069E-1, 8.7205E-1, 8.7255E-1, 8.7273E-1, 8.7275E-1,&
     & 8.7760E-1, 8.8294E-1, 8.9155E-1, 8.9809E-1, 9.0310E-1/           
      DATA X2401/ 9.0696E-1, 9.0994E-1, 9.1403E-1, 9.1645E-1, 9.1787E-1,&
     & 9.1865E-1, 9.1904E-1, 9.1920E-1, 9.1903E-1, 7.9861E-1, 8.2778E-1,&
     & 8.4058E-1, 8.4485E-1, 8.4951E-1, 8.5198E-1, 8.5384E-1, 8.5530E-1,&
     & 8.5735E-1, 8.5869E-1, 8.5919E-1, 8.5937E-1, 8.5938E-1, 8.6414E-1,&
     & 8.6945E-1, 8.7809E-1, 8.8468E-1, 8.8974E-1, 8.9364E-1, 8.9665E-1,&
     & 9.0077E-1, 9.0322E-1, 9.0466E-1, 9.0548E-1, 9.0592E-1, 9.0616E-1,&
     & 9.0610E-1, 7.8113E-1, 8.1541E-1, 8.2953E-1, 8.3401E-1, 8.3869E-1,&
     & 8.4118E-1, 8.4306E-1, 8.4453E-1, 8.4658E-1, 8.4793E-1, 8.4843E-1,&
     & 8.4861E-1, 8.4863E-1, 8.5347E-1, 8.5886E-1, 8.6765E-1, 8.7436E-1,&
     & 8.7950E-1, 8.8345E-1, 8.8650E-1, 8.9069E-1, 8.9319E-1, 8.9469E-1,&
     & 8.9556E-1, 8.9606E-1, 8.9640E-1, 8.9647E-1, 7.5813E-1, 7.8931E-1,&
     & 8.0345E-1, 8.0827E-1, 8.1333E-1, 8.1603E-1, 8.1804E-1, 8.1959E-1,&
     & 8.2171E-1, 8.2309E-1, 8.2360E-1, 8.2378E-1, 8.2382E-1, 8.2917E-1,&
     & 8.3493E-1, 8.4425E-1, 8.5130E-1, 8.5668E-1, 8.6081E-1, 8.6400E-1,&
     & 8.6840E-1, 8.7111E-1, 8.7280E-1, 8.7389E-1, 8.7460E-1, 8.7525E-1,&
     & 8.7570E-1, 7.0182E-1, 7.4296E-1, 7.5985E-1, 7.6546E-1, 7.7134E-1,&
     & 7.7446E-1, 7.7672E-1, 7.7839E-1, 7.8060E-1, 7.8199E-1/           
      DATA X2501/ 7.8251E-1, 7.8271E-1, 7.8278E-1, 7.8908E-1, 7.9539E-1,&
     & 8.0543E-1, 8.1292E-1, 8.1860E-1, 8.2296E-1, 8.2635E-1, 8.3118E-1,&
     & 8.3433E-1, 8.3650E-1, 8.3807E-1, 8.3926E-1, 8.4059E-1, 8.4184E-1,&
     & 6.9526E-1, 7.3744E-1, 7.5456E-1, 7.6022E-1, 7.6617E-1, 7.6932E-1,&
     & 7.7159E-1, 7.7326E-1, 7.7546E-1, 7.7685E-1, 7.7737E-1, 7.7756E-1,&
     & 7.7763E-1, 7.8400E-1, 7.9033E-1, 8.0039E-1, 8.0788E-1, 8.1355E-1,&
     & 8.1792E-1, 8.2132E-1, 8.2618E-1, 8.2939E-1, 8.3162E-1, 8.3326E-1,&
     & 8.3451E-1, 8.3594E-1, 8.3730E-1, 6.9049E-1, 7.3334E-1, 7.5060E-1,&
     & 7.5629E-1, 7.6226E-1, 7.6543E-1, 7.6771E-1, 7.6938E-1, 7.7157E-1,&
     & 7.7294E-1, 7.7346E-1, 7.7365E-1, 7.7372E-1, 7.8013E-1, 7.8646E-1,&
     & 7.9650E-1, 8.0398E-1, 8.0964E-1, 8.1400E-1, 8.1741E-1, 8.2229E-1,&
     & 8.2553E-1, 8.2781E-1, 8.2949E-1, 8.3079E-1, 8.3230E-1, 8.3374E-1,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0052E+0, 1.0031E+0/           
      DATA X2601/ 1.0024E+0, 1.0022E+0, 1.0020E+0, 1.0019E+0, 1.0018E+0,&
     & 1.0017E+0, 1.0017E+0, 1.0017E+0, 1.0016E+0, 1.0016E+0, 1.0016E+0,&
     & 1.0014E+0, 1.0012E+0, 1.0009E+0, 1.0007E+0, 1.0005E+0, 1.0004E+0,&
     & 1.0003E+0, 1.0002E+0, 1.0002E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0,&
     & 1.0001E+0, 1.0000E+0, 1.0722E+0, 1.0425E+0, 1.0328E+0, 1.0298E+0,&
     & 1.0267E+0, 1.0250E+0, 1.0240E+0, 1.0233E+0, 1.0226E+0, 1.0222E+0,&
     & 1.0220E+0, 1.0219E+0, 1.0218E+0, 1.0184E+0, 1.0156E+0, 1.0116E+0,&
     & 1.0089E+0, 1.0070E+0, 1.0056E+0, 1.0045E+0, 1.0031E+0, 1.0023E+0,&
     & 1.0017E+0, 1.0013E+0, 1.0010E+0, 1.0008E+0, 1.0005E+0, 1.3065E+0,&
     & 1.1855E+0, 1.1392E+0, 1.1255E+0, 1.1113E+0, 1.1040E+0, 1.0992E+0,&
     & 1.0962E+0, 1.0929E+0, 1.0912E+0, 1.0905E+0, 1.0901E+0, 1.0898E+0,&
     & 1.0746E+0, 1.0630E+0, 1.0462E+0, 1.0350E+0, 1.0273E+0, 1.0217E+0,&
     & 1.0176E+0, 1.0122E+0, 1.0088E+0, 1.0066E+0, 1.0051E+0, 1.0041E+0,&
     & 1.0030E+0, 1.0021E+0, 1.6041E+0, 1.3701E+0, 1.2760E+0, 1.2468E+0,&
     & 1.2168E+0, 1.2015E+0, 1.1916E+0, 1.1853E+0, 1.1786E+0, 1.1750E+0,&
     & 1.1736E+0, 1.1729E+0, 1.1723E+0, 1.1415E+0, 1.1183E+0, 1.0855E+0,&
     & 1.0642E+0, 1.0497E+0, 1.0394E+0, 1.0320E+0, 1.0220E+0/           
      DATA X2701/ 1.0160E+0, 1.0120E+0, 1.0094E+0, 1.0075E+0, 1.0055E+0,&
     & 1.0040E+0, 1.7824E+0, 1.4860E+0, 1.3635E+0, 1.3245E+0, 1.2837E+0,&
     & 1.2629E+0, 1.2495E+0, 1.2411E+0, 1.2321E+0, 1.2273E+0, 1.2254E+0,&
     & 1.2245E+0, 1.2236E+0, 1.1825E+0, 1.1517E+0, 1.1088E+0, 1.0812E+0,&
     & 1.0627E+0, 1.0496E+0, 1.0402E+0, 1.0277E+0, 1.0201E+0, 1.0152E+0,&
     & 1.0118E+0, 1.0094E+0, 1.0070E+0, 1.0050E+0, 2.0806E+0, 1.6755E+0,&
     & 1.5052E+0, 1.4503E+0, 1.3921E+0, 1.3621E+0, 1.3428E+0, 1.3307E+0,&
     & 1.3178E+0, 1.3109E+0, 1.3082E+0, 1.3069E+0, 1.3055E+0, 1.2472E+0,&
     & 1.2040E+0, 1.1446E+0, 1.1072E+0, 1.0823E+0, 1.0650E+0, 1.0526E+0,&
     & 1.0363E+0, 1.0264E+0, 1.0200E+0, 1.0156E+0, 1.0125E+0, 1.0093E+0,&
     & 1.0067E+0, 2.2971E+0, 1.8153E+0, 1.6106E+0, 1.5440E+0, 1.4730E+0,&
     & 1.4361E+0, 1.4122E+0, 1.3973E+0, 1.3813E+0, 1.3729E+0, 1.3695E+0,&
     & 1.3679E+0, 1.3663E+0, 1.2946E+0, 1.2420E+0, 1.1703E+0, 1.1257E+0,&
     & 1.0962E+0, 1.0759E+0, 1.0613E+0, 1.0424E+0, 1.0309E+0, 1.0234E+0,&
     & 1.0183E+0, 1.0147E+0, 1.0109E+0, 1.0079E+0, 2.5181E+0, 1.9579E+0,&
     & 1.7179E+0, 1.6394E+0, 1.5552E+0, 1.5114E+0, 1.4828E+0, 1.4649E+0,&
     & 1.4458E+0, 1.4356E+0, 1.4317E+0, 1.4297E+0, 1.4277E+0/           
      DATA X2801/ 1.3424E+0, 1.2800E+0, 1.1959E+0, 1.1440E+0, 1.1100E+0,&
     & 1.0867E+0, 1.0701E+0, 1.0485E+0, 1.0354E+0, 1.0270E+0, 1.0212E+0,&
     & 1.0170E+0, 1.0127E+0, 1.0092E+0, 2.6885E+0, 2.0684E+0, 1.8013E+0,&
     & 1.7138E+0, 1.6195E+0, 1.5702E+0, 1.5381E+0, 1.5178E+0, 1.4962E+0,&
     & 1.4848E+0, 1.4803E+0, 1.4780E+0, 1.4758E+0, 1.3796E+0, 1.3096E+0,&
     & 1.2158E+0, 1.1582E+0, 1.1208E+0, 1.0952E+0, 1.0770E+0, 1.0534E+0,&
     & 1.0391E+0, 1.0298E+0, 1.0234E+0, 1.0189E+0, 1.0141E+0, 1.0102E+0,&
     & 2.9141E+0, 2.2146E+0, 1.9097E+0, 1.8096E+0, 1.7021E+0, 1.6458E+0,&
     & 1.6089E+0, 1.5858E+0, 1.5610E+0, 1.5478E+0, 1.5427E+0, 1.5401E+0,&
     & 1.5376E+0, 1.4273E+0, 1.3476E+0, 1.2414E+0, 1.1768E+0, 1.1350E+0,&
     & 1.1065E+0, 1.0863E+0, 1.0600E+0, 1.0442E+0, 1.0338E+0, 1.0267E+0,&
     & 1.0215E+0, 1.0161E+0, 1.0117E+0, 3.0898E+0, 2.3203E+0, 1.9961E+0,&
     & 1.8848E+0, 1.7656E+0, 1.7034E+0, 1.6628E+0, 1.6373E+0, 1.6101E+0,&
     & 1.5956E+0, 1.5899E+0, 1.5871E+0, 1.5844E+0, 1.4637E+0, 1.3769E+0,&
     & 1.2616E+0, 1.1918E+0, 1.1467E+0, 1.1161E+0, 1.0943E+0, 1.0660E+0,&
     & 1.0488E+0, 1.0375E+0, 1.0296E+0, 1.0239E+0, 1.0179E+0, 1.0130E+0,&
     & 3.1719E+0, 2.3438E+0, 2.0078E+0, 1.9063E+0, 1.7905E+0/           
      DATA X2901/ 1.7278E+0, 1.6868E+0, 1.6614E+0, 1.6330E+0, 1.6181E+0,&
     & 1.6122E+0, 1.6093E+0, 1.6064E+0, 1.4812E+0, 1.3912E+0, 1.2719E+0,&
     & 1.1997E+0, 1.1532E+0, 1.1216E+0, 1.0990E+0, 1.0695E+0, 1.0516E+0,&
     & 1.0397E+0, 1.0314E+0, 1.0254E+0, 1.0191E+0, 1.0139E+0, 3.1072E+0,&
     & 2.3606E+0, 2.0326E+0, 1.9229E+0, 1.8037E+0, 1.7405E+0, 1.6988E+0,&
     & 1.6724E+0, 1.6440E+0, 1.6288E+0, 1.6228E+0, 1.6199E+0, 1.6169E+0,&
     & 1.4897E+0, 1.3983E+0, 1.2773E+0, 1.2042E+0, 1.1570E+0, 1.1248E+0,&
     & 1.1018E+0, 1.0717E+0, 1.0533E+0, 1.0411E+0, 1.0326E+0, 1.0264E+0,&
     & 1.0198E+0, 1.0144E+0, 2.9551E+0, 2.3062E+0, 2.0136E+0, 1.9141E+0,&
     & 1.8041E+0, 1.7449E+0, 1.7054E+0, 1.6802E+0, 1.6528E+0, 1.6381E+0,&
     & 1.6323E+0, 1.6294E+0, 1.6265E+0, 1.4980E+0, 1.4057E+0, 1.2835E+0,&
     & 1.2095E+0, 1.1617E+0, 1.1290E+0, 1.1056E+0, 1.0748E+0, 1.0558E+0,&
     & 1.0431E+0, 1.0342E+0, 1.0277E+0, 1.0208E+0, 1.0151E+0, 2.6776E+0,&
     & 2.1396E+0, 1.8965E+0, 1.8137E+0, 1.7221E+0, 1.6728E+0, 1.6398E+0,&
     & 1.6187E+0, 1.5958E+0, 1.5835E+0, 1.5786E+0, 1.5762E+0, 1.5738E+0,&
     & 1.4660E+0, 1.3880E+0, 1.2830E+0, 1.2174E+0, 1.1734E+0, 1.1420E+0,&
     & 1.1187E+0, 1.0865E+0, 1.0655E+0, 1.0511E+0, 1.0407E+0/           
      DATA X3001/ 1.0330E+0, 1.0248E+0, 1.0179E+0, 2.7540E+0, 2.1565E+0,&
     & 1.8935E+0, 1.8054E+0, 1.7095E+0, 1.6586E+0, 1.6250E+0, 1.6037E+0,&
     & 1.5808E+0, 1.5686E+0, 1.5638E+0, 1.5614E+0, 1.5590E+0, 1.4560E+0,&
     & 1.3813E+0, 1.2803E+0, 1.2167E+0, 1.1737E+0, 1.1428E+0, 1.1197E+0,&
     & 1.0875E+0, 1.0664E+0, 1.0518E+0, 1.0413E+0, 1.0335E+0, 1.0251E+0,&
     & 1.0181E+0, 2.7135E+0, 2.1326E+0, 1.8769E+0, 1.7912E+0, 1.6979E+0,&
     & 1.6483E+0, 1.6156E+0, 1.5948E+0, 1.5725E+0, 1.5606E+0, 1.5559E+0,&
     & 1.5536E+0, 1.5513E+0, 1.4508E+0, 1.3778E+0, 1.2789E+0, 1.2163E+0,&
     & 1.1738E+0, 1.1431E+0, 1.1201E+0, 1.0879E+0, 1.0668E+0, 1.0521E+0,&
     & 1.0415E+0, 1.0337E+0, 1.0253E+0, 1.0182E+0, 2.6250E+0, 2.0586E+0,&
     & 1.8281E+0, 1.7424E+0, 1.6533E+0, 1.6072E+0, 1.5774E+0, 1.5582E+0,&
     & 1.5380E+0, 1.5273E+0, 1.5231E+0, 1.5210E+0, 1.5190E+0, 1.4289E+0,&
     & 1.3631E+0, 1.2726E+0, 1.2143E+0, 1.1739E+0, 1.1442E+0, 1.1216E+0,&
     & 1.0895E+0, 1.0682E+0, 1.0532E+0, 1.0424E+0, 1.0343E+0, 1.0257E+0,&
     & 1.0185E+0, 2.4102E+0, 1.9363E+0, 1.7319E+0, 1.6643E+0, 1.5911E+0,&
     & 1.5526E+0, 1.5274E+0, 1.5115E+0, 1.4944E+0, 1.4853E+0, 1.4817E+0,&
     & 1.4800E+0, 1.4782E+0, 1.4014E+0, 1.3444E+0, 1.2645E+0/           
      DATA X3101/ 1.2114E+0, 1.1735E+0, 1.1451E+0, 1.1230E+0, 1.0911E+0,&
     & 1.0695E+0, 1.0543E+0, 1.0432E+0, 1.0349E+0, 1.0260E+0, 1.0187E+0,&
     & 2.1924E+0, 1.8098E+0, 1.6436E+0, 1.5886E+0, 1.5290E+0, 1.4977E+0,&
     & 1.4771E+0, 1.4641E+0, 1.4502E+0, 1.4428E+0, 1.4399E+0, 1.4384E+0,&
     & 1.4370E+0, 1.3736E+0, 1.3256E+0, 1.2563E+0, 1.2084E+0, 1.1730E+0,&
     & 1.1457E+0, 1.1241E+0, 1.0923E+0, 1.0704E+0, 1.0549E+0, 1.0436E+0,&
     & 1.0351E+0, 1.0261E+0, 1.0186E+0, 2.0618E+0, 1.7356E+0, 1.5930E+0,&
     & 1.5456E+0, 1.4942E+0, 1.4671E+0, 1.4492E+0, 1.4379E+0, 1.4258E+0,&
     & 1.4193E+0, 1.4168E+0, 1.4155E+0, 1.4143E+0, 1.3584E+0, 1.3155E+0,&
     & 1.2520E+0, 1.2067E+0, 1.1726E+0, 1.1459E+0, 1.1245E+0, 1.0927E+0,&
     & 1.0707E+0, 1.0550E+0, 1.0436E+0, 1.0351E+0, 1.0260E+0, 1.0184E+0,&
     & 1.9272E+0, 1.6543E+0, 1.5355E+0, 1.4962E+0, 1.4538E+0, 1.4314E+0,&
     & 1.4167E+0, 1.4074E+0, 1.3974E+0, 1.3921E+0, 1.3900E+0, 1.3889E+0,&
     & 1.3879E+0, 1.3410E+0, 1.3039E+0, 1.2471E+0, 1.2050E+0, 1.1722E+0,&
     & 1.1461E+0, 1.1248E+0, 1.0929E+0, 1.0707E+0, 1.0549E+0, 1.0433E+0,&
     & 1.0347E+0, 1.0255E+0, 1.0180E+0, 1.8139E+0, 1.5893E+0, 1.4916E+0,&
     & 1.4591E+0, 1.4240E+0, 1.4055E+0, 1.3933E+0, 1.3856E+0/           
      DATA X3201/ 1.3772E+0, 1.3727E+0, 1.3710E+0, 1.3701E+0, 1.3692E+0,&
     & 1.3289E+0, 1.2962E+0, 1.2440E+0, 1.2039E+0, 1.1719E+0, 1.1460E+0,&
     & 1.1248E+0, 1.0927E+0, 1.0703E+0, 1.0543E+0, 1.0427E+0, 1.0340E+0,&
     & 1.0249E+0, 1.0173E+0, 1.7108E+0, 1.5331E+0, 1.4551E+0, 1.4291E+0,&
     & 1.4008E+0, 1.3858E+0, 1.3758E+0, 1.3693E+0, 1.3624E+0, 1.3586E+0,&
     & 1.3571E+0, 1.3563E+0, 1.3556E+0, 1.3207E+0, 1.2913E+0, 1.2424E+0,&
     & 1.2033E+0, 1.1715E+0, 1.1455E+0, 1.1240E+0, 1.0915E+0, 1.0689E+0,&
     & 1.0528E+0, 1.0411E+0, 1.0326E+0, 1.0235E+0, 1.0161E+0, 1.6828E+0,&
     & 1.5174E+0, 1.4454E+0, 1.4216E+0, 1.3958E+0, 1.3819E+0, 1.3726E+0,&
     & 1.3666E+0, 1.3600E+0, 1.3564E+0, 1.3550E+0, 1.3543E+0, 1.3536E+0,&
     & 1.3201E+0, 1.2913E+0, 1.2426E+0, 1.2032E+0, 1.1710E+0, 1.1446E+0,&
     & 1.1229E+0, 1.0901E+0, 1.0673E+0, 1.0512E+0, 1.0396E+0, 1.0311E+0,&
     & 1.0222E+0, 1.0150E+0, 1.7121E+0, 1.5339E+0, 1.4590E+0, 1.4348E+0,&
     & 1.4082E+0, 1.3938E+0, 1.3840E+0, 1.3776E+0, 1.3706E+0, 1.3668E+0,&
     & 1.3653E+0, 1.3646E+0, 1.3638E+0, 1.3281E+0, 1.2971E+0, 1.2448E+0,&
     & 1.2027E+0, 1.1687E+0, 1.1411E+0, 1.1186E+0, 1.0851E+0, 1.0624E+0,&
     & 1.0465E+0, 1.0353E+0, 1.0272E+0, 1.0188E+0, 1.0122E+0/           
      DATA X3301/ 1.8658E+0, 1.6145E+0, 1.5584E+0, 1.5035E+0, 1.4301E+0,&
     & 1.4319E+0, 1.4988E+0, 1.6007E+0, 1.5415E+0, 2.6410E+0,-7.3050E-1,&
     &-7.8788E-1,-6.3659E-1, 1.3487E+0, 1.3087E+0, 1.2442E+0, 1.1952E+0,&
     & 1.1573E+0, 1.1277E+0, 1.1044E+0, 1.0709E+0, 1.0491E+0, 1.0346E+0,&
     & 1.0246E+0, 1.0176E+0, 1.0107E+0, 1.0056E+0, 1.9071E+0, 1.6329E+0,&
     & 1.5698E+0, 1.5128E+0, 1.4373E+0, 1.4380E+0, 1.5042E+0, 1.6057E+0,&
     & 1.5461E+0, 2.6453E+0,-7.2626E-1,-7.8368E-1,-6.3243E-1, 1.3508E+0,&
     & 1.3093E+0, 1.2430E+0, 1.1931E+0, 1.1547E+0, 1.1249E+0, 1.1015E+0,&
     & 1.0682E+0, 1.0467E+0, 1.0324E+0, 1.0227E+0, 1.0160E+0, 1.0094E+0,&
     & 1.0045E+0, 1.9407E+0, 1.6475E+0, 1.5786E+0, 1.5200E+0, 1.4428E+0,&
     & 1.4426E+0, 1.5083E+0, 1.6095E+0, 1.5494E+0, 2.6485E+0,-7.2314E-1,&
     &-7.8060E-1,-6.2939E-1, 1.3522E+0, 1.3096E+0, 1.2418E+0, 1.1911E+0,&
     & 1.1524E+0, 1.1225E+0, 1.0991E+0, 1.0660E+0, 1.0447E+0, 1.0306E+0,&
     & 1.0212E+0, 1.0146E+0, 1.0082E+0, 1.0036E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0/           
      DATA X3401/ 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0042E+0, 1.0027E+0, 1.0021E+0,&
     & 1.0020E+0, 1.0018E+0, 1.0017E+0, 1.0016E+0, 1.0016E+0, 1.0015E+0,&
     & 1.0015E+0, 1.0015E+0, 1.0015E+0, 1.0015E+0, 1.0013E+0, 1.0011E+0,&
     & 1.0009E+0, 1.0007E+0, 1.0005E+0, 1.0004E+0, 1.0004E+0, 1.0003E+0,&
     & 1.0002E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0, 1.0001E+0,&
     & 1.0635E+0, 1.0384E+0, 1.0301E+0, 1.0275E+0, 1.0248E+0, 1.0234E+0,&
     & 1.0225E+0, 1.0219E+0, 1.0212E+0, 1.0209E+0, 1.0208E+0, 1.0207E+0,&
     & 1.0206E+0, 1.0176E+0, 1.0151E+0, 1.0115E+0, 1.0090E+0, 1.0072E+0,&
     & 1.0058E+0, 1.0048E+0, 1.0034E+0, 1.0025E+0, 1.0019E+0, 1.0015E+0,&
     & 1.0012E+0, 1.0009E+0, 1.0007E+0, 1.3800E+0, 1.2146E+0, 1.1551E+0,&
     & 1.1384E+0, 1.1216E+0, 1.1131E+0, 1.1076E+0, 1.1041E+0, 1.1004E+0,&
     & 1.0984E+0, 1.0976E+0, 1.0973E+0, 1.0969E+0, 1.0800E+0, 1.0672E+0,&
     & 1.0491E+0, 1.0372E+0, 1.0290E+0, 1.0231E+0, 1.0188E+0, 1.0130E+0,&
     & 1.0094E+0, 1.0070E+0, 1.0054E+0, 1.0043E+0, 1.0031E+0, 1.0022E+0,&
     & 2.2519E+0, 1.6399E+0, 1.4182E+0, 1.3559E+0, 1.2981E+0, 1.2707E+0,&
     & 1.2536E+0, 1.2431E+0, 1.2321E+0, 1.2263E+0, 1.2240E+0/           
      DATA X3501/ 1.2229E+0, 1.2218E+0, 1.1746E+0, 1.1415E+0, 1.0980E+0,&
     & 1.0715E+0, 1.0542E+0, 1.0422E+0, 1.0337E+0, 1.0226E+0, 1.0160E+0,&
     & 1.0118E+0, 1.0090E+0, 1.0070E+0, 1.0050E+0, 1.0035E+0, 3.2866E+0,&
     & 2.1284E+0, 1.7014E+0, 1.5792E+0, 1.4635E+0, 1.4120E+0, 1.3809E+0,&
     & 1.3622E+0, 1.3428E+0, 1.3327E+0, 1.3288E+0, 1.3269E+0, 1.3250E+0,&
     & 1.2465E+0, 1.1946E+0, 1.1300E+0, 1.0926E+0, 1.0690E+0, 1.0531E+0,&
     & 1.0420E+0, 1.0277E+0, 1.0194E+0, 1.0142E+0, 1.0107E+0, 1.0083E+0,&
     & 1.0059E+0, 1.0041E+0, 7.3044E+0, 3.8582E+0, 2.6017E+0, 2.2458E+0,&
     & 1.9131E+0, 1.7676E+0, 1.6869E+0, 1.6406E+0, 1.5945E+0, 1.5711E+0,&
     & 1.5622E+0, 1.5579E+0, 1.5535E+0, 1.3888E+0, 1.2918E+0, 1.1830E+0,&
     & 1.1255E+0, 1.0911E+0, 1.0688E+0, 1.0536E+0, 1.0347E+0, 1.0239E+0,&
     & 1.0173E+0, 1.0129E+0, 1.0099E+0, 1.0070E+0, 1.0048E+0, 1.4818E+1,&
     & 6.9706E+0, 4.1211E+0, 3.3180E+0, 2.5709E+0, 2.2465E+0, 2.0681E+0,&
     & 1.9724E+0, 1.8812E+0, 1.8367E+0, 1.8200E+0, 1.8118E+0, 1.8038E+0,&
     & 1.5211E+0, 1.3736E+0, 1.2225E+0, 1.1483E+0, 1.1058E+0, 1.0790E+0,&
     & 1.0610E+0, 1.0390E+0, 1.0267E+0, 1.0192E+0, 1.0143E+0, 1.0110E+0,&
     & 1.0077E+0, 1.0053E+0, 3.5525E+1, 1.5256E+1, 7.9488E+0/           
      DATA X3601/ 5.9051E+0, 4.0201E+0, 3.2124E+0, 2.7746E+0, 2.5436E+0,&
     & 2.3419E+0, 2.2492E+0, 2.2153E+0, 2.1989E+0, 2.1830E+0, 1.6827E+0,&
     & 1.4626E+0, 1.2607E+0, 1.1692E+0, 1.1189E+0, 1.0879E+0, 1.0674E+0,&
     & 1.0428E+0, 1.0292E+0, 1.0209E+0, 1.0156E+0, 1.0120E+0, 1.0085E+0,&
     & 1.0058E+0, 7.7385E+1, 3.1818E+1, 1.5432E+1, 1.0861E+1, 6.6562E+0,&
     & 4.8628E+0, 3.8954E+0, 3.3879E+0, 2.9482E+0, 2.7640E+0, 2.6991E+0,&
     & 2.6682E+0, 2.6384E+0, 1.8270E+0, 1.5318E+0, 1.2867E+0, 1.1828E+0,&
     & 1.1273E+0, 1.0937E+0, 1.0716E+0, 1.0454E+0, 1.0310E+0, 1.0222E+0,&
     & 1.0166E+0, 1.0128E+0, 1.0091E+0, 1.0064E+0, 3.3109E+2, 1.2890E+2,&
     & 5.7139E+1, 3.7398E+1, 1.9538E+1, 1.2117E+1, 8.2343E+0, 6.2695E+0,&
     & 4.6553E+0, 4.0313E+0, 3.8362E+0, 3.7476E+0, 3.6641E+0, 2.0100E+0,&
     & 1.6014E+0, 1.3087E+0, 1.1940E+0, 1.1346E+0, 1.0990E+0, 1.0759E+0,&
     & 1.0483E+0, 1.0332E+0, 1.0241E+0, 1.0182E+0, 1.0142E+0, 1.0103E+0,&
     & 1.0074E+0, 2.0953E+3, 7.8919E+2, 3.3118E+2, 2.0694E+2, 9.6340E+1,&
     & 5.1609E+1, 2.8978E+1, 1.8004E+1, 9.5918E+0, 6.7177E+0, 5.9280E+0,&
     & 5.6103E+0, 5.3314E+0, 2.0665E+0, 1.6035E+0, 1.3065E+0, 1.1943E+0,&
     & 1.1361E+0, 1.1011E+0, 1.0782E+0, 1.0506E+0, 1.0353E+0/           
      DATA X3701/ 1.0260E+0, 1.0200E+0, 1.0158E+0, 1.0118E+0, 1.0088E+0,&
     & 8.8828E+3, 3.3098E+3, 1.3651E+3, 8.4051E+2, 3.7645E+2, 1.9086E+2,&
     & 9.8318E+1, 5.4309E+1, 2.1707E+1, 1.1334E+1, 8.7314E+0, 7.7619E+0,&
     & 7.0135E+0, 1.9953E+0, 1.5634E+0, 1.2934E+0, 1.1897E+0, 1.1349E+0,&
     & 1.1014E+0, 1.0792E+0, 1.0521E+0, 1.0369E+0, 1.0276E+0, 1.0214E+0,&
     & 1.0172E+0, 1.0131E+0, 1.0099E+0, 2.8922E+3, 1.1811E+3, 5.4849E+2,&
     & 3.6679E+2, 1.9429E+2, 1.1712E+2, 7.3292E+1, 4.8976E+1, 2.6303E+1,&
     & 1.5851E+1, 1.2098E+1, 1.0314E+1, 8.5908E+0, 1.9023E+0, 1.5227E+0,&
     & 1.2813E+0, 1.1854E+0, 1.1336E+0, 1.1014E+0, 1.0798E+0, 1.0532E+0,&
     & 1.0381E+0, 1.0287E+0, 1.0226E+0, 1.0183E+0, 1.0141E+0, 1.0109E+0,&
     & 2.8147E+2, 1.3455E+2, 7.5623E+1, 5.7348E+1, 3.8644E+1, 2.9398E+1,&
     & 2.3636E+1, 2.0147E+1, 1.6557E+1, 1.4717E+1, 1.4011E+1, 1.3665E+1,&
     & 1.3324E+1, 1.7254E+0, 1.4527E+0, 1.2615E+0, 1.1786E+0, 1.1317E+0,&
     & 1.1016E+0, 1.0810E+0, 1.0552E+0, 1.0402E+0, 1.0308E+0, 1.0246E+0,&
     & 1.0203E+0, 1.0159E+0, 1.0126E+0, 1.6117E+2, 7.7447E+1, 4.3844E+1,&
     & 3.3417E+1, 2.2740E+1, 1.7458E+1, 1.4165E+1, 1.2170E+1, 1.0117E+1,&
     & 9.0636E+0, 8.6598E+0, 8.4617E+0, 8.2660E+0, 1.6041E+0/           
      DATA X3801/ 1.3867E+0, 1.2489E+0, 1.1870E+0, 1.1487E+0, 1.1224E+0,&
     & 1.1031E+0, 1.0774E+0, 1.0615E+0, 1.0509E+0, 1.0436E+0, 1.0383E+0,&
     & 1.0327E+0, 1.0281E+0, 1.9508E+3, 7.9743E+2, 3.7087E+2, 2.4832E+2,&
     & 1.3194E+2, 7.9842E+1, 5.0244E+1, 3.3813E+1, 1.8483E+1, 1.1410E+1,&
     & 8.8697E+0, 7.6614E+0, 6.4943E+0, 1.6657E+0, 1.4131E+0, 1.2598E+0,&
     & 1.1944E+0, 1.1548E+0, 1.1278E+0, 1.1081E+0, 1.0818E+0, 1.0655E+0,&
     & 1.0546E+0, 1.0471E+0, 1.0416E+0, 1.0358E+0, 1.0309E+0, 1.2902E+3,&
     & 5.2941E+2, 2.4764E+2, 1.6657E+2, 8.9453E+1, 5.4855E+1, 3.5153E+1,&
     & 2.4189E+1, 1.3930E+1, 9.1797E+0, 7.4696E+0, 6.6552E+0, 5.8680E+0,&
     & 1.6928E+0, 1.4262E+0, 1.2657E+0, 1.1984E+0, 1.1581E+0, 1.1306E+0,&
     & 1.1107E+0, 1.0841E+0, 1.0676E+0, 1.0566E+0, 1.0489E+0, 1.0433E+0,&
     & 1.0374E+0, 1.0324E+0, 1.9720E+3, 7.3969E+2, 3.0854E+2, 1.9185E+2,&
     & 8.8252E+1, 4.6550E+1, 2.5582E+1, 1.5496E+1, 7.8734E+0, 5.3419E+0,&
     & 4.6699E+0, 4.4069E+0, 4.1795E+0, 1.7651E+0, 1.4720E+0, 1.2897E+0,&
     & 1.2154E+0, 1.1721E+0, 1.1430E+0, 1.1220E+0, 1.0941E+0, 1.0767E+0,&
     & 1.0651E+0, 1.0569E+0, 1.0509E+0, 1.0444E+0, 1.0390E+0, 3.4946E+2,&
     & 1.3429E+2, 5.8369E+1, 3.7628E+1, 1.9004E+1, 1.1364E+1/           
      DATA X3901/ 7.4292E+0, 5.4762E+0, 3.9202E+0, 3.3490E+0, 3.1791E+0,&
     & 3.1033E+0, 3.0326E+0, 1.7747E+0, 1.5053E+0, 1.3164E+0, 1.2367E+0,&
     & 1.1904E+0, 1.1595E+0, 1.1373E+0, 1.1079E+0, 1.0894E+0, 1.0770E+0,&
     & 1.0681E+0, 1.0616E+0, 1.0545E+0, 1.0483E+0, 8.4816E+1, 3.4019E+1,&
     & 1.5948E+1, 1.0966E+1, 6.4451E+0, 4.5577E+0, 3.5647E+0, 3.0589E+0,&
     & 2.6389E+0, 2.4739E+0, 2.4172E+0, 2.3906E+0, 2.3649E+0, 1.7224E+0,&
     & 1.5111E+0, 1.3368E+0, 1.2569E+0, 1.2095E+0, 1.1776E+0, 1.1547E+0,&
     & 1.1241E+0, 1.1047E+0, 1.0915E+0, 1.0820E+0, 1.0749E+0, 1.0670E+0,&
     & 1.0602E+0, 3.3073E+1, 1.4385E+1, 7.5957E+0, 5.6812E+0, 3.8982E+0,&
     & 3.1234E+0, 2.6967E+0, 2.4675E+0, 2.2626E+0, 2.1729E+0, 2.1407E+0,&
     & 2.1254E+0, 2.1104E+0, 1.6771E+0, 1.5032E+0, 1.3444E+0, 1.2673E+0,&
     & 1.2204E+0, 1.1886E+0, 1.1657E+0, 1.1347E+0, 1.1150E+0, 1.1014E+0,&
     & 1.0916E+0, 1.0841E+0, 1.0758E+0, 1.0685E+0, 1.8523E+1, 8.2670E+0,&
     & 4.6247E+0, 3.6226E+0, 2.7154E+0, 2.3381E+0, 2.1405E+0, 2.0403E+0,&
     & 1.9484E+0, 1.9047E+0, 1.8884E+0, 1.8806E+0, 1.8728E+0, 1.6126E+0,&
     & 1.4834E+0, 1.3493E+0, 1.2785E+0, 1.2340E+0, 1.2033E+0, 1.1808E+0,&
     & 1.1501E+0, 1.1302E+0, 1.1163E+0, 1.1061E+0, 1.0982E+0/           
      DATA X4001/ 1.0894E+0, 1.0814E+0, 9.2668E+0, 4.6342E+0, 2.9881E+0,&
     & 2.5348E+0, 2.1241E+0, 1.9530E+0, 1.8633E+0, 1.8133E+0, 1.7644E+0,&
     & 1.7400E+0, 1.7308E+0, 1.7262E+0, 1.7218E+0, 1.5555E+0, 1.4595E+0,&
     & 1.3490E+0, 1.2862E+0, 1.2454E+0, 1.2166E+0, 1.1953E+0, 1.1656E+0,&
     & 1.1459E+0, 1.1319E+0, 1.1215E+0, 1.1133E+0, 1.1040E+0, 1.0955E+0,&
     & 4.5284E+0, 2.7426E+0, 2.1045E+0, 1.9277E+0, 1.7663E+0, 1.6983E+0,&
     & 1.6582E+0, 1.6344E+0, 1.6098E+0, 1.5972E+0, 1.5923E+0, 1.5899E+0,&
     & 1.5875E+0, 1.4902E+0, 1.4258E+0, 1.3435E+0, 1.2928E+0, 1.2584E+0,&
     & 1.2334E+0, 1.2143E+0, 1.1872E+0, 1.1685E+0, 1.1549E+0, 1.1443E+0,&
     & 1.1360E+0, 1.1262E+0, 1.1171E+0, 3.3102E+0, 2.2126E+0, 1.8305E+0,&
     & 1.7277E+0, 1.6370E+0, 1.5953E+0, 1.5696E+0, 1.5539E+0, 1.5375E+0,&
     & 1.5289E+0, 1.5255E+0, 1.5239E+0, 1.5222E+0, 1.4527E+0, 1.4038E+0,&
     & 1.3380E+0, 1.2957E+0, 1.2662E+0, 1.2443E+0, 1.2274E+0, 1.2026E+0,&
     & 1.1851E+0, 1.1719E+0, 1.1615E+0, 1.1532E+0, 1.1432E+0, 1.1337E+0,&
     & 2.1125E+0, 1.6991E+0, 1.5571E+0, 1.5196E+0, 1.4823E+0, 1.4637E+0,&
     & 1.4518E+0, 1.4444E+0, 1.4364E+0, 1.4322E+0, 1.4305E+0, 1.4297E+0,&
     & 1.4289E+0, 1.3928E+0, 1.3656E+0, 1.3269E+0, 1.3005E+0/           
      DATA X4101/ 1.2811E+0, 1.2662E+0, 1.2541E+0, 1.2352E+0, 1.2209E+0,&
     & 1.2093E+0, 1.1998E+0, 1.1917E+0, 1.1818E+0, 1.1720E+0, 1.5372E+0,&
     & 1.4099E+0, 1.3674E+0, 1.3623E+0, 1.3603E+0, 1.3513E+0, 1.3330E+0,&
     & 1.3121E+0, 1.3184E+0, 1.1989E+0,-4.2716E-1,-2.5045E-1,-8.4234E-1,&
     & 1.3330E+0, 1.3267E+0, 1.3181E+0, 1.3123E+0, 1.3078E+0, 1.3037E+0,&
     & 1.2998E+0, 1.2920E+0, 1.2842E+0, 1.2766E+0, 1.2695E+0, 1.2630E+0,&
     & 1.2542E+0, 1.2449E+0, 1.4883E+0, 1.3863E+0, 1.3514E+0, 1.3483E+0,&
     & 1.3484E+0, 1.3407E+0, 1.3236E+0, 1.3036E+0, 1.3103E+0, 1.1939E+0,&
     &-3.7702E-1,-2.0792E-1,-7.7307E-1, 1.3274E+0, 1.3233E+0, 1.3180E+0,&
     & 1.3147E+0, 1.3120E+0, 1.3094E+0, 1.3066E+0, 1.3004E+0, 1.2936E+0,&
     & 1.2868E+0, 1.2801E+0, 1.2738E+0, 1.2654E+0, 1.2563E+0, 1.4541E+0,&
     & 1.3693E+0, 1.3398E+0, 1.3381E+0, 1.3396E+0, 1.3329E+0, 1.3167E+0,&
     & 1.2975E+0, 1.3043E+0, 1.1902E+0,-3.4225E-1,-1.7829E-1,-7.2547E-1,&
     & 1.3234E+0, 1.3208E+0, 1.3181E+0, 1.3167E+0, 1.3155E+0, 1.3140E+0,&
     & 1.3121E+0, 1.3072E+0, 1.3013E+0, 1.2949E+0, 1.2886E+0, 1.2826E+0,&
     & 1.2744E+0, 1.2655E+0, 9.9997E-1, 9.9998E-1, 9.9999E-1, 9.9999E-1,&
     & 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1/           
      DATA X4201/ 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1, 9.9999E-1,&
     & 9.9999E-1, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0, 1.0000E+0,&
     & 1.0000E+0, 9.9729E-1, 9.9829E-1, 9.9866E-1, 9.9878E-1, 9.9891E-1,&
     & 9.9898E-1, 9.9902E-1, 9.9905E-1, 9.9908E-1, 9.9910E-1, 9.9911E-1,&
     & 9.9911E-1, 9.9912E-1, 9.9927E-1, 9.9940E-1, 9.9960E-1, 9.9975E-1,&
     & 9.9986E-1, 9.9995E-1, 1.0000E+0, 1.0001E+0, 1.0002E+0, 1.0002E+0,&
     & 1.0003E+0, 1.0003E+0, 1.0003E+0, 1.0003E+0, 9.6190E-1, 9.7675E-1,&
     & 9.8203E-1, 9.8370E-1, 9.8549E-1, 9.8644E-1, 9.8708E-1, 9.8748E-1,&
     & 9.8792E-1, 9.8816E-1, 9.8825E-1, 9.8830E-1, 9.8835E-1, 9.9050E-1,&
     & 9.9224E-1, 9.9495E-1, 9.9692E-1, 9.9840E-1, 9.9953E-1, 1.0004E+0,&
     & 1.0017E+0, 1.0026E+0, 1.0032E+0, 1.0036E+0, 1.0039E+0, 1.0043E+0,&
     & 1.0046E+0, 8.1947E-1, 8.9321E-1, 9.2166E-1, 9.3018E-1, 9.3910E-1,&
     & 9.4374E-1, 9.4678E-1, 9.4872E-1, 9.5080E-1, 9.5193E-1, 9.5237E-1,&
     & 9.5259E-1, 9.5280E-1, 9.6271E-1, 9.7050E-1, 9.8216E-1, 9.9031E-1,&
     & 9.9624E-1, 1.0007E+0, 1.0041E+0, 1.0088E+0, 1.0119E+0, 1.0140E+0,&
     & 1.0155E+0, 1.0166E+0, 1.0177E+0, 1.0186E+0, 5.7239E-1/           
      DATA X4301/ 7.5878E-1, 8.3185E-1, 8.5405E-1, 8.7634E-1, 8.8756E-1,&
     & 8.9480E-1, 8.9933E-1, 9.0418E-1, 9.0677E-1, 9.0779E-1, 9.0829E-1,&
     & 9.0879E-1, 9.3093E-1, 9.4764E-1, 9.7141E-1, 9.8720E-1, 9.9824E-1,&
     & 1.0062E+0, 1.0122E+0, 1.0203E+0, 1.0254E+0, 1.0288E+0, 1.0310E+0,&
     & 1.0326E+0, 1.0342E+0, 1.0354E+0, 3.6781E-1, 6.4942E-1, 7.6135E-1,&
     & 7.9581E-1, 8.3082E-1, 8.4798E-1, 8.5888E-1, 8.6565E-1, 8.7284E-1,&
     & 8.7665E-1, 8.7814E-1, 8.7888E-1, 8.7961E-1, 9.1151E-1, 9.3484E-1,&
     & 9.6694E-1, 9.8754E-1, 1.0016E+0, 1.0116E+0, 1.0189E+0, 1.0287E+0,&
     & 1.0347E+0, 1.0385E+0, 1.0411E+0, 1.0428E+0, 1.0445E+0, 1.0457E+0,&
     &-1.4981E-1, 3.9410E-1, 6.0855E-1, 6.7402E-1, 7.4009E-1, 7.7218E-1,&
     & 7.9188E-1, 8.0388E-1, 8.1641E-1, 8.2297E-1, 8.2551E-1, 8.2677E-1,&
     & 8.2802E-1, 8.8044E-1, 9.1653E-1, 9.6330E-1, 9.9159E-1, 1.0101E+0,&
     & 1.0228E+0, 1.0319E+0, 1.0437E+0, 1.0507E+0, 1.0550E+0, 1.0578E+0,&
     & 1.0596E+0, 1.0613E+0, 1.0624E+0,-7.8394E-1, 9.6008E-2, 4.4020E-1,&
     & 5.4457E-1, 6.4917E-1, 6.9954E-1, 7.3023E-1, 7.4845E-1, 7.6713E-1,&
     & 7.7678E-1, 7.8050E-1, 7.8233E-1, 7.8415E-1, 8.5761E-1, 9.0531E-1,&
     & 9.6392E-1, 9.9768E-1, 1.0190E+0, 1.0334E+0, 1.0435E+0/           
      DATA X4401/ 1.0563E+0, 1.0637E+0, 1.0681E+0, 1.0709E+0, 1.0727E+0,&
     & 1.0743E+0, 1.0752E+0,-1.9565E+0,-4.2485E-1, 1.6530E-1, 3.4187E-1,&
     & 5.1664E-1, 5.9940E-1, 6.4908E-1, 6.7817E-1, 7.0705E-1, 7.2161E-1,&
     & 7.2718E-1, 7.2990E-1, 7.3259E-1, 8.3577E-1, 8.9752E-1, 9.6859E-1,&
     & 1.0073E+0, 1.0310E+0, 1.0466E+0, 1.0573E+0, 1.0707E+0, 1.0782E+0,&
     & 1.0826E+0, 1.0853E+0, 1.0869E+0, 1.0883E+0, 1.0891E+0,-3.6462E+0,&
     &-1.1513E+0,-2.0078E-1, 8.0704E-2, 3.5626E-1, 4.8498E-1, 5.6121E-1,&
     & 6.0532E-1, 6.4852E-1, 6.6959E-1, 6.7751E-1, 6.8138E-1, 6.8518E-1,&
     & 8.2156E-1, 8.9603E-1, 9.7647E-1, 1.0182E+0, 1.0431E+0, 1.0591E+0,&
     & 1.0701E+0, 1.0835E+0, 1.0908E+0, 1.0951E+0, 1.0976E+0, 1.0992E+0,&
     & 1.1004E+0, 1.1009E+0,-1.0035E+1,-3.7329E+0,-1.3972E+0,-7.2498E-1,&
     &-8.5388E-2, 2.0195E-1, 3.6572E-1, 4.5692E-1, 5.4235E-1, 5.8196E-1,&
     & 5.9623E-1, 6.0308E-1, 6.0974E-1, 8.1439E-1, 9.0647E-1, 9.9573E-1,&
     & 1.0389E+0, 1.0638E+0, 1.0796E+0, 1.0902E+0, 1.1030E+0, 1.1098E+0,&
     & 1.1137E+0, 1.1160E+0, 1.1174E+0, 1.1184E+0, 1.1187E+0,-3.5008E+1,&
     &-1.3363E+1,-5.5698E+0,-3.3945E+0,-1.3901E+0,-5.3345E-1,-7.0465E-2,&
     & 1.7316E-1, 3.8507E-1, 4.7432E-1, 5.0433E-1, 5.1811E-1/           
      DATA X4501/ 5.3119E-1, 8.3479E-1, 9.3597E-1, 1.0235E+0, 1.0636E+0,&
     & 1.0865E+0, 1.1010E+0, 1.1107E+0, 1.1223E+0, 1.1285E+0, 1.1320E+0,&
     & 1.1340E+0, 1.1352E+0, 1.1361E+0, 1.1364E+0,-9.8949E+1,-3.7523E+1,&
     &-1.5729E+1,-9.7378E+0,-4.3210E+0,-2.0725E+0,-8.9714E-1,-3.0357E-1,&
     & 1.8277E-1, 3.7003E-1, 4.2834E-1, 4.5394E-1, 4.7717E-1, 8.6898E-1,&
     & 9.6620E-1, 1.0451E+0, 1.0811E+0, 1.1018E+0, 1.1150E+0, 1.1239E+0,&
     & 1.1346E+0, 1.1404E+0, 1.1437E+0, 1.1456E+0, 1.1467E+0, 1.1476E+0,&
     & 1.1480E+0,-5.3699E+1,-2.1949E+1,-1.0069E+1,-6.6158E+0,-3.2954E+0,&
     &-1.7829E+0,-9.0837E-1,-4.1410E-1, 5.7066E-2, 2.7999E-1, 3.6139E-1,&
     & 4.0042E-1, 4.3835E-1, 9.0118E-1, 9.8964E-1, 1.0598E+0, 1.0924E+0,&
     & 1.1115E+0, 1.1239E+0, 1.1323E+0, 1.1425E+0, 1.1480E+0, 1.1511E+0,&
     & 1.1530E+0, 1.1541E+0, 1.1551E+0, 1.1556E+0,-1.2572E+1,-5.5343E+0,&
     &-2.6922E+0,-1.8057E+0,-8.9357E-1,-4.3982E-1,-1.5554E-1, 1.7413E-2,&
     & 1.9615E-1, 2.8821E-1, 3.2358E-1, 3.4096E-1, 3.5813E-1, 9.5924E-1,&
     & 1.0259E+0, 1.0807E+0, 1.1082E+0, 1.1250E+0, 1.1362E+0, 1.1439E+0,&
     & 1.1534E+0, 1.1587E+0, 1.1618E+0, 1.1637E+0, 1.1649E+0, 1.1659E+0,&
     & 1.1667E+0,-1.0812E+1,-4.7221E+0,-2.2546E+0,-1.4827E+0/           
      DATA X4601/-6.8631E-1,-2.8888E-1,-3.9237E-2, 1.1299E-1, 2.7067E-1,&
     & 3.5205E-1, 3.8337E-1, 3.9875E-1, 4.1397E-1, 9.5438E-1, 1.0360E+0,&
     & 1.1015E+0, 1.1333E+0, 1.1525E+0, 1.1655E+0, 1.1748E+0, 1.1871E+0,&
     & 1.1948E+0, 1.2002E+0, 1.2042E+0, 1.2074E+0, 1.2110E+0, 1.2146E+0,&
     &-5.0983E+1,-2.0847E+1,-9.5588E+0,-6.2737E+0,-3.1119E+0,-1.6694E+0,&
     &-8.3403E-1,-3.6119E-1, 9.0347E-2, 3.0442E-1, 3.8269E-1, 4.2025E-1,&
     & 4.5676E-1, 9.2505E-1, 1.0188E+0, 1.0940E+0, 1.1293E+0, 1.1504E+0,&
     & 1.1645E+0, 1.1745E+0, 1.1878E+0, 1.1963E+0, 1.2023E+0, 1.2067E+0,&
     & 1.2103E+0, 1.2145E+0, 1.2185E+0,-3.9119E+1,-1.6007E+1,-7.3175E+0,&
     &-4.7795E+0,-2.3273E+0,-1.2026E+0,-5.4788E-1,-1.7541E-1, 1.8242E-1,&
     & 3.5322E-1, 4.1595E-1, 4.4611E-1, 4.7546E-1, 9.1209E-1, 1.0103E+0,&
     & 1.0899E+0, 1.1270E+0, 1.1490E+0, 1.1636E+0, 1.1740E+0, 1.1879E+0,&
     & 1.1967E+0, 1.2030E+0, 1.2078E+0, 1.2115E+0, 1.2160E+0, 1.2203E+0,&
     &-4.3906E+1,-1.6730E+1,-6.9858E+0,-4.2766E+0,-1.7917E+0,-7.3787E-1,&
     &-1.7285E-1, 1.2151E-1, 3.7406E-1, 4.7836E-1, 5.1288E-1, 5.2860E-1,&
     & 5.4344E-1, 8.7393E-1, 9.8038E-1, 1.0726E+0, 1.1158E+0, 1.1412E+0,&
     & 1.1580E+0, 1.1701E+0, 1.1862E+0, 1.1967E+0, 1.2043E+0/           
      DATA X4701/ 1.2100E+0, 1.2147E+0, 1.2202E+0, 1.2256E+0,-1.3905E+1,&
     &-5.2285E+0,-2.0417E+0,-1.1331E+0,-2.7684E-1, 1.0213E-1, 3.1489E-1,&
     & 4.3156E-1, 5.3873E-1, 5.8726E-1, 6.0447E-1, 6.1267E-1, 6.2063E-1,&
     & 8.5451E-1, 9.5513E-1, 1.0519E+0, 1.0995E+0, 1.1281E+0, 1.1472E+0,&
     & 1.1610E+0, 1.1798E+0, 1.1924E+0, 1.2016E+0, 1.2087E+0, 1.2144E+0,&
     & 1.2214E+0, 1.2281E+0,-5.3240E+0,-1.8114E+0,-4.9072E-1,-1.0464E-1,&
     & 2.6843E-1, 4.3965E-1, 5.3936E-1, 5.9611E-1, 6.5067E-1, 6.7673E-1,&
     & 6.8645E-1, 6.9118E-1, 6.9581E-1, 8.5692E-1, 9.4174E-1, 1.0326E+0,&
     & 1.0807E+0, 1.1106E+0, 1.1311E+0, 1.1463E+0, 1.1675E+0, 1.1820E+0,&
     & 1.1928E+0, 1.2013E+0, 1.2082E+0, 1.2166E+0, 1.2248E+0,-2.7434E+0,&
     &-7.6520E-1,-1.2207E-3, 2.2797E-1, 4.5518E-1, 5.6313E-1, 6.2806E-1,&
     & 6.6619E-1, 7.0413E-1, 7.2295E-1, 7.3009E-1, 7.3358E-1, 7.3701E-1,&
     & 8.6471E-1, 9.3826E-1, 1.0219E+0, 1.0683E+0, 1.0980E+0, 1.1189E+0,&
     & 1.1345E+0, 1.1568E+0, 1.1723E+0, 1.1839E+0, 1.1931E+0, 1.2007E+0,&
     & 1.2099E+0, 1.2189E+0,-1.4985E+0,-1.9215E-1, 3.0888E-1, 4.5804E-1,&
     & 6.0489E-1, 6.7401E-1, 7.1524E-1, 7.3925E-1, 7.6355E-1, 7.7597E-1,&
     & 7.8075E-1, 7.8310E-1, 7.8542E-1, 8.7752E-1, 9.3588E-1/           
      DATA X4801/ 1.0074E+0, 1.0497E+0, 1.0780E+0, 1.0986E+0, 1.1143E+0,&
     & 1.1373E+0, 1.1537E+0, 1.1663E+0, 1.1764E+0, 1.1846E+0, 1.1947E+0,&
     & 1.2047E+0,-5.8209E-1, 2.1310E-1, 5.2042E-1, 6.1255E-1, 7.0392E-1,&
     & 7.4732E-1, 7.7344E-1, 7.8917E-1, 8.0547E-1, 8.1395E-1, 8.1724E-1,&
     & 8.1886E-1, 8.2047E-1, 8.8715E-1, 9.3247E-1, 9.9163E-1, 1.0289E+0,&
     & 1.0548E+0, 1.0743E+0, 1.0896E+0, 1.1125E+0, 1.1294E+0, 1.1424E+0,&
     & 1.1530E+0, 1.1617E+0, 1.1725E+0, 1.1831E+0, 9.9335E-2, 5.1821E-1,&
     & 6.8127E-1, 7.3051E-1, 7.7967E-1, 8.0322E-1, 8.1803E-1, 8.2718E-1,&
     & 8.3686E-1, 8.4197E-1, 8.4397E-1, 8.4495E-1, 8.4594E-1, 8.8842E-1,&
     & 9.1948E-1, 9.6317E-1, 9.9288E-1, 1.0148E+0, 1.0320E+0, 1.0459E+0,&
     & 1.0676E+0, 1.0841E+0, 1.0971E+0, 1.1079E+0, 1.1168E+0, 1.1279E+0,&
     & 1.1390E+0, 3.4435E-1, 6.2884E-1, 7.3762E-1, 7.6991E-1, 8.0163E-1,&
     & 8.1739E-1, 8.2748E-1, 8.3379E-1, 8.4053E-1, 8.4412E-1, 8.4553E-1,&
     & 8.4623E-1, 8.4692E-1, 8.7763E-1, 9.0102E-1, 9.3548E-1, 9.6012E-1,&
     & 9.7902E-1, 9.9422E-1, 1.0069E+0, 1.0270E+0, 1.0427E+0, 1.0552E+0,&
     & 1.0657E+0, 1.0745E+0, 1.0854E+0, 1.0964E+0, 5.9770E-1, 7.1204E-1,&
     & 7.5521E-1, 7.6788E-1, 7.8110E-1, 7.8799E-1, 7.9253E-1/           
      DATA X4901/ 7.9542E-1, 7.9856E-1, 8.0024E-1, 8.0091E-1, 8.0124E-1,&
     & 8.0157E-1, 8.1672E-1, 8.2910E-1, 8.4895E-1, 8.6451E-1, 8.7731E-1,&
     & 8.8818E-1, 8.9761E-1, 9.1332E-1, 9.2601E-1, 9.3653E-1, 9.4542E-1,&
     & 9.5304E-1, 9.6263E-1, 9.7242E-1, 5.3892E-1, 5.5723E-1, 5.6381E-1,&
     & 5.6599E-1, 5.6842E-1, 5.6977E-1, 5.7068E-1, 5.7128E-1, 5.7194E-1,&
     & 5.7230E-1, 5.7300E-1, 5.7330E-1, 5.7530E-1, 5.7605E-1, 5.7918E-1,&
     & 5.8484E-1, 5.8991E-1, 5.9452E-1, 5.9875E-1, 6.0265E-1, 6.0958E-1,&
     & 6.1554E-1, 6.2071E-1, 6.2522E-1, 6.2919E-1, 6.3431E-1, 6.3967E-1,&
     & 4.9869E-1, 5.1109E-1, 5.1568E-1, 5.1722E-1, 5.1896E-1, 5.1993E-1,&
     & 5.2060E-1, 5.2103E-1, 5.2152E-1, 5.2178E-1, 5.2200E-1, 5.2300E-1,&
     & 5.2400E-1, 5.2456E-1, 5.2692E-1, 5.3127E-1, 5.3526E-1, 5.3895E-1,&
     & 5.4238E-1, 5.4556E-1, 5.5129E-1, 5.5627E-1, 5.6062E-1, 5.6444E-1,&
     & 5.6781E-1, 5.7218E-1, 5.7677E-1, 4.6117E-1, 4.6987E-1, 4.7315E-1,&
     & 4.7427E-1, 4.7555E-1, 4.7626E-1, 4.7676E-1, 4.7708E-1, 4.7744E-1,&
     & 4.7764E-1, 4.7800E-1, 4.7850E-1, 4.7900E-1, 4.7975E-1, 4.8157E-1,&
     & 4.8499E-1, 4.8819E-1, 4.9119E-1, 4.9401E-1, 4.9666E-1, 5.0146E-1,&
     & 5.0568E-1, 5.0939E-1, 5.1266E-1, 5.1556E-1, 5.1932E-1/           
      DATA X5001/ 5.2330E-1, 1.1449E-4, 1.3113E-4, 1.4024E-4, 1.4372E-4,&
     & 1.4789E-4, 1.5031E-4, 1.5201E-4, 1.5314E-4, 1.5441E-4, 1.5511E-4,&
     & 1.5540E-4, 1.5554E-4, 1.5568E-4, 1.6276E-4, 1.6958E-4, 1.8284E-4,&
     & 1.9559E-4, 2.0787E-4, 2.1970E-4, 2.3114E-4, 2.5297E-4, 2.7371E-4,&
     & 2.9368E-4, 3.1318E-4, 3.3248E-4, 3.5765E-4, 3.8948E-4, 1.1458E-4,&
     & 1.3121E-4, 1.4032E-4, 1.4380E-4, 1.4797E-4, 1.5039E-4, 1.5210E-4,&
     & 1.5323E-4, 1.5450E-4, 1.5520E-4, 1.5548E-4, 1.5562E-4, 1.5576E-4,&
     & 1.6285E-4, 1.6967E-4, 1.8292E-4, 1.9567E-4, 2.0795E-4, 2.1979E-4,&
     & 2.3122E-4, 2.5306E-4, 2.7380E-4, 2.9377E-4, 3.1326E-4, 3.3256E-4,&
     & 3.5774E-4, 3.8956E-4, 1.1569E-4, 1.3232E-4, 1.4143E-4, 1.4491E-4,&
     & 1.4908E-4, 1.5150E-4, 1.5321E-4, 1.5434E-4, 1.5561E-4, 1.5631E-4,&
     & 1.5659E-4, 1.5673E-4, 1.5687E-4, 1.6396E-4, 1.7078E-4, 1.8403E-4,&
     & 1.9678E-4, 2.0906E-4, 2.2090E-4, 2.3233E-4, 2.5417E-4, 2.7491E-4,&
     & 2.9488E-4, 3.1437E-4, 3.3367E-4, 3.5885E-4, 3.9068E-4, 1.2019E-4,&
     & 1.3687E-4, 1.4598E-4, 1.4946E-4, 1.5363E-4, 1.5605E-4, 1.5776E-4,&
     & 1.5889E-4, 1.6016E-4, 1.6086E-4, 1.6114E-4, 1.6128E-4, 1.6142E-4,&
     & 1.6851E-4, 1.7533E-4, 1.8858E-4, 2.0133E-4, 2.1361E-4/           
      DATA X5101/ 2.2545E-4, 2.3688E-4, 2.5872E-4, 2.7946E-4, 2.9943E-4,&
     & 3.1892E-4, 3.3822E-4, 3.6340E-4, 3.9522E-4, 1.2730E-4, 1.4400E-4,&
     & 1.5312E-4, 1.5660E-4, 1.6077E-4, 1.6319E-4, 1.6489E-4, 1.6602E-4,&
     & 1.6729E-4, 1.6800E-4, 1.6828E-4, 1.6842E-4, 1.6856E-4, 1.7564E-4,&
     & 1.8246E-4, 1.9572E-4, 2.0847E-4, 2.2075E-4, 2.3258E-4, 2.4402E-4,&
     & 2.6585E-4, 2.8659E-4, 3.0656E-4, 3.2606E-4, 3.4536E-4, 3.7053E-4,&
     & 4.0236E-4, 1.3265E-4, 1.4937E-4, 1.5849E-4, 1.6197E-4, 1.6614E-4,&
     & 1.6856E-4, 1.7027E-4, 1.7140E-4, 1.7266E-4, 1.7337E-4, 1.7365E-4,&
     & 1.7379E-4, 1.7393E-4, 1.8102E-4, 1.8783E-4, 2.0109E-4, 2.1384E-4,&
     & 2.2612E-4, 2.3796E-4, 2.4939E-4, 2.7123E-4, 2.9196E-4, 3.1193E-4,&
     & 3.3143E-4, 3.5073E-4, 3.7591E-4, 4.0773E-4, 1.4295E-4, 1.5968E-4,&
     & 1.6882E-4, 1.7230E-4, 1.7647E-4, 1.7889E-4, 1.8060E-4, 1.8173E-4,&
     & 1.8299E-4, 1.8370E-4, 1.8398E-4, 1.8412E-4, 1.8426E-4, 1.9135E-4,&
     & 1.9816E-4, 2.1142E-4, 2.2417E-4, 2.3645E-4, 2.4829E-4, 2.5972E-4,&
     & 2.8156E-4, 3.0229E-4, 3.2226E-4, 3.4176E-4, 3.6106E-4, 3.8624E-4,&
     & 4.1806E-4, 1.5247E-4, 1.6910E-4, 1.7821E-4, 1.8169E-4, 1.8586E-4,&
     & 1.8829E-4, 1.8999E-4, 1.9112E-4, 1.9239E-4, 1.9309E-4/           
      DATA X5201/ 1.9337E-4, 1.9351E-4, 1.9365E-4, 2.0074E-4, 2.0756E-4,&
     & 2.2081E-4, 2.3357E-4, 2.4584E-4, 2.5768E-4, 2.6912E-4, 2.9095E-4,&
     & 3.1169E-4, 3.3166E-4, 3.5116E-4, 3.7045E-4, 3.9563E-4, 4.2746E-4,&
     & 1.6385E-4, 1.8076E-4, 1.8984E-4, 1.9332E-4, 1.9750E-4, 1.9992E-4,&
     & 2.0162E-4, 2.0275E-4, 2.0402E-4, 2.0473E-4, 2.0501E-4, 2.0515E-4,&
     & 2.0529E-4, 2.1237E-4, 2.1919E-4, 2.3245E-4, 2.4520E-4, 2.5748E-4,&
     & 2.6931E-4, 2.8075E-4, 3.0258E-4, 3.2332E-4, 3.4329E-4, 3.6279E-4,&
     & 3.8209E-4, 4.0727E-4, 4.3909E-4, 1.7524E-4, 1.9205E-4, 2.0109E-4,&
     & 2.0459E-4, 2.0875E-4, 2.1119E-4, 2.1289E-4, 2.1402E-4, 2.1529E-4,&
     & 2.1599E-4, 2.1627E-4, 2.1641E-4, 2.1655E-4, 2.2364E-4, 2.3046E-4,&
     & 2.4371E-4, 2.5646E-4, 2.6874E-4, 2.8058E-4, 2.9201E-4, 3.1385E-4,&
     & 3.3459E-4, 3.5455E-4, 3.7405E-4, 3.9335E-4, 4.1853E-4, 4.5035E-4,&
     & 1.9455E-4, 2.1112E-4, 2.2030E-4, 2.2388E-4, 2.2793E-4, 2.3036E-4,&
     & 2.3207E-4, 2.3320E-4, 2.3446E-4, 2.3517E-4, 2.3545E-4, 2.3559E-4,&
     & 2.3573E-4, 2.4282E-4, 2.4963E-4, 2.6289E-4, 2.7564E-4, 2.8792E-4,&
     & 2.9976E-4, 3.1119E-4, 3.3303E-4, 3.5376E-4, 3.7373E-4, 3.9323E-4,&
     & 4.1253E-4, 4.3771E-4, 4.6953E-4, 2.0790E-4, 2.2888E-4/           
      DATA X5301/ 2.4241E-4, 2.4521E-4, 2.4968E-4, 2.5225E-4, 2.5401E-4,&
     & 2.5512E-4, 2.5640E-4, 2.5711E-4, 2.5739E-4, 2.5753E-4, 2.5767E-4,&
     & 2.6476E-4, 2.7157E-4, 2.8483E-4, 2.9758E-4, 3.0986E-4, 3.2170E-4,&
     & 3.3313E-4, 3.5497E-4, 3.7570E-4, 3.9567E-4, 4.1517E-4, 4.3447E-4,&
     & 4.5965E-4, 4.9147E-4, 2.4700E-4, 2.4700E-4, 2.5654E-4, 2.6137E-4,&
     & 2.6560E-4, 2.6822E-4, 2.6995E-4, 2.7132E-4, 2.7254E-4, 2.7325E-4,&
     & 2.7353E-4, 2.7367E-4, 2.7381E-4, 2.8090E-4, 2.8772E-4, 3.0097E-4,&
     & 3.1373E-4, 3.2600E-4, 3.3784E-4, 3.4928E-4, 3.7111E-4, 3.9185E-4,&
     & 4.1182E-4, 4.3132E-4, 4.5061E-4, 4.7579E-4, 5.0762E-4, 2.4411E-4,&
     & 2.6078E-4, 2.6990E-4, 2.7331E-4, 2.7747E-4, 2.7988E-4, 2.8158E-4,&
     & 2.8271E-4, 2.8397E-4, 2.8468E-4, 2.8496E-4, 2.8510E-4, 2.8524E-4,&
     & 2.9232E-4, 2.9914E-4, 3.1240E-4, 3.2515E-4, 3.3743E-4, 3.4926E-4,&
     & 3.6070E-4, 3.8253E-4, 4.0327E-4, 4.2324E-4, 4.4274E-4, 4.6204E-4,&
     & 4.8721E-4, 5.1904E-4, 2.6197E-4, 2.7875E-4, 2.8789E-4, 2.9138E-4,&
     & 2.9555E-4, 2.9797E-4, 2.9968E-4, 3.0081E-4, 3.0207E-4, 3.0278E-4,&
     & 3.0306E-4, 3.0320E-4, 3.0334E-4, 3.1043E-4, 3.1725E-4, 3.3050E-4,&
     & 3.4325E-4, 3.5553E-4, 3.6737E-4, 3.7880E-4, 4.0064E-4/           
      DATA X5401/ 4.2138E-4, 4.4135E-4, 4.6084E-4, 4.8014E-4, 5.0532E-4,&
     & 5.3714E-4, 3.7659E-4, 3.9338E-4, 4.0252E-4, 4.0600E-4, 4.1017E-4,&
     & 4.1260E-4, 4.1430E-4, 4.1543E-4, 4.1670E-4, 4.1740E-4, 4.1768E-4,&
     & 4.1783E-4, 4.1797E-4, 4.2505E-4, 4.3187E-4, 4.4513E-4, 4.5788E-4,&
     & 4.7016E-4, 4.8199E-4, 4.9343E-4, 5.1526E-4, 5.3600E-4, 5.5597E-4,&
     & 5.7547E-4, 5.9477E-4, 6.1994E-4, 6.5177E-4, 3.9279E-4, 4.0970E-4,&
     & 4.1888E-4, 4.2232E-4, 4.2650E-4, 4.2893E-4, 4.3063E-4, 4.3176E-4,&
     & 4.3303E-4, 4.3373E-4, 4.3401E-4, 4.3415E-4, 4.3429E-4, 4.4138E-4,&
     & 4.4820E-4, 4.6145E-4, 4.7421E-4, 4.8649E-4, 4.9832E-4, 5.0976E-4,&
     & 5.3159E-4, 5.5233E-4, 5.7230E-4, 5.9180E-4, 6.1110E-4, 6.3627E-4,&
     & 6.6810E-4, 4.0109E-4, 4.1804E-4, 4.2722E-4, 4.3063E-4, 4.3483E-4,&
     & 4.3725E-4, 4.3896E-4, 4.4009E-4, 4.4136E-4, 4.4206E-4, 4.4234E-4,&
     & 4.4248E-4, 4.4262E-4, 4.4971E-4, 4.5653E-4, 4.6978E-4, 4.8254E-4,&
     & 4.9481E-4, 5.0665E-4, 5.1809E-4, 5.3992E-4, 5.6066E-4, 5.8063E-4,&
     & 6.0013E-4, 6.1942E-4, 6.4460E-4, 6.7643E-4, 4.3869E-4, 4.4918E-4,&
     & 4.6253E-4, 4.6539E-4, 4.6933E-4, 4.7171E-4, 4.7350E-4, 4.7453E-4,&
     & 4.7581E-4, 4.7652E-4, 4.7680E-4, 4.7694E-4, 4.7708E-4/           
      DATA X5501/ 4.8416E-4, 4.9098E-4, 5.0424E-4, 5.1699E-4, 5.2927E-4,&
     & 5.4111E-4, 5.5254E-4, 5.7437E-4, 5.9511E-4, 6.1508E-4, 6.3458E-4,&
     & 6.5388E-4, 6.7906E-4, 7.1088E-4, 4.7970E-4, 4.9859E-4, 5.0759E-4,&
     & 5.1099E-4, 5.1510E-4, 5.1755E-4, 5.1926E-4, 5.2040E-4, 5.2166E-4,&
     & 5.2237E-4, 5.2265E-4, 5.2279E-4, 5.2293E-4, 5.3001E-4, 5.3683E-4,&
     & 5.5009E-4, 5.6284E-4, 5.7512E-4, 5.8696E-4, 5.9839E-4, 6.2022E-4,&
     & 6.4096E-4, 6.6093E-4, 6.8043E-4, 6.9973E-4, 7.2491E-4, 7.5673E-4,&
     & 5.3644E-4, 5.5313E-4, 5.6219E-4, 5.6573E-4, 5.6987E-4, 5.7231E-4,&
     & 5.7401E-4, 5.7514E-4, 5.7641E-4, 5.7711E-4, 5.7739E-4, 5.7753E-4,&
     & 5.7767E-4, 5.8476E-4, 5.9158E-4, 6.0483E-4, 6.1758E-4, 6.2986E-4,&
     & 6.4170E-4, 6.5313E-4, 6.7497E-4, 6.9571E-4, 7.1568E-4, 7.3517E-4,&
     & 7.5447E-4, 7.7965E-4, 8.1148E-4, 5.7423E-4, 5.9104E-4, 6.0004E-4,&
     & 6.0355E-4, 6.0768E-4, 6.1012E-4, 6.1182E-4, 6.1295E-4, 6.1422E-4,&
     & 6.1492E-4, 6.1520E-4, 6.1534E-4, 6.1548E-4, 6.2257E-4, 6.2939E-4,&
     & 6.4264E-4, 6.5540E-4, 6.6768E-4, 6.7951E-4, 6.9095E-4, 7.1278E-4,&
     & 7.3352E-4, 7.5349E-4, 7.7299E-4, 7.9228E-4, 8.1746E-4, 8.4929E-4,&
     & 6.3366E-4, 6.5023E-4, 6.5936E-4, 6.6283E-4, 6.6702E-4/           
      DATA X5601/ 6.6944E-4, 6.7114E-4, 6.7227E-4, 6.7354E-4, 6.7424E-4,&
     & 6.7452E-4, 6.7466E-4, 6.7481E-4, 6.8189E-4, 6.8871E-4, 7.0196E-4,&
     & 7.1472E-4, 7.2700E-4, 7.3883E-4, 7.5027E-4, 7.7210E-4, 7.9284E-4,&
     & 8.1281E-4, 8.3231E-4, 8.5161E-4, 8.7678E-4, 9.0861E-4, 7.0119E-4,&
     & 7.1788E-4, 7.2702E-4, 7.3050E-4, 7.3467E-4, 7.3709E-4, 7.3879E-4,&
     & 7.3992E-4, 7.4119E-4, 7.4190E-4, 7.4218E-4, 7.4232E-4, 7.4246E-4,&
     & 7.4954E-4, 7.5636E-4, 7.6962E-4, 7.8237E-4, 7.9465E-4, 8.0648E-4,&
     & 8.1792E-4, 8.3975E-4, 8.6049E-4, 8.8046E-4, 8.9996E-4, 9.1926E-4,&
     & 9.4443E-4, 9.7626E-4, 8.1633E-4, 8.3299E-4, 8.4211E-4, 8.4559E-4,&
     & 8.4975E-4, 8.5218E-4, 8.5388E-4, 8.5501E-4, 8.5628E-4, 8.5698E-4,&
     & 8.5726E-4, 8.5740E-4, 8.5755E-4, 8.6463E-4, 8.7145E-4, 8.8470E-4,&
     & 8.9746E-4, 9.0974E-4, 9.2157E-4, 9.3301E-4, 9.5484E-4, 9.7558E-4,&
     & 9.9555E-4, 1.0150E-3, 1.0343E-3, 1.0595E-3, 1.0913E-3, 9.1964E-4,&
     & 9.3635E-4, 9.4547E-4, 9.4895E-4, 9.5312E-4, 9.5554E-4, 9.5724E-4,&
     & 9.5837E-4, 9.5964E-4, 9.6034E-4, 9.6063E-4, 9.6077E-4, 9.6091E-4,&
     & 9.6799E-4, 9.7481E-4, 9.8807E-4, 1.0008E-3, 1.0131E-3, 1.0249E-3,&
     & 1.0364E-3, 1.0582E-3, 1.0789E-3, 1.0989E-3, 1.1184E-3/           
      DATA X5701/ 1.1377E-3, 1.1629E-3, 1.1947E-3, 1.2321E-3, 1.2488E-3,&
     & 1.2579E-3, 1.2614E-3, 1.2656E-3, 1.2680E-3, 1.2697E-3, 1.2708E-3,&
     & 1.2721E-3, 1.2728E-3, 1.2731E-3, 1.2732E-3, 1.2734E-3, 1.2804E-3,&
     & 1.2873E-3, 1.3005E-3, 1.3133E-3, 1.3255E-3, 1.3374E-3, 1.3488E-3,&
     & 1.3707E-3, 1.3914E-3, 1.4114E-3, 1.4309E-3, 1.4502E-3, 1.4753E-3,&
     & 1.5072E-3, 2.3967E-3, 2.4133E-3, 2.4224E-3, 2.4259E-3, 2.4301E-3,&
     & 2.4325E-3, 2.4342E-3, 2.4353E-3, 2.4366E-3, 2.4373E-3, 2.4376E-3,&
     & 2.4377E-3, 2.4378E-3, 2.4449E-3, 2.4517E-3, 2.4650E-3, 2.4778E-3,&
     & 2.4900E-3, 2.5019E-3, 2.5133E-3, 2.5351E-3, 2.5559E-3, 2.5758E-3,&
     & 2.5953E-3, 2.6146E-3, 2.6398E-3, 2.6716E-3, 2.6931E-3, 2.7098E-3,&
     & 2.7189E-3, 2.7224E-3, 2.7265E-3, 2.7290E-3, 2.7307E-3, 2.7318E-3,&
     & 2.7331E-3, 2.7338E-3, 2.7340E-3, 2.7342E-3, 2.7343E-3, 2.7414E-3,&
     & 2.7482E-3, 2.7615E-3, 2.7742E-3, 2.7865E-3, 2.7984E-3, 2.8098E-3,&
     & 2.8316E-3, 2.8524E-3, 2.8723E-3, 2.8918E-3, 2.9111E-3, 2.9363E-3,&
     & 2.9681E-3, 2.9687E-3, 2.9853E-3, 2.9944E-3, 2.9979E-3, 3.0021E-3,&
     & 3.0045E-3, 3.0062E-3, 3.0073E-3, 3.0086E-3, 3.0093E-3, 3.0096E-3,&
     & 3.0097E-3, 3.0099E-3, 3.0169E-3, 3.0238E-3, 3.0370E-3/           
      DATA X5801/ 3.0498E-3, 3.0620E-3, 3.0739E-3, 3.0853E-3, 3.1072E-3,&
     & 3.1279E-3, 3.1479E-3, 3.1674E-3, 3.1867E-3, 3.2118E-3, 3.2437E-3,&
     & 1.0852E-4, 1.3182E-4, 1.4523E-4, 1.5047E-4, 1.5684E-4, 1.6060E-4,&
     & 1.6325E-4, 1.6503E-4, 1.6703E-4, 1.6814E-4, 1.6858E-4, 1.6881E-4,&
     & 1.6903E-4, 1.8043E-4, 1.9170E-4, 2.1445E-4, 2.3742E-4, 2.6055E-4,&
     & 2.8379E-4, 3.0708E-4, 3.5371E-4, 4.0018E-4, 4.4629E-4, 4.9193E-4,&
     & 5.3696E-4, 6.0324E-4, 6.8475E-4, 1.0853E-4, 1.3184E-4, 1.4525E-4,&
     & 1.5049E-4, 1.5686E-4, 1.6061E-4, 1.6327E-4, 1.6504E-4, 1.6704E-4,&
     & 1.6816E-4, 1.6860E-4, 1.6882E-4, 1.6905E-4, 1.8045E-4, 1.9172E-4,&
     & 2.1446E-4, 2.3743E-4, 2.6057E-4, 2.8380E-4, 3.0710E-4, 3.5373E-4,&
     & 4.0019E-4, 4.4631E-4, 4.9194E-4, 5.3698E-4, 6.0326E-4, 6.8476E-4,&
     & 1.1146E-4, 1.3477E-4, 1.4818E-4, 1.5342E-4, 1.5979E-4, 1.6355E-4,&
     & 1.6620E-4, 1.6798E-4, 1.6998E-4, 1.7109E-4, 1.7153E-4, 1.7176E-4,&
     & 1.7198E-4, 1.8338E-4, 1.9465E-4, 2.1740E-4, 2.4037E-4, 2.6350E-4,&
     & 2.8673E-4, 3.1003E-4, 3.5666E-4, 4.0312E-4, 4.4924E-4, 4.9487E-4,&
     & 5.3991E-4, 6.0619E-4, 6.8769E-4, 1.2514E-4, 1.4854E-4, 1.6194E-4,&
     & 1.6719E-4, 1.7356E-4, 1.7731E-4, 1.7997E-4, 1.8174E-4/           
      DATA X5901/ 1.8374E-4, 1.8485E-4, 1.8530E-4, 1.8552E-4, 1.8574E-4,&
     & 1.9715E-4, 2.0841E-4, 2.3116E-4, 2.5413E-4, 2.7726E-4, 3.0050E-4,&
     & 3.2380E-4, 3.7042E-4, 4.1689E-4, 4.6301E-4, 5.0864E-4, 5.5368E-4,&
     & 6.1995E-4, 7.0146E-4, 1.4157E-4, 1.6504E-4, 1.7846E-4, 1.8370E-4,&
     & 1.9007E-4, 1.9383E-4, 1.9648E-4, 1.9826E-4, 2.0026E-4, 2.0137E-4,&
     & 2.0181E-4, 2.0204E-4, 2.0226E-4, 2.1366E-4, 2.2493E-4, 2.4768E-4,&
     & 2.7065E-4, 2.9378E-4, 3.1702E-4, 3.4031E-4, 3.8694E-4, 4.3340E-4,&
     & 4.7952E-4, 5.2515E-4, 5.7019E-4, 6.3647E-4, 7.1797E-4, 1.5204E-4,&
     & 1.7555E-4, 1.8897E-4, 1.9422E-4, 2.0059E-4, 2.0434E-4, 2.0700E-4,&
     & 2.0877E-4, 2.1077E-4, 2.1188E-4, 2.1233E-4, 2.1255E-4, 2.1277E-4,&
     & 2.2418E-4, 2.3544E-4, 2.5819E-4, 2.8116E-4, 3.0429E-4, 3.2753E-4,&
     & 3.5083E-4, 3.9745E-4, 4.4392E-4, 4.9004E-4, 5.3567E-4, 5.8071E-4,&
     & 6.4698E-4, 7.2849E-4, 1.6987E-4, 1.9340E-4, 2.0685E-4, 2.1210E-4,&
     & 2.1847E-4, 2.2223E-4, 2.2488E-4, 2.2666E-4, 2.2866E-4, 2.2977E-4,&
     & 2.3021E-4, 2.3044E-4, 2.3066E-4, 2.4206E-4, 2.5333E-4, 2.7608E-4,&
     & 2.9905E-4, 3.2218E-4, 3.4541E-4, 3.6871E-4, 4.1534E-4, 4.6180E-4,&
     & 5.0792E-4, 5.5355E-4, 5.9859E-4, 6.6487E-4, 7.4637E-4/           
      DATA X6001/ 1.8460E-4, 2.0810E-4, 2.2152E-4, 2.2677E-4, 2.3315E-4,&
     & 2.3690E-4, 2.3956E-4, 2.4133E-4, 2.4333E-4, 2.4444E-4, 2.4489E-4,&
     & 2.4511E-4, 2.4534E-4, 2.5674E-4, 2.6801E-4, 2.9075E-4, 3.1372E-4,&
     & 3.3685E-4, 3.6009E-4, 3.8339E-4, 4.3001E-4, 4.7648E-4, 5.2260E-4,&
     & 5.6823E-4, 6.1327E-4, 6.7955E-4, 7.6105E-4, 2.0128E-4, 2.2504E-4,&
     & 2.3841E-4, 2.4366E-4, 2.5004E-4, 2.5379E-4, 2.5645E-4, 2.5823E-4,&
     & 2.6023E-4, 2.6134E-4, 2.6178E-4, 2.6200E-4, 2.6223E-4, 2.7363E-4,&
     & 2.8490E-4, 3.0765E-4, 3.3062E-4, 3.5375E-4, 3.7698E-4, 4.0028E-4,&
     & 4.4691E-4, 4.9337E-4, 5.3949E-4, 5.8512E-4, 6.3016E-4, 6.9644E-4,&
     & 7.7794E-4, 2.1708E-4, 2.4056E-4, 2.5386E-4, 2.5912E-4, 2.6549E-4,&
     & 2.6924E-4, 2.7190E-4, 2.7367E-4, 2.7567E-4, 2.7678E-4, 2.7723E-4,&
     & 2.7745E-4, 2.7767E-4, 2.8908E-4, 3.0034E-4, 3.2309E-4, 3.4606E-4,&
     & 3.6919E-4, 3.9243E-4, 4.1572E-4, 4.6235E-4, 5.0882E-4, 5.5494E-4,&
     & 6.0057E-4, 6.4561E-4, 7.1188E-4, 7.9339E-4, 2.4223E-4, 2.6554E-4,&
     & 2.7889E-4, 2.8414E-4, 2.9046E-4, 2.9419E-4, 2.9685E-4, 2.9863E-4,&
     & 3.0062E-4, 3.0174E-4, 3.0218E-4, 3.0240E-4, 3.0263E-4, 3.1403E-4,&
     & 3.2530E-4, 3.4804E-4, 3.7101E-4, 3.9415E-4, 4.1738E-4/           
      DATA X6101/ 4.4068E-4, 4.8730E-4, 5.3377E-4, 5.7989E-4, 6.2552E-4,&
     & 6.7056E-4, 7.3684E-4, 8.1834E-4, 2.6608E-4, 2.8992E-4, 3.0804E-4,&
     & 3.1215E-4, 3.1775E-4, 3.2145E-4, 3.2418E-4, 3.2586E-4, 3.2787E-4,&
     & 3.2898E-4, 3.2942E-4, 3.2964E-4, 3.2987E-4, 3.4127E-4, 3.5254E-4,&
     & 3.7529E-4, 3.9826E-4, 4.2139E-4, 4.4462E-4, 4.6792E-4, 5.1455E-4,&
     & 5.6101E-4, 6.0713E-4, 6.5276E-4, 6.9780E-4, 7.6408E-4, 8.4558E-4,&
     & 3.1090E-4, 3.1471E-4, 3.2425E-4, 3.3092E-4, 3.3754E-4, 3.4100E-4,&
     & 3.4350E-4, 3.4547E-4, 3.4737E-4, 3.4848E-4, 3.4893E-4, 3.4915E-4,&
     & 3.4937E-4, 3.6078E-4, 3.7205E-4, 3.9479E-4, 4.1776E-4, 4.4089E-4,&
     & 4.6413E-4, 4.8743E-4, 5.3405E-4, 5.8052E-4, 6.2664E-4, 6.7227E-4,&
     & 7.1731E-4, 7.8359E-4, 8.6509E-4, 3.0218E-4, 3.2578E-4, 3.3929E-4,&
     & 3.4447E-4, 3.5083E-4, 3.5458E-4, 3.5723E-4, 3.5900E-4, 3.6100E-4,&
     & 3.6211E-4, 3.6256E-4, 3.6278E-4, 3.6300E-4, 3.7441E-4, 3.8568E-4,&
     & 4.0842E-4, 4.3139E-4, 4.5452E-4, 4.7776E-4, 5.0106E-4, 5.4768E-4,&
     & 5.9415E-4, 6.4027E-4, 6.8590E-4, 7.3094E-4, 7.9722E-4, 8.7872E-4,&
     & 3.2326E-4, 3.4704E-4, 3.6056E-4, 3.6583E-4, 3.7222E-4, 3.7598E-4,&
     & 3.7864E-4, 3.8041E-4, 3.8241E-4, 3.8353E-4, 3.8397E-4/           
      DATA X6201/ 3.8419E-4, 3.8442E-4, 3.9582E-4, 4.0709E-4, 4.2984E-4,&
     & 4.5281E-4, 4.7594E-4, 4.9917E-4, 5.2247E-4, 5.6910E-4, 6.1556E-4,&
     & 6.6168E-4, 7.0731E-4, 7.5235E-4, 8.1863E-4, 9.0013E-4, 4.5886E-4,&
     & 4.8264E-4, 4.9616E-4, 5.0143E-4, 5.0782E-4, 5.1158E-4, 5.1424E-4,&
     & 5.1601E-4, 5.1801E-4, 5.1913E-4, 5.1957E-4, 5.1979E-4, 5.2002E-4,&
     & 5.3142E-4, 5.4269E-4, 5.6544E-4, 5.8841E-4, 6.1154E-4, 6.3478E-4,&
     & 6.5807E-4, 7.0470E-4, 7.5116E-4, 7.9728E-4, 8.4291E-4, 8.8795E-4,&
     & 9.5423E-4, 1.0357E-3, 4.7893E-4, 5.0256E-4, 5.1602E-4, 5.2117E-4,&
     & 5.2755E-4, 5.3129E-4, 5.3394E-4, 5.3572E-4, 5.3771E-4, 5.3883E-4,&
     & 5.3927E-4, 5.3949E-4, 5.3972E-4, 5.5112E-4, 5.6239E-4, 5.8513E-4,&
     & 6.0810E-4, 6.3124E-4, 6.5447E-4, 6.7777E-4, 7.2440E-4, 7.7086E-4,&
     & 8.1698E-4, 8.6261E-4, 9.0765E-4, 9.7393E-4, 1.0554E-3, 4.8898E-4,&
     & 5.1261E-4, 5.2609E-4, 5.3125E-4, 5.3764E-4, 5.4139E-4, 5.4404E-4,&
     & 5.4581E-4, 5.4781E-4, 5.4892E-4, 5.4936E-4, 5.4959E-4, 5.4981E-4,&
     & 5.6121E-4, 5.7248E-4, 5.9523E-4, 6.1820E-4, 6.4133E-4, 6.6457E-4,&
     & 6.8786E-4, 7.3449E-4, 7.8096E-4, 8.2707E-4, 8.7271E-4, 9.1774E-4,&
     & 9.8402E-4, 1.0655E-3, 5.4550E-4, 5.5408E-4, 5.7030E-4/           
      DATA X6301/ 5.7507E-4, 5.8019E-4, 5.8371E-4, 5.8627E-4, 5.8794E-4,&
     & 5.8986E-4, 5.9097E-4, 5.9142E-4, 5.9164E-4, 5.9186E-4, 6.0327E-4,&
     & 6.1453E-4, 6.3728E-4, 6.6025E-4, 6.8338E-4, 7.0662E-4, 7.2992E-4,&
     & 7.7654E-4, 8.2301E-4, 8.6913E-4, 9.1476E-4, 9.5980E-4, 1.0261E-3,&
     & 1.1076E-3, 5.8556E-4, 6.1131E-4, 6.2472E-4, 6.2990E-4, 6.3616E-4,&
     & 6.3990E-4, 6.4256E-4, 6.4433E-4, 6.4633E-4, 6.4745E-4, 6.4789E-4,&
     & 6.4811E-4, 6.4834E-4, 6.5974E-4, 6.7101E-4, 6.9376E-4, 7.1673E-4,&
     & 7.3986E-4, 7.6309E-4, 7.8639E-4, 8.3302E-4, 8.7948E-4, 9.2560E-4,&
     & 9.7123E-4, 1.0163E-3, 1.0825E-3, 1.1641E-3, 6.5553E-4, 6.7866E-4,&
     & 6.9189E-4, 6.9724E-4, 7.0355E-4, 7.0731E-4, 7.0996E-4, 7.1174E-4,&
     & 7.1374E-4, 7.1485E-4, 7.1529E-4, 7.1552E-4, 7.1574E-4, 7.2714E-4,&
     & 7.3841E-4, 7.6116E-4, 7.8413E-4, 8.0726E-4, 8.3050E-4, 8.5379E-4,&
     & 9.0042E-4, 9.4689E-4, 9.9300E-4, 1.0386E-3, 1.0837E-3, 1.1500E-3,&
     & 1.2315E-3, 7.0161E-4, 7.2455E-4, 7.3779E-4, 7.4314E-4, 7.4945E-4,&
     & 7.5322E-4, 7.5588E-4, 7.5765E-4, 7.5965E-4, 7.6076E-4, 7.6121E-4,&
     & 7.6143E-4, 7.6165E-4, 7.7306E-4, 7.8432E-4, 8.0707E-4, 8.3004E-4,&
     & 8.5317E-4, 8.7641E-4, 8.9971E-4, 9.4633E-4, 9.9280E-4/           
      DATA X6401/ 1.0389E-3, 1.0845E-3, 1.1296E-3, 1.1959E-3, 1.2774E-3,&
     & 7.7099E-4, 7.9429E-4, 8.0770E-4, 8.1295E-4, 8.1933E-4, 8.2308E-4,&
     & 8.2574E-4, 8.2751E-4, 8.2951E-4, 8.3062E-4, 8.3107E-4, 8.3129E-4,&
     & 8.3151E-4, 8.4292E-4, 8.5418E-4, 8.7693E-4, 8.9990E-4, 9.2303E-4,&
     & 9.4627E-4, 9.6957E-4, 1.0162E-3, 1.0627E-3, 1.1088E-3, 1.1544E-3,&
     & 1.1994E-3, 1.2657E-3, 1.3472E-3, 8.4585E-4, 8.6937E-4, 8.8282E-4,&
     & 8.8807E-4, 8.9444E-4, 8.9820E-4, 9.0085E-4, 9.0263E-4, 9.0463E-4,&
     & 9.0574E-4, 9.0618E-4, 9.0641E-4, 9.0663E-4, 9.1803E-4, 9.2930E-4,&
     & 9.5205E-4, 9.7502E-4, 9.9815E-4, 1.0214E-3, 1.0447E-3, 1.0913E-3,&
     & 1.1378E-3, 1.1839E-3, 1.2295E-3, 1.2746E-3, 1.3408E-3, 1.4223E-3,&
     & 9.6045E-4, 9.8390E-4, 9.9732E-4, 1.0026E-3, 1.0089E-3, 1.0127E-3,&
     & 1.0153E-3, 1.0171E-3, 1.0191E-3, 1.0202E-3, 1.0207E-3, 1.0209E-3,&
     & 1.0211E-3, 1.0325E-3, 1.0438E-3, 1.0665E-3, 1.0895E-3, 1.1126E-3,&
     & 1.1359E-3, 1.1592E-3, 1.2058E-3, 1.2523E-3, 1.2984E-3, 1.3440E-3,&
     & 1.3891E-3, 1.4553E-3, 1.5368E-3, 1.0493E-3, 1.0727E-3, 1.0861E-3,&
     & 1.0914E-3, 1.0978E-3, 1.1015E-3, 1.1042E-3, 1.1059E-3, 1.1079E-3,&
     & 1.1090E-3, 1.1095E-3, 1.1097E-3, 1.1099E-3, 1.1213E-3/           
      DATA X6501/ 1.1326E-3, 1.1554E-3, 1.1783E-3, 1.2015E-3, 1.2247E-3,&
     & 1.2480E-3, 1.2946E-3, 1.3411E-3, 1.3872E-3, 1.4328E-3, 1.4779E-3,&
     & 1.5442E-3, 1.6257E-3, 1.2563E-3, 1.2797E-3, 1.2931E-3, 1.2984E-3,&
     & 1.3048E-3, 1.3085E-3, 1.3112E-3, 1.3129E-3, 1.3149E-3, 1.3161E-3,&
     & 1.3165E-3, 1.3167E-3, 1.3169E-3, 1.3283E-3, 1.3396E-3, 1.3624E-3,&
     & 1.3853E-3, 1.4085E-3, 1.4317E-3, 1.4550E-3, 1.5016E-3, 1.5481E-3,&
     & 1.5942E-3, 1.6398E-3, 1.6849E-3, 1.7512E-3, 1.8327E-3, 1.6697E-3,&
     & 1.6930E-3, 1.7064E-3, 1.7116E-3, 1.7180E-3, 1.7218E-3, 1.7244E-3,&
     & 1.7262E-3, 1.7282E-3, 1.7293E-3, 1.7297E-3, 1.7300E-3, 1.7302E-3,&
     & 1.7416E-3, 1.7529E-3, 1.7756E-3, 1.7986E-3, 1.8217E-3, 1.8449E-3,&
     & 1.8682E-3, 1.9149E-3, 1.9613E-3, 2.0075E-3, 2.0531E-3, 2.0981E-3,&
     & 2.1644E-3, 2.2459E-3, 1.7363E-3, 1.7596E-3, 1.7730E-3, 1.7783E-3,&
     & 1.7847E-3, 1.7884E-3, 1.7911E-3, 1.7928E-3, 1.7948E-3, 1.7960E-3,&
     & 1.7964E-3, 1.7966E-3, 1.7968E-3, 1.8083E-3, 1.8195E-3, 1.8423E-3,&
     & 1.8652E-3, 1.8884E-3, 1.9116E-3, 1.9349E-3, 1.9815E-3, 2.0280E-3,&
     & 2.0741E-3, 2.1197E-3, 2.1648E-3, 2.2311E-3, 2.3126E-3, 1.7911E-3,&
     & 1.8144E-3, 1.8278E-3, 1.8331E-3, 1.8395E-3, 1.8432E-3/           
      DATA X6601/ 1.8459E-3, 1.8476E-3, 1.8496E-3, 1.8507E-3, 1.8512E-3,&
     & 1.8514E-3, 1.8516E-3, 1.8630E-3, 1.8743E-3, 1.8971E-3, 1.9200E-3,&
     & 1.9432E-3, 1.9664E-3, 1.9897E-3, 2.0363E-3, 2.0828E-3, 2.1289E-3,&
     & 2.1745E-3, 2.2196E-3, 2.2858E-3, 2.3674E-3, 7.1850E-1, 7.3000E-1,&
     & 7.5000E-1, 7.8000E-1, 8.0000E-1, 8.2000E-1, 8.4000E-1, 8.6000E-1,&
     & 8.7000E-1, 8.8000E-1, 8.9000E-1, 8.9500E-1, 9.0500E-1, 9.1500E-1,&
     & 9.2000E-1, 9.3000E-1, 9.3500E-1, 9.4500E-1, 9.5000E-1, 9.5500E-1,&
     & 9.6000E-1, 9.6500E-1, 9.7000E-1, 9.7500E-1, 9.8000E-1, 9.8500E-1,&
     & 9.9000E-1, 9.9200E-1, 9.9500E-1, 9.9600E-1, 9.9700E-1, 9.9800E-1,&
     & 9.9870E-1, 9.9900E-1, 1.0000E+0, 7.6517E-2, 8.8574E-2, 1.1285E-1,&
     & 1.5808E-1, 1.9489E-1, 2.3766E-1, 2.8696E-1, 3.4336E-1, 3.7441E-1,&
     & 4.0747E-1, 4.4263E-1, 4.6101E-1, 4.9946E-1, 5.4022E-1, 5.6151E-1,&
     & 6.0595E-1, 6.2914E-1, 6.7754E-1, 7.0280E-1, 7.2878E-1, 7.5551E-1,&
     & 7.8302E-1, 8.1134E-1, 8.4048E-1, 8.7050E-1, 9.0142E-1, 9.3329E-1,&
     & 9.4631E-1, 9.6614E-1, 9.7283E-1, 9.7956E-1, 9.8634E-1, 9.9111E-1,&
     & 9.9316E-1, 1.0000E+0, 2.5278E+0, 2.4995E+0, 2.4495E+0, 2.3715E+0,&
     & 2.3170E+0, 2.2601E+0, 2.2002E+0, 2.1366E+0, 2.1030E+0/           
      DATA X6701/ 2.0682E+0, 2.0317E+0, 2.0129E+0, 1.9736E+0, 1.9321E+0,&
     & 1.9103E+0, 1.8643E+0, 1.8399E+0, 1.7876E+0, 1.7594E+0, 1.7295E+0,&
     & 1.6975E+0, 1.6631E+0, 1.6255E+0, 1.5838E+0, 1.5365E+0, 1.4810E+0,&
     & 1.4119E+0, 1.3779E+0, 1.3141E+0, 1.2873E+0, 1.2556E+0, 1.2162E+0,&
     & 1.1803E+0, 1.1614E+0, 1.0000E+0, 3.2221E-2, 3.7083E-2, 4.6883E-2,&
     & 6.5320E-2, 8.0594E-2, 9.8748E-2, 1.2033E-1, 1.4605E-1, 1.6076E-1,&
     & 1.7689E-1, 1.9464E-1, 2.0419E-1, 2.2482E-1, 2.4780E-1, 2.6029E-1,&
     & 2.8766E-1, 3.0273E-1, 3.3622E-1, 3.5499E-1, 3.7542E-1, 3.9783E-1,&
     & 4.2265E-1, 4.5051E-1, 4.8233E-1, 5.1958E-1, 5.6488E-1, 6.2367E-1,&
     & 6.5361E-1, 7.1135E-1, 7.3636E-1, 7.6642E-1, 8.0479E-1, 8.4079E-1,&
     & 8.6043E-1, 1.0000E+0, 8.4148E+0, 8.5869E+0, 8.8768E+0, 9.2928E+0,&
     & 9.5617E+0, 9.8269E+0, 1.0091E+1, 1.0356E+1, 1.0489E+1, 1.0624E+1,&
     & 1.0759E+1, 1.0827E+1, 1.0965E+1, 1.1105E+1, 1.1175E+1, 1.1319E+1,&
     & 1.1393E+1, 1.1545E+1, 1.1623E+1, 1.1704E+1, 1.1789E+1, 1.1877E+1,&
     & 1.1970E+1, 1.2071E+1, 1.2181E+1, 1.2306E+1, 1.2455E+1, 1.2526E+1,&
     & 1.2654E+1, 1.2706E+1, 1.2767E+1, 1.2840E+1, 1.2906E+1, 1.2940E+1,&
     & 1.3227E+1, 1.6829E+1, 1.6726E+1, 1.6552E+1, 1.6304E+1/           
      DATA X6801/ 1.6144E+1, 1.5986E+1, 1.5828E+1, 1.5668E+1, 1.5587E+1,&
     & 1.5504E+1, 1.5418E+1, 1.5375E+1, 1.5285E+1, 1.5192E+1, 1.5143E+1,&
     & 1.5041E+1, 1.4988E+1, 1.4874E+1, 1.4813E+1, 1.4748E+1, 1.4679E+1,&
     & 1.4604E+1, 1.4523E+1, 1.4433E+1, 1.4330E+1, 1.4209E+1, 1.4059E+1,&
     & 1.3984E+1, 1.3845E+1, 1.3786E+1, 1.3717E+1, 1.3631E+1, 1.3552E+1,&
     & 1.3510E+1, 1.3227E+1, 6.0460E+0, 6.1720E+0, 6.3892E+0, 6.7126E+0,&
     & 6.9294E+0, 7.1494E+0, 7.3747E+0, 7.6071E+0, 7.7266E+0, 7.8485E+0,&
     & 7.9731E+0, 8.0365E+0, 8.1657E+0, 8.2986E+0, 8.3666E+0, 8.5064E+0,&
     & 8.5785E+0, 8.7284E+0, 8.8068E+0, 8.8882E+0, 8.9732E+0, 9.0626E+0,&
     & 9.1578E+0, 9.2606E+0, 9.3738E+0, 9.5022E+0, 9.6554E+0, 9.7282E+0,&
     & 9.8595E+0, 9.9129E+0, 9.9745E+0, 1.0049E+1, 1.0116E+1, 1.0151E+1,&
     & 1.0440E+1, 1.2092E+1, 1.2113E+1, 1.2145E+1, 1.2181E+1, 1.2195E+1,&
     & 1.2200E+1, 1.2194E+1, 1.2176E+1, 1.2161E+1, 1.2143E+1, 1.2120E+1,&
     & 1.2106E+1, 1.2075E+1, 1.2038E+1, 1.2017E+1, 1.1968E+1, 1.1940E+1,&
     & 1.1874E+1, 1.1837E+1, 1.1795E+1, 1.1748E+1, 1.1694E+1, 1.1634E+1,&
     & 1.1563E+1, 1.1480E+1, 1.1377E+1, 1.1243E+1, 1.1175E+1, 1.1045E+1,&
     & 1.0989E+1, 1.0923E+1, 1.0839E+1, 1.0762E+1, 1.0721E+1/           
      DATA X6901/ 1.0440E+1, 1.8892E-1, 3.0421E+2, 7.3835E+0, 4.6400E-1,&
     & 1.0000E-3, 2.0000E-3, 1.0000E-3, 1.0000E-3/                      
                                                                        
!********************************************************************** 
       NG = 21 
       N1 = 27 
       N2 = 30 
       N3 = 8 
       NS = 35

       DO 20 I=1,4 
         DO 10 J=1,21 
           G(J,I) = Z(J+(I-1)*21) 
   10    CONTINUE 
   20  CONTINUE 

       DO 30 I=1,27
         TT(I) = Z(I+84) 
   30 END DO 
       DO 40 I=1,30 
         DD(I) = Z(I+111) 
   40  CONTINUE 

       KK=141
       DO 70 I=1,8 
         DO 60 J=1,30 
           DO 50 K=1,27 
             KK=KK+1 
             GG(K,J,I) = Z(KK) 
   50      CONTINUE 
   60    CONTINUE 
   70  CONTINUE 

       DO 90 I=1,8
         DO 80 J=1,35 
           SAT(J,I) = Z(J+(I-1)*35+6621) 
   80    CONTINUE 
   90  CONTINUE 

      DO 100 I=1,8
        C(I) = Z(I+6901) 
  100 CONTINUE 


      IGOTO = 4
      CALL FLUID(TEMP,PRES,DENS,PROPS,NP,ENTRY,VAPOR,ERROR,IGOTO) 

      RETURN
      END Subroutine CO2
